/* A Bison parser, made by GNU Bison 3.0.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2013 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list ap;

	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
		case ET_FATAL:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	va_start(ap, error);
	vfprintf(stderr, error, ap);
	va_end(ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
		case ET_FATAL:
			if (base_yyin)
				fclose(base_yyin);
			if (base_yyout)
				fclose(base_yyout);

			if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
				fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
			exit(error_code);
	}
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

#line 630 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CALL = 262,
    SQL_CARDINALITY = 263,
    SQL_CONNECT = 264,
    SQL_COUNT = 265,
    SQL_DATETIME_INTERVAL_CODE = 266,
    SQL_DATETIME_INTERVAL_PRECISION = 267,
    SQL_DESCRIBE = 268,
    SQL_DESCRIPTOR = 269,
    SQL_DISCONNECT = 270,
    SQL_FOUND = 271,
    SQL_FREE = 272,
    SQL_GET = 273,
    SQL_GO = 274,
    SQL_GOTO = 275,
    SQL_IDENTIFIED = 276,
    SQL_INDICATOR = 277,
    SQL_KEY_MEMBER = 278,
    SQL_LENGTH = 279,
    SQL_LONG = 280,
    SQL_NULLABLE = 281,
    SQL_OCTET_LENGTH = 282,
    SQL_OPEN = 283,
    SQL_OUTPUT = 284,
    SQL_REFERENCE = 285,
    SQL_RETURNED_LENGTH = 286,
    SQL_RETURNED_OCTET_LENGTH = 287,
    SQL_SCALE = 288,
    SQL_SECTION = 289,
    SQL_SHORT = 290,
    SQL_SIGNED = 291,
    SQL_SQL = 292,
    SQL_SQLERROR = 293,
    SQL_SQLPRINT = 294,
    SQL_SQLWARNING = 295,
    SQL_START = 296,
    SQL_STOP = 297,
    SQL_STRUCT = 298,
    SQL_UNSIGNED = 299,
    SQL_VAR = 300,
    SQL_WHENEVER = 301,
    S_ADD = 302,
    S_AND = 303,
    S_ANYTHING = 304,
    S_AUTO = 305,
    S_CONST = 306,
    S_DEC = 307,
    S_DIV = 308,
    S_DOTPOINT = 309,
    S_EQUAL = 310,
    S_EXTERN = 311,
    S_INC = 312,
    S_LSHIFT = 313,
    S_MEMPOINT = 314,
    S_MEMBER = 315,
    S_MOD = 316,
    S_MUL = 317,
    S_NEQUAL = 318,
    S_OR = 319,
    S_REGISTER = 320,
    S_RSHIFT = 321,
    S_STATIC = 322,
    S_SUB = 323,
    S_VOLATILE = 324,
    S_TYPEDEF = 325,
    CSTRING = 326,
    CVARIABLE = 327,
    CPP_LINE = 328,
    IP = 329,
    DOLCONST = 330,
    ECONST = 331,
    NCONST = 332,
    UCONST = 333,
    UIDENT = 334,
    IDENT = 335,
    FCONST = 336,
    SCONST = 337,
    BCONST = 338,
    XCONST = 339,
    Op = 340,
    ICONST = 341,
    PARAM = 342,
    TYPECAST = 343,
    DOT_DOT = 344,
    COLON_EQUALS = 345,
    ABORT_P = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASSERTION = 365,
    ASSIGNMENT = 366,
    ASYMMETRIC = 367,
    AT = 368,
    ATTRIBUTE = 369,
    AUTHORIZATION = 370,
    BACKWARD = 371,
    BEFORE = 372,
    BEGIN_P = 373,
    BETWEEN = 374,
    BIGINT = 375,
    BINARY = 376,
    BIT = 377,
    BOOLEAN_P = 378,
    BOTH = 379,
    BY = 380,
    CACHE = 381,
    CALLED = 382,
    CASCADE = 383,
    CASCADED = 384,
    CASE = 385,
    CAST = 386,
    CATALOG_P = 387,
    CHAIN = 388,
    CHAR_P = 389,
    CHARACTER = 390,
    CHARACTERISTICS = 391,
    CHECK = 392,
    CHECKPOINT = 393,
    CLASS = 394,
    CLOSE = 395,
    CLUSTER = 396,
    COALESCE = 397,
    COLLATE = 398,
    COLLATION = 399,
    COLUMN = 400,
    COMMENT = 401,
    COMMENTS = 402,
    COMMIT = 403,
    COMMITTED = 404,
    CONCURRENTLY = 405,
    CONFIGURATION = 406,
    CONNECTION = 407,
    CONSTRAINT = 408,
    CONSTRAINTS = 409,
    CONTENT_P = 410,
    CONTINUE_P = 411,
    CONVERSION_P = 412,
    COPY = 413,
    COST = 414,
    CREATE = 415,
    CROSS = 416,
    CSV = 417,
    CURRENT_P = 418,
    CURRENT_CATALOG = 419,
    CURRENT_DATE = 420,
    CURRENT_ROLE = 421,
    CURRENT_SCHEMA = 422,
    CURRENT_TIME = 423,
    CURRENT_TIMESTAMP = 424,
    CURRENT_USER = 425,
    CURSOR = 426,
    CYCLE = 427,
    DATA_P = 428,
    DATABASE = 429,
    DAY_P = 430,
    DEALLOCATE = 431,
    DEC = 432,
    DECIMAL_P = 433,
    DECLARE = 434,
    DEFAULT = 435,
    DEFAULTS = 436,
    DEFERRABLE = 437,
    DEFERRED = 438,
    DEFINER = 439,
    DELETE_P = 440,
    DELIMITER = 441,
    DELIMITERS = 442,
    DESC = 443,
    DICTIONARY = 444,
    DISABLE_P = 445,
    DISCARD = 446,
    DISTINCT = 447,
    DO = 448,
    DOCUMENT_P = 449,
    DOMAIN_P = 450,
    DOUBLE_P = 451,
    DROP = 452,
    EACH = 453,
    ELSE = 454,
    ENABLE_P = 455,
    ENCODING = 456,
    ENCRYPTED = 457,
    END_P = 458,
    ENUM_P = 459,
    ESCAPE = 460,
    EVENT = 461,
    EXCEPT = 462,
    EXCLUDE = 463,
    EXCLUDING = 464,
    EXCLUSIVE = 465,
    EXECUTE = 466,
    EXISTS = 467,
    EXPLAIN = 468,
    EXTENSION = 469,
    EXTERNAL = 470,
    EXTRACT = 471,
    FALSE_P = 472,
    FAMILY = 473,
    FETCH = 474,
    FIRST_P = 475,
    FLOAT_P = 476,
    FOLLOWING = 477,
    FOR = 478,
    FORCE = 479,
    FOREIGN = 480,
    FORWARD = 481,
    FREEZE = 482,
    FROM = 483,
    FULL = 484,
    FUNCTION = 485,
    FUNCTIONS = 486,
    GLOBAL = 487,
    GRANT = 488,
    GRANTED = 489,
    GREATEST = 490,
    GROUP_P = 491,
    HANDLER = 492,
    HAVING = 493,
    HEADER_P = 494,
    HOLD = 495,
    HOUR_P = 496,
    IDENTITY_P = 497,
    IF_P = 498,
    ILIKE = 499,
    IMMEDIATE = 500,
    IMMUTABLE = 501,
    IMPLICIT_P = 502,
    IN_P = 503,
    INCLUDING = 504,
    INCREMENT = 505,
    INDEX = 506,
    INDEXES = 507,
    INHERIT = 508,
    INHERITS = 509,
    INITIALLY = 510,
    INLINE_P = 511,
    INNER_P = 512,
    INOUT = 513,
    INPUT_P = 514,
    INSENSITIVE = 515,
    INSERT = 516,
    INSTEAD = 517,
    INT_P = 518,
    INTEGER = 519,
    INTERSECT = 520,
    INTERVAL = 521,
    INTO = 522,
    INVOKER = 523,
    IS = 524,
    ISNULL = 525,
    ISOLATION = 526,
    JOIN = 527,
    KEY = 528,
    LABEL = 529,
    LANGUAGE = 530,
    LARGE_P = 531,
    LAST_P = 532,
    LATERAL_P = 533,
    LC_COLLATE_P = 534,
    LC_CTYPE_P = 535,
    LEADING = 536,
    LEAKPROOF = 537,
    LEAST = 538,
    LEFT = 539,
    LEVEL = 540,
    LIKE = 541,
    LIMIT = 542,
    LISTEN = 543,
    LOAD = 544,
    LOCAL = 545,
    LOCALTIME = 546,
    LOCALTIMESTAMP = 547,
    LOCATION = 548,
    LOCK_P = 549,
    MAPPING = 550,
    MATCH = 551,
    MATERIALIZED = 552,
    MAXVALUE = 553,
    MINUTE_P = 554,
    MINVALUE = 555,
    MODE = 556,
    MONTH_P = 557,
    MOVE = 558,
    NAME_P = 559,
    NAMES = 560,
    NATIONAL = 561,
    NATURAL = 562,
    NCHAR = 563,
    NEXT = 564,
    NO = 565,
    NONE = 566,
    NOT = 567,
    NOTHING = 568,
    NOTIFY = 569,
    NOTNULL = 570,
    NOWAIT = 571,
    NULL_P = 572,
    NULLIF = 573,
    NULLS_P = 574,
    NUMERIC = 575,
    OBJECT_P = 576,
    OF = 577,
    OFF = 578,
    OFFSET = 579,
    OIDS = 580,
    ON = 581,
    ONLY = 582,
    OPERATOR = 583,
    OPTION = 584,
    OPTIONS = 585,
    OR = 586,
    ORDER = 587,
    OUT_P = 588,
    OUTER_P = 589,
    OVER = 590,
    OVERLAPS = 591,
    OVERLAY = 592,
    OWNED = 593,
    OWNER = 594,
    PARSER = 595,
    PARTIAL = 596,
    PARTITION = 597,
    PASSING = 598,
    PASSWORD = 599,
    PLACING = 600,
    PLANS = 601,
    POSITION = 602,
    PRECEDING = 603,
    PRECISION = 604,
    PRESERVE = 605,
    PREPARE = 606,
    PREPARED = 607,
    PRIMARY = 608,
    PRIOR = 609,
    PRIVILEGES = 610,
    PROCEDURAL = 611,
    PROCEDURE = 612,
    PROGRAM = 613,
    QUOTE = 614,
    RANGE = 615,
    READ = 616,
    REAL = 617,
    REASSIGN = 618,
    RECHECK = 619,
    RECURSIVE = 620,
    REF = 621,
    REFERENCES = 622,
    REFRESH = 623,
    REINDEX = 624,
    RELATIVE_P = 625,
    RELEASE = 626,
    RENAME = 627,
    REPEATABLE = 628,
    REPLACE = 629,
    REPLICA = 630,
    RESET = 631,
    RESTART = 632,
    RESTRICT = 633,
    RETURNING = 634,
    RETURNS = 635,
    REVOKE = 636,
    RIGHT = 637,
    ROLE = 638,
    ROLLBACK = 639,
    ROW = 640,
    ROWS = 641,
    RULE = 642,
    SAVEPOINT = 643,
    SCHEMA = 644,
    SCROLL = 645,
    SEARCH = 646,
    SECOND_P = 647,
    SECURITY = 648,
    SELECT = 649,
    SEQUENCE = 650,
    SEQUENCES = 651,
    SERIALIZABLE = 652,
    SERVER = 653,
    SESSION = 654,
    SESSION_USER = 655,
    SET = 656,
    SETOF = 657,
    SHARE = 658,
    SHOW = 659,
    SIMILAR = 660,
    SIMPLE = 661,
    SMALLINT = 662,
    SNAPSHOT = 663,
    SOME = 664,
    STABLE = 665,
    STANDALONE_P = 666,
    START = 667,
    STATEMENT = 668,
    STATISTICS = 669,
    STDIN = 670,
    STDOUT = 671,
    STORAGE = 672,
    STRICT_P = 673,
    STRIP_P = 674,
    SUBSTRING = 675,
    SYMMETRIC = 676,
    SYSID = 677,
    SYSTEM_P = 678,
    TABLE = 679,
    TABLES = 680,
    TABLESPACE = 681,
    TEMP = 682,
    TEMPLATE = 683,
    TEMPORARY = 684,
    TEXT_P = 685,
    THEN = 686,
    TIME = 687,
    TIMESTAMP = 688,
    TO = 689,
    TRAILING = 690,
    TRANSACTION = 691,
    TREAT = 692,
    TRIGGER = 693,
    TRIM = 694,
    TRUE_P = 695,
    TRUNCATE = 696,
    TRUSTED = 697,
    TYPE_P = 698,
    TYPES_P = 699,
    UNBOUNDED = 700,
    UNCOMMITTED = 701,
    UNENCRYPTED = 702,
    UNION = 703,
    UNIQUE = 704,
    UNKNOWN = 705,
    UNLISTEN = 706,
    UNLOGGED = 707,
    UNTIL = 708,
    UPDATE = 709,
    USER = 710,
    USING = 711,
    VACUUM = 712,
    VALID = 713,
    VALIDATE = 714,
    VALIDATOR = 715,
    VALUE_P = 716,
    VALUES = 717,
    VARCHAR = 718,
    VARIADIC = 719,
    VARYING = 720,
    VERBOSE = 721,
    VERSION_P = 722,
    VIEW = 723,
    VOLATILE = 724,
    WHEN = 725,
    WHERE = 726,
    WHITESPACE_P = 727,
    WINDOW = 728,
    WITH = 729,
    WITHOUT = 730,
    WORK = 731,
    WRAPPER = 732,
    WRITE = 733,
    XML_P = 734,
    XMLATTRIBUTES = 735,
    XMLCONCAT = 736,
    XMLELEMENT = 737,
    XMLEXISTS = 738,
    XMLFOREST = 739,
    XMLPARSE = 740,
    XMLPI = 741,
    XMLROOT = 742,
    XMLSERIALIZE = 743,
    YEAR_P = 744,
    YES_P = 745,
    ZONE = 746,
    NULLS_FIRST = 747,
    NULLS_LAST = 748,
    WITH_TIME = 749,
    POSTFIXOP = 750,
    UMINUS = 751
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{
#line 564 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;

#line 1182 "preproc.c" /* yacc.c:355  */
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1211 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   109094

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  516
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  700
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2795
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  5113

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   751

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   503,     2,     2,
     508,   509,   501,   499,   511,   500,   510,   502,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   513,   512,
     496,   495,   497,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   506,     2,   507,   504,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   514,     2,   515,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     498,   505
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1478,  1478,  1481,  1483,  1485,  1487,  1489,  1491,  1493,
    1495,  1497,  1499,  1501,  1503,  1505,  1507,  1509,  1511,  1513,
    1515,  1517,  1519,  1521,  1523,  1525,  1527,  1529,  1531,  1533,
    1535,  1553,  1555,  1557,  1559,  1561,  1563,  1565,  1567,  1569,
    1571,  1573,  1575,  1577,  1579,  1581,  1583,  1585,  1587,  1589,
    1591,  1593,  1595,  1597,  1599,  1601,  1603,  1605,  1607,  1609,
    1611,  1613,  1617,  1619,  1621,  1623,  1625,  1627,  1629,  1631,
    1633,  1635,  1637,  1639,  1641,  1643,  1645,  1647,  1649,  1651,
    1653,  1655,  1657,  1659,  1661,  1663,  1665,  1667,  1669,  1671,
    1673,  1675,  1677,  1679,  1681,  1683,  1685,  1692,  1694,  1696,
    1698,  1700,  1702,  1704,  1706,  1708,  1710,  1712,  1714,  1720,
    1722,  1724,  1726,  1728,  1730,  1732,  1734,  1736,  1742,  1752,
    1756,  1762,  1766,  1776,  1786,  1787,  1801,  1808,  1814,  1825,
    1831,  1840,  1847,  1853,  1862,  1869,  1877,  1882,  1890,  1895,
    1901,  1906,  1912,  1917,  1923,  1927,  1931,  1935,  1939,  1943,
    1947,  1951,  1955,  1963,  1967,  1971,  1975,  1979,  1983,  1991,
    1999,  2008,  2010,  2018,  2022,  2030,  2038,  2042,  2050,  2054,
    2062,  2066,  2074,  2082,  2090,  2094,  2102,  2106,  2114,  2118,
    2122,  2127,  2136,  2141,  2147,  2152,  2158,  2162,  2166,  2170,
    2174,  2178,  2186,  2190,  2194,  2202,  2206,  2210,  2218,  2222,
    2226,  2230,  2234,  2238,  2242,  2247,  2251,  2255,  2259,  2263,
    2267,  2271,  2279,  2283,  2291,  2295,  2303,  2307,  2321,  2325,
    2329,  2333,  2341,  2345,  2349,  2353,  2361,  2365,  2369,  2373,
    2377,  2381,  2385,  2393,  2397,  2402,  2408,  2412,  2420,  2424,
    2428,  2432,  2436,  2444,  2448,  2456,  2460,  2468,  2472,  2476,
    2480,  2484,  2493,  2501,  2505,  2513,  2517,  2525,  2533,  2537,
    2541,  2545,  2553,  2557,  2561,  2565,  2569,  2573,  2577,  2581,
    2585,  2589,  2597,  2601,  2609,  2613,  2617,  2621,  2625,  2629,
    2633,  2637,  2641,  2645,  2649,  2653,  2657,  2661,  2665,  2669,
    2673,  2677,  2681,  2685,  2689,  2693,  2697,  2701,  2705,  2709,
    2713,  2717,  2721,  2725,  2729,  2733,  2737,  2741,  2745,  2749,
    2753,  2757,  2761,  2765,  2769,  2773,  2781,  2785,  2793,  2797,
    2802,  2808,  2813,  2819,  2824,  2830,  2838,  2843,  2849,  2853,
    2861,  2865,  2869,  2873,  2881,  2889,  2893,  2901,  2905,  2909,
    2913,  2921,  2926,  2934,  2942,  2950,  2954,  2962,  2967,  2973,
    2977,  2981,  2989,  2993,  3001,  3006,  3012,  3016,  3020,  3024,
    3028,  3032,  3036,  3040,  3044,  3048,  3052,  3056,  3060,  3068,
    3073,  3079,  3084,  3090,  3095,  3101,  3106,  3112,  3116,  3124,
    3132,  3136,  3140,  3144,  3149,  3155,  3159,  3167,  3175,  3179,
    3183,  3187,  3195,  3199,  3203,  3207,  3211,  3215,  3219,  3224,
    3230,  3235,  3241,  3246,  3252,  3256,  3264,  3268,  3276,  3280,
    3284,  3292,  3296,  3304,  3312,  3320,  3325,  3331,  3335,  3339,
    3343,  3351,  3355,  3359,  3363,  3367,  3371,  3375,  3383,  3387,
    3391,  3395,  3403,  3411,  3415,  3420,  3426,  3430,  3434,  3438,
    3442,  3446,  3454,  3458,  3466,  3470,  3474,  3478,  3482,  3486,
    3490,  3498,  3503,  3509,  3514,  3520,  3524,  3532,  3540,  3544,
    3549,  3554,  3560,  3564,  3572,  3576,  3584,  3589,  3595,  3599,
    3603,  3607,  3612,  3618,  3626,  3634,  3638,  3642,  3646,  3650,
    3658,  3663,  3669,  3673,  3677,  3682,  3688,  3692,  3696,  3701,
    3707,  3712,  3718,  3723,  3729,  3737,  3745,  3749,  3754,  3760,
    3768,  3776,  3781,  3787,  3795,  3803,  3807,  3815,  3820,  3826,
    3830,  3838,  3842,  3846,  3850,  3854,  3858,  3862,  3866,  3870,
    3874,  3878,  3882,  3890,  3895,  3901,  3905,  3909,  3913,  3921,
    3925,  3933,  3937,  3945,  3950,  3956,  3960,  3968,  3973,  3979,
    3983,  3991,  3996,  4002,  4006,  4014,  4019,  4025,  4033,  4038,
    4044,  4048,  4056,  4060,  4068,  4073,  4079,  4083,  4087,  4095,
    4103,  4108,  4114,  4122,  4126,  4130,  4134,  4138,  4142,  4146,
    4150,  4154,  4158,  4162,  4166,  4170,  4174,  4178,  4182,  4186,
    4190,  4194,  4198,  4202,  4206,  4210,  4214,  4222,  4230,  4234,
    4238,  4242,  4250,  4254,  4262,  4267,  4273,  4277,  4285,  4289,
    4297,  4302,  4308,  4312,  4320,  4328,  4332,  4340,  4344,  4348,
    4352,  4360,  4368,  4376,  4384,  4392,  4397,  4403,  4407,  4415,
    4420,  4426,  4430,  4438,  4442,  4446,  4454,  4458,  4466,  4470,
    4478,  4486,  4490,  4494,  4502,  4506,  4514,  4522,  4526,  4534,
    4538,  4542,  4550,  4554,  4562,  4566,  4570,  4574,  4578,  4586,
    4591,  4597,  4602,  4608,  4612,  4620,  4625,  4631,  4635,  4640,
    4646,  4650,  4654,  4658,  4666,  4671,  4678,  4680,  4688,  4692,
    4696,  4700,  4704,  4708,  4716,  4720,  4728,  4732,  4740,  4744,
    4752,  4760,  4764,  4772,  4780,  4784,  4788,  4792,  4800,  4809,
    4818,  4822,  4826,  4830,  4834,  4838,  4842,  4846,  4850,  4854,
    4858,  4862,  4866,  4870,  4878,  4886,  4890,  4898,  4902,  4910,
    4914,  4918,  4922,  4926,  4934,  4938,  4946,  4954,  4958,  4966,
    4974,  4979,  4985,  4989,  4997,  5001,  5005,  5013,  5018,  5024,
    5032,  5036,  5044,  5048,  5052,  5056,  5060,  5068,  5073,  5079,
    5084,  5090,  5094,  5099,  5105,  5111,  5117,  5125,  5129,  5137,
    5141,  5149,  5153,  5161,  5165,  5173,  5177,  5185,  5193,  5201,
    5205,  5209,  5213,  5221,  5225,  5229,  5233,  5237,  5241,  5245,
    5249,  5253,  5257,  5261,  5265,  5269,  5273,  5277,  5281,  5285,
    5293,  5297,  5305,  5309,  5317,  5321,  5329,  5337,  5341,  5346,
    5352,  5356,  5360,  5364,  5368,  5372,  5376,  5380,  5384,  5388,
    5392,  5396,  5400,  5408,  5412,  5416,  5420,  5424,  5428,  5432,
    5436,  5440,  5444,  5448,  5452,  5456,  5460,  5464,  5468,  5472,
    5476,  5480,  5484,  5488,  5492,  5496,  5504,  5508,  5516,  5520,
    5524,  5528,  5532,  5540,  5545,  5551,  5555,  5559,  5563,  5567,
    5571,  5575,  5579,  5583,  5587,  5591,  5595,  5599,  5607,  5611,
    5619,  5623,  5627,  5631,  5637,  5643,  5649,  5655,  5661,  5667,
    5673,  5683,  5694,  5705,  5716,  5727,  5738,  5749,  5765,  5781,
    5797,  5808,  5824,  5835,  5851,  5866,  5870,  5878,  5883,  5889,
    5897,  5901,  5909,  5913,  5917,  5921,  5925,  5933,  5937,  5945,
    5949,  5953,  5957,  5965,  5969,  5973,  5977,  5981,  5985,  5989,
    5993,  5997,  6001,  6005,  6009,  6013,  6017,  6021,  6025,  6033,
    6037,  6045,  6049,  6057,  6062,  6068,  6072,  6080,  6088,  6096,
    6100,  6108,  6113,  6119,  6124,  6130,  6138,  6143,  6149,  6153,
    6157,  6165,  6169,  6173,  6181,  6185,  6189,  6193,  6201,  6209,
    6214,  6220,  6225,  6231,  6236,  6242,  6247,  6253,  6257,  6265,
    6269,  6273,  6281,  6286,  6292,  6296,  6301,  6307,  6311,  6316,
    6322,  6326,  6331,  6337,  6341,  6345,  6353,  6358,  6364,  6368,
    6376,  6380,  6388,  6392,  6400,  6404,  6412,  6416,  6420,  6424,
    6428,  6436,  6440,  6444,  6448,  6452,  6460,  6468,  6476,  6480,
    6484,  6492,  6496,  6500,  6508,  6512,  6520,  6524,  6528,  6532,
    6536,  6540,  6544,  6548,  6552,  6556,  6560,  6564,  6568,  6572,
    6576,  6584,  6588,  6592,  6596,  6604,  6608,  6616,  6621,  6627,
    6635,  6639,  6647,  6655,  6659,  6667,  6672,  6678,  6682,  6690,
    6694,  6702,  6706,  6714,  6718,  6722,  6726,  6734,  6738,  6746,
    6754,  6758,  6766,  6770,  6778,  6782,  6786,  6794,  6798,  6803,
    6809,  6817,  6822,  6828,  6832,  6836,  6844,  6848,  6856,  6861,
    6867,  6871,  6875,  6879,  6883,  6887,  6891,  6895,  6899,  6903,
    6907,  6911,  6915,  6919,  6923,  6927,  6931,  6935,  6939,  6943,
    6947,  6951,  6955,  6959,  6963,  6967,  6971,  6975,  6979,  6983,
    6987,  6991,  6995,  6999,  7003,  7007,  7011,  7015,  7019,  7023,
    7027,  7031,  7035,  7039,  7043,  7047,  7051,  7059,  7064,  7070,
    7075,  7081,  7085,  7089,  7093,  7097,  7101,  7105,  7109,  7113,
    7117,  7121,  7125,  7129,  7133,  7137,  7141,  7145,  7149,  7153,
    7157,  7161,  7165,  7169,  7173,  7181,  7185,  7189,  7193,  7197,
    7201,  7205,  7209,  7213,  7217,  7221,  7225,  7229,  7233,  7237,
    7241,  7245,  7249,  7253,  7261,  7269,  7273,  7277,  7285,  7289,
    7297,  7301,  7305,  7309,  7313,  7321,  7326,  7332,  7336,  7340,
    7344,  7352,  7356,  7361,  7367,  7371,  7379,  7387,  7392,  7398,
    7406,  7410,  7418,  7422,  7426,  7430,  7434,  7438,  7442,  7446,
    7450,  7454,  7458,  7462,  7466,  7470,  7478,  7482,  7487,  7493,
    7497,  7501,  7505,  7509,  7517,  7521,  7525,  7533,  7538,  7544,
    7548,  7552,  7556,  7564,  7569,  7574,  7580,  7586,  7594,  7602,
    7607,  7613,  7617,  7621,  7625,  7629,  7633,  7637,  7641,  7645,
    7649,  7653,  7657,  7661,  7665,  7669,  7673,  7681,  7686,  7692,
    7696,  7704,  7712,  7717,  7723,  7731,  7735,  7743,  7751,  7755,
    7759,  7763,  7767,  7771,  7775,  7783,  7788,  7794,  7802,  7806,
    7810,  7814,  7818,  7822,  7830,  7838,  7842,  7846,  7854,  7859,
    7865,  7869,  7873,  7877,  7881,  7889,  7893,  7901,  7905,  7909,
    7913,  7921,  7925,  7933,  7937,  7945,  7950,  7956,  7961,  7967,
    7972,  7978,  7983,  7989,  7993,  7997,  8001,  8009,  8013,  8017,
    8021,  8025,  8029,  8033,  8037,  8041,  8049,  8053,  8061,  8069,
    8073,  8081,  8085,  8090,  8096,  8102,  8112,  8117,  8123,  8127,
    8131,  8135,  8143,  8145,  8153,  8158,  8164,  8172,  8176,  8180,
    8188,  8192,  8200,  8208,  8213,  8219,  8227,  8232,  8238,  8246,
    8251,  8257,  8261,  8265,  8269,  8273,  8277,  8281,  8285,  8293,
    8298,  8304,  8312,  8316,  8324,  8328,  8336,  8344,  8352,  8360,
    8364,  8372,  8425,  8429,  8442,  8444,  8448,  8452,  8456,  8465,
    8471,  8475,  8483,  8487,  8495,  8499,  8507,  8511,  8515,  8519,
    8523,  8527,  8531,  8535,  8543,  8547,  8555,  8559,  8563,  8567,
    8571,  8575,  8583,  8587,  8595,  8599,  8607,  8615,  8620,  8626,
    8631,  8633,  8639,  8643,  8647,  8651,  8655,  8659,  8663,  8667,
    8671,  8679,  8684,  8690,  8694,  8699,  8705,  8709,  8713,  8718,
    8724,  8729,  8735,  8743,  8747,  8755,  8759,  8767,  8771,  8775,
    8779,  8787,  8792,  8798,  8802,  8807,  8815,  8819,  8827,  8831,
    8839,  8847,  8851,  8856,  8862,  8870,  8874,  8882,  8886,  8894,
    8899,  8905,  8910,  8916,  8920,  8928,  8933,  8939,  8943,  8951,
    8959,  8963,  8967,  8971,  8979,  8984,  8990,  8994,  9002,  9007,
    9013,  9017,  9025,  9029,  9033,  9037,  9044,  9051,  9055,  9063,
    9067,  9071,  9075,  9079,  9083,  9091,  9095,  9099,  9103,  9111,
    9116,  9122,  9126,  9130,  9134,  9139,  9145,  9149,  9153,  9157,
    9165,  9170,  9176,  9180,  9188,  9192,  9196,  9200,  9208,  9212,
    9220,  9224,  9228,  9236,  9244,  9249,  9255,  9259,  9265,  9271,
    9276,  9282,  9286,  9294,  9302,  9304,  9306,  9310,  9314,  9318,
    9326,  9336,  9347,  9356,  9360,  9364,  9368,  9372,  9376,  9380,
    9388,  9392,  9396,  9400,  9408,  9412,  9420,  9425,  9431,  9435,
    9439,  9443,  9447,  9451,  9455,  9459,  9463,  9467,  9471,  9479,
    9484,  9490,  9494,  9502,  9506,  9514,  9522,  9530,  9534,  9542,
    9546,  9554,  9562,  9570,  9574,  9578,  9582,  9586,  9590,  9598,
    9603,  9609,  9614,  9620,  9624,  9628,  9632,  9640,  9648,  9652,
    9657,  9663,  9667,  9671,  9675,  9679,  9683,  9687,  9691,  9695,
    9699,  9703,  9707,  9711,  9716,  9722,  9726,  9734,  9738,  9742,
    9746,  9750,  9754,  9758,  9762,  9766,  9770,  9774,  9778,  9782,
    9786,  9790,  9794,  9798,  9802,  9806,  9810,  9814,  9818,  9822,
    9826,  9830,  9834,  9838,  9842,  9846,  9850,  9854,  9858,  9862,
    9866,  9870,  9874,  9878,  9882,  9886,  9890,  9894,  9898,  9902,
    9906,  9910,  9914,  9918,  9922,  9926,  9930,  9934,  9938,  9942,
    9946,  9950,  9954,  9958,  9963,  9967,  9975,  9979,  9983,  9987,
    9991,  9995,  9999, 10003, 10007, 10011, 10015, 10019, 10023, 10027,
   10031, 10035, 10039, 10043, 10047, 10051, 10055, 10059, 10067, 10071,
   10075, 10079, 10083, 10087, 10091, 10095, 10099, 10103, 10107, 10111,
   10119, 10123, 10127, 10131, 10135, 10139, 10143, 10147, 10151, 10155,
   10159, 10163, 10167, 10171, 10175, 10179, 10183, 10187, 10191, 10195,
   10199, 10203, 10207, 10211, 10215, 10219, 10223, 10227, 10231, 10235,
   10239, 10243, 10247, 10251, 10255, 10259, 10263, 10267, 10271, 10275,
   10279, 10283, 10287, 10291, 10295, 10299, 10303, 10307, 10311, 10315,
   10323, 10327, 10335, 10339, 10343, 10348, 10354, 10362, 10366, 10374,
   10378, 10386, 10390, 10398, 10402, 10407, 10413, 10417, 10421, 10425,
   10433, 10438, 10444, 10448, 10456, 10464, 10468, 10473, 10479, 10487,
   10491, 10498, 10503, 10509, 10514, 10519, 10525, 10529, 10537, 10541,
   10545, 10549, 10553, 10561, 10565, 10569, 10577, 10581, 10585, 10593,
   10597, 10605, 10609, 10613, 10617, 10621, 10625, 10629, 10633, 10637,
   10645, 10649, 10657, 10661, 10669, 10673, 10677, 10681, 10685, 10689,
   10697, 10701, 10709, 10713, 10721, 10725, 10733, 10737, 10745, 10749,
   10753, 10761, 10765, 10773, 10778, 10784, 10788, 10792, 10796, 10800,
   10804, 10808, 10812, 10820, 10824, 10832, 10840, 10845, 10851, 10855,
   10859, 10863, 10867, 10872, 10878, 10886, 10894, 10898, 10902, 10910,
   10914, 10922, 10930, 10934, 10942, 10950, 10955, 10961, 10966, 10972,
   10976, 10984, 10988, 10992, 10996, 11004, 11008, 11017, 11019, 11027,
   11032, 11038, 11042, 11050, 11054, 11062, 11070, 11074, 11082, 11086,
   11090, 11094, 11102, 11106, 11114, 11118, 11126, 11130, 11138, 11146,
   11154, 11162, 11170, 11178, 11186, 11190, 11198, 11202, 11206, 11210,
   11214, 11218, 11222, 11226, 11230, 11234, 11238, 11242, 11246, 11250,
   11251, 11256, 11262, 11270, 11274, 11282, 11286, 11287, 11291, 11299,
   11303, 11307, 11311, 11319, 11323, 11327, 11331, 11335, 11339, 11343,
   11347, 11351, 11355, 11359, 11363, 11367, 11371, 11375, 11379, 11383,
   11387, 11391, 11395, 11399, 11403, 11407, 11411, 11415, 11419, 11423,
   11427, 11431, 11435, 11439, 11443, 11447, 11451, 11455, 11459, 11463,
   11467, 11471, 11475, 11479, 11483, 11487, 11491, 11495, 11499, 11503,
   11507, 11511, 11515, 11519, 11523, 11527, 11531, 11535, 11539, 11543,
   11547, 11551, 11555, 11559, 11563, 11567, 11571, 11575, 11579, 11583,
   11587, 11591, 11595, 11599, 11603, 11607, 11611, 11615, 11619, 11623,
   11627, 11631, 11635, 11639, 11643, 11647, 11651, 11655, 11659, 11663,
   11667, 11671, 11675, 11679, 11683, 11687, 11691, 11695, 11699, 11703,
   11707, 11711, 11715, 11719, 11723, 11727, 11731, 11735, 11739, 11743,
   11747, 11751, 11755, 11759, 11763, 11767, 11771, 11775, 11779, 11783,
   11787, 11791, 11795, 11799, 11803, 11807, 11811, 11815, 11819, 11823,
   11827, 11831, 11835, 11839, 11843, 11847, 11851, 11855, 11859, 11863,
   11867, 11871, 11875, 11879, 11883, 11887, 11891, 11895, 11899, 11903,
   11907, 11911, 11915, 11919, 11923, 11927, 11931, 11935, 11939, 11943,
   11947, 11951, 11955, 11959, 11963, 11967, 11971, 11975, 11979, 11983,
   11987, 11991, 11995, 11999, 12003, 12007, 12011, 12015, 12019, 12023,
   12027, 12031, 12035, 12039, 12043, 12047, 12051, 12055, 12059, 12063,
   12067, 12071, 12075, 12079, 12083, 12087, 12091, 12095, 12099, 12103,
   12107, 12111, 12115, 12119, 12123, 12127, 12131, 12135, 12139, 12143,
   12147, 12151, 12155, 12159, 12163, 12167, 12171, 12175, 12179, 12183,
   12187, 12191, 12195, 12199, 12203, 12207, 12211, 12215, 12219, 12223,
   12227, 12231, 12235, 12239, 12243, 12247, 12251, 12255, 12259, 12263,
   12267, 12271, 12275, 12279, 12283, 12287, 12291, 12295, 12303, 12307,
   12311, 12315, 12319, 12323, 12327, 12331, 12335, 12339, 12343, 12347,
   12351, 12355, 12359, 12363, 12367, 12371, 12375, 12379, 12383, 12387,
   12391, 12395, 12399, 12403, 12407, 12411, 12415, 12419, 12423, 12427,
   12431, 12435, 12439, 12443, 12447, 12451, 12455, 12459, 12463, 12467,
   12471, 12475, 12483, 12487, 12491, 12495, 12499, 12503, 12507, 12511,
   12515, 12519, 12523, 12527, 12531, 12535, 12539, 12543, 12547, 12551,
   12555, 12559, 12563, 12567, 12571, 12579, 12583, 12587, 12591, 12595,
   12599, 12603, 12607, 12611, 12615, 12619, 12623, 12627, 12631, 12635,
   12639, 12643, 12647, 12651, 12655, 12659, 12663, 12667, 12671, 12675,
   12679, 12683, 12687, 12691, 12695, 12699, 12703, 12707, 12711, 12715,
   12719, 12723, 12727, 12731, 12735, 12739, 12743, 12747, 12751, 12755,
   12759, 12763, 12767, 12771, 12775, 12779, 12783, 12787, 12791, 12795,
   12799, 12803, 12807, 12811, 12815, 12819, 12823, 12827, 12831, 12835,
   12839, 12843, 12847, 12851, 12855, 12859, 12863, 12867, 12871, 12875,
   12885, 12886, 12889, 12890, 12891, 12897, 12898, 12899, 12900, 12901,
   12914, 12914, 12923, 12938, 12940, 12943, 12945, 12949, 12961, 12977,
   12981, 12992, 12993, 12996, 13008, 13017, 13018, 13021, 13022, 13023,
   13026, 13027, 13030, 13031, 13034, 13035, 13038, 13040, 13042, 13044,
   13048, 13055, 13062, 13078, 13112, 13122, 13125, 13129, 13142, 13143,
   13145, 13147, 13151, 13165, 13172, 13233, 13242, 13244, 13245, 13248,
   13250, 13251, 13254, 13255, 13256, 13257, 13258, 13265, 13264, 13274,
   13276, 13278, 13279, 13282, 13283, 13284, 13285, 13288, 13289, 13293,
   13292, 13309, 13307, 13323, 13322, 13336, 13342, 13343, 13346, 13348,
   13349, 13352, 13353, 13354, 13355, 13358, 13359, 13362, 13370, 13387,
   13395, 13418, 13524, 13558, 13560, 13562, 13566, 13570, 13569, 13620,
   13622, 13621, 13636, 13642, 13649, 13654, 13660, 13661, 13664, 13665,
   13666, 13667, 13668, 13669, 13670, 13678, 13686, 13689, 13690, 13691,
   13692, 13693, 13694, 13702, 13710, 13711, 13712, 13715, 13716, 13719,
   13721, 13730, 13818, 13819, 13826, 13827, 13828, 13834, 13843, 13846,
   13847, 13848, 13849, 13852, 13853, 13854, 13857, 13859, 13867, 13868,
   13874, 13882, 13883, 13886, 13887, 13890, 13895, 13902, 13907, 13914,
   13921, 13921, 13923, 13930, 13931, 13934, 13935, 13936, 13937, 13938,
   13939, 13940, 13941, 13942, 13948, 13955, 13967, 13973, 13980, 13988,
   13989, 14001, 14012, 14023, 14027, 14028, 14031, 14036, 14040, 14041,
   14044, 14050, 14058, 14064, 14071, 14075, 14076, 14079, 14082, 14086,
   14087, 14090, 14096, 14105, 14110, 14120, 14130, 14142, 14143, 14144,
   14145, 14146, 14147, 14148, 14149, 14150, 14151, 14152, 14153, 14154,
   14155, 14156, 14163, 14164, 14167, 14168, 14175, 14176, 14177, 14184,
   14183, 14200, 14201, 14208, 14207, 14277, 14283, 14289, 14297, 14303,
   14309, 14315, 14321, 14327, 14333, 14339, 14345, 14356, 14357, 14360,
   14361, 14362, 14363, 14364, 14365, 14366, 14367, 14368, 14369, 14370,
   14371, 14372, 14373, 14374, 14375, 14376, 14377, 14378, 14379, 14380,
   14381, 14382, 14383, 14386, 14387, 14388, 14389, 14390, 14391, 14395,
   14396, 14397, 14398, 14399, 14400, 14401, 14404, 14407, 14408, 14409,
   14410, 14411, 14412, 14413, 14414, 14427, 14428, 14429, 14430, 14431,
   14432, 14433, 14438, 14439, 14440, 14441, 14442, 14443, 14449, 14450,
   14451, 14452, 14453, 14454, 14455, 14456, 14457, 14458, 14459, 14462,
   14463, 14464, 14465, 14466, 14469, 14470, 14471, 14472, 14475, 14476,
   14477, 14478, 14479, 14480, 14481, 14498, 14499, 14500, 14503, 14504,
   14505, 14506, 14507, 14508, 14512, 14512, 14515, 14521, 14522, 14525,
   14527, 14532, 14542, 14553, 14560, 14561, 14562, 14565, 14598, 14600,
   14602, 14605, 14615, 14625, 14635, 14636, 14639, 14641, 14642, 14643,
   14646, 14648, 14656, 14657, 14658, 14662, 14663, 14667, 14668, 14671,
   14672, 14675, 14676, 14677, 14678, 14679, 14682, 14683, 14684, 14685,
   14686, 14687, 14688, 14689, 14690, 14691, 14692, 14693, 14694, 14695,
   14696, 14697, 14698, 14699, 14700, 14701, 14702, 14703, 14704, 14705,
   14706, 14707, 14708, 14709, 14710, 14711, 14712, 14713, 14714, 14715,
   14716, 14717, 14718, 14719, 14720, 14721, 14722, 14723, 14724, 14725,
   14726, 14727, 14728, 14729, 14730, 14731, 14732, 14733, 14734, 14735,
   14736, 14737, 14740, 14741, 14742, 14743, 14746, 14747, 14748, 14749,
   14750, 14751, 14752, 14753, 14754, 14757, 14758, 14759, 14760, 14761,
   14764, 14765, 14768, 14769, 14780, 14781
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR", "FORCE",
  "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS",
  "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P", "HANDLER", "HAVING",
  "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE",
  "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX",
  "INDEXES", "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P",
  "INOUT", "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P",
  "INTEGER", "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL",
  "ISOLATION", "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P",
  "LATERAL_P", "LC_COLLATE_P", "LC_CTYPE_P", "LEADING", "LEAKPROOF",
  "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL",
  "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "MAPPING", "MATCH",
  "MATERIALIZED", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P",
  "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO",
  "NONE", "NOT", "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P",
  "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET",
  "OIDS", "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "OUT_P", "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE",
  "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROGRAM", "QUOTE", "RANGE", "READ", "REAL", "REASSIGN", "RECHECK",
  "RECURSIVE", "REF", "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE",
  "ROLLBACK", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME",
  "STABLE", "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN",
  "STDOUT", "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC",
  "SYSID", "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "TYPES_P", "UNBOUNDED", "UNCOMMITTED",
  "UNENCRYPTED", "UNION", "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED",
  "UNTIL", "UPDATE", "USER", "USING", "VACUUM", "VALID", "VALIDATE",
  "VALIDATOR", "VALUE_P", "VALUES", "VARCHAR", "VARIADIC", "VARYING",
  "VERBOSE", "VERSION_P", "VIEW", "VOLATILE", "WHEN", "WHERE",
  "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT", "WORK", "WRAPPER", "WRITE",
  "XML_P", "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS",
  "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P",
  "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_TIME", "'='", "'<'",
  "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "AlterUserStmt", "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt",
  "CreateGroupStmt", "AlterGroupStmt", "add_drop", "DropGroupStmt",
  "CreateSchemaStmt", "OptSchemaName", "OptSchemaEltList", "schema_stmt",
  "VariableSetStmt", "set_rest", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "SetResetClause", "FunctionSetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "opt_oids",
  "copy_delimiter", "opt_using", "copy_generic_opt_list",
  "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default",
  "createfunc_opt_list", "common_func_opt_item", "createfunc_opt_item",
  "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "RoleId", "role_list", "SignedIconst", "NonReservedWord",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "statements", "statement", "CreateAsStmt", "$@1",
  "at", "ECPGConnect", "connection_target", "opt_database_name",
  "db_prefix", "server", "opt_server", "server_name", "opt_port",
  "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGCursorStmt", "ECPGExecuteImmediateStmt",
  "ECPGVarDeclaration", "single_vt_declaration", "precision", "opt_scale",
  "ecpg_interval", "ECPGDeclaration", "$@2", "sql_startdeclare",
  "sql_enddeclare", "var_type_declarations", "vt_declarations",
  "variable_declarations", "type_declaration", "$@3", "var_declaration",
  "$@4", "$@5", "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,    61,    60,    62,   750,    43,
      45,    42,    47,    37,    94,   751,    91,    93,    40,    41,
      46,    44,    59,    58,   123,   125
};
# endif

#define YYPACT_NINF -4436

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-4436)))

#define YYTABLE_NINF -2637

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2637)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -4436,   342, 20163, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, 25815, -4436,
   -4436, -4436, -4436, -4436, 97860,   694, -4436, -4436, -4436,102748,
   -4436, -4436, -4436,   510, 66270, -4436, 69186,   904, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, 72588, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, 55566,  1138, -4436,
     430, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  1264, 10235,
   -4436, -4436, 69672, -4436,   358, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, 70158,   538, -4436, -4436,   971,  1363, -4436,   103,
   13721, -4436, -4436, 62868, 67242, -4436, -4436, 73074,   166,  1884,
   12529,  1264, 25326, 73560, -4436,  1448, -4436, 52122, -4436, -4436,
   -4436, 66756, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, 80364,  2472,   629, 52617, -4436, -4436,
   -4436, -4436, 80364, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, 74046, -4436,   873,  1080,   757, 80850, 81336,
   64326, -4436,  1618, -4436, 80364,  1206,   720, 54592, -4436, 81822,
   -4436, -4436,  1054, -4436, 74532, -4436, -4436, -4436, -4436,   629,
   -4436, 55566, 51148,    61,  1036, -4436, -4436, 82308, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436,  1696,  1082, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436,   538, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436,   736, -4436,   804,   783,  1133,   619,  1237, -4436,
   -4436, -4436,  9021, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   99309,  1961, -4436, -4436, -4436,  1301, -4436,  1371, -4436, -4436,
   -4436,  1541, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  1560,
   -4436, -4436, -4436, -4436,  1926, 98343, 72588, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, 62382, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
     168, -4436, -4436, -4436, -4436, -4436, 72588, 72588, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, 72588,  1517, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436,   796,  1742, -4436, -4436,
   55566,  2266,  2266,  2005, 99309, -4436, -4436, -4436, 56540, 80364,
   80364, 80364,  1692, 80364,  1633, 80364,   322, 56540,106931, 82794,
    1760,  1649, 46680, -4436,105677, 80364, 80364, 83280, 80364, 75018,
   80364,  1756, 80364, 80364,106095, 83766,  1858, -4436,  2236,   918,
   -4436, -4436, -4436, 80364,  9698,  2472, -4436, -4436, 80364,  1862,
   56540, 80364,  1817, 80364,  1898, 80364, -4436, 80364,  1907, 84252,
     343,  1885,106931,  1912, 47179,  1987,106931, 84738, 80364, 80364,
   -4436, -4436,  1960, 80364, 80364, -4436,  2075,107349,    12,  2080,
    2224,  2134,   758, -4436, -4436,  2309,  1904, -4436, -4436,  2364,
   72588, -4436, 70644, -4436, -4436, -4436,  2278, -4436, -4436, -4436,
   -4436, -4436,104005,  1884, -4436, -4436, 57027, 80364,  2189, -4436,
   -4436, 85224, -4436,  2007, -4436,   347, 57514,107767,  2304,  1993,
   47678,  2344,108185, 85710, -4436, -4436, 86196, -4436, 86682,  2085,
   87168, -4436,108603, -4436,  2207, 87654, -4436, 21261, -4436,  1978,
    2116,  1991,  1482, 72588, 72588,  1322,100628, -4436, -4436,   538,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,   153,  1429,
   53112,   822, 53607, -4436, -4436,   969,   977,  1070,   153,  2429,
    2429,   821, 72588, -4436, -4436,  1429, -4436,   639,   -29,  2010,
    2010,  2010,  2212,   988, -4436,  2010, -4436, -4436, -4436, -4436,
   74532, 53112, 53607, -4436,  2019,  2472,    82,  2419,  2097, 80364,
   -4436, 80364, -4436, 80364, 80364, -4436, -4436, -4436,  2455,  2071,
    2311, -4436,  2079, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
    2263,  2274,  2282,   106,  2472,  2178, -4436,  2394, -4436,  2295,
   30780,  1153, 72588,  2472, 54102, 75504, 95430,   186,104005,  2472,
   88140,  2141,   949,  2297, -4436, -4436,   528, -4436,  2529,  2166,
    2398,    15,   918, 44221, -4436,  2176,  1183, 74532, 99792, -4436,
   -4436, -4436, -4436,   190,  2460, 31284, -4436, 80364,  2171, -4436,
    2184,  2196,  2203,  1133, -4436, 80364,  1117,  1117,  2574,  1117,
    1595,  1829, -4436,  1850, -4436,  2492,  2463, 74532,  1036,  1264,
    2234, -4436, -4436, -4436,  2252, -4436,  2243,  2247, -4436,   824,
    2502, -4436, -4436, -4436, -4436,  2336,  2363,  2367,  2376,  2298,
    2382,   235, -4436, -4436, -4436, -4436,  2568, -4436, -4436, -4436,
   -4436, -4436, -4436,  2701,  2697,103169,103169,   830,   865,   133,
     195, -4436, -4436, -4436,  2556, -4436, -4436,  2554, 80364,  2392,
   80364, -4436, -4436, -4436, 88626, -4436, -4436,  2266,  2252,  2319,
   -4436,   273, -4436,  1183, -4436,   348,   384,   433,  1381,  2324,
    1549,  1644, -4436,   126, 80364,  2434,   159,   -43,  2365, 75990,
    7760,  2347,   360,  2633,  4878,   235, 89112, -4436, 80364, 80364,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  2377,
   -4436, -4436,  2358,  2625,  1382,  2572,  1719,  2668,  8489,  1515,
    2681,  5165,  2008,   920,  2575,  1612,  2625,  2686,  1416,  2715,
    5487, 80364,  2418, -4436,  2656,  2761,   475, -4436,   157, -4436,
    2503,  2636,   658, 56540,  2458, -4436, -4436, 80364, -4436, -4436,
   -4436,  2536, -4436,   379, 56540, -4436,  2654,  2508, 48177, -4436,
   80364, -4436, -4436, -4436, -4436, -4436,  2592, 80364, -4436, -4436,
    2721, 80364, -4436,  2010,  2647,  2511,  2887, 59949,   118, 80364,
    2561,  2922, 80364,  2738,  2561,  2577, 89598, -4436, -4436,  2561,
   -4436, -4436, 80364, 80364,  2557,  1963,  2561,  2745,  2957,  2962,
    2635,  2751,  1165,  1158,   111,  2873,  2561,  2629, 80364, 90084,
   80364,  2643, 80364,  2954, 56540, 80364, -4436,  2763, 76476, -4436,
    2603,  2309, -4436, -4436, -4436, -4436, -4436,   644, -4436, -4436,
   -4436, -4436,  2905,  2319,   396,  2914,  2621,  2918, -4436, -4436,
    2662, -4436,  2921,  2347,  2930, -4436,  2638, 90570, -4436, 91056,
   91542,  2931,  2377,106931,  2941,  2638,  2951,  2841,  2956,   396,
    2959, -4436,  1235,  2965,  2858,  2973,  1501,  2638,104423,  2980,
      99, -4436, 14268, 21261, -4436, 26767,  1694, -4436, -4436, -4436,
   -4436, -4436, -4436, 34812,   885,  2775, -4436, -4436, -4436,  -111,
   -4436,101901, -4436,  1322,  1429, -4436, 72588,  1429, 72588,   821,
    1429, 72588,  1429, 72588,   821,  1429, 72588, 72588, 72588,  1429,
   -4436, -4436,  1713,  2051, -4436, -4436, -4436, -4436, -4436, 72588,
    2698, 80364, 80364, -4436, -4436, -4436, 67728,106931, 68214, -4436,
   -4436,   282, 72588, -4436, 72588, -4436,  2472, -4436, -4436,  2116,
   59949,  3105,106931, 80364,  2993,  2993,  2993, -4436, -4436, -4436,
    2942, 80364,  3003,  3010, 67728,106931, -4436, 92028,104005,  2916,
    2749, -4436, -4436, -4436, -4436,  1848,  2666,   409,  2998, 34812,
    2757,   297,   297,  2762,  3050, -4436, -4436, -4436,   456,  2768,
    2769, -4436,   368,   368,  2929,  2772,  2773, -4436,   478,  2774,
   -4436,  3006,   490,  2777,  2779,  2781,  2117,   297, 34812, -4436,
    2782,   368,  2783,  2784,  2785,  3070,  2787, -4436,  3083,  2789,
     312,   376,  2790,  2791, -4436,  2772, -4436,   210,  2797,  2799,
    2802,  2804,  2805,  2806,  2807,  2808, 34812, 34812, -4436, 29772,
    1183,  2472, -4436, -4436, -4436, -4436, -4436, -4436, -4436,    83,
   -4436,   502,  5491, -4436, -4436,  2947, 34812, -4436, -4436,    39,
   -4436,   527, -4436, -4436,  1183, -4436, -4436,  1452, -4436, -4436,
   -4436, -4436,  1782,  1782,   187, -4436, 69672, 69672, -4436, -4436,
    1387,  2809, -4436,  2049, -4436, -4436, -4436, -4436, -4436, -4436,
  103587,  3209, -4436,  1048,  2472,   157,  1625,  3155,101049,101475,
    3052,  3052,  3036, -4436, -4436, 80364, -4436, -4436, 34812, 50174,
   -4436,  1183,    96,  3053, -4436, -4436, -4436,  1880, -4436, -4436,
   -4436,   538, -4436, 11817, -4436,  1902,  2171, 80364, 80364,  3215,
   -4436, -4436,  2184, -4436, -4436,  1133,  1133, 34812,  1133,  1018,
    2060, 31788, 34812,  3101,  3001,  1049,  1536,  3103, -4436,  3005,
    1595,  1829, 74532, 80364, 92514,  2932, -4436, -4436,  2252,  2827,
    1886, -4436, 61896, 98826, 98826,  3069, -4436, -4436,  1659,  1013,
    2944,  3032,  2429,  1347,  1936,  1936, -4436, -4436,  2826, -4436,
    3160, 69672,  2886,103169, -4436, -4436, 80364, -4436, -4436, 76962,
   -4436, -4436, -4436,  1181,  2833, -4436,  2850, 80364,  3332, -4436,
    1936,  1936, -4436, -4436,  2836, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, 99309,  2842, 80364, -4436,  2843,  2844, -4436,
   99792, 50661,  1747,  1183,  2915,  2919,  2969, 55566,  2855,  2920,
    2926,  2977,  2936,  2938, 95916, -4436, -4436, -4436, -4436,  1604,
     730,  1375,  2945,    85,   910,  3223, -4436,  1651,  2989, -4436,
   -4436, -4436,  4962, 80364,  3168,  5517,  3057,   235,  2991, -4436,
   -4436,  3107,  2963,  2964,  3079,   235,  1081, 96402, -4436, -4436,
   -4436, -4436, -4436, -4436,  6425, 28286, -4436,  2970,  2950, 80364,
   63354,  3261,  3082,   -11,  2094,   154, 80364,  3156,  3088, 80364,
    2903,  2978,  2981,  2906,  1653,  3263,  2908, -4436, -4436,  3081,
    3213,  6174,  2974,  2975, 58975,  1327, 48676,  3252,  1553,  2995,
   -4436,  1553, 80364,  2999,  3004, 80364,   235, -4436,  3307,   235,
     235,  1814,  3310,  3009,   172,  1842,  2561,  2908,  2143, -4436,
    3011,  3013,  1916, -4436,  3109, 74532,   130,  1900,  2908,  3014,
    3015,  2906,  2906, 80364, 80364, 80364, 80364, 80364,   122,  3323,
    3330,  3016,   155,  3062,  2943, -4436,  1553,104841,  3019, -4436,
    1553, 80364,  3021,  2102,  2908,  1801, -4436,  1663, -4436, -4436,
   -4436,   918, -4436, 80364, -4436, 80364,  2319, 59949,  3130, -4436,
    2982, -4436,  2347,   235, -4436, 80364, 80364,  2377,  1276,  1294,
    3131, 80364,  3189,  2986, -4436,   917, 50661,  2557, -4436,  2953,
   -4436,  2997, -4436,  2997,  2997,  2955,  2955,  2960, -4436, -4436,
    2117,  2997,  2955, -4436, 60923, -4436,  1773,  1836, -4436,  3356,
    3358, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
    1637, -4436,  1977, -4436, -4436, -4436, 80364, 55566, -4436,  3370,
   -4436, -4436, 59949,  3144,  3259, -4436, 80364,  3161,  2966, -4436,
    3292,  3022, -4436, -4436,  1043, -4436,  3265,106931,   176,  2472,
    3008, 80364,  3186, 80364, 80364, 80364, 80364, -4436, -4436,  3159,
     681,   143, -4436,104841, -4436, 80364,  2143,  3170,  3380,     9,
    2010, 80364,  3267, -4436, 80364,  2983,  3384,  3218, -4436, -4436,
    2984,  2429, -4436,  2603, -4436,  1952, -4436,  3106, -4436, 56540,
     396, -4436, -4436, -4436, -4436, 59949, 80364, 93000, 56540,   396,
  106931,106931,  3283,    99,  3286,  3043,  3288,  3047, 48676,   396,
     180,106931, 80364, 80364, 80364, -4436, 80364, -4436, -4436, -4436,
   -4436, 80364, 80364,106931,104841,  3294,  3295,   396, 80364, 80364,
   -4436, -4436, 22390,  1779, -4436, 21261, -4436, 11817,  2012,  3052,
   -4436,  1517, 80364,  1530,  1322,105259, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, 72588, -4436, 72588,   821, -4436, -4436,
   72588, -4436, 72588,   821, -4436, 72588, -4436, -4436, -4436, 72588,
   80364,  3495,  3000, -4436,  1452, -4436, 80364,  2022, -4436, -4436,
    2062,   812, 80364, 80364,   709, 56540, 80364,  3191, 80364, 80364,
   80364, 80364, 80364,  3076,  2809,  1324, -4436,   318, 74532,  3197,
   -4436, -4436, -4436, -4436, -4436,  2098,  1696,  1068,  3040, -4436,
   -4436, -4436, -4436, -4436, -4436, 68214, 66756,  3289,   222, 80364,
   -4436, -4436,  4101, 34812, 30276, -4436, -4436, -4436,  3017, 11817,
    3046, 34812, -4436, -4436, 34812,  3035,  2429,  2429, 34812, -4436,
   -4436, -4436, -4436,  2426,  2429, -4436, 34812, 34812,  2429,  2429,
    2997,  2997, -4436,  6920, 34812, -4436, 48676, 34812, 36324, 27781,
   34812,  3087,  3031,  2429, -4436,  2429, -4436, 34812, 29268, -4436,
   34812,  3220, 37332, 34812,  1625,  3240, 34812,  1625,  3459,  3459,
    1036,  2136,  5764,  3037,  1183, -4436,  3148,  2429, -4436,  2429,
     750,   197, 59949, 34812, 55566,  3119,   128, 80364, 34812,  3044,
    2135, -4436, 34812,  1221, -4436,  3048, 34812,  3120, 34812, 34812,
   34812, 34812, 34812, 34812, 34812, 34812, 34812, -4436, 38312,   206,
   -4436,   -45,  2708, 68700, 30780,  3329, -4436, 27276, -4436,   242,
   72588, -4436, -4436,  1183, -4436, -4436, -4436, -4436, -4436,  1181,
    3049, -4436,  3066, -4436, -4436, -4436, -4436, -4436, 80364,  3209,
   -4436, -4436,  3132, -4436, -4436, -4436, -4436,   811, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436,  3056, -4436, -4436, -4436,
   -4436,  3056, -4436, -4436,  3052,  3060,  4151, -4436, -4436, -4436,
   -4436,  3328,  3331,   396, 99309, 80364,   190, 71130, -4436, 31284,
   -4436,  2111, -4436,  3063, -4436,  3309, -4436,  3061, -4436,  2694,
    3309, -4436, -4436,   136,  3172,  3305,  3253, -4436, -4436, -4436,
    3071, 11817, -4436,  2063, 11817,  2110, -4436, -4436, -4436, -4436,
   -4436, -4436,   519, -4436, 80364,  3197,  3101,  1536,  3127,   505,
   80364, -4436, 44711,  2084, -4436,  2252, -4436, -4436, 24455, -4436,
   26298, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
    3075, -4436, -4436, -4436, -4436, -4436,   235,  3077,  3551, -4436,
  103169, -4436, -4436, -4436,  3495, -4436,  2364, -4436,  2364,  3578,
   -4436, 72588, -4436, -4436, -4436, -4436,   979, -4436, 21261, -4436,
   21261, -4436,  3084,  2124,  3163,  3164,  3205,106931, 80364, 80364,
   -4436, 55566,106931, 80364, 80364,106931, 80364, 80364, -4436,  3443,
    1103, 66756,  3211, 64812, -4436, -4436,  3093, 80364,  3146,  3333,
    3334,  1256, -4436, -4436, 93486, -4436,  3291,106931, 80364, 80364,
   34812,  3296, 80364, 80364, -4436,   374,  3169,  3171, -4436, 80364,
    3177, 56540,  3104, 80364, 80364, 80364,  3176,   515, 56540,  3147,
   49175, 80364, 80364, 80364, 80364,  3225, 80364, 80364,  3342,   855,
   74532,   208,  2190,  2908,  3301, -4436,  1179, -4436,106931, 80364,
    3293, -4436, -4436, -4436, 65298,  3506,  3217, -4436, -4436, 96888,
   -4436, -4436,  3290, -4436, -4436, 60923, -4436, -4436,  2139, -4436,
   60436, 58001, -4436, -4436,   856,106931,106931,  6759, 80364,  1418,
   -4436, -4436, 59949, -4436, 80364, 80364, 80364, 71616, 93972, 94458,
     533,   831, 80364, 72102, -4436, 80364, -4436, -4436, 56053,106931,
   80364, 55566, -4436, 80364,  3302,   774, -4436, 80364,  3792,  3192,
   80364,   265,  2300,  2908, 80364, 80364,  3118,  2159,  3198,  3245,
   -4436, 80364, 95430, -4436,106931,  1521, -4436,  3264,106931, 80364,
   11816, -4436, -4436,   235, -4436, -4436, -4436, -4436, -4436, 80364,
   80364,   235, 80364,   235,  1370, -4436,106931, 80364, -4436, -4436,
   -4436,  7525, 80364, 80364, 80364, 80364,106931, 80364, -4436, -4436,
    1661,  1159,  1456,  1705,  3266, 80364,  3397, 80364, 94944,106931,
   80364, 80364, 80364,  1720, -4436, -4436, -4436,  3243, -4436,106931,
    1521, -4436,  7661, 80364, 80364,  3208,  3212,   117,  3282, -4436,
   -4436, -4436, -4436, -4436, -4436,  3376,  3540, 80364, -4436,  3382,
    3383,  3193,  3199,  3385,  2121, 80364, -4436, -4436, -4436, -4436,
   80364,  3388,  2121,  3336,   102, -4436, -4436,  2561, -4436,  2193,
   -4436,  3158, -4436, 34812,  3555, 59949,  3152,  3162,  3231, -4436,
    3232,  2429, -4436,  2103, -4436, -4436,  2204, -4436,  3174,   681,
    2039, -4436, 55566, 80364,   707,   766,  3455, 63840,  2676,  3448,
   80364,  3206, 80364,  2676, 80364, -4436,  3195, 66756, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436,  3450, -4436,  2472,
    2557,  2557,  2557,  2557, -4436, -4436, -4436, -4436,  3354,  1910,
   -4436,  3175,  2557, 80364,  3279,  2676,  3178, -4436,  2143,  3466,
    3471, 80364, 63840,  2179,  3210,  3579,  2010,  2472,  3364, -4436,
   28777,  3747,  3365,104005, 76476, -4436,  3190,  3453,  3454,  3472,
   -4436,  2319, -4436,  3588, -4436,  3485,   396,  2347, -4436,  2638,
   -4436, 80364, -4436, 80364, 80364, 80364, 80364,  2377, -4436, -4436,
    2638,  3372,   396,   396, -4436,  3373,   396,  2638,  3303,  3480,
  104005, -4436,    99, -4436, -4436, -4436, -4436, -4436, 34812, -4436,
   -4436,  2010,  1952, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, 72588,  2364, -4436,  2222, -4436, 80364,
   -4436,  3456,  3457,  3458,  3200,  3203,  3238, 80364,  3216, -4436,
    3200,   235,  3200,  2809,  2809,  3200,  3203,106513,  3623,  3486,
     104, -4436,   698,   431,  3420, -4436, -4436, -4436, -4436, 59949,
   -4436, -4436, -4436, -4436, -4436, 80364,  1074, -4436,   272,  3396,
    3219,106513,  3599,   396, -4436, 56540, -4436, -4436, -4436,  3297,
    3304, 56540,  3405,  3268, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436,  3462, 80364,  2225, -4436,  1792, -4436,  1824, 34812, 34812,
     243, -4436, 10282,  2241, 34812,  3222,  3224,  2253, -4436, -4436,
   -4436, -4436, -4436, -4436,  3230,  3501, -4436, -4436,  3233,  2329,
    2337,  3234,  3239, -4436, -4436,  5371,  3241, 10581,  3242, 36324,
   36324,  1600, -4436, -4436, 36324,  3244, -4436,  2341,  9521,  3221,
    3247,  3256, -4436,  3248,  3249, 11302, 32292, 34812, 32292, 32292,
   10987,  3221,  3250,  2356, 55566,  3406, 11355,  2360, -4436, 34812,
   55566,  5653, 34812, -4436, 34812, 80364,  3251,  3254, -4436, -4436,
    6920, -4436,  3270, -4436, 36324, 36324, -4436,  3868, 29772, -4436,
   -4436,  3524, -4436, -4436,  1616, -4436,  3246, -4436, -4436,  4722,
     213, 34812,  3044, 34812,  3335, 48676,  6623, 34812,  8006,  6271,
    6271,   602,   602,   225,   225,   225,  1803,  2708, -4436, -4436,
   -4436,  3257,  2787, 34812, -4436,  2432,  2447, 80364,  8508,  8987,
   10064, -4436, -4436, -4436, 39810,  3299, 34812, 34812, 34812,  3258,
    3427,  3676, 11817,   927, -4436,  3678, -4436, -4436, -4436,   925,
    3578,  1181, -4436,   918,  2429,   750,101901, -4436, -4436, -4436,
   34812, -4436, -4436, -4436, -4436,  2184, -4436, -4436, -4436, -4436,
   -4436, 80364,  1696, 34812, -4436, -4436,   893,  2170, 34812,  2063,
   -4436, -4436,  3317, -4436, 34812, -4436, -4436, -4436,  2809, -4436,
   -4436, -4436, 39810,  3306,  3311, 43731,  3393, -4436, -4436, 80364,
     286, -4436, -4436, -4436,  3281, -4436, -4436, -4436,  1770, -4436,
   -4436, -4436, -4436, -4436, -4436,  3262, -4436,  3271, -4436,  3284,
   -4436, -4436, -4436, -4436,   169,  3269,  3272,  3278,  1291, -4436,
   -4436,106931, 80364, 80364, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436,  3494, -4436,106931,106931,  3463, 80364,
    3461,  3465, 34812,   764, 80364,  3280,  3287,  1441,  3541, 80364,
   -4436,  3582,   396, -4436, -4436,  3362, -4436, 11817, -4436, -4436,
   -4436, -4436, -4436,106931, 80364, -4436,104005, -4436,  2319, 59949,
   -4436, -4436, -4436, 80364,  3321, 80364, -4436, 80364, 80364, 80364,
    2377, -4436, -4436, -4436, -4436,  1298, -4436, -4436, 80364, 80364,
      62,  3366,  3367, 80364, -4436,   972,  3109,  8204, 80364, 80364,
   80364,  3544, -4436, -4436, -4436, -4436,  3488, -4436, -4436,  1977,
   -4436, 58001, 60436, -4436, 60436, -4436,  1977,  1863, -4436,  2638,
    3374,  2908, -4436,  3476,  1279, -4436, -4436, -4436, -4436, -4436,
    3595,   396,  3597,   396, 80364, 80364, 80364, 80364, -4436, -4436,
   -4436, -4436, -4436, 55566, 55566, 55566,  2368, -4436, -4436,  2472,
   -4436, -4436, -4436,  2372, -4436,  1639, -4436, -4436, -4436, -4436,
   -4436, -4436,106931,  8936, 80364, 80364, 80364,  1941, -4436,   924,
   59949, -4436, 59462,106931, 80364, -4436, -4436,  3523,  3468, -4436,
    2167,  3469,106931,  3368, -4436, -4436,  3381, -4436, -4436,  3386,
    2306,  2908,  2143, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436,   271,  2350,  2908,  3389, -4436,  3390, -4436, -4436, -4436,
    3527,  3531,  3532,  3398,  3399,  3429,  3402,  3404,  3430, -4436,
    3408,  3440,  3409,  3441,  3410,   396, 59949,  3519,  2472,  3439,
    3636,   396, -4436,  3415, -4436, -4436,  3736, -4436, 80364, -4436,
    3417,  2389,  2908, -4436, -4436,106931, 80364, -4436, -4436, -4436,
    2121, 59949,  3583,  2121,  2121, 80364, 80364,  2121, -4436, -4436,
   -4436,  3584,  3585,  2121, -4436, -4436, -4436, -4436,  2647,  3348,
   -4436,  2278, 46181,  5972,  3351,  3162,  3349,  2429, 42261,  1300,
    3558,  3355, -4436, -4436, 55566, 46181,  1940,  3576,  3371,  3371,
    3371,  3371,  3371,  3371,  3371, -4436,  1970,   331,  2561,104005,
   80364,104005, -4436,   766,  3476, 80364, 80364,  3361,  3360, -4436,
   -4436, -4436, -4436,106931,   849,106931,  2429, -4436, -4436,  3422,
   -4436, 80364,  2010,  3757,  2962,   176,  3499,  1550,  3703, -4436,
   -4436, -4436, -4436, -4436, 80364, 80364,   681,  2472, -4436,  3375,
    3369, -4436, 80364, 80364, 80364, 80364,  1696,  3400,  3379, 59949,
     636,  3556,  3564,  2906,  3774,  1696,  3210,  3470, 80364, -4436,
    2375,    75, -4436,  2472,104005, 58488, -4436,  3529, -4436, -4436,
     899,  3666, -4436, 80364, -4436, -4436, 43241,   396, 59949, 80364,
   -4436,   396,    99,  3451,   396,  3460,   396,   396, 80364, -4436,
   -4436, 80364, -4436, 80364,104841,   396, -4436, 11817,  3687, -4436,
   -4436, -4436, -4436,  3522,  3525,  3530, 80364,  3200, 56540, -4436,
    3401,106931,  1419, -4436, -4436,  3589, -4436, -4436, -4436, -4436,
   -4436,  3710,  3711, -4436, -4436, -4436, -4436,  3740,106931, 67728,
     181,106931, -4436,  2319, -4436, -4436,  2347,   235, -4436, 80364,
    3654, -4436, -4436, -4436,  3418,  2385, 11597, 34812, -4436,  3724,
   59949, -4436,  6109, -4436, -4436, -4436, -4436, 34812, -4436, -4436,
   -4436, -4436, -4436, 34812, -4436, 34812,  3707, -4436,  3843,  3843,
   59949, 36324,  1583,  2783, 36324, 36324, 36324, 36324, 36324, 36324,
   36324, 36324, 36324, 38816,   871, -4436, -4436, 34812, 34812,  3713,
    3707, -4436, -4436,  1650,  1650, 59949,  3431,  3221,  3432,  3435,
   34812, -4436, -4436,  2391, 37822,  3436, 55566, -4436, 34812,  9822,
    2399,  3479, 11892,  1183,  6476, -4436,  3803,  2472, 34812,  1759,
    2542, 34812,  2402, 34812,  3720, -4436, -4436, -4436,  3442, -4436,
   -4436, 59949, 34812, 36324, 36324,  4811, -4436,  5283, 34812,  3445,
    8136, 29772, -4436,   629,   629,   629,   629, -4436, 80364, 80364,
   80364, 40300, 39320, 77448,  3438,  1596, -4436, 77448, 77934, -4436,
    3444,  1183, 34812,  3719,   568,   568,  3449,  3427, 45201, -4436,
   34812,  1508, 32796,  3464, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  3446,
   -4436,  3473, -4436, -4436,   157,  3467, -4436, -4436,  9256,   169,
   -4436, -4436,  3474, -4436,  3452, -4436,  2170, -4436, -4436, -4436,
    6961,  3632, -4436, -4436,  3438, 33300,  3393, -4436,  2405, -4436,
   -4436, 30780, -4436, -4436,  2410, 44711,  3306, 31284,  1183,  2429,
    3475, -4436,  2364,   925, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436,  3371,  2638,  2638,  1173,  3200,  3741,  1173,  7114,
   -4436, -4436, 40790, 80364, 80364, -4436, 80364,  2417,  1725, 80364,
   -4436, 80364, -4436, -4436, -4436, -4436,  3855, -4436, 80364, -4436,
   -4436,  3513,  3515, -4436, 80364, 80364, 80364, 80364, -4436, -4436,
    2324, -4436, -4436,106931, 80364, -4436, -4436, -4436,   289,  2415,
    2908, -4436,  3538, -4436, -4436,  3718,  1927, -4436, -4436, -4436,
    3535, 80364,  3477, -4436,  1332,  2906,   894, -4436, -4436,  3548,
   80364, -4436, 80364, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, 56053, -4436, -4436, -4436, 55566, 46181, 55566, -4436,
     294,  2465,  2908, -4436,  3560, -4436,  3561,  3562,  3611,   511,
      92,  3570,  3571,  3617,  3503,  3504,  3507, -4436, -4436,   153,
    2472, -4436, -4436,  2472,  2638,  2472, 80364, 80364, 80364, 80364,
   80364, 80364, 80364, 80364,  3785,   603,  1588,106931, 80364, 80364,
  106931, 80364, 80364, 80364, 80364, 80364, 80364, 80364, -4436,  3874,
    3806,  1769,  3848,  3580, 80364, -4436, 80364,  3109, 80364, 80364,
   -4436, -4436, -4436,  3516,  2121, -4436, -4436,  3755,  3761, -4436,
    2121,  2121, -4436,   917, 55566, -4436,  2927, -4436,  3158,  3452,
    1936,  1936, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  2429,
    2249,  3526, -4436, 42751, -4436, -4436, -4436,  2500,   750, -4436,
   -4436, 80364,  3371, -4436,  2459,  2481,  2608,  2632, 78420, 78906,
   79392,  3518, 80364, 80364, 36324, -4436,  1577,   204, -4436,  3758,
   80364,  3563, -4436, -4436, -4436,  3675, 80364, -4436, -4436, -4436,
   -4436, -4436,  3533, -4436,  3637, 63840,  2638,106931,106931,  2638,
   -4436, 59949,  3534,  3210,106931,   176,  1041, 90084,  3557,  3536,
    3815, -4436,  3537,  3539, -4436, -4436, 80364,  3476,  2435,   474,
    1991,  3040, 65784,  2179,  3789, -4436, -4436, -4436,  3896,  3622,
   -4436,  1696,  3040,  3622,  2472,  3146, -4436, 58001, 34812, 34812,
   -4436,  3542, -4436,  3543,  7099, -4436,  2557, -4436, -4436, -4436,
   -4436, -4436, -4436,  3615, 80364,  3969, -4436, -4436, -4436,  3547,
     396, -4436, -4436, 80364, -4436, 80364, -4436, -4436,   396,   396,
   -4436,  3659, -4436,  1696, 80364, 80364, 80364,  3200, -4436,   235,
   -4436,  3825,106513, -4436, -4436, -4436, -4436, -4436,   222,  3832,
   -4436, -4436,  3794,  3797,  3798,  3799,  2287, -4436, -4436, 34812,
   11817, -4436,  3552, -4436, 11817,  7236, 11817,  3713, -4436,  2759,
    3841, -4436,   160,  3568,  2759,  3395,  3395,   308,   308,   110,
     110,   110,  3843,   871, 11817, 11817, -4436, -4436, -4436, -4436,
    3577, -4436, -4436, -4436,  3221, -4436, 35316,  3704,  3946, -4436,
   -4436, -4436,  3600,  3607,  3581, -4436, 34812, 35820,  3574, 60923,
   -4436, -4436,   750,  1490, 36324, 36324,  2291, -4436,   803, 34812,
   59949,  2445,  2291,  2567,  2606, 34812, 34812,  8148,   258, 34812,
    7251, 80364, 80364, 80364, 80364, -4436, -4436, -4436, 77448, 77934,
   41770,  1596,  3586, 80364, -4436, -4436,  3590, 39810,  3819,  3762,
   -4436, 39810,  3762,  1479,  3762,  3820, -4436, 45691, -4436, -4436,
    3591, 27276,  1785, 11817,  3975,  3863, 34812,  3594, -4436,  3596,
    3427, -4436, 97374, -4436, -4436, 11817, -4436, -4436, 34812, -4436,
    3427,   925,  1110,  2472, -4436, -4436, -4436, 48676, -4436, -4436,
   -4436,  3784, 11817, -4436,  1696, 80364,  1183,   628,  3612, 80364,
   -4436,  3393, -4436, -4436, 21261, -4436, -4436, -4436,   153, -4436,
   -4436, -4436, -4436,  3674, 66756,  3881, -4436, 34812,  2449, -4436,
    3639,  3967,   131,  2456,  2461,  1725, -4436,  3563, -4436,  1593,
    3858,   203, -4436,   396, -4436, 59949, -4436, 80364, 80364, -4436,
   -4436, -4436, -4436,  2855, -4436, -4436, 80364, 80364, 80364, 80364,
   -4436,  3677, -4436, -4436, 55566,  1970,  3800, -4436, -4436,  3804,
     153, 80364, -4436, 59949,   396,   396, -4436, -4436, -4436,  3629,
   80364, 80364, 80364, 80364,106931, 80364, 80364,  2429,  2429, 59949,
    3614, -4436,  2429,  2429,  3619, -4436,106931, 80364, 80364, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
    3692, -4436, -4436, -4436, 80364, 80364, 80364, 80364,  3916, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   80364, -4436, -4436,  2472,  2472, 59949,   396,   396, -4436, -4436,
   -4436,  3866, -4436,  2121,  2121, -4436, -4436,   140,  2470, -4436,
  100210, -4436, -4436,  2922,  2472,  2922,    59, -4436, -4436,  2922,
   -4436,  2922, -4436,  1725,  3625,   150,  3906, -4436,  2489, 42751,
   42751, 42751, 42751, 42751, -4436, -4436,  3911,   153, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, 34812, -4436,   727,  2759, -4436, -4436, -4436,
   -4436,  3563,  2010,  3686, 56540,   708, -4436,  3895,   707, 63840,
    1675, 80364, -4436,  2638,  2638,  3694, 80364,  4043, -4436,   537,
   80364,  3954,  3683, -4436,  2472, -4436, -4436,  3210, 80364, 63840,
    3040, -4436,  2486, -4436, -4436, -4436,  3681,  3564,  3648,  2179,
    1261, 80364, -4436,  3684, -4436, -4436,  3931,  3652, -4436, 11817,
   11817,  2472, 61410,  3529, -4436, 80364,  3907, 80364, -4436,   396,
   -4436,   396,   396, -4436, -4436, 80364,  3200,  3200,  3200, -4436,
    3833, -4436,   396,106513,  2287,  2287,  2287,  2287, -4436, -4436,
   -4436, 11817, -4436, -4436, -4436, 36324,  3938, -4436,  3661, 59949,
   -4436,  3662,  2501,  2504, 37332,  3801, -4436, -4436, -4436,  7564,
    3712, 11817,  3760,  3665,  3668, -4436,  1195,  1195,   803,  2507,
   -4436, 36324, 36324,  2291,  2291, 34812,  2291, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, 77448,  3667, 80364,  1596, 39810, -4436,
   -4436,  1296, -4436, 39810,  3908, -4436, 39810, 80364,  3673, 80364,
     985, 34812, 34812,  3721,  3427,  3427, -4436,  3842, -4436,  3682,
   -4436, -4436,  1936, -4436, -4436, -4436, -4436,   750,  3688, 72588,
   -4436, -4436, -4436,  1036, -4436, -4436, -4436, -4436,106513,  3860,
  106513,  1725,  7995,  3563, 40790, 49674, 80364, 79878, 79878,  3828,
    3563,  3686, -4436, -4436, -4436, -4436, -4436, -4436,  3689, -4436,
   -4436, -4436,  3766, -4436, -4436, -4436,  2518, -4436, -4436, -4436,
   -4436, -4436,  3874, -4436, -4436, 46181, -4436,  3767, -4436, -4436,
   -4436, -4436, -4436, 41280, 48676, -4436,   511,  3697,  3698,    92,
   -4436, -4436, -4436, 80364,  1491,  1066,  3728,  3200,  3984, -4436,
   -4436, -4436,  3874, -4436, -4436,  2121, -4436, -4436, -4436,  2561,
    4005, -4436, 55566, -4436,102327, -4436, -4436, -4436,  2472, -4436,
    2472,  3891, 51635,  2472,  2472, -4436, 56540,  4102,  4102, -4436,
    2009,  2009, -4436, -4436, -4436, 80364, -4436, -4436,  8060,  3892,
   -4436,  3686,  3917,  3961, -4436,  3706, 80364,  3861,  3709,  3714,
    1012,  1012,  3476, 80364,  2522,  1696,   176, 63840,  3476, -4436,
    1556,  3716,  4004, -4436,  4111,  3400,  3717, -4436, -4436, 65784,
    3898,  3622, 80364,  3564,  3835, -4436,  3839, -4436,  1038, -4436,
   80364, 40790, -4436, 60436, -4436,  2544, -4436, -4436,  3299, 80364,
     827, -4436,  3738, -4436, -4436, -4436, -4436, -4436, -4436,   181,
   -4436, -4436, -4436, -4436,  1267, 36324, 59949,  2549, 34812, -4436,
   34812, -4436,  4109, -4436, -4436, -4436,   601, -4436, -4436, -4436,
    1195,  1195,  2291, -4436, 80364,  2582, -4436, 34812,  3729, -4436,
   -4436, 39810,  1296,  2611, 80364,  2627, 59949,  3427,  3221, 11817,
   80364, -4436, -4436, -4436,  4113,  3912,  3427, -4436, -4436, -4436,
   -4436, -4436, -4436,  1419,  1173,   181,  3967,  3686, -4436,  3735,
   -4436, -4436, 80364, -4436,   253,   253, 80364,  3686, -4436, -4436,
   80364, -4436, 55566,  3793, -4436, 80364, 59949,  2347,   161, -4436,
   59949, 59949, -4436, -4436, 80364, 80364, 80364, 80364, 80364,   396,
   -4436,  3348,  2472, -4436, -4436,  2653, -4436, -4436, -4436, 80364,
   -4436,  3536, -4436, -4436,  4102,   909, -4436, -4436, -4436,  1749,
    3935, -4436,   772,  3924,  3826,  3744, -4436, 56540,  4173,  3859,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  4040,
    3210,  3684, -4436, -4436, -4436, -4436, 34812,  3902,  1696,  2179,
    3789, -4436, -4436, -4436,  2665,  3622, -4436, -4436,  4123,  3932,
    4125, -4436,  2669, -4436, -4436,  7099, 61410,  4070, -4436,  3805,
   80364, -4436, -4436,  2400,  4182, -4436,  1267,  2672, -4436,  2710,
    2713,  3905,  3807, -4436,  2714, -4436, 11817, 80364, -4436, -4436,
   -4436,  2723, -4436,  3763, -4436,  4168, 34812,  1051, -4436, -4436,
    4049, -4436, 79878,  3808, 48676, -4436,  2170,  2170,  2010, -4436,
    1725, -4436, -4436, 34812, -4436, -4436,  2727, -4436,   823,  3914,
    4057,  2730,  2734,  3203,  3810,  3203, -4436,  3200, -4436, -4436,
   -4436, -4436,102327,  3536, -4436, -4436, -4436,  4083,  4029, -4436,
   -4436, -4436, -4436,   316, -4436,  3959,  3960, 80364, -4436,  3779,
   -4436,  2737, 80364, 80364,  4180,  4183, -4436,  8590, 56540, -4436,
    3564,  2179,  1970, -4436, -4436,  3963, -4436,  3966,  3210, 40790,
    3529, -4436,  1077, -4436, -4436, -4436, -4436, -4436, 80364, -4436,
   -4436, -4436, -4436, -4436, -4436,  2740, -4436, 80364,  3782,  3221,
   33804, 33804,  3788,106513,   253,  3790, -4436,  3791, -4436, -4436,
    3917,  1725, 11817, 56540,  4174, -4436, -4436, -4436,  3914, -4436,
   -4436, 80364, -4436,  3918, -4436,   329,   329,  4116, -4436,  3850,
   -4436, -4436,  3796, -4436,  4220,  3476, -4436,   511,  1696, -4436,
    3802,  3622,  3564, -4436, -4436,  3622, -4436, -4436, -4436, -4436,
    2255, -4436, -4436, -4436, -4436, 36828,  3921,  1308,  9862, -4436,
   -4436, -4436, -4436,   181,  2170, 34812,  1725, -4436,  3924,  2347,
   80364, -4436, -4436,  3683, -4436,  4217, -4436,   179, -4436, -4436,
   -4436, -4436, -4436,  3614, -4436, 55079, -4436,  3622,  3299, -4436,
    2128, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  4207, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436,  8605, -4436, -4436, -4436,
    4103, -4436, -4436, -4436,  2755, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436,  1364, -4436, -4436,  1660,  2203, 34308, -4436,  1725,
    3956, -4436, 55079, -4436,  2128, -4436, 56540, -4436, -4436,  3809,
   55079,  2760, -4436
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2320,     0,     2,     1,  2750,  2754,  2758,  2759,  2676,  2760,
    2761,  2726,  2727,  2728,  2729,  2730,  2731,  2732,  2733,  2734,
    2735,  2736,  2737,  2739,  2738,  2740,  2741,  2742,  2743,  2744,
    2745,  2746,  2747,  2749,  2748,  2698,  2327,  2695,  2692,  2693,
    2694,  2699,  2697,  2690,  2691,  1921,  2763,  2751,  2764,  2752,
    2753,  2755,  2756,  2725,  2757,  2765,  2766,  2767,  2762,  2770,
    2721,  2722,  2720,  2723,  2724,  2768,  2769,  2712,  2713,  2714,
    2715,  2771,  2328,  2329,  2717,  2321,  2325,  2387,  2458,  2718,
    2719,  2716,  2326,  2711,  2458,     0,  2579,  2580,  2581,     0,
    2582,  2583,  2584,  2510,  2472,  2585,     0,     0,  2586,  2587,
    2588,  2589,  2590,  2591,  2592,  2593,     0,  2594,  2595,  2596,
    2597,  2457,  2598,  2599,  2600,  2601,  2602,  2434,  2440,  2563,
       0,  2414,  2415,  2411,  2413,  2412,  2416,  2399,  1198,   546,
    1284,  1283,     0,  2222,  1198,  2178,  2179,  2223,  2180,  2181,
    2182,   257,     0,  1286,  2183,  2224,     0,  1198,  2225,   370,
     967,  2226,  2227,  2342,     0,  2184,  2185,     0,     0,     0,
     546,  1198,     0,     0,  2186,  1398,  2187,     0,  2188,  2228,
    2229,     0,  2189,  2230,  2231,  2190,  2191,  2192,  2232,  2233,
    2234,  2193,  2235,  2236,     0,     0,  1412,     0,  2194,  2237,
    2195,  2196,     0,  2238,  2197,  2198,  2199,  2239,  2240,  2241,
    2200,  2201,  2202,     0,  2203,     0,     0,     0,     0,     0,
       0,  2242,  1198,  2204,     0,     0,  1419,     0,  2205,     0,
    2243,  2206,     0,  2207,     0,  2208,  2209,  2210,  2211,  1412,
    2559,  2435,     0,  1288,     0,  2212,  2244,     0,  2213,  2214,
    2215,  2216,  2217,  2218,  2219,  2220,  2221,     0,     0,    57,
      58,    22,    21,    27,    26,    80,    81,    45,    15,    71,
      51,   114,   113,   115,    33,    29,    65,    19,    20,    30,
      34,    53,    46,    92,    52,    18,    50,    75,    54,    78,
      40,     9,    10,    41,    69,    11,    42,    70,    12,    43,
      13,    59,    82,    25,    55,    79,    56,     3,    36,    67,
      63,     8,    47,    48,    49,    72,    73,    74,    97,    77,
     109,    32,   106,    86,    87,   103,    88,   104,     6,    89,
      44,    14,   100,    99,   101,    66,    37,    68,    98,   102,
      16,    17,   105,    76,    95,    91,   110,   108,   116,    93,
      60,     4,     5,    83,    39,     7,    24,    23,    38,    31,
     112,    28,  1286,    85,    96,    84,    90,    64,    94,   111,
      62,   107,  1385,  1372,  1421,  1384,  1397,     0,  1387,  2655,
    2656,    35,  1398,   118,   119,   124,  2324,  2376,  2377,  2378,
    2458,  2409,  2410,  2403,  2419,  2429,  2418,  2422,  2430,  2417,
    2436,     0,   121,   123,   125,   128,   122,   117,   120,   127,
     132,   126,   131,   129,   130,   133,   134,   135,  2657,  1604,
    2654,    61,  2394,  2393,     0,  2458,     0,  2687,  1933,  1934,
    1935,  1936,  1937,  1938,  1939,  1940,  1941,  1942,  1943,  1944,
    1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,
    1955,  1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,
    1965,  1966,  1967,  1968,  1969,  1970,  1971,  1972,  1973,  1974,
    1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,  1984,
    1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,  1994,
    1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,  2004,
    2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,  2014,
    2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,  2023,  2024,
    2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,  2033,  2034,
    2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,  2044,
    2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,
    2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,  2074,
    2075,  2076,  2077,  2078,  2079,  2080,  2081,  2084,  2082,  2083,
    2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,  2094,
    2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,  2104,
    2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,
    2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,  2124,
    2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2145,  2146,  2342,  2147,  2148,  2149,  2150,  2151,  2152,  2153,
    2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,
    2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,
    2174,  2175,  2176,  2177,  2360,  1922,  1930,  1931,  1932,  2335,
    2356,  2362,  2683,  2361,  1929,  2509,     0,     0,  2603,  2604,
    2605,  2606,  2607,  2608,  2658,  2659,  2660,  2661,  2662,  2664,
    2663,  2471,  2630,  2667,  2470,  2668,  2474,  2669,  2670,  2671,
    2672,  2631,  2673,  2473,  2665,  2627,  2475,  2468,  2469,  2628,
    2577,  2578,  1899,  2629,  2626,  2666,  2363,  2625,  2479,  2478,
    1362,  2682,  1898,  1363,     0,  2481,  2609,  2610,  2611,  2612,
    2614,  2613,  2615,  2245,  2246,  2247,  2248,  2249,  2250,  2251,
    2252,  2253,  2254,  2255,  2256,  2640,  2257,  2258,  2259,  2653,
    2260,  2261,  2641,  2262,  2263,  2264,  2265,  2266,  2267,  2268,
    2269,  2270,  2271,  2272,  2273,  2274,  2275,  2276,  2277,  2278,
    2279,  2280,  2281,  2282,  2283,  2284,  2285,  2642,  2643,  2286,
    2287,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,  2296,
    2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,  2306,
    2307,  2308,  2309,  2644,  2310,  2311,  2645,  2312,  2313,  2314,
    2646,  2315,  2316,  2317,  2318,  2319,  2650,  2651,  2652,  2639,
    2432,  2616,  2638,  2649,  2647,  2648,  2442,  2438,  2446,  2441,
       0,     0,     0,     0,  2458,  1197,  1196,  1182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   545,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2332,     0,  1208,
     342,   341,  1285,  1266,   546,     0,  1185,   369,     0,     0,
       0,     0,     0,     0,     0,     0,   737,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   183,     0,     0,
     393,   392,     0,     0,     0,   939,   398,     0,     0,     0,
       0,     0,   534,  2341,  2336,  2346,     0,  2339,  2340,  2625,
       0,  2774,  2082,  2372,  2373,  2772,  2132,  1364,   258,   261,
     259,   260,     0,  1039,  1040,  1042,     0,     0,  1052,   772,
     773,     0,   771,     0,   775,     0,     0,     0,   767,     0,
       0,     0,     0,     0,   774,   764,     0,   763,     0,     0,
       0,   770,     0,   765,     0,     0,  1186,     0,  2424,  2425,
    2022,  1325,   399,     0,     0,  1398,     0,  1303,  1304,  1286,
    1293,  1305,  1298,  1300,  1299,  1301,  1297,  1302,  1934,   878,
    1948,   878,  2012,   875,   876,   878,   878,   878,  2099,     0,
       0,   850,     0,   861,  1925,   878,  1926,  2683,   883,   454,
     454,   454,     0,   882,   887,   454,  1179,  1217,  1903,  1411,
       0,  1948,  2012,   851,  1178,  2147,  1317,     0,     0,     0,
    1056,     0,  1057,     0,  2114,  1190,   242,  2623,  2123,  2208,
    2147,  2624,   238,  2618,  2619,  2621,   212,  2622,  2620,  2617,
    1938,     0,     0,   882,     0,  1187,  1188,   834,  1418,  1416,
       0,     0,     0,  1956,     0,  1968,  2048,   235,  2110,  2115,
    2123,  2208,  2147,  2175,   192,   197,     0,   251,  2123,  2208,
    2147,     0,  1208,     0,  1388,  1504,  1894,     0,     0,  2433,
    1181,  1180,  1287,     0,  1290,     0,  1466,  2095,  1392,  1394,
    1292,  1385,     0,     0,  2323,  1281,  1415,  1415,     0,  1415,
       0,  1377,  1385,  1380,  1384,     0,     0,     0,     0,  1198,
       0,  2401,  2429,  2408,  2464,  2405,     0,     0,  2454,  2450,
    2447,  2455,  2456,  2449,  2437,  1593,  1594,  1595,  1592,  1605,
    1591,     0,  2382,  1596,  2421,  2388,     0,  2396,  2395,  2700,
    2701,  2511,  2334,  2353,     0,     0,     0,     0,     0,     0,
       0,  2480,  2482,  2484,  2444,  2443,  2439,     0,     0,     0,
       0,  2569,  2570,  2568,     0,  2565,  2567,     0,  2464,     0,
    2634,  2628,  2637,     0,  1904,  2629,  2626,  2625,     0,   782,
       0,   139,   927,     0,     0,     0,     0,  1898,     0,     0,
       0,     0,     0,  2021,     0,     0,     0,  1799,  1960,  2008,
    1809,  1807,  1808,  1801,  1802,  1803,  1804,  1805,  1806,     0,
    1037,  1800,     0,   161,   139,     0,     0,  2021,     0,     0,
    2021,     0,     0,     0,     0,     0,   161,  2051,   139,  2021,
       0,     0,     0,  1202,     0,     0,     0,  1204,  1207,  1183,
    1269,     0,  1894,     0,     0,   813,   803,     0,   814,   804,
     809,     0,   816,     0,     0,   806,     0,     0,     0,   817,
       0,   805,   807,   819,   808,   815,     0,     0,   810,   811,
       0,     0,  1194,   454,   348,     0,     0,     0,     0,     0,
     139,  1256,     0,  2021,   139,     0,     0,   397,   396,   139,
     395,   394,  1960,  2008,     0,   966,   139,  2021,     0,   185,
     616,   549,     0,     0,   694,  2051,   139,     0,     0,     0,
       0,     0,     0,   942,     0,     0,   533,   546,     0,  2345,
    2351,     0,  2343,  2512,  2775,  2773,  2467,     0,  1043,   236,
     237,  1041,  2021,     0,   320,     0,     0,  2021,  1245,   769,
       0,   768,  2021,     0,  2021,  1923,   176,     0,   766,  1960,
    2008,  2021,     0,     0,  2021,   168,  2021,     0,  2021,   320,
    2021,   550,     0,  2021,     0,  2021,  2051,   170,     0,  2021,
     320,   780,     0,     0,  2705,  2709,     0,  2707,  2702,  2423,
    2477,  2476,  2375,     0,  2785,     0,  1364,  1295,  1310,     0,
    1306,  1313,  1309,  1398,   878,   877,     0,   878,     0,  2794,
     878,     0,   878,     0,  2794,   878,     0,     0,     0,   878,
    1927,  1928,     0,     0,  2793,  2791,  2792,   852,   862,     0,
     884,     0,     0,   891,   890,   889,     0,     0,     0,   892,
    1508,  1340,     0,   859,     0,   857,     0,  1176,  1193,     0,
       0,     0,     0,     0,  1059,  1059,  1059,  1189,   241,   239,
       0,     0,     0,     0,     0,     0,  1195,     0,     0,     0,
       0,  2689,  1910,  1810,  2688,     0,  2179,  2180,  2181,  1868,
       0,  2630,  2182,  2183,  2224,  1722,  1709,  1718,  1723,  1710,
    1712,  1719,  2184,  2185,  1992,  2186,  2187,  1917,  2188,  2189,
    1548,  2191,  2192,  2193,  1714,  1716,  2194,  2195,     0,  1918,
    2197,  2198,  2070,  2200,  2201,  2203,  2204,  1720,  2206,  2207,
    2208,  2209,  2210,  2211,  1916,     0,  1721,  2212,  2214,  2215,
    2216,  2217,  2218,  2219,  2220,  2221,     0,     0,  1891,     0,
    1694,     0,  1540,  1541,  1563,  1564,  1542,  1569,  1570,  1582,
    1543,     0,  1890,  1607,  1693,  1699,     0,  1692,  1688,  1401,
    1886,     0,  1689,  1906,  1869,  1920,  1919,  2683,  1877,  1909,
    1907,  1908,     0,     0,     0,   204,     0,     0,  2558,   253,
       0,   254,  1892,  2123,   193,   234,   206,   233,   207,   205,
       0,  1958,   194,     0,     0,   195,     0,     0,     0,     0,
       0,     0,     0,   247,  1184,     0,  1506,  1505,     0,     0,
    1875,  1895,   789,     0,  1279,  1280,  1278,     0,  1275,  1277,
    1289,  1286,  1882,  1881,  1883,     0,  1393,     0,     0,     0,
    1375,  1374,  1292,  1413,  1414,     0,     0,     0,     0,     0,
       0,     0,     0,  1456,  1429,  1430,  1432,  1453,  1457,  1465,
       0,  1381,     0,     0,  1510,     0,  1467,  2322,  2464,  2465,
       0,  2459,     0,  2458,  2458,  2452,  2451,  2448,     0,     0,
       0,     0,     0,     0,     0,     0,  2379,   528,  2381,   525,
       0,     0,  2355,     0,  2359,  2357,     0,  2504,  2507,     0,
    2505,  2506,  2508,     0,  2513,  2514,     0,     0,     0,  2696,
       0,     0,  2495,  2483,  2490,  2492,  2494,  2493,  2502,  2498,
    2501,  2503,  2445,  2458,  2576,     0,  2571,  2574,     0,  2566,
       0,     0,     0,  1905,     0,     0,     0,     0,   783,     0,
       0,     0,     0,     0,     0,   138,  1243,   244,  1241,     0,
       0,     0,     0,     0,     0,     0,  1248,     0,     0,   174,
     175,   561,   546,     0,  2021,     0,     0,     0,     0,   999,
    1006,     0,     0,     0,     0,     0,     0,     0,  1000,   998,
    1001,   246,  1010,  1023,  1026,     0,   917,     0,     0,     0,
       0,  1108,     0,     0,  1108,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   264,   272,   315,     0,
    2021,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     143,     0,     0,     0,     0,     0,     0,   512,   524,     0,
       0,     0,     0,     0,   521,     0,   139,   266,   505,   509,
       0,     0,     0,   625,   624,     0,  1108,     0,   262,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   334,   335,     0,     0,     0,   143,
       0,     0,     0,     0,   268,     0,  2389,     0,  1203,  1200,
    1201,     0,  1206,     0,  1265,     0,     0,     0,     0,   821,
       0,   818,     0,     0,   812,  1960,  2008,     0,     0,     0,
       0,     0,     0,   372,   347,     0,     0,     0,   691,     0,
    1551,  1580,  1558,  1580,  1580,  1547,  1547,  1560,  1549,  1587,
       0,  1580,  1547,  1552,     0,  1550,  1590,  1590,  1575,     0,
    1532,  1533,  1534,  1535,  1561,  1562,  1536,  1567,  1568,  1537,
    1604,  2635,  1547,  2636,  2633,  2632,     0,     0,   702,     0,
    1220,  1255,     0,     0,     0,   555,     0,  2021,     0,   141,
     738,     0,   692,   398,     0,   141,     0,     0,   179,     0,
     620,     0,     0,     0,     0,     0,     0,   640,   639,     0,
       0,     0,   693,     0,   141,     0,   508,  2021,     0,   454,
     454,     0,     0,   941,   944,     0,     0,     0,  2349,  2344,
    2347,     0,  2337,  2351,  1367,  1369,  1368,     0,  1366,     0,
     320,   318,   319,   689,  1051,     0,     0,     0,     0,   320,
       0,     0,  2021,   320,  2021,     0,  2021,     0,     0,   320,
     320,     0,     0,     0,     0,   621,     0,   779,   777,   776,
     778,     0,     0,     0,     0,     0,  2021,   320,     0,     0,
     760,  2703,     0,     0,  2706,     0,  2426,  1820,     0,  2788,
    1322,  2789,     0,     0,  1398,     0,   223,   224,   222,  1311,
     225,  1312,  1308,  1294,     0,   870,     0,  2794,  2795,   855,
       0,   865,     0,  2794,   853,     0,   866,   863,   864,     0,
       0,     0,  2790,  2674,  2680,   869,     0,     0,   455,   457,
       0,     0,  1978,  1991,     0,  2013,  2039,  2040,  2115,  2119,
       0,  2142,  2151,     0,   893,   922,   888,     0,     0,  1350,
     860,   858,  1177,  1315,  1826,     0,  1398,     0,   498,  1058,
    1055,  1054,  1053,   240,   213,     0,     0,     0,   924,  2114,
    1192,   833,   546,     0,     0,  1697,  1698,  1579,  1566,  1867,
       0,     0,  1574,  1573,     0,     0,     0,     0,     0,  1556,
    1555,  1554,  1696,  1834,     0,  1553,     0,     0,     0,     0,
    1580,  1580,  1578,  1627,     0,  1557,     0,     0,  1847,     0,
    1853,     0,     0,     0,  1586,     0,  1584,     0,     0,  1663,
       0,     0,     0,     0,     0,     0,     0,     0,  1611,  1612,
    2631,  1694,  1820,     0,  1695,  1913,     0,     0,  1572,     0,
    1604,  1810,     0,     0,     0,     0,  1880,     0,  1818,     0,
       0,  1641,  1816,     0,  1643,     0,     0,     0,  1809,  1807,
    1808,  1801,  1802,  1803,  1804,  1805,  1806,  1814,  1624,     0,
    1889,     0,  1623,     0,     0,  1469,  1400,     0,  1911,  1870,
       0,  2681,  2684,  1690,  2555,  2554,  2553,  2552,  2523,     0,
    2517,  2518,     0,  2556,  2557,   255,   256,   252,     0,     0,
     209,   208,     0,   231,   232,   203,   230,     0,   226,   227,
     211,  1762,  1761,   210,   202,   200,   198,   214,   216,   217,
     201,   199,   250,   248,     0,     0,     0,  1872,  1871,  1901,
    1876,     0,     0,   320,  2458,  1273,     0,  1270,  1885,     0,
    1395,     0,  1896,     0,  1282,  1391,  1390,  1422,  1423,   959,
    1389,  1447,  1448,  1443,     0,     0,     0,  1462,  1460,  1439,
    1433,  1438,  1436,     0,  1440,  1607,  1455,  1379,  1427,  1428,
    1431,  1378,     0,  1458,     0,  1350,  1456,  1432,  1337,     0,
       0,  1511,     0,     0,  2466,  2464,  2404,  1532,  2458,  2397,
    2458,  2453,  2385,  1598,  1599,  1600,  1601,  1602,  1603,  2386,
       0,  2383,  1597,  2384,   526,   527,     0,     0,     0,  2352,
       0,  2333,  2358,  2489,  2598,  2521,     0,  2522,     0,     0,
    2486,     0,  2496,  2499,  2497,  2500,     0,  1532,  2677,  2572,
    2677,  1532,     0,     0,     0,     0,     0,     0,     0,     0,
     784,     0,     0,     0,     0,     0,     0,  2142,   243,  1239,
       0,     0,     0,     0,   926,   925,     0,     0,   946,     0,
       0,     0,  1251,   443,     0,   317,     0,     0,     0,     0,
       0,     0,     0,     0,   687,   684,     0,     0,   683,     0,
     559,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   595,
       0,  1108,     0,   628,     0,  1008,     0,  1007,     0,     0,
       0,  1009,  1004,  1005,  2115,  2123,  2147,   245,  1025,     0,
    1024,  1022,   981,   983,   982,     0,   985,   969,     0,   970,
       0,     0,   980,   988,   986,     0,     0,     0,     0,  2001,
     274,   287,     0,  1107,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   307,     0,   310,   309,     0,     0,
       0,     0,   314,     0,     0,     0,   313,     0,     0,     0,
       0,  1108,     0,   270,     0,     0,     0,     0,     0,     0,
    1038,     0,     0,   164,     0,   160,   163,     0,     0,     0,
       0,   511,   523,     0,   515,   516,   513,   517,   518,     0,
       0,     0,     0,     0,     0,   510,     0,     0,   618,   617,
     623,     0,     0,     0,     0,     0,     0,     0,  1100,  1099,
       0,     0,     0,     0,     0,     0,   728,     0,     0,     0,
       0,     0,     0,     0,   167,   631,   632,     0,   633,     0,
     165,   166,     0,     0,     0,     0,     0,     0,     0,   221,
    1199,  1205,  1268,  1902,  1267,     0,     0,     0,   820,     0,
       0,     0,     0,     0,     0,     0,   822,   823,   824,   825,
       0,     0,     0,     0,     0,   350,   351,   139,   349,     0,
     717,  2632,   690,     0,  1532,     0,  1528,  1524,  1593,  1592,
    1591,     0,  1538,  1547,  1544,   703,     0,   705,   708,     0,
    1218,   416,     0,     0,   552,   595,     0,   401,   172,     0,
       0,     0,     0,   137,   183,   185,   399,     0,   184,   186,
     188,   189,   190,   187,   191,   615,   619,     0,   548,     0,
       0,     0,     0,     0,   641,   645,   644,   648,   646,     0,
     642,     0,     0,  1520,     0,   159,     0,   504,   507,     0,
    2330,     0,   401,   485,   327,     0,   454,     0,     0,   943,
       0,     0,     0,     0,     0,  2350,     0,     0,     0,     0,
    1365,     0,  1029,     0,  1246,  2021,   320,     0,  1027,   177,
    1924,     0,   761,     0,     0,     0,     0,     0,  1031,   757,
     169,     0,   320,   320,   551,     0,   320,   171,     0,     0,
       0,   543,   320,   781,  2704,  2710,  2708,  1324,     0,  2786,
    2787,   454,  1369,  1296,  1307,   867,   874,   856,   873,   872,
     854,   871,   868,  2488,     0,     0,  2679,     0,   885,     0,
     453,     0,     0,     0,   899,   900,     0,     0,   898,   915,
     901,     0,   903,   895,   894,   904,   905,     0,     0,   924,
       0,  1347,     0,  1345,     0,  1509,  1349,  1338,  1316,     0,
    1314,  1319,  1321,  1320,  1318,     0,     0,   503,     0,     0,
     882,     0,     0,   320,  1191,     0,   835,   836,   842,     0,
       0,     0,     0,     0,   843,   839,   840,   841,   844,   845,
     846,     0,     0,     0,  1830,     0,  1831,     0,     0,     0,
    1866,  1862,     0,     0,     0,     0,     0,     0,  1838,  1839,
    1840,  1837,  1841,  1836,     0,     0,  1842,  1835,     0,     0,
       0,     0,     0,  1577,  1576,     0,     0,     0,     0,     0,
       0,     0,  1666,  1699,     0,     0,  1794,     0,  1820,  1852,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
    1820,  1858,     0,     0,     0,     0,  1760,     0,  1757,     0,
       0,     0,     0,  1877,     0,     0,     0,     0,  1914,  1608,
    1625,  1888,     0,  1879,     0,     0,  1609,  1632,     0,  1859,
    1659,     0,  1664,  1647,     0,  1640,     0,  1645,  1649,  1628,
    1880,  1819,     0,  1817,     0,     0,  1626,     0,  1621,  1619,
    1620,  1613,  1614,  1615,  1616,  1617,  1618,  1622,  1798,  1796,
    1797,     0,     0,     0,  1644,  2015,  2048,     0,  1412,  1412,
    1412,  1399,  1410,  1887,     0,  1515,     0,     0,     0,     0,
    1777,     0,  1824,     0,  1822,  1904,  2686,  2685,  1878,     0,
       0,     0,  1893,     0,     0,  1604,     0,   249,  1507,  1873,
       0,   787,   788,   786,  1532,  1292,  1276,  1272,  1271,  1884,
    1291,     0,  1398,     0,   957,   958,     0,   962,     0,     0,
    1441,  1463,     0,  1454,     0,  1445,  1446,  1437,  1464,  1459,
    1383,  1382,     0,  1518,     0,     0,  1334,  1327,  1512,     0,
    1469,  1352,  1354,  1355,     0,  1877,  2402,  2460,  2407,  2428,
    2398,  2431,  1606,  2380,  2420,     0,  2354,  2524,  2525,     0,
    2515,  2516,  2485,  2491,  2562,     0,  2678,     0,     0,   715,
     714,     0,     0,     0,  1136,  1061,  1112,   785,  1137,  1062,
    1113,  1138,  1063,  1240,     0,  1242,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     666,  2021,   320,  1249,  1139,     0,  1064,   316,  1250,  1114,
    1254,   686,   685,     0,     0,  1115,     0,   560,     0,     0,
     565,   566,   567,     0,     0,     0,   568,     0,  1960,  2008,
       0,   573,   580,   585,   575,     0,   586,   581,     0,     0,
       0,     0,     0,     0,   592,   594,     0,     0,     0,     0,
       0,     0,  1002,  1003,  1140,  1067,     0,  1116,   984,  1547,
     968,     0,     0,   979,     0,   978,  1547,  1547,  1068,   173,
       0,   265,   275,   601,  1110,   293,   306,   301,   302,   300,
    2021,   320,  2021,   320,     0,     0,     0,     0,   303,   298,
     299,   295,   308,  1937,  1993,  2124,     0,   605,   607,     0,
     612,   311,  1082,     0,   328,   331,   312,   291,   294,   292,
     288,   273,     0,     0,     0,     0,     0,     0,  1900,     0,
       0,  1033,     0,     0,     0,   162,  1096,     0,     0,   148,
       0,     0,     0,     0,   142,   152,     0,  1146,  1072,     0,
       0,   267,   506,   514,   519,  1076,   522,  1126,   520,  1152,
    1073,  1108,     0,   263,     0,  1074,     0,  1120,  1148,  1098,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,   320,     0,     0,     0,  1110,
    2021,   320,  1147,     0,  1105,  1134,     0,   336,     0,  1097,
       0,     0,   269,  1078,  1128,     0,     0,   219,   218,   220,
       0,     0,     0,     0,     0,     0,     0,     0,   827,   796,
     826,     0,     0,     0,   790,   371,   345,   346,   348,   355,
     716,     0,     0,     0,  1529,  1525,     0,     0,     0,     0,
       0,     0,  1545,   704,     0,     0,     0,     0,  1238,  1238,
    1238,  1238,  1238,  1238,  1238,  1219,  1247,     0,   139,     0,
       0,     0,   554,   594,   601,     0,     0,     0,   400,   404,
     408,   409,   410,     0,     0,     0,     0,   153,   140,     0,
     746,     0,   454,     0,   185,   178,     0,     0,     0,   547,
     701,   699,   698,   700,     0,     0,     0,   721,   697,     0,
    1519,  1521,     0,     0,     0,     0,     0,   403,     0,   457,
       0,     0,   489,     0,     0,     0,   327,     0,     0,   973,
       0,   991,   974,     0,     0,     0,  1013,  1018,  1014,   994,
       0,   531,  2348,  2342,  1370,  1371,     0,   320,     0,     0,
     596,   320,   320,     0,   320,     0,   320,   320,     0,  1174,
     622,     0,   674,     0,     0,   320,   759,  1821,     0,  2487,
    2675,   886,   456,     0,     0,     0,     0,   897,     0,   529,
     902,     0,   914,   909,   911,     0,   918,  1348,  1341,  1343,
    1342,     0,     0,  1339,  1827,   758,   496,     0,     0,     0,
     320,     0,   919,     0,   837,   838,     0,     0,   847,     0,
       0,  1417,  1828,  1829,     0,     0,     0,     0,  1863,     0,
       0,  1735,     0,  1711,  1713,  1546,  1725,     0,  1559,  1736,
    1737,  1715,  1717,     0,  1811,     0,     0,  1726,  1668,  1669,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1681,  1680,  1727,  1793,     0,     0,  1850,
    1851,  1728,  1589,  1590,  1590,     0,     0,  1857,     0,     0,
       0,  1733,  1738,     0,     0,     0,     0,  1744,     0,  1765,
       0,     0,     0,  1691,  1821,  1581,  1582,     0,     0,     0,
       0,     0,     0,     0,     0,  1665,  1648,  1642,     0,  1646,
    1650,     0,     0,     0,     0,  1634,  1660,  1630,     0,     0,
    1636,     0,  1661,  1412,  1412,  1412,  1412,  1409,     0,     0,
       0,     0,     0,  1490,  1468,  1470,  1477,  1490,  1495,  1513,
       0,  1894,     0,  1450,  1421,  1421,     0,  1777,     0,  1700,
       0,  1777,     0,     0,  2537,  2539,  2540,  2541,  2542,  2543,
    2545,  2546,  2548,  2549,  2550,  2538,  2544,  2547,  2551,  2528,
    2529,     0,  2519,  2520,   196,     0,   228,   215,     0,  2562,
    1274,  1897,     0,  1424,     0,  1812,   962,   960,   961,  1426,
       0,     0,  1461,  1434,  1336,     0,  1334,  1329,     0,  1330,
    1877,     0,  1326,  1359,     0,     0,  1518,     0,  1358,     0,
    2462,  2390,     0,     0,  2561,  2564,  2575,  2573,  2400,  1135,
    1060,  1111,  1238,   929,   930,     0,   928,     0,     0,     0,
     442,   945,     0,     0,     0,   666,     0,     0,   446,     0,
    1252,     0,  1153,  1095,   562,   563,     0,   574,     0,   583,
     582,     0,     0,   570,     0,     0,     0,     0,   569,   588,
     535,   589,   591,     0,     0,   590,   593,   598,  1108,     0,
     629,  1084,     0,  1132,   996,     0,  1547,   971,   976,   977,
       0,     0,     0,   416,     0,     0,     0,   276,   286,     0,
       0,   290,     0,   284,   304,   296,   305,   297,   609,   610,
     608,   604,     0,   611,   613,   325,     0,     0,     0,  1142,
    1108,     0,   271,  1080,     0,  1130,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1143,  1117,     0,
       0,   145,   144,     0,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   337,   322,
       0,   724,     0,     0,     0,   339,     0,     0,     0,     0,
    1141,  1069,   791,     0,     0,   792,   800,     0,     0,   793,
       0,     0,   802,     0,     0,   344,   352,   718,     0,  2070,
    1801,  1802,   712,   719,   709,   711,   710,   713,   666,     0,
       0,     0,  1530,     0,  2776,  2784,  2783,     0,  1604,   706,
     707,     0,  1238,  1237,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   428,     0,     0,   422,     0,
       0,  1018,   415,   418,   419,     0,     0,   555,   558,   556,
     557,   587,     0,   435,     0,     0,   155,     0,     0,   156,
     154,     0,     0,   327,     0,   181,   399,     0,     0,   647,
     650,   643,     0,   720,   722,   695,     0,   601,     0,     0,
    1325,   498,     0,   485,   481,   483,   482,   484,     0,   491,
     326,     0,   498,   491,     0,   946,   972,     0,     0,     0,
    1011,  1015,  1012,     0,     0,   987,     0,   995,   965,  1169,
    1170,  1167,  1168,     0,     0,  2365,  1361,  2374,  1030,     0,
     320,  1028,   762,     0,   753,     0,   755,  1032,   320,   320,
     634,     0,   544,     0,     0,     0,     0,   896,   916,     0,
     912,     0,     0,   879,   921,  1346,  1344,   497,   924,     0,
     880,   923,     0,     0,     0,     0,     0,  1832,  1565,     0,
    1865,  1861,     0,  1708,  1833,     0,  1845,  1844,  1667,  1846,
       0,  1686,     0,     0,  1678,  1676,  1677,  1670,  1671,  1672,
    1673,  1674,  1675,  1679,  1855,  1854,  1848,  1849,  1585,  1583,
       0,  1730,  1731,  1732,  1856,  1739,     0,  1951,  1766,  1743,
    1759,  1758,     0,     0,     0,  1746,     0,     0,  1755,     0,
    1795,  1571,  1604,  1610,     0,     0,  1633,  1860,  1651,     0,
       0,     0,  1629,     0,     0,     0,     0,  1638,  1811,     0,
       0,     0,     0,     0,     0,  1403,  1402,  1408,  1490,  1495,
    1385,     0,  1477,     0,  1489,  1475,  1488,     0,     0,  1501,
    1499,     0,  1501,     0,  1501,     0,  1472,     0,  1491,  1473,
    1488,     0,  1895,  1514,     0,  1452,     0,     0,  1420,     0,
    1777,  1707,  1780,  1775,  1776,  1825,  1701,  1912,     0,  1823,
    1777,     0,     0,     0,  1874,  2560,  1396,     0,  1425,  1442,
    1435,     0,  1516,  1335,     0,     0,  1332,     0,     0,     0,
    1353,  1334,  1356,  2406,     0,  2461,  2526,  2527,     0,   935,
     936,   934,   937,     0,     0,     0,   666,     0,     0,   462,
       0,   953,   953,     0,     0,   448,   494,  1018,   669,     0,
       0,     0,   667,   320,  1065,     0,   584,     0,     0,   579,
     577,   576,   578,   536,  1151,  1066,     0,     0,     0,     0,
     997,     0,   989,  1083,     0,   413,     0,   281,  1109,     0,
       0,     0,   280,     0,   320,   320,   606,   329,   330,   333,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     747,   730,     0,     0,   748,   749,     0,     0,     0,  1035,
    1036,  1034,   149,   146,   147,   150,  1093,  1077,  1127,  1075,
       0,  1121,  1090,  1086,     0,     0,     0,     0,     0,  1150,
    1104,  1125,  1149,  1102,  1123,  1101,  1122,  1103,  1124,  1094,
       0,  1523,   727,     0,     0,     0,   320,   320,   636,  1079,
    1129,     0,   794,     0,     0,   795,   797,   374,     0,   377,
     384,   356,   361,  1256,     0,  1256,     0,   358,   362,  1256,
     357,  1256,   354,   688,     0,     0,     0,  1526,     0,     0,
       0,     0,     0,     0,  1531,  1539,   665,     0,  1229,  1228,
    1227,  1231,  1230,  1233,  1232,  1224,  1223,  1236,  1235,  1222,
    1221,  1226,  1225,     0,   420,     0,   426,   430,   431,   429,
     421,  1018,   454,   493,     0,     0,   678,     0,   553,   401,
     432,     0,   405,   158,   157,     0,     0,     0,   185,     0,
       0,   652,   656,   696,     0,  1522,   630,   327,     0,   401,
     498,  2331,     0,   406,   411,   412,     0,   489,     0,   485,
       0,     0,   495,  1216,   499,   500,     0,     0,   975,   992,
     993,     0,     0,  1018,  1017,     0,   538,     0,  2338,   320,
     597,   320,   320,  1175,   675,     0,   908,   907,   906,   530,
       0,   910,   320,     0,     0,     0,     0,     0,   849,   828,
     848,  1864,  1724,  1734,  1843,     0,     0,  1687,     0,     0,
    1729,  2213,     0,     0,     0,     0,  1763,  1764,  1745,     0,
    2061,  1750,     0,     0,     0,  1915,  1657,  1655,  1652,     0,
    1653,     0,     0,  1635,  1631,     0,  1637,  1662,  1407,  1406,
    1405,  1404,  1476,  1474,  1479,  1486,     0,  1471,     0,  1500,
    1496,     0,  1497,     0,     0,  1498,     0,     0,  1486,     0,
       0,     0,     0,  1771,  1777,  1777,  1702,  1782,  1779,     0,
    1704,  2530,     0,  2533,  2531,  2532,  2536,  1604,     0,     0,
    1328,  1331,  1333,     0,  1360,  1351,  2463,  1244,     0,     0,
       0,   444,     0,  1018,     0,     0,     0,   956,   956,     0,
    1018,   493,   671,   670,   673,   668,   672,  1253,     0,   571,
     572,  1085,     0,  1133,  1091,   990,     0,   602,   277,   278,
     279,   282,   322,   289,   283,     0,  1081,     0,  1131,  1088,
    1144,  1070,  1118,     0,     0,   736,     0,     0,     0,     0,
    1145,  1071,  1119,     0,     0,     0,     0,  1262,     0,   321,
     726,   725,   322,   338,  1106,     0,   798,   799,   375,   139,
       0,   353,     0,   382,     0,   380,   379,   381,     0,   368,
       0,     0,     0,     0,     0,  1527,     0,  1049,  1049,  2777,
    2778,  2779,  2780,  2781,  2782,     0,   666,  1234,     0,     0,
     417,   493,   461,     0,   423,     0,     0,     0,     0,     0,
       0,     0,   601,     0,     0,     0,   180,   401,   601,   651,
       0,     0,     0,   723,     0,   403,     0,  1323,   402,     0,
       0,   491,     0,   489,     0,   486,     0,   490,     0,  1209,
       0,     0,  1016,     0,  1020,     0,   986,   963,  1515,     0,
     542,  2364,  2368,  1050,   754,   756,   635,   913,   920,   320,
     829,   830,   831,   832,  1682,     0,     0,     0,     0,  1740,
       0,  1741,  1768,  1767,  1747,  1751,     0,  1748,  1749,  1654,
    1658,  1656,  1639,  1478,     0,     0,  1480,     0,     0,  1482,
    1484,     0,     0,     0,     0,     0,  1898,  1777,  1449,  1451,
       0,  1386,  1705,  1706,     0,  1421,  1777,  2535,  2534,   229,
    1813,  1517,  1357,   914,     0,   320,   953,   493,   463,  2070,
     464,   952,     0,   954,   959,   959,     0,   493,   666,   564,
       0,   600,     0,   324,   332,     0,     0,     0,   743,   731,
       0,     0,   750,  1087,     0,     0,     0,     0,     0,   320,
     801,   355,     0,   378,   387,     0,   385,   359,   364,     0,
     366,   365,   360,   363,  1049,     0,  1046,  1045,   664,     0,
     452,   424,     0,   472,     0,     0,   679,     0,     0,     0,
     441,   440,   437,   436,   438,   439,   434,   433,   626,   740,
     327,  1216,   614,   653,   654,   649,     0,     0,     0,   485,
     481,   407,   416,   390,     0,   491,   487,   488,     0,     0,
       0,  1264,     0,   947,  1019,     0,     0,     0,   537,     0,
       0,   541,   532,     0,  2366,   881,  1683,     0,  1684,     0,
       0,     0,  1753,  1752,     0,  1487,  1503,     0,  1483,  1481,
    1492,     0,  1494,  1770,  1772,     0,     0,  1785,  1703,   931,
       0,   932,   956,   467,     0,   955,   962,   962,   454,   666,
     445,  1092,   603,     0,   285,  1089,     0,   734,     0,   745,
     743,     0,     0,  1258,     0,  1259,  1260,  1263,   340,   343,
     373,   383,     0,   367,  1044,  1048,  1047,     0,     0,   425,
     458,   459,   460,     0,   427,   468,   469,     0,   676,     0,
     681,     0,     0,     0,     0,     0,  1210,     0,     0,  1211,
     489,   485,   414,   480,   388,     0,  1213,     0,   327,     0,
    1018,  1021,  1173,   540,   539,  2369,  2371,  2370,     0,  1685,
    1756,  1742,  1769,  1754,  1485,     0,  1493,     0,     0,  1781,
       0,     0,     0,     0,   959,     0,   666,     0,   950,   949,
     461,   447,   323,     0,     0,   741,   744,   732,   745,   752,
     751,     0,   386,     0,   451,     0,     0,     0,   470,     0,
     471,   492,     0,   680,     0,   601,   739,     0,     0,   655,
       0,   491,   489,  1214,  1215,   491,   948,   964,  1172,  1171,
    1398,  2367,  1502,  1773,  1774,  2178,     0,  2153,     0,  1783,
    1786,  1784,  1778,   320,   962,     0,   449,   465,   472,     0,
       0,   733,  1261,   656,   477,     0,   476,     0,   474,   473,
     677,   682,   627,   729,  1212,   659,   391,   491,  1515,  1155,
    1398,  1154,  1156,  1164,  1161,  1163,  1162,  1160,     0,  1790,
    1789,  1788,  1792,  1791,   933,   951,     0,   666,   735,   742,
       0,   475,   479,   478,     0,   657,   660,   663,   661,   662,
     389,   938,     0,  1165,  1159,  1385,  1372,     0,   466,   450,
       0,   637,     0,  1157,  1398,  1787,     0,   658,  1158,     0,
     659,     0,   638
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4436, -4436,  3944, -4436, -1181,   205,  2464, -1222, -4436, -4436,
   -4436,  1220, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  3116,
   -4436, -4436,  1645, -2584, -4436, -4436,   -61, -1604,   182,  2725,
    1314, -4436, -1357, -4436, -4436,  -852,    21,   330, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436, -1168,  1794,  1141,   -56,
   -4180, -4436, -1739, -3312, -4436,   541, -4436, -4436,  1735, -4436,
   -4436, -4436,  1001,   467,  -449, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436,  -269, -4436, -4436,  -578,   202,  -125, -2583,  -320,
   -4436, -4436,   411,  -322, -1621, -4436, -3617, -4436,   -17, -4436,
   -4436, -4436,  -302, -1702,  1238, -4436,  -999, -1407,  1554,  -638,
   -4436,  -190, -4436,  -693,  -580,  -577,  -649,  -481, -3800, -4223,
   -3808, -3427,  1243, -4436, -3728,   255, -4436, -4436,   257,   259,
   -4436, -4436, -1799, -1723, -4436, -1110, -4436, -4436, -4436, -3061,
   -4436, -4436, -4436, -4436,   -94, -4436, -4436, -4436, -4436,   435,
   -4436, -4436, -4436, -4436, -4436, -4436, -2680,  1688,  1689, -4436,
   -4436, -3263, -4436, -1209, -4436,   573, -3086,  1152, -4436, -4436,
   -4436,  2397, -4436, -4436, -4436, -4436, -4436, -4436, -1880, -4436,
   -4436,   287, -4436,  1699,   963, -4436, -4436, -4436,  -683,  -749,
    -738, -4436, -3589, -4436, -4436, -4436, -4436,  -263, -4436, -4436,
   -4436, -4436, -4436, -4436, -1231, -4436,  1030, -3206, -1236, -4436,
   -4436,  1044, -4436, -4436, -4436, -4436, -4436,  -629,  -197,  2430,
   -4436,  -519,  -606, -4436, -4436, -4436,  -195, -4436, -4436, -4436,
   -4436, -4436, -4436, -1334, 11954, -1834, -4436, -4436, -4436, -4436,
   -2570, -4436, -4436, -4436, -1651, -4436,  4198,    25,   152,   291,
   -4436,  -183,  -110,  2952, -1411, -2781,   377,  -355, -4436, -2049,
   -4436, -4436, -4436, -2673, -4436, -4436, -4436, -4436, -3560,   314,
   -4436, -4436, -4436,   426, -4436, -4238, -4026, -4307, -3779, -3543,
   -4436, -4436, -1339, -4436, -4436, -4436, -1667,  1901, -1754, -4436,
   -2435,   427, -3824, -1019, -3331, -4436, -3749,  -453, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -1347,  -885, -4436, -4436,  3478,
   -4436, -3448, -4436, -4436, -4436, -4436,  1282, -4436, -1698,  1107,
   -4436, -4436, -4436, -4436, -4436,  -623,  -704, -4436, -4436, -4436,
     317, -4436, -4436, -4436, -4436,  1982, -1214, -1002,  3319,   325,
    -419, -4436, -4436, -4436, -4436, -3104, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -1690, -4436, -4436, -4436, -4436, -4436, -4436,
   -4436,  2107,  2108,  -113,  -215, -4436, -4436, -1512, -4436,  -830,
   -4436,  2349, -4436, -4436, -4436, -4436,  1384,   326,   458,   -74,
   -4436, -4436,   244, -3489,   -72, -4436, -4436, -4436, -4436,  2078,
     -70, -4436,   729, -4436, -4436, -2915, -4436,   328,    10,  3020,
    1646,   -75,   266,  -245,  -194,  -163,   -77,  3320,  2792, -4436,
   -4436, -4436,  -211,  1680, -4436, -1100,  -359, -4436,  1400,  -928,
    2087,  2780,  2788, -4436,  1392, -4436, -4436,  1398, -4436, -4436,
   -4436,  -924,  2092, -4436,  2794, -4436, -4436, -4436,  1379,  1393,
   -3463,   826, -3460, -3421,   327,   311, -1187,  -280,  -185,  3363,
    2796,   838, -4435,   765, -4436, -4005, -2461,  2113, -2154, -1867,
   -4436, -4436, -1434,  7917, -4436, -4436, -4436,  8732, 10662, -4436,
   -4436, 12691, 14102, -4436, -1303,   878, 14393,  6868, -1470, -1889,
   -1558, 20105,  1255,  1085, -2851, -4436, -4436, -4436,  -243,   888,
     137, -4436, -4436, -4436, -4436,  -509, -2900,  -508, -4436, -4436,
   -4436,  -512, -3476, -2021, -4436,  -819, -4436, 20339,  1435, -4436,
   -1326, -2843, -2847, -1402, -2012, -4436, -4436, -4436, -4436, -4436,
   -4436, -4436, -1937, -3361,  -328,  1510, -4436, -4436,  1605, -4436,
   -4436, -4436, -1566, -1143, -2754,  1514, -2178, -4436, -1099,   786,
    2237, -1058,  4525, -1599, 17287,  -127, -2309, -1551, -1784, -4436,
     -81, -4436,  2847,   254,  -787,  -150,  -897,  6420,  4355,  4743,
   -3205, -4436, -4436,   344, -4436, -4436, -4436,  3836,  1042, -4436,
    3143, -4436,  1752,  2484, -4436, -4436,  2115,  -971,    48, -4436,
    -480, -4436,  -132, -4436, -4436, -4436,   173, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436, -4436, -4436,  2816, -4436, -4436, -1469,
   -4436, -4436, -4436, -4436, -4436,  4100,  -299, -4436,  3514,  -283,
   -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436, -4436,  2829,
    2148, -4436,  3324, -4436, -4436, -4436,   -38,  3039, -4436, -4436,
   -4436, -1226,  -596,  3337,  3339,  2118, -4436, -4436, -4436, -4436,
   -4436, -4436, -4436, -4436,  2123, -4436, -4436,  1503, -2164,  2127,
   -4436, -4436,   816, -4436, -4436,   361, -4436,   818, -4436,  2940,
   -4436, -4436, -4436,   857, -4436, -4436, -4436,  -591, 14518,   -48,
      97,   198,  1040, -4436,  8837,  5207,    73,  2852,   -10, 12062,
   19250,    11, -4436,  4104,  2125,  1738, -1030, -4436,  4122,  2436,
   18576, -4436, -1028,    30,  2119, -4436,    -2,  -660, -1215,  3142,
    -761, -2003, -4436,  4528, -4436, -3554, -4436, -1053,  3545, -1250
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   248,   249,  1736,  2668,  2545,  3377,  3378,   250,
     251,  1808,   252,   253,   254,   255,   256,   257,   258,  1752,
     259,   260,  1308,  1958,  2678,   261,  2408,  1075,  1076,  2276,
    2277,  2610,  2278,  2265,  1586,  2060,  1771,  1738,  1772,   263,
     264,  1580,  2257,   265,   266,   267,  1796,  1797,  1746,  2003,
    4291,  4894,  2526,  3414,  3213,  3214,   268,  1854,  1855,   269,
     270,  3328,  1895,  2637,  3865,  3866,  4322,   878,  2634,  4599,
    4600,  4308,  4309,  4606,  4785,  4786,  2679,  1954,  3408,  3953,
    3368,  4392,  3369,  4393,  3370,  4394,  3356,  3912,  3913,  3914,
    3371,  4370,  4816,  3372,  2423,  4919,  2713,  2090,  2088,  4803,
    4188,  4189,  4976,  4924,  4925,  4926,  5048,  4399,  3412,  3959,
    4402,  4634,  3110,  1978,  2827,   977,  2715,   909,   978,  2680,
     275,  2707,  1828,  1829,  2553,  3872,  3470,   276,  1327,  3739,
    4680,  4851,  4852,   277,   866,   278,  1962,   279,   280,  2664,
    3362,   281,  2440,  3127,   282,   283,  3154,  3155,  3156,   284,
     285,  3763,  4556,  1798,  3206,  3207,  3208,  3209,  3783,   286,
    1960,  1834,  2687,   287,   288,   289,   290,   291,  2597,   292,
     293,  2681,  1970,  2699,  2700,  4382,  4650,  4825,  4652,  5084,
    5085,  4626,  3718,  4202,   295,   296,  4365,  4366,  4931,   297,
    2438,   298,   299,   300,  1938,  2656,  2657,  3873,  1722,  1898,
    2639,  2640,  3942,  3943,   301,  3288,   302,  4250,  4251,   910,
    4934,  4899,  4987,   303,   304,  4254,  4255,   305,   306,   307,
     308,   309,   965,  1380,  1381,  1728,   310,  2293,   311,  1281,
    3319,   312,  1469,  2852,  4439,   313,  1001,  1405,  1406,  2682,
     315,  1012,  2830,  1014,  2103,  3472,  3473,  4013,  2798,  1200,
     316,   317,  2809,  2833,   318,  1739,  2414,  2415,  4183,  2683,
     911,  1984,  2718,  3105,  4842,  4190,  4537,  4754,  3027,  3669,
     320,   912,  1776,  2488,  2721,  3420,  3421,  2490,  2991,  3974,
    2492,  3422,  3427,  3428,  3429,  3970,  3978,  4674,  4675,   321,
    1774,  2481,   322,   323,   324,  1805,  1219,   325,   933,   934,
     326,  4796,   327,  1346,   328,  1033,  2120,   329,  2504,  3769,
     330,   331,   332,  5061,  5092,  5093,  5094,  3983,  5020,   333,
    5063,  1447,   335,   336,   337,   869,  1247,  1248,  1249,  2684,
    4669,   339,   340,  2660,  3355,  3894,   341,   342,  2409,  3095,
     343,   344,   345,  1942,   346,   347,   348,   349,  1874,   350,
    1617,  1618,   351,   352,   873,  1094,  1621,  1629,   353,   980,
    1399,  1400,  1401,  2062,   354,  1451,  2820,   981,  1394,   982,
    3046,  3678,  3679,  3682,   983,  3043,   358,  2109,  2814,  2817,
     984,  3050,  3051,  3052,  3053,  3054,  3684,   985,  1003,  1337,
    2729,   986,  1540,   363,   364,   365,  1103,  1098,  1099,   367,
    2235,  2981,  1020,  1635,  1060,  1110,  4138,  2307,  2308,  2330,
    2331,  1644,  1645,  2320,  2322,  3029,  2323,  3037,  2313,  4135,
    4503,  2326,  2327,  1647,  1648,  1649,  2335,   368,  2985,  3614,
    3615,  3616,  4114,  4115,  4129,  4125,  4490,  4719,  3617,  1441,
    1655,  3618,  3623,  3676,  3399,  3400,  3401,  2493,  2647,  1920,
    1541,  1921,  2654,  1542,  2155,  1923,  1543,  1544,  1545,  1926,
    1546,  1547,  1548,  1549,  2138,  2198,  1550,  1551,  2174,  1142,
    1143,  2047,  2891,  1553,  1554,  4078,  4463,  4452,  2917,  2918,
    2273,  4074,  3565,  4731,  4873,  4874,  4146,  4143,  4507,  4735,
    4972,  5029,  5030,  1555,  2971,  2227,  1221,  1556,  3875,  2229,
    2911,  2993,  2994,  2393,  2136,  2857,  2874,  2875,  2888,  3526,
    2895,  2900,  3549,  3550,  2912,  2940,  1557,  2860,  2861,  3509,
    2140,  1558,  1610,  1611,  2243,  2935,  1624,  1625,  1096,  1559,
    1560,  2104,  1085,  4715,   720,   703,  3227,  2288,  1251,  1017,
    1561,  1562,  1563,  1355,  1356,  1677,   665,   704,   705,  1180,
     817,     2,    75,   987,  3406,   372,   373,   914,   915,   916,
    1329,  1330,  1989,  1992,  1682,  2371,   669,   670,   721,  4418,
    4681,  4854,   971,   374,   375,   376,   377,  1678,  2367,  1144,
      76,    84,    77,  1145,   414,   415,  2348,   378,   834,   379,
    1658,  1124,  3690,   380,   381,   382,   383,   384,   968,   385,
    1126,   386,  1127,   387,   388,   389,   390,  1134,   391,  1660,
    1661,  4175,  1662,   392,   393,   707,   708,  1392,   394,   395,
    1161,  1162,  1424,  1425,  1688,  1703,  1704,  1705,   396,   677,
     397,   398,   399,  1694,  1695,   400,  2250,  2251,  2376,  2252,
     401,  3067,  3068,   402,  3649,  3650,  4514,  3651,   403,  2246,
     404,   405,  1088,  3695,   406,   830,   407,  1175,   709,   710,
     711,  1182,   820,  1046,   722,  1184,  3210,   822,   823,   713,
     714,   715,  2082,    78,  3075,  2083,  1565,   723,  1566,  2241,
    1567,  1568,  1569,  1570,  1571,  1711,   717,  1151,  1384,  1385,
    3076,  1387,    82,  1388,   411,  3887,  2050,  1426,  2068,  2069
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      81,   366,  1102,   361,   356,  1111,   357,  1581,   359,  1304,
    1433,  1434,  1435,  1650,  2009,  2019,  1439,  1005,  1087,  1656,
    1833,  2491,   925,  2013,  2087,   908,   913,  1052,  1603,  2301,
     408,  1676,    79,  1220,  1872,  1339,   408,  1005,  2422,  1084,
    1723,  2652,  2766,  1810,  2059,  2290,  2799,  2644,  2115,  1897,
    3490,  2176,   979,  2127,  2522,  3173,  3175,  1859,  2149,  2150,
    1827,  1013,  3324,  1838,  1159,  1362,   964,  2048,   409,   408,
    1595,  1026,  1864,  1952,   409,  1220,   410,  2165,  2501,  1402,
    1338,  1121,   410,  1972,  3367,  2999,  2509,   674,   366,  2612,
    3629,  3385,  3745,  2704,   867,  1799,  3977,  1122,  2653,   262,
    1053,  3921,  2578,  2579,  3963,  2565,   719,  2000,  2489,  1940,
    2355,  2357,  2358,  1945,   408,   410,   725,  3778,  1949,  3780,
    2304,  3019,  2856,  4158,  3285,  1955,  4195,  3876,   825,  1163,
    1706,  1220,  1708,  3619,  3683,  1974,  3476,  1105,  2574,  3890,
    3876,  3626,   706,  3624,  3625,  1397,  4225,  2893,  4185,  4111,
    4413,   919,   871,  4397,  2758,  4405,  1074,  2290,  4128,  2500,
     410,  2893,  4363,  2477,  2074,  1365,  4538,   927,  2049,  3573,
    2044,  1339,  1113,   825,  4661,  1377,  2400,  2708,  2142,  2143,
     706,  1773,  1643,   408,  1684,  1685,  1646,  4163,  4056,  1154,
     821,  3619,  1002,  3058,  2349,  2349,  4126,  2248,  3530,  3694,
    2719,   917,   924,  1114,  2162,   417,  1386,  1049,   417,  1697,
    2974,   924,  1002,  2193,   818,  1049,  1588,  1049,  2196,  1971,
    1048,  1740,    45,  4391,   877,   417,  3229,  2001,  1048,   410,
    1048,  4755,  1698,  3074,  4404,   821,  2585,  3078,  2428,    45,
    2933,  1176,   825,  4847,  -139,  3895,  3896,  3897,  3898,  3899,
    3900,   924,  2291,  -139,  1749,  3968,  2510,   413,  -139,   818,
    1333,    37,    38,    39,    40,   928,  3307,   417,    44,  2590,
      37,    38,    39,    40,  4536,  2503,    43,    44,  1471,  1699,
     271,    45,  1422,  2572,  1893, -1575, -1575, -1575, -1575,  4323,
    1092,  2061, -1575,   130,   131,   366, -1799,   361,   356,  3741,
     357,  3688,   359, -1799,   821,  2968,  2233,   417,  2001,  2001,
    1449,  2928,  2969,  2202,  3477,   819,    43, -1905, -1905, -1905,
   -1905,    45,  4252,  1741, -1905,  2933,  1430,  -376,   818,  4328,
    3326,  2711,   408,   272,  1465,   273,  2676,   274,  2205,  1243,
    2972,  2051,     3,   664,   362, -1575,  1936,  2701, -2635, -2635,
   -2635, -2635,  4446,  2503,  4447, -2635,  1750, -1815,  -782,  5082,
     819,  3380,  3024, -2635, -1815,   294,  1585,   408,  2207,   314,
     409,  4611, -1580, -1580, -1580, -1580,  2506,  1317,   410, -1580,
    4616,  1872,  4763,  1887,  4898,  4545,  4359, -1590, -1590, -1590,
   -1590,  1042,   319,   262, -1590,   334,  3530,  2194,  2054,  3136,
    2055,  1081,  1574,   338,   355,   409,   360,  1318,  4617,  2677,
    2503,  2810,  4779,   410, -2059,   879,  2503,  1614,  4612,  1615,
    4253,  2239,   371, -2636, -2636, -2636, -2636,  2507,  1244,   819,
   -2636,   362, -1580,  4843,  2503,  3444,  1319,  3446, -2636,  2503,
    4835,  3025,  3507, -1547, -1547, -1547, -1547,  2176,  4541,  1220,
   -1547, -1590, -1590, -1590, -1590,  1749,  2832,  5044, -1590, -2633,
   -2633, -2633, -2633,  2973,  1150,  1742, -2633,  1727,   831,  1245,
     832,  2149,  2150,  2292, -2633,  3746,  3121,  2002,  2165,  1431,
    1320,  1339,  4448,  2266, -1580, -1580, -1580, -1580,  2279,  2279,
    3335, -1580,  4723,  2794,  4725,  1198,  5083,  2800,  1743,  2802,
    3488,  4995,  2805,  2702,  1339,   913,  2236,  3478, -2632, -2632,
   -2632, -2632,   929,  1101,  2984, -2632,  1295,  2712,  1246,  2429,
    1350,  4360,  3742, -2632,  2001,  1461,  2037,  1744,  2811,  2511,
    2107, -2227, -2227, -2227, -2227,  1178,  3327,   868, -2227,   675,
    2623,  2512,  3915,  2619,  1157,  1158, -2227,  2282,  2283,  2934,
    2234,  1122,  1880, -1560, -1560, -1560, -1560,  1750,  2002,  2002,
   -1560,  1687,  1690,  3308,  2573, -1587, -1587, -1587, -1587,  1093,
    3969,  1339, -1587,  2063,   271,  4974,  2020,    37,    38,    39,
      40,  4238,  3876,  2586,    44,  1745,  1719,  2463,  1148,  2591,
    1450,  2197,  2513,   930,  1693,   931,  4598,  4531,  4178,  4663,
    2142,  2143,    37,    38,    39,    40, -1799,  2108,  2162,    44,
    2039,   247,  4631,  1751,  3542,  2970,  2131,  1438,  2644,  1937,
   -2059,  4377,  2043,  5091,  1155,  2570,  1937,   272,  2290,   273,
     919,   274,  1112,  2533,  3593,   999,  1000,  1608,   362,  5045,
    2615,  1609,  3158,  2561,  3028,  2563,  1735,  2465,  2249,  4128,
    2105,  2703,   999,  1000,  4487,  2471,  1616,  2611,  4491,   294,
    3177,  4546,  4657,   314,  4677,  2117,  2642, -1815,  1871,  1804,
    1156,  -139,  -139,  2290,  1231,  3338,  4444,  2998,  2128,  2787,
     917, -2059,  4525,  3746,  4386,  3044,   319,  4482,  3134,   334,
    2202,  2011,  4012,  1339,  1700,  1701, -2059,   338,   355,  3224,
     360,  1339,  1339,  2812,  2762,  3819,  2551,  5046,   416,  2554,
    2555,  5016,  2372,  2859,  1191,  2205,   371,  5011, -1575,  4871,
    4882,  2813,  2336,  4216,   924,   924,  2337,  4141,  4240,  2226,
    5047,  1102,  1777,  2011,  1674,  1675,  3172,  3758,  2261,  3759,
    3852,  4247,   833,  3855,  3856,  2207,  1199,  3859,  1608,  3122,
   -1905,  3252,  1609,  3862,  1651,  2480,  1597,  1179,  1290,  2795,
    3619,  3619,  2137,  3159,  1403,  1994,  1201,  1296,  2806,   676,
    4996,  1351,  1150,  2620,  2002,  4620,  4621,  4622,  4623,  4624,
    1280, -2635,   408,  1438,  4747,  4149,   408,  2171,  4337,  5057,
    1335,  4757,  2314,  2108,   835,  3711,  4388,  3685,  1163,  1285,
    3935,  3916,  1869,  1881,  1115, -1580,  2172,  2853,  2855,  3539,
    3540,  3541,  3542,  4636,  1348,  1995,  3481,  2777,  2863,  1058,
    2173,  1164,  2867,  2780,   409,  2770,  4275,  2044,   410,  2315,
    2879,  2880,   410,  3225,   836,  1440,  1187,  3653,  1404,  4248,
    1410,   825,  1415,  2897,  2899,  1187,   674,  1395,  1419,  1665,
    3087,  2171,   674,  4833,  2913,  1343, -2636,  2883,  2884,  2711,
    3659,  4191,   674,  1398,  3901,  1353,  2695,  2416,  2893,  2893,
    2172,  1410,  1415,  2893,  2137,  2477,  2148,  3182,  1187,  3060,
    1116,  3060,  2796,  2417,  2175,  3482,    37,    38,    39,    40,
     674,  2202, -2633,    44,   674,  1422, -1373,  3874,   366,   216,
    1108,  2416,  1440,  1167,  1996,   674, -2363,  3904,  3479,  1113,
    3874,  4862,  1059,  2893,  2893,  3218,  2205, -1580,   724,  4637,
    3194,  2540,  2317,  4416,  1336,  2648,  4166,   818,  4249,   224,
     674,  1029,  1654,  3634,  1187,  3359,  3635,  3636,  2418,  3135,
    1114, -2632,  2696, -1376,  1187,   674,  2207,  3637,  3638,  3639,
     674,  3640,  3641,  1870,  1997,  2419,  3642,  3643,  3644,  3530,
     674,  3955,  1598, -1547, -2227,    81,  2491,   234,  1150, -1373,
     924,  3195,  2418,  2318,   674,  4886,  4887,  4276,  1207,   237,
    1619,  2714,  4389,  1396, -1902,  2565,  2154,  1220,  1324,  2419,
    3975,  1136,    37,    38,    39,    40,  2769,    79, -1587,    44,
    1409,  4920,  1414,  3149,   872,  1584,  3857,  3858,  1030,  1592,
    2199,  1106,  1428,  3045,  1755,  1408, -1376,  1413,  1391,  3799,
    4915,  4950,   924,  1599,  4713,  4716,  1578,  4944,   819,  4940,
    4720,  1443,  1445,  4722,  1998,  2237, -1547,  4799,  1461,  4629,
     408,  2803,  2804,  2791,  3908,  4647,  1442,  1444,  2194,  1137,
     993,   417,  2649,  1019,    37,    38,    39,    40,  1187,  1165,
      43,    44,  1471,  1699,  1049,    45,   674,  4228,  1049,  1107,
     994,  1843, -2637,  1117,  2430,  4654,  3150,  1048,  1613,  4136,
    3909,  1048,  3977,  2420,  3979,  3927,   410,  1666,  1422, -2009,
    2430,  4863,  3149,  1187,  3910, -2363,  3360,  1686,  3645,  3219,
    1243,  3480,  1202,  2223,  2224,  2225,  2226,  2797,  1224,  1844,
    1150,  4810,   706,  4921,  4758, -1373,  3656,  2420,  1238,    35,
     417,  3800,  2697,    37,    38,    39,    40,    41,    42,    43,
      44,  1243,  1689,  2747,    45,  2698,  1108,  4849,  4557,  2234,
    3532,  5012,  1139,  1411,  2521,  1325,  1299,  1416,  1417,  1418,
    1306, -2363,  1422,   674,   674,  4984,  4916,  1429,  1402,  4811,
    3980,  1316, -1376,   826,  1608,  3150,  4812,  4838,  1609,  4890,
    4797,  1679,  1876,   827,  3361,  4839,  3911,  5018,  4922,  2421,
    1031,  1032,   417,  1882,  4880,    37,    38,    39,    40,  1244,
    1709,    43,    44,  4813,  3151,  5034,    45,   993,  3467,  1220,
    1326,  5017,   969,  5056,  4801,   993,  4229,  5058,  2792,  3149,
   -1373,  1027,  1737,  2421,  4985,  4942,  1633,   994,  3196,  3342,
    1244,  3664,  2431,  2739,  2773,   994,  3153,  3152,  2263,  3646,
    1245,  3007,  3928,  1987,  2750,  1679, -2041,  2793,  2311,  2650,
    4506,   362,  1101,  1985, -2060, -1373,  2757,  3486, -1373,  5090,
    4510,  1187,  1109,   417,  4524,  1967,  3063, -1376,  4868,  1108,
    1845,  1245,  1187,  3801,  4814,  2472,  3619,    45,  1639,  3197,
    3619,  1089,   828,   891,  3647,  1968,  3038,  1423, -2009,  1246,
    1473,  2886,  3150,  3530,  4302,  1935,  1423,  4850,  4500,  4149,
    4305,  4306, -1376,  3981,  1102, -1376,  3802,   874,   993,  2432,
    4981,  4509,  2221,  2222,  2223,  2224,  2225,  2226,  4230,  1634,
    1246,  4231,  2356,  2025,  1909,  3153,  1963,  1108,   994,  3004,
    4883,  1423,  1187,  3244,  2040,  3803,   366,  2312,  4840,  3181,
    4889,   893,  2635,  2636, -2009,  3756,  1641, -2085,  2264,  5019,
    2950,  1160,  3177,  4978,  4979,  4432,  4914,  1220,  1846,  2473,
    3279, -1547,  3874,  3982,  1964,  3530,  1706,  1594,  1708,  4764,
    3876,   674, -1547,  3162,  2148, -1547,  1727, -1547,  3648,  1112,
    3537,  3538,  3539,  3540,  3541,  3542,   674,  1028,  3244,  4818,
      81,    81,  3251,    81,  3487,  4822,  2027,  5036,  1210,  1211,
    1212,  1187,  1213,  1214,  1215,  1216,  1217,  1218,  3441,   674,
    3447,   829,  2521,  3263,  4179,  1139,  2297,  3442,  2671,   664,
     664,  4970,    79,    79,  2387,    79,  2065,  2491,  2067,  4008,
    1969,  2071,  1437,  2073,  2028, -2041,  2076,  2077,  2078,  4815,
    1122,  1679,  3153, -2060,  3302,   674,  3631,  4971,  3632,  2085,
    4775,  2305,  2306,  3253,  2310,  2626,  4664,  3163,  1935,  3734,
     674,  3256,  2110,  3258,  2111,  1163,  3329,  4118,  4665,  3390,
    3391,  3392,  3393,   674,  3532,  2951,   674,  1654,   900,  2952,
     901,  3398,  1114,  1114,  2240,  1114,  3764,  1187,  1700,  1701,
    1057, -2041,   972,  2627,  -599,  4385,  3096,  3735,  5099, -2060,
    1082,  5075,  4027,  1953,  4727,  3437,  3632,  1391,  3276,  1438,
    3706,   973,  2825,  3660,  3757,  1965,  1187,  2953,  4935,  4172,
    2893,  2672,  2425,  2893,  2893,  2893,  2893,  2893,  2893,  2893,
    2893,  2893,  2893,  3533,   417,  4119, -2085,   216,  2424,  2565,
    5070,  3277,  3505,   974,  1187,  1187, -2637,  1187,  2253,  2254,
    4776,  2353,  2556,  2893,  1095,  2624,  1128,  1674,  1675,  5068,
    2230,   130,   131,  4120,  1187,  2425,  2064,   224,  3097,  2066,
    3278,   408,  2070,  3820,  2072,  3140,  1129,  2075,  4121,  4180,
    2255,  2079,  2893,  2893,  4001,  2029,  1130,  3021,  2202,  2011,
    4122,  3557, -2085,    37,    38,    39,    40,  1572,   674,  4037,
      44,  2269,    35,  1966,  1104,   234,   674,   674,  4181,  2354,
      41,    42,  2625,  4123,  4732,  4733,  1187,   410,   972,  1790,
    4512,  4666,  3582,  4057,   408,   408,   408,  4182,  4848,  3977,
     825,  5105,  4717,  1679,   706,   706,  2954,   973,  1679,  1679,
    1807,  1220,  2256,  2207,  2628,  1187,  5015,  3619,  3736,  1187,
    1187,   247,  3619,  2369,  4226,  3619,  2361,  2193,  1573,  2362,
    2571,  1994,  4689,   409,   409,  3765,  5071,   993,  2458,   974,
     410,   410,   410,  2030,  1807,   408,  2538,  1937,  2557,   362,
    2558,  3956,   408,  3237,  3960,  1131,  4892,   994,  4124,   408,
    3766,   674,  2289,  4191,  4421,  1473,  4422,  2426,  3530,  1608,
     206,  3469,  1139,  1609,  3537,  3538,  3539,  3540,  3541,  3542,
     835,  2772,  3717,   409,  2364,  2365,   818,  1848,  4119,  3179,
    2391,   410,  3108,  1849,   891,   875,   216,  3416,   410,  1935,
    1724,  3072,  2629,  3238,  2034,   410,  3737,  2080,  2539,   706,
    2383,  2385,  1049,  4596,  4597,  1135,  4120,  1132,   825,  2363,
     836,  2135,  5052,  3342,  2035,  1048,   224,  4743,  1118,  4745,
    2081,  4493,  4718,  1725,  1809,  1639,  3270,  4118,  -161,   818,
    4357,  2152,  3271,  4122,  3109,  1049,  3537,  3538,  3539,  3540,
    3541,  3542,   893,  1935,  3239,  4040,  4542,  4041,  1048,  -502,
    2271,  2355,  1726,  -161,   234,   417,  4639,  1679,  1858,  4954,
    1996,  2179,  -161,  3733,  4646,  1679,   237,  3338,  2808,   835,
    2289,  1136,  1935,  3698,  1133,  2191,  4656,   819,  3584,  1850,
    3585,  4277,  2648,  1125,  1639,  3296,   206,  -161,  1640,  2272,
    4191,  1849,  4358,  1641,   818,  4119,  1339,  2410,  3280,  1737,
     247,  4278,  1737,  3586,  2352,  2011,  4878,  2411,  4543,   836,
    1997,  2434,   216,  3628,  1473,  1790,  1679,  3530,  3531,  1679,
    1679,  2435,  2412,  4120,  1830,   674,  1735,  3281,  3272,  1137,
    1642,  4124,  1138,  1339,  4084,  3240,  4293,  4007,  4121,  3532,
    3619,  3431,   224,  5103,  3104,  1935,  5104,  1737,  1136,  2734,
    4122,  1737,  1641,  2893,  4640, -2427,  4294,  1831,  1729,   408,
    1735,  2202,  3725,  4011,  2641,  4042,  2279,  3108,  4549,  4550,
    2353,  1112,  1112,  4123,  1112,  4043,  4213,  4198,  3455,   900,
     234,   901,  1935,  1679,   975,  1317,  2205,  1850,  2731,  1642,
    1998,  1730,   237,  2815,  4641,   819,  -946,  2737,  3533,   209,
    4012,  4198,  4196,  3587,   906,   410,  1137,   664,  3588,  2649,
    1935,  4823,  1398,  2829,  2732,  1318,  2207,  3747,   825,  3714,
    1731,  1851,  1139,  2738,  2542,   674,   976,  2742,  2354,    37,
      38,    39,    40,  2748,  2749,  4774,    44,     8,  3241,  4824,
    1054,   674,  4917,  1160,  3937,  3768,  3242,   366,  4124,  3243,
    4199,  2761,  1832,  1732,  1852,  2413,  2556,  3939,  4513,  3750,
    2436,    37,    38,    39,    40,  3014,  3948,  1187,    44,  4335,
    3273,  3654,  3021,  1935,  4199,  1166,  1187,  2998,   674,   674,
    2658,  1122,   122,  1853,  1201,  2828,  1733,    43,  1320,   674,
     209,  1177,    45,  2437,  2607,  4780,  4227,  4232,  3532,  1139,
     126,   674,   674,  3274,   818,  4200,  2608,  4201,  2851,   366,
      81,  2824,  2821,    81,  2822,  1734,  2823,  1192, -1420,  1140,
    4217,  1139, -1420,   674,   835,  3792,  3589,  1106,  1813,  4200,
    2609,  4201,  3275,  2893,  2893,  1697,  3590,  2515,  1141, -1421,
    3599,  1194,    79, -1421,  2775,    79,  2776,  3282,  4019,  2523,
    2778,  1205,  2779,  4058,  4059,  2781,  2394,  3533,  1698,  2782,
     216,  1814,  4241,  1187,   836,  3534,  3535,  3536,  4191,  3537,
    3538,  3539,  3540,  3541,  3542,  2244,  3283,  3901,  2245,  1339,
     837,  2598,  2557,  3902,  2558,  1107, -1420,  1206,  1735,  2395,
     224,    80,  2998,  3903,  3459,  2171,  2650,  2524,  2525,   876,
    3874,  1187,  1187,  1241,  3787,   819,  1220, -1421,  2543,  1187,
    2605,  2546,  1187,   966,  2172,  2651,  1187,  1233,  2396,  3788,
    3904,  2877,  3905, -1420,  1187,  1187,   408,  4023,   234,   932,
    2673,  2521,  1187,  3030,  1590,  1187,  1187,  1187,  1187,  1630,
     237,  4526, -1373,  2606, -1421,  1187,  1187,  3917,  1187,  2705,
    1187,  1187,  1108,  1619,  1187,  2259,  2594,  1390,   417,  4091,
    2601,  3347,  5033,  4465,  1055,   891,    37,    38,    39,    40,
    1935,  1187,   410,    44,   247,  2045,  1187,  3665,   673,  2046,
    1187,  2675,  4464,  2491,  1187,   825,  1187,  1187,  1187,  1187,
    1187,  1187,  1187,  1187,  1187,  3906,  1187,  2598,  3098,  1339,
    3101,  2562,  1187,  2568,  4064,  1187,  3395,  3013,  4844,  2503,
    3348,  3396,    37,    38,    39,    40,   408,  2508,  2171,    44,
    4395,  2160,  2161,   893,  3534,  3535,  3536,  4022,  3537,  3538,
    3539,  3540,  3541,  3542,  3047,  2740,  3891,  2172,  2523,  1816,
    1242,  3396,   918,  1168,  3724,  3157,  3338,  2931,   935,  3092,
    3796,  2173,  3907,  3689,   409,  1169,  1170,  3908,  2598,  2575,
    2045,  1608,   410, -1905,  2765,  1609,  1284,  1187,  1109,  3502,
     408,   818,   408,  2768,  1018,  1171,  4193,  4194,  1172,  3703,
    3704,  2171,  1297,  3797,  1298,  1817,  2524,  2525,  3349,  3350,
     362,  2919,  3342,  3909,  2922,  1287,  2523,  2941,  -399,  2942,
    2172,  3503,  3351,  2314,  4819,  3504,  1289,  3910,   409,  1300,
     409,  1301,  3798, -1385,  2175,  1292,   410,  1839,   410,    35,
    2521,  1312,  2943,   408,  2134, -1385,   247,    41,    42, -1385,
    3128,  1305,    37,    38,    39,    40,  3760,  1201,   674,    44,
    2315,  2148,  -501,  2401,  2524,  2525,  2201,  1321,  3352,  2202,
    1840,  1322,   362,  3933,  1841,  1323,    81,  4024,    81,  2295,
     900,  2296,   901,  1818,  1328,   674,  1679,  2345,  2346,   410,
     674, -1385,   819,   674,  2205,  4426,  4427,  4428,  2521,  1842,
    2206,  2298,   825,  2299,  3235,  1953,  1709,  1331,    79,  3911,
      79,  2316,  1173, -1385,  2893,   674,  2727,  2728,  1187,  1150,
    4221,  -399,  1345,  2893,  2207,  2148,   417,  2401,  3318,  1187,
    1872,  1819,   192,  1820,  1811,  1349,  1187,  2944,  3035,  3036,
    2893,  2893,  2945,  2564,  1357,  3814,  1856,  2946,  1860,  1174,
   -1385,  1358,  1339,  2317,  1339,  3353,   674,  3354, -1385,  1363,
     408,    35,   417,   408,  2289,  2939,  1372,  1049,  4132,    41,
      42,  1822,  1378,  1935,  3811,  2148,    45,  1727,  1935,  1935,
    1048,  2604,   967,   674,   674, -1444, -1444,    35,   818,  1393,
    1935,    37,    38,    39,    40,    41,    42,  3918,    44,  3920,
    4331,  4332,  4333,  3665,  2318,    45,   410,   674,  1432,   410,
    1824,  2767,   216,  2768,  4137,  4139,  3665,  1339,  2523,   825,
    1446,  2788,   825,  2789,    37,    38,    39,    40,  1436,  2209,
    1049,    44,   674,  3245,  1452,    45,   674,    37,    38,    39,
      40,  3387,   224,  1048,    44,  1826,    37,    38,    39,    40,
    2210,  2211,  1459,    44,   674,  1453,  2290,  4794,  5059,   192,
    1458,  2790,  3972,  2789,   674,  2947,  2524,  2525,  3556,  3160,
    3558,  3559,  1460,  1679, -1385,  2948,  3926,   674,  3929,  1461,
     234,  1679,  1462,  1679,  3215,  2345,  3056,   674,  3245,   819,
    2998,  2868,   237,  1463,  4438,   362,  2214,  2818,  1464,  2819,
    2521,  2148,  1467,  2401,   408,   818,  2523,  1468,   818,  2215,
    3020,  1470,  3021,  4608,   664,  4610,  1596,  1473,  4739,  4613,
    3530,  4614,  1593,  3080,  3633,  2819,   247, -1166,  4298,  4338,
   -1166,  1187,  1608,  1935,  1600,  1630,  1609,  4085,  3170,   216,
    3171,  3084,  1473,  3410,  3411,  3530,  3088,  1601,  4673,  3091,
     410,  4341,  3667,  3668,  2524,  2525,  3245,  2869,  3231,  1602,
    3232,  3245,  4471,   825,  2893,  4584,  4585,  1607,  4587,   224,
    3440,  3114,  1627,    37,    38,    39,    40,  1620,  4469,  3226,
      44,  1473,  1628,  1102,  3530,  3818,  3449,  3450,  2521,  1637,
    3452,  4018,  3330,  3245,  3331,  1630,  3456,    37,    38,    39,
      40,  4472,  1631,  3343,    44,  3344,   819,   234,  1935,   819,
    1652,   674,  3164,  4325,  4326,  2870,  2523,  2325,  2871,   237,
    1653,  3461,  2523,  2789,  3501,  3357,  2768,  2121,  2122,  3821,
    4453, -1551, -1551, -1551, -1551,  4414,  1657,    35, -1551,  3178,
    3511,   918,  2768,  1659,  3493,    41,    42,  1663,   674,   818,
    3496,  1664,  3515,  5060,  2768,  1667,  1187,  3608,  3609,  3610,
    1668,  1680,  3373,  3211,  2524,  2525,  2523,  3492,  3849,  2201,
    2524,  2525,  2202,  4690,  4691,  4692,  4693,  1636,  4343,  1638,
    2221,  2222,  2223,  2224,  2225,  2226,  2202,  1669,  3236,  2203,
    1102,  1670,  3247,  3024,  4218,   674,  1672,  2205,  2521,  1681,
    1671,  3532,  4345,  2206,  2521,  2523,  1673,  1935,  2872,  1712,
    3259,  2205,  1683,  1713,  2524,  2525,  1715,  1721,  3237,   674,
    3268,  1679,  1150,  1187,  1727,  1748,  3532,  2207,  3519,  1187,
    2768,  2523,  1753,  3292,  1473,  1779,  3520,  3530,  2768,    74,
    3546,  2207,  2768,  3299,  4242,  1775,  1187,  1187,  2521,  3603,
     819,  3604,  1187,  2524,  2525,  3562,   408,  2768,  1806,  3567,
    3533,  3568,   408,  1807,  3605,  3532,  3606,  3781,  3238,  3782,
    1815,  3785,  3025,  3786,  3966,  1804,  3967,  1187,  1187,  2524,
    2525,  2523,  1187,  1835,  4028,  3533,  2768,  2521,  1812,  4429,
    4065,  1847,  4066,  3620,  1187,  1187,  1187,  1187,  4075,  1857,
    4076,  4087,   410,  2768,  4164,  2873,  4165,  1187,   410,  4168,
    1187,  4169,  1187,  2521,  3374,   825,  4197,  1861,  2789,  3239,
    1866,   825,  1187,  1187,  3533,  4492,  1187,  4495,  2208,  2524,
    2525,  1867,  2209,  1868,  4387,   366,  2789,  2824,  2821,  1187,
    2822,  1187,  2823,  4605,  4470,  1187,  2819,  4395,  4533,  1873,
    4534,  3620,  1875,  2210,  2211,  4539,  1877,  2789,  3665,  4644,
    4540,  1187,  2789,  2521,  1879,  1883,  1884,  2210,  2211,  4601,
    2212,  4602,  1187,  1889,  1187,  1187,  1187,  3563,  4329,  4330,
    4331,  4332,  4333,  3570,  1282,  4658,  1891,  4659,  4619,  4329,
    4330,  4331,  4332,  4333,   674,  1894,  2213,  4334,  1187,  2214,
    4699,   818,  4700,  4701,  1004,  2768,  4709,   818,  2819,  1896,
    3240,  1187,  2215,  2214,  1899,  2216,  1187,  4761,  3532,  4762,
    1941,  4820,  1187,  2789,  1004,  1735,  1679,  3534,  3535,  3536,
    1187,  3537,  3538,  3539,  3540,  3541,  3542,  4697,  4311,  1723,
    1944,  1340,   935,  4845,  1946,  4846,  3720,  1956,  4858,  3375,
    2819,  3474,  3534,  3535,  3536,  1937,  3537,  3538,  3539,  3540,
    3541,  3542,  1957, -1558, -1558, -1558, -1558,  -182,  1959,   674,
   -1558, -1549, -1549, -1549, -1549,  3474,    80,  3533, -1549,  4312,
    1961,  4865,  4673,  3021,   674,   674,  1973,  1975,  3376,  2217,
    1187,  3534,  3535,  3536,  1983,  3537,  3538,  3539,  3540,  3541,
    3542,  1981,   819,  4313,  4522,  4864,  1991,  1999,   819,   853,
    4870,   674,  3946,  3241,   674,  4864,  2004,  1935,  4314,  2005,
    2006,  3242,  4315,  2008,  3243,  3771,  4872,  3773,  3946,  2007,
    4373,  4374,  2010,  2018,  1448, -1552, -1552, -1552, -1552,  2011,
    3026,  4316, -1552,  2021,  4317,   408,   408,   408, -1550, -1550,
   -1550, -1550,  4911,  2022,  4912, -1550,  4318,  2023,  2024,  1935,
    1935,  2026,  1935,  1466,  4943,  4728,  2258,  2031,  4948,  4907,
    4949,  4959,  1575,  2819,  2032,  2033,  1587,  1340,  1589,  2218,
    2219,  2220,  2038,  2221,  2222,  2223,  2224,  2225,  2226,  2052,
    4607,   410,   410,   410,  2191,  4791,  2086,  2221,  2222,  2223,
    2224,  2225,  2226,  2116,   825,   825,   825,  2119,  2939,  4960,
     674,  3568,  4961,  4964,  2768,  3021,  2125,  2123,  1935,  3838,
    1935,   674,  4966,  2126,  3946,  3845,  4983,  3602,  2819,  4989,
     674,  2819,  2132,  4990,  4319,  2819,  5003,  4784,  5004,  5022,
    3613,  3021,  4320,  2892,  3534,  3535,  3536,  2133,  3537,  3538,
    3539,  3540,  3541,  3542,  5101,  2141,  5102,  2915,  4965,  5112,
    2144,  5102,  4518,  2145,   673,   673,  2146,  2147,  2151,  1710,
     247,  2153,  2156,  2231,  1935,  2157,  4321,  2158,   362,  2159,
    2164,  2166,  2167,  2168,  4857,  2169,   408,  2170,  2177,  2178,
     818,   818,   818,   674,  3987,  2180,   913,  2181,  3613,  1935,
    2182,  1101,  2183,  2184,  2185,  2186,  2187,  2262,  2274,  1422,
    2258,  2284,  2294,  2303,  1640,  1642,  2332,  2334,  2344,  3868,
    1935,  3951,  2351,  2342,  2359,  3699,  1139,  2366,  1220,  2368,
    3962,  2370,   410,  1935,  2378,  2379,  2381,  2386,   884,  2397,
    2388, -2579,  2390,  2398,  2402,   825,  1102,   674,  2399,   674,
    2403,  3986,  1679,  4632,  4896,  2401,  2404,  1102,  4901,  4902,
    2405,   674,  2406,   674,  4860,  1679,  2433,  3722,  2439,  2427,
    2460,  3988,  4913,  2464,  2466,  3991,  3992,  1201,  3994,  2467,
    3996,  3997,  4101,  4102,  4103,  4104,  2470,  2468,  2469,  4002,
    1919,   819,   819,   819,  2495,  2496,  2503,  1935,  2505,  2515,
    2516,  2518,  2519,  1339,  2521,  2520,  2527,  2658,  4781,  2528,
    2529,  4900,   674,  1935,  4742,  2530,  2541,   891,  4897,  2544,
    2534,  2535,  2552,  2548,  4020,  2559,  1935,  2587,  2549,  1790,
    4903,   818,  4905,  2560,  2588,  2566,  -940,  2567,  2576,  2577,
    2589,  2592,   674,  2599,  2593,  2603,  2617,  2630,  2632,  2618,
    2633,  2643,  2137,  2148,  2645,  2646,  1187,  2659,  2154,   674,
    2662,  2663,   886,  2666,  2667,  1832,  3789,  2674,  2670,  2689,
    1473,  2694,  2709,  3530,   924,   893,   674,  3807,  2710,   674,
    2717,  2720,  2722,  2723,  2724,  2741,  2730,  1340,  2743,  2744,
    2745,    80,    80,  2746,    80,  1187,  2759,  2760,  1935,  2784,
    2807,  2785,  2801,  2816,  2826,  1187,  2859,  2831,   408,  2901,
    1340,  1187,  2902,  1187,  2914,  2858,  3386,  1679,  1935,  1187,
    3620,  3620,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
    1187,  1187,   819,  2864,  2920,  1187,  1187,  2202,  2924,  2925,
    4969,  2932,  2938,  1935,  2957,  4784,  2955,  2984,  1187,  3850,
    3000,  3001,  1187,  2114,   410,  2112,  1187,  3006,  3003,  3008,
    3011,  3022,  3023,  3012,  1107,  3031,  1187,   825,  3032,  1187,
    3033,  1187,  3034,  3042,  3062,  3065,  3064,  1340,  2248,  1935,
    1187,  1187,  1187,  3079,  3083,  3094,  1187,  3081,  3082,  1187,
    3099,  3102,  3104,  3123,  4834,  3124,  3106,  3107,  3113,  1187,
    1187,  3126,  3129,  3118,  3133,  3137,  3145,  3148,  3161,  3166,
    1187,  1590,   900,  3168,   901,  1594,  3222,  3217,  1187,  3230,
    1187,  3620,  3233,   903,  3234,  4877,  3246,  3423,  3284,  4070,
    3287,  3298,  3305,  3309,   905,  3310,  3306,  1953,  3311,  3315,
    4750,  3313,  3314,  3332,  3317,  3316,  1756,  3323,  3337,  4262,
    2195,  3325,  3334,   818,  3532,  3339,  3340,  3365,  3338,  3345,
    2200,  3379,   362,  1187,  3381,  3388,  3394,  3402,  3404,  1187,
    2238,   362,  3405,  3397,  3413,  1187,  3403,  3415,  1757,  4768,
    3418,  3430,  3433,  3434,  3435,  3436,  3438,  3439,  3448,  3451,
    5078,  3453,   362,  3454,  3463,  3464,  3465,  1339,  2598,  1340,
    1187,  3021,  2268,  2270,  2039,  3466,  1220,  1340,  1340,  3475,
    2832,  3483,  3489,  3533,  3491,  4010,  3497,  3468,  3495,  3517,
    1438,  3513,  2768,  3514,   408,  3494,  3498,  3499,   408,  3516,
     408,   674,  3518,  3521,  1758,  4021,  3665,  3552,  3522,  3564,
    3524,  3527,  3583,  3545,  3591,  1220,  3551,  3553,  3554,  3561,
    3576,  3578,  3628,  3577,   819,  3601,  3630,  3627,  -986,  3598,
    3622,  3672,  3681,  3677,  3691,  1759,  3687,  3675,  3696,  3693,
     410,  3702,  3692,  2045,   410,  1935,   410,  3697,  3712,  3705,
    3707,  3708,  3716,   825,  3719,  3713,  3721,   825,  3728,   825,
    3743,  3744,   673,  3754,  3424,  3755,  3762,  3770,  3761,  3772,
    3809,  1760,  3810,  3813,    74,  3816,   408,  1679,  3829,  3832,
    3817,  3815,  3824,  3822,  3823,   674,  3825,  3826,   674,  3834,
    3836,  3840,  3827,  3828,  2114,  1004,  3830,  1004,  3831,  1004,
    3842,  1761,  3833,  3835,  3837,  1004,  1420,  1421,  3844,  3846,
    2585,  3848,  3854,  3860,  3861,  3423,  3864,  3879,  3880,  3215,
    2362,  4239,   410,  3892,  3888,  3931,  3893,  2191,  1004,  1004,
    3924,  3925,  3934,  3936,  1756,   825,  3938,  4108,  4110,   818,
    3946,  3957,  3961,   818,  3945,   818,  4403,  1780,  3954,  4980,
    3958, -2637, -2637,  1781,  3537,  3538,  3539,  3540,  3541,  3542,
    2364,  2365,  1187,  3984,  3964,   209,  1757,  3993,  3952,  1764,
    4003,  4004,  4009,  4017,  4005,  1765,  3995,  2537,  4014,  4006,
    4015,  4016,  1766,  4026,  2134,   674,   674,  4031,  3986,  1935,
    2479,  3530,   674,  1782,  4420,  3548,  3547,  4310,  2196,  1768,
    4061,  4062,  4423,  4424,  4063,  4069,  4077,  1769,  4089,  4117,
    4090,  2569,  4131,  2201,  4098,  4134,  2202,  4151,  4140,  4160,
    4157,   818,  1758,  4205,  4184,  1935,  1187,  1187,  4152,  4207,
    4174,  4208,  4219,  4150,  2892,  2892,  4153,  4220,  4222,  2892,
     819,  2205,  1783,  4156,   819,  4224,   819,  2206,  1004,  1784,
    2616,  4233,  1785,  1759,  4243,  4244,  4245,  4214,  1770,  4977,
    4246,  4529,  3426,  3976,  4256,  4257,  4258,  1702,  4274,  2114,
     674,  2207,  4259,  4260,  2638,  1339,  4261,  4290,  4292,  2892,
    2892,  4228,  3424,  4295,  4303,  4301,  4353,  1187,  4527,  1760,
    4304,  4361,  4364,  4327,  4380,  4371,  3620,  3976,  4381,  1679,
    3620,  4369,  4376,  4398,  4400,  1786,  4383,  2789,  4401,  4415,
    4384,  4412,  1004,  4411,  4417,  2661,  4419,  4425,  4430,  1761,
    4433,  4442,   819,  4434,  1187,  1220,  4435,  4436,  4437,  4445,
    4454,  4455,  4456,  3581,  1187,  1187,  4449,  1935,  2685,  4457,
    4560,  4279,  1187,  1187,  4282,  4462,  4450,  1187,  1935,  4520,
    4458,  4488,  4496,  1187,  1187,  4484,  4489,  1187,  4486,  4499,
    4501,  4502,  1787,  4504,  1788,  4505,  4519,  4523,  4528,  4530,
    4536,  4544, -2637,  4535,  1789,  1187,  2209,  4558,  2733,  1187,
    4555,  4559,  1790,   209,  4565,  4576,  4583,  3425,  4588,  1187,
    4579,  1791,  4615,  1765,  1187,  4595,  4618,  2210,  2211,  4625,
    1766,  3633,  4633,  4638,  3528,  3529,  1187,  4547,  2479,  3544,
    4643,  4645,  4649,  4651, -2637,  4660,  4662,  1768,  4668,  4670,
    4671,    80,  4687,  4679,    80,  1769,  4695,  4703,  1793,  4696,
    4698,  4706,    81,  4705,  4707,  4714,   408,  4708,  4563,  4564,
    4721,  4724,  4515,  2214,  4734,  1187,  4744,  4627,  4378,  3579,
    3580,  4736,  4782,  1794,  4730,  4756,  2215,  4740,  4759,  2835,
    4760,  4765,  4777,  1935,    79,  4770,  4771,  4778,  4789,  4360,
    4795,   671,  4804,  4802,  4805,  4827,  1770,  4808,  4807,  4828,
    3426,  4836,   410,  4809,  4826,  4837,  4830,   362,  4832,    74,
      74,  1935,    74,  4853,  4861,   825,  2201,  4867,  4876,  2202,
    4593,  4594,   674,  4884,  1108,  4918,  2836,  1935,  1004,  4893,
    4923,  1795,  4927,  4928,   674,  4930,  2203,  4932,  4933,  4938,
    4945,  4946,  4947,  4952,  2205,  4953,  3474,  4958,  4963,   362,
    2206,  4962,  2876, -2637,  4967,  2837,  4968,  4973,  4986,  4975,
    4898,  4993,  4994,  4635,  4991,  4997,  4999,  5002,  5007,  1006,
    4142,  5008,  5013,  1935,  2207,  5014,  2838,  5032,  5035,  5040,
    5037,  4995,  5051,  5043,  4996,  5050,  5069,  2839,   674,  1006,
    5055,  5081,  5097,  5106,  5100,  2929,  1120,  5110,  1778,  3383,
    3657,   818,  3221,  2600,  2281,  3767,  2840,  4237,  3297,  3863,
    4307,  2841,  4909,  4783,  4992,  4829,  4372,  4831,  4630,  4817,
    1679,  3710,  5038,  3462,  4748,  5077,  5000,  5049,  4998,  4941,
    3715,  1187,  4368,  3363,  3364,  4236,  3779,  2686,  3346,  3941,
    5080,  5111,  1187,  4683,  5107,  4684,  4685,  2221,  2222,  2223,
    2224,  2225,  2226,  4806,  3889,  3867,  4688,  2842,  5053,  4769,
    2669,  4988,  5041,  3613,  4772,  1023,  3005,  3613,  4879,  4431,
    2106,  4407,  3174,  4951,  4408,  2208,  3843,  5062,  2843,  2209,
    5108,  1604,  4936,  3016,  2774,  3017,  3662,  3620,  4390,  4521,
    1935,  1341,  3620,  3039,  4170,  3620,  2053,  1626,  3458,  2300,
    2210,  2211,   819,  3663,  3041,  2329,  3673,  3671,  3040,  3686,
     362,   674,  2328,   369,  4494,  3674,  4483,  2212,  4112,   369,
    1004,  2333,  4869,  1187,   667,  1004,  1004,  1935,  2338,  4109,
    1612,  4171,  1187,  3620,  4081,  4859,  4071,   853,  5023,  5031,
    5024,  3666,  3596,  2213,  3594,  3508,  2214,  4167,  1153,  1187,
    1187,  2983,   369,  1187,  1993,  3985,  3432,  2726,  5021,  2215,
    2350,  1123,  2216,  1389,  2844,  3066,  1187,  2343,  2113,   673,
    2845,  1187,  4767,  3057,  1187,  1691,  2846,  1692,  4570,  1187,
    1187,  3070,  1720,  3652,  3073,  1710,  3071,    80,  4176,    80,
    4580,  4177,  4511,  2247,  2347,  3077,  4155,   369,  1146,  2360,
    2786,  1420,  1421,  3460,  2042,  2847,   674,  2848,   674,  4741,
      83,     0,  1187,     0,     0,  1201,     0,     0,     0,     0,
    2375,     0,  4738,     0,  2849,     0,  1427,  2382,  2384,     0,
       0,     0,     0,     0,   408,     0,  2217,     0,     0,     0,
       0,     0,     0,  1935,  1044,     0,     0,     0,     0,  2850,
    4821,  1187,  1044,     0,  1044,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   369,     0,     0,     0,
    3620,     0,     0,  1589,     0,  1679,     0,     0,     0,     0,
     410,     0,   674,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,  1004,   825,  1187,  3183,  2892,     0,     0,  2892,
    2892,  2892,  2892,  2892,  2892,  2892,  2892,  2892,  2892,     0,
       0,     0,     0,  4855,     0,     0,     0,     0,     0,     0,
    3620,     0,     0,     0,     0,     0,  2218,  2219,  2220,  4068,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,  3009,     0,
       0,     0,     0,  1004,  3010,     0,  1004,  1004,     0,  1187,
       0,  1935,     0,     0,     0,  4310,     0,     0,  2892,  2892,
       0,     0,     0,     0,     0,     0,     0,  3474,     0,  4881,
       0,     0,     0,  1187,  1935,     0,  1187,     0,  1187,   818,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   408,  1187,     0,     0,     0,  1187,
       0,     0,     0,  4908,  1935,     0,  4929,     0,     0,     0,
    1004,     0,     0,     0,     0,   369,     0,     0,     0,     0,
       0,     0,     0,  3320,     0,     0,     0,     0,     0,     0,
       0,  3320,     0,  4939,  3613,     0,     0,     0,  3336,  3613,
     410,     0,  3613,     0,  1935,     0,     0,     0,  1935,  1935,
     369,     0,     0,   825,     0,     0,     0,     0,     0,     0,
       0,     0,  3474,     0,  3474,     0,  4039,     0,     0,  4044,
    4045,  4046,  4047,  4048,  4049,  4050,  4051,  4052,  4053,     0,
     819,     0,     0,     0,     0,  1187,     0,  2201,  3389,     0,
    2202,     0,     0,     0,     0,  5096,     0,     0,     0,     0,
       0,   370,     0,     0,  1187,     0,     0,   370,     0,     0,
       0,     0,   668,     0,     0,  2205,  3417,     0,  2725,     0,
       0,  2206,  1340,     0,  1935,     0,     0,     0,  4093,  4094,
       0,  4957,     0,     0,     0,     0,     0,  5010,     0,   818,
     370,     0,     0,     0,     0,  2207,     0,     0,  3620,     0,
       0,     0,     0,     0,  1187,     0,     0,     0,     0,  1340,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    74,
       0,  1187,    74,     0,     0,     0,  2201,     0,     0,  2202,
       0,     0,  5039,     0,     0,   370,     0,     0,     0,     0,
     674,   362,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2205,     0,     0,  3592,     0,     0,
    2206,     0,  3484,  5054,     0,     0,  1187,     0,     0,     0,
       0,     0,     0,   366,     0,  5067,  5064,  1187,  5065,     0,
    5066,     0,     0,     0,  2207,     0,     0,     0,     0,     0,
     819,     0,     0,     0,     0,     0, -2637,     0,  1187,  1187,
    2209,   674,     0,  1780,   370,     0,     0,  5074,     0,  1781,
       0,  1187,     0,   366,     0,  5067,  5064,  3613,  5065,  2892,
    5066,  2210,  2211,  2865,  2866,     0,     0,     0,     0,     0,
       0,  2878,     0,     0,     0,  2881,  2882,   408, -2637,     0,
       0,     0,     0,     0,     0,     0,  4095,     0,     0,  1782,
    2903,     0,  2904,  1187,     0,  5109,     0,   366,     0,  5067,
    5064,     0,  5065,  1187,  5066,     0,     0,  2214,     0,     0,
       0,     0,     0,     0,  2926,     0,  2927,     0,     0,     0,
    2215,     0,     0,   410,   408, -2637,     0,     0,     0,  2209,
    2441,     0,   408,     0,     0,     0,   825,     0,  1783,     0,
       0,     0,     0,     0,     0,  1784,     0,     0,  1785,     0,
    2210,  2211,     0,     0,     0,  5088,     0,     0,     0,     0,
       0,     0,     0,  2442,   362,  1187,  2375, -2637,     0,     0,
     410,     0,     0,     0,  1187,     0,  2443,     0,   410,     0,
    1006,     0,  1006,   825,  1006,     0,     0,     0,     0,  2444,
    1006,   825,     0,   370,     0,  1340,  2214, -2637,  5087,     0,
       0,  1786,  5088,     0,     0,     0,     0,     0,     0,  2215,
    5088,     0,     0,  1006,  1006,     0,     0,     0,     0,     0,
       0,     0,   818,     0,     0,     0,     0,  2445,   370,  4356,
    1004,     0,     0,     0,     0,     0,     0,     0,  2446,  2892,
    2892,     0,     0,     0,     0,  5087,     0,     0,     0,     0,
       0,     0,     0,  5087,     0,   369,     0,  2447,  1787,   369,
    1788,     0,  2448,     0,     0,     0,     0,     0,     0,   818,
    1789,     0,     0,   667,     0,     0,     0,   818,  1790,   667,
       0,     0,     0,  1004,     0,     0, -2637,  1791,     0,   667,
       0,  2221,  2222,  2223,  2224,  2225,  2226,  3474,     0,     0,
       0,     0,     0,  1702,     0,    74,     0,    74,     0,     0,
       0,     0,  3726,     0,     0,  1340,     0,   667,     0,     0,
    1792,   667,     0,   819,  1793,     0,     0,     0,     0,  2449,
    1780,     0,   667,  1006,     0,     0,  1781,     0,     0,     0,
       0,     0,     0,     0,   362,     0,     0,   671,   671,  1794,
       0,     0,  1707,     0,     0,     0,   362,   667,     0,     0,
    2450,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     819,     0,   667,     0,     0,     0,  1782,   667,   819,     0,
    2221,  2222,  2223,  2224,  2225,  2226,     0,   667,   853,     0,
       0,     0,     0,     0,     0,     0,  5095,  1006,  3784,     0,
       0,   667,     0,     0,     0,     0,     0,  1795,     0,  4466,
    4467,     0,     0,  3804,     0,  3806,     0,     0,     0,     0,
       0,  2451,     0,     0,     0,  1783,     0,  2452,     0,  3812,
    2453,     0,  1784,     0,     0,  1785,     0,     0,  2201,     0,
     362,  2202,     0,     0,  1204,     0,     0,     0,     0,     0,
       0,     0,  1228,     0,     0,     0,  2454,     0,     0,     0,
    1240,     0,  2455,     0,     0,     0,  2205,     0,  1250,  3839,
    1004,     0,  2206,  1283,     0,  2456,     0,  3841,  1004,     0,
    1004,     0,     0,     0,     0,     0,     0,     0,  1786,     0,
       0,  1044,     0,   667,  3853,  1044,  2207,     0,     0,  3320,
    2457,     0,  3320,  3320,     0,     0,  3320,     0,     0,     0,
       0,     0,  3320,   369,     0,     0,     0,     0,     0,     0,
       0,  3877,     0,     0,     0,     0,  2201,  3886,     0,  2202,
       0,     0,     0,     0,  3877,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1787,  2203,  1788,  1340,     0,
    1340,     0,     0,     0,  2205,     0,     0,  1789,  4096,     0,
    2206,     0,     0,     0,     0,  1790,     0,     0,  3341,     0,
       0,     0,     0,     0,  1791,     0,     0,     0,     0,     0,
     667,   667,     0,     0,  2207,     0,  3944,     0,     0,     0,
       0,     0,  3183,  1006,     0,     0,     0, -2637,     0,     0,
    2892,  2209,     0,     0,     0,     0,     0,  1836,     0,  4702,
       0,  1793,  3971,  1340,     0,     0,     0,     0,     0,     0,
       0,  3989,  2210,  2211,     0,     0,  2892,  2892,  1456,     0,
       0,     0,    35,     0,     0,     0,  1837,     0,     0, -2637,
      41,    42,     0,   370,     0,     0,  2201,   370,     0,  2202,
       0,     0,  1780,     0,     0,     0,     0,     0,  1781,     0,
    1582,   668,     0,     0,     0,     0,  2203,   668,  2214,  2204,
       0,     0,     0,     0,  2205,     0,     0,   668,  1606,     0,
    2206,  2215,  1780,     0,     0,  2208,     0,     0,  1781,  2209,
       0,     0,     0,  4032,  1795,     0,     0,     0,  1782,     0,
    1632,     0,     0,     0,  2207,   668,     0,     0,     0,   668,
    2210,  2211,     0,  4038,     0,     0,     0,     0,  1004,     0,
     668,     0,     0,     0,     0,     0,     0,  2212,  1782,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4060,     0,
       0,     0,     0,     0,     0,   668,     0,  1783,     0,     0,
       0,     0,     0,  2213,  1784,     0,  2214,  1785, -2637,     0,
     668,     0,     0,     0,     0,   668,  4082,     0,     0,  2215,
    4694,     0,  2216,     0,  2114,   668,     0,  1783,     0,     0,
       0,     0,     0,     0,  1784,  1006,     0,  1785,   667,   668,
    1006,  1006,     0,     0,     0,     0,  4710,  4711,     0,     0,
       0,  1801,     0,   667,     0,  2208,     0,     0,  2201,  2209,
    1786,  2202,     0,     0,     0,     0,     0,     0,     0,     0,
    4147,     0,     0,     0,     0,     0,   667,     0,  2203,     0,
    2210,  2211,     0,     0,     0,     0,  2205,     0,     0,     0,
    1786,     0,  2206,     0,     0,     0,  2217,  2212,     0,     0,
    2892,     0,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0,
       0,     0,   667,     0,     0,     0,  2207,  1787,     0,  1788,
       0,     0,     0,  2213,     0,   671,  2214,   667,     0,  1789,
       0,   668,     0,     0,     0,     0,     0,  1790,     0,  2215,
     667,  1948,  2216,   667,     0,     0,  1791,  1787,     0,  1788,
       0,   370,     0,     0,     0,     0,     0,     0,     0,  1789,
       0,     0,     0,  1976,  1979,  1980,     0,  1790,  2375,  2201,
       0,  3655,  2202,  1004,     0,     0,  1791,     0,     0,  1862,
       0,     0,     0,  1793,     0,     0,  2218,  2219,  2220,  2203,
    2221,  2222,  2223,  2224,  2225,  2226,     0,  2205,     0,  1006,
       0,     0,  3523,  2206,     0,     0,     0,  1006,  1863,  2461,
       0,     0,     0,  1793,     0,     0,  2217,  2208,   668,   668,
       0,  2209,     0,     0,     0,     0,  3877,  2207,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2462,     0,
       0,     0,  2210,  2211,     0,     0,     0,     0,     0,  4263,
       0,     0,  4264,     0,  4265,     0,     0,     0,  1006,  2212,
       0,  1006,  1006,     0,     0,   667,  1795,     0,     0,     0,
    4856,     0,     0,   667,   667,     0,     0,     0,     0,     0,
       0,  1582,     0,     0,   369,  2213,     0,     0,  2214,     0,
       0,     0,     0,  3320,     0,     0,  1795,     0,  2118,  3320,
    3320,  2215,  2638,     0,  2216,     0,  2218,  2219,  2220,  1582,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,     0,
       0,     0,  3886,     0,     0,  1006,     0,     0,  2208,     0,
       0,     0,  2209,  4340,  4342,  4344,  4346,   369,   369,   369,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2210,  2211,     0,     0,     0,   667,     0,
       0,     0,     0,     0,  4375,     0,     0,     0,     0,     0,
    2212,     0,     0,     0,     0,     0,     0,  2201,  2217,     0,
    2202,     0,     0,     0,     0,     0,     0,     0,   369,     0,
       0,     0,     0,     0,     0,   369,  2213,  2203,     0,  2214,
       0,     0,   369,  4406,     0,  2205,     0,     0,     0,  1044,
       0,  2206,  2215,     0,     0,  2216,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   668,     0,     0,     0,
       0,     0,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,   668,  1044,     0,     0,     0,     0,     0,     0,     0,
    2285,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   668,  4440,     0,     0,  2218,  2219,
    2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0,
       0,     0,     0,     0,  3571,     0,     0,     0,     0,  2217,
       0,     0,     0,     0,     0,     0,     0,     0,  2339,  1004,
     668,     0,     0,     0,  3881,  3884,     0,     0,     0,     0,
       0,     0,  1004,     0,  2201,   668,     0,  2202,     0,     0,
       0,     0,     0,  2114,     0,     0,     0,     0,   668,     0,
       0,   668,   667,     0,  2203,     0,  2208,     0,     0,     0,
    2209,     0,  2205,  3930,     0,     0,     0,     0,  2206,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2210,  2211,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2207,     0,     0,     0,     0,     0,  2212,  2218,
    2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,  1780,
       0,  4516,  4517,  2923,     0,  1781,     0,     0,     0,     0,
       0,     0,     0,     0,  2213,     0,     0,  2214,     0,     0,
       0,     0,   369,    80,     0,     0,     0,     0,     0,     0,
    2215,     0,     0,  2216,  2497,     0,     0,     0,     0,     0,
       0,  2514,   667,     0,     0,  1782,     0,     0,  4548,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   667,     0,
       0,     0,     0,   668,     0,     0,     0,  2547,     0,     0,
    2550,   668,   668,     0,  1004,     0,  4562,     0,     0,     0,
       0,     0,   370,  2208,     0,     0,  2201,  2209,     0,  2202,
       0,     0,  4575,     0,  1783,   667,   667,     0,     0,     0,
       0,  1784,  2584,     0,  1785,     0,   667,  2217,  2210,  2211,
       0,     0,     0,     0,  2205,     0,  2602,     0,   667,   667,
    2206,     0,     0,     0,     0,  2212,     0,     0,     0,     0,
    2614,     0,     0,     0,     0,   370,   370,   370,  4592,     0,
     667,     0,  4590,  4591,  2207,     0,     0,     0,     0,     0,
       0,  2213,  3320,  3320,  2214,     0,   668,  1786,     0,  1340,
       0,     0,     0,  4609,     0,  1006,     0,  2215,     0,     0,
    2216,     0,     0,     0,     0,     0,     0,     0,  3886,  3886,
    3886,  3886,  3886,     0,     0,     0,   370,     0,     0,     0,
       0,     0,     0,   370,     0,     0,     0,  2218,  2219,  2220,
     370,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,
       0,  3878,     0,     0,  1787,     0,  1788,     0,  1006,     0,
       0,     0,   671,     0,  1932,     0,  1789,     0,     0,     0,
    2706,     0,     0,  4653,  1790,     0,  2716,     0,  1707,   666,
       0,     0,     0,  1791,  2217,  2208,     0,     0,     0,  2209,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4672,     0,     0,     0,     0,     0,  4173,   816,     0,     0,
    2210,  2211,     0,     0,     0,     0,  2531,     0,     0,     0,
    1793,     0,  1756,  4440,  4440,  4440,  4440,  2212,     0,   369,
       0,  2201,  2114,     0,  2202,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2532,     0,  2771,     0,     0,
       0,  2203,   816,     0,  1757,     0,  2214,     0,     0,  2205,
       0,     0,     0,     0,     0,  2206,     0,     0,     0,  2215,
     668,     0,     0,     0,  2218,  2219,  2220,     0,  2221,  2222,
    2223,  2224,  2225,  2226,     0,     0,     0,     0,  4033,  2207,
       0,     0,     0,     0,  1582,  1582,     0,     0,     0,  1043,
       0,     0,     0,  1795,  1004,     0,     0,  1043,     0,  1043,
    1758,     0,     0,     0,     0,     0,     0,     0,     0,   369,
       0,   816,     0,     0,     0,     0,  1004,  1932,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1759,     0,     0,     0,  1006,  2217,     0,     0,     0,
     370,     0,     0,  1006,  3877,  1006,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     668,     0,     0,   369,     0,   369,     0,  1760,  2201,     0,
       0,  2202,     0,     0,  3320,     0,   668,  1420,  1421,     0,
    2208,     0,     0,  1340,  2209,   667,  4324,  4787,  2203,  4788,
    3884,     0,  4792,  4793,     0,     0,  2205,  1761,     0,     0,
       0,  4339,  2206,     0,     0,  2210,  2211,     0,     0,     0,
       0,     0,   667,   668,   668,     0,   369,   667,  2982,     0,
     667,     0,  2212,     0,   668,     0,  2207, -2637, -2637,     0,
    2221,  2222,  2223,  2224,  2225,  2226,   668,   668,     0,     0,
       0,     0,   667,  3002,     0,     0,     0,     0,  2213,     0,
       0,  2214,     0,     0,     0,     0,     0,     0,   668,     0,
       0,   209,     0,  2478,  2215,  1764,     0,  2216,     0,  2114,
       0,  1765,     0,     0,     0,     0,     0,     0,  1766,     0,
    3015,     0,  3018,   667,     0,     0,  2479,     0,     0,     0,
       0,     0,     0,     0,  1044,  1768,     0,     0,     0,  3839,
       0,     0,     0,  1769,     0,     0,     0,     0,     0,     0,
     667,   667,     0,     0,  1780,     0,  1004,     0,     0,  1582,
    1781,     0,     0,     0,     0,     0,     0,  2208,     0,     0,
       0,  2209,     0,   369,   667,     0,   369,     0,     0,  2114,
       0,  2217,     0,  2114,  2114,     0,     0,     0,     0,     0,
       0,     0,  2210,  2211,  1770,     0,     0,  1044,     0,   667,
    1782,  4910,     0,   667,     0,     0,     0,     0,     0,  2212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   667,     0,  1006,     0,     0,     0,     0,  1932,     0,
       0,   667,     0,     0,     0,  2213,     0,     0,  2214,     0,
       0,     0,     0,     0,   667,     0,     0,   370,     0,  1783,
       0,  2215,     0,     0,   667,     0,  1784,     0,     0,  1785,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,
    2226,     0,  2494,     0,     0,  4080,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2375,
       0,     0,     0,     0,     0,  2201,     0,     0,  2202,     0,
       0,  1932,  1786,     0,     0,     0,     0,   369,     0,     0,
       0,    74,     0,     0,     0,  1004,     0,     0,  2217,     0,
       0,  1340,     0,  2205,     0,     0,     0,   370,     0,  2206,
    3202,     0,     0,     0,     0,     0,  2201,     0,     0,  2202,
       0,     0,     0,     0,     0,  3223,     0,     0,     0,     0,
       0,     0,     0,  2207,     0,     0,  2203,     0,     0,  1787,
       0,  1788,     0,     0,  2205,     0,     0,  1004,   667,     0,
    2206,  1789,     0,     0,  1932,     0,     0,     0,     0,  1790,
       0,   370,     0,   370,  4573,  4574,     0,     0,  1791,  4577,
    4578,     0,     0,  1932,  2207,     0,     0,     0,     0,     0,
       0,     0,     0,   668,     0,   667,     0,     0,  2218,  2219,
    2220,  1932,  2221,  2222,  2223,  2224,  2225,  2226,  1006,     0,
       0,  3180,     0,     0,     0,  1793,     0,     0,     0,     0,
     668,     0,     0,     0,   370,   668,     0,     0,   668,  1932,
       0,     0,     0,     0,     0,     0,     0,  1004,     0,     0,
    1794,     0,   667,     0,  2208,     0,     0,     0,  2209,     0,
     668,     0,     0,     0,  5089,     0,  3884,  3884,  3884,  3884,
    3884,     0,     0,     0,  1004,     0,   667,     0,     0,  2210,
    2211,     0,     0,     0,     0,     0,     0,  3382,     0,  2201,
       0,     0,  2202,     0,     0,  2208,  2212,  3423,     0,  2209,
       0,   668,  1932,     0,     0,     0,     0,     0,  1795,  2203,
       0,  5089,     0,     0,     0,     0,  1756,  2205,     0,  5089,
    2210,  2211,  2213,  2206,     0,  2214,     0,     0,   668,   668,
       0,     0,     0,     0,     0,     0,     0,  2212,  2215,     0,
     816,     0,     0,     0,     0,     0,     0,  2207,  1757,     0,
       0,   370,   668,     0,   370,     0,     0,     0,   666,   369,
       0,     0,     0,  2213,   666,   369,  2214,     0,     0,     0,
       0,     0,     0,     0,   666,     0,     0,   668,     0,  2215,
       0,   668,  2216,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   668,
       0,     0,   666,     0,  1758,     0,   666,     0,     0,   668,
       0,  2201,     0,     0,  2202,  2217,     0,   666,     0,     0,
       0,     0,   668,     0,     0,     0,  2201,     0,     0,  2202,
       0,  2203,   668,     0,     0,  1759,     0,     0,     0,  2205,
       0,     0,   666,     0,     0,  2206,  2203,     0,  2208,  4737,
       0,   667,  2209,     0,  2205,     0,  2217,   666,     0,     0,
    2206,     0,   666,     0,  3424,     0,     0,     0,     0,  2207,
       0,  1760,   666,  2210,  2211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2207,     0,   666,     0,     0,     0,
    2212,     0,     0,     0,     0,   370,     0,     0,     0,  1932,
       0,  1761,  1004,     0,     0,  2218,  2219,  2220,     0,  2221,
    2222,  2223,  2224,  2225,  2226,     0,  2213,     0,     0,  2214,
       0,     0,     0,     0,     0,     0,   667,     0,     0,     0,
       0,     0,  2215,     0,  2995,  2216,     0,     0,     0,     0,
       0,   667,   667,     0,  1006,     0,  2218,  2219,  2220,     0,
    2221,  2222,  2223,  2224,  2225,  2226,   668,  1006,     0,     0,
    4159,     0,     0,     0,     0,   209,     0,     0,   667,  1764,
    2208,   667,     0,     0,  2209,  1765,  1043,     0,   666,     0,
    1043,     0,  1766,     0,     0,  2208,     0,     0,     0,  2209,
    2479,     0,  3607,   668,     0,  2210,  2211,     0,     0,  1768,
       0,     0,     0,     0,     0,     0,     0,  1769,     0,  2217,
    2210,  2211,  2212,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2213,     0,
     668,  2214,     0,     0,     0,     0,     0,     0,   369,   369,
     369,     0,     0,  2213,  2215,     0,  2214,  2216,  1770,     0,
       0,     0,  3426,     0,   668,   666,   666,   667,     0,  2215,
       0,     0,  2216,     0,     0,     0,     0,     0,   667,     0,
       0,     0,     0,     0,     0,     0,     0,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2218,
    2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,  1006,
    1780,     0,     0,  4186,     0,     0,  1781,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2217,     0,     0,     0,     0,     0,     0,     0,  2201,
       0,     0,  2202,     0,     0,     0,  2217,   370,     0,     0,
     667,     0,     0,   370,     0,     0,  1782,     0,     0,  2203,
       0,     0,     0,     0,     0,     0,     0,  2205,     0,     0,
       0,     0,     0,  2206,     0,     0,     0,     0,     0,     0,
       0,     0,  3169,     0,     0,     0,     0,  2494,  3176,   369,
    4955,     0,     0,     0,     0,     0,     0,  2207,     0,  1932,
       0,     0,     0,     0,   667,  1783,   667,     0,     0,     0,
       0,     0,  1784,     0,     0,  1785,     0,     0,   667,     0,
     667,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,
    2226,     0,     0,     0,     0,  4443,  2218,  2219,  2220,   668,
    2221,  2222,  2223,  2224,  2225,  2226,  1780,     0,     0,     0,
    4477,     0,  1781,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1786,   667,
       0,     0,     0,   666,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   666,     0,
       0,     0,  1782,     0,     0,     0,     0,     0,  2208,   667,
       0,     0,  2209,     0,     0,     0,     0,     0,     0,     0,
       0,   666,     0,     0,   668,     0,   667,     0,     0,     0,
       0,     0,     0,  2210,  2211,  1787,     0,  1788,     0,   668,
     668,     0,     0,   667,     0,     0,   667,  1789,     0,     0,
    2212,  1783,  1932,     0,     0,  1790,     0,   666,  1784,     0,
       0,  1785,     0,     0,  1791,     0,   668,     0,     0,   668,
       0,     0,   666,     0,     0,     0,  2213,     0,     0,  2214,
       0,     0,     0,     0,     0,   666,     0,  1756,   666,     0,
    3922,  3923,  2215,     0,     0,  2216,     0,  3261,     0,     0,
       0,  1793,  5086,     0,     0,     0,  3932,     0,     0,  1006,
       0,     0,     0,     0,  1786,     0,     0,     0,     0,  1757,
    3940,   369,     0,     0,     0,     0,  3262,  2494,     0,  3949,
       0,  1006,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3965,     0,     0,   370,   370,   370,  5086,
       0,     0,     0,     0,     0,     0,     0,  5086,     0,     0,
       0,     0,     0,     0,     0,   668,     0,     0,     0,  2217,
       0,  1787,     0,  1788,     0,  1758,   668,     0,     0,     0,
       0,     0,     0,  1789,  1795,   668,     0,     0,     0,     0,
       0,  1790,     0,     0,     0,     0,     0,     0,     0,     0,
    1791,     0,     0,     0,     0,     0,  1759,     0,     0,     0,
     666,     0,     0,     0,  1582,     0,     0,     0,   666,   666,
       0,     0,     0,     0,     0,     0,  1932,     0,     0,   816,
       0,     0,     0,  3300,     0,     0,     0,  1793,     0,     0,
       0,     0,  1760,     0,     0,     0,     0,     0,   668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2218,
    2219,  2220,  3301,  2221,  2222,  2223,  2224,  2225,  2226,     0,
       0,     0,  1761,  4704,     0,     0,     0,     0,     0,     0,
    2201,     0,   816,  2202,     0,     0,     0,   370,     0,     0,
       0,  2201,     0,     0,  2202,     0,     0,     0,   667,  1762,
    2203,     0,   668,   666,   668,     0,     0,     0,  2205,     0,
       0,     0,     0,     0,  2206,     0,   668,     0,   668,  2205,
    1795,     0,     0,     0,     0,  2206,     0,     0,     0,     0,
       0,  1006,  1763,  4105,  4106,  4107,   209,   369,  2207,     0,
    1764,   369,     0,   369,     0,  2201,  1765,   816,  2202,  2207,
       0,     0,     0,  1766,  1043,  1930,     0,     0,     0,     0,
       0,  1767,     0,     0,     0,  2203,     0,   668,     0,     0,
    1768,     0,     0,  2205,     0,     0,     0,     0,  1769,  2206,
       0,     0,   667,     0,     0,   667,     0,  1043,     0,     0,
       0,     0,     0,  2995,  2995,  2995,     0,   668,     0,     0,
       0,     0,     0,  2207,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   668,     0,     0,     0,     0,   369,
       0,  2201,     0,     0,  2202,     0,     0,     0,     0,  1770,
       0,   668,     0,  2201,   668,     0,  2202,     0,     0,  2208,
       0,     0,     0,  2209,     0,     0,     0,     0,     0,  2205,
    2208,     0,     0,     0,  2209,  2206,     0,     0,     0,     0,
       0,  2205,     0,     0,  2210,  2211,     0,  2206,     0,     0,
       0,     0,     0,     0,     0,  2210,  2211,   666,     0,  2207,
       0,  2212,   667,   667,     0,     0,     0,     0,     0,   667,
       0,  2207,  2212,     0,     0,     0,     0,     0,     0,  1780,
    1006,     0,     0,     0,  2208,  1781,     0,  2213,  2209,   370,
    2214,     0,     0,     0,     0,     0,     0,     0,  1930,     0,
       0,  2214,     0,  2215,     0,     0,  2216,     0,     0,  2210,
    2211,     0,     0,     0,  2215,     0,  1932,     0,     0,     0,
       0,  4099,     0,     0,     0,  1782,  2212,     0,     0,     0,
       0,     0,  1006,  4475,     0,     0,     0,   816,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   667,     0,     0,
       0,     0,  2213,     0,     0,  2214,     0,   666,  2494,  3176,
   -2637,  3176,     0,     0,  2209,     0,     0,     0,  2215,     0,
       0,  2216, -2637,   666,  1783,     0,  2209,     0,     0,     0,
    2217,  1784,     0,     0,  1785,  2210,  2211,     0,     0,     0,
       0,  2217,     0,     0,     0,     0,  4336,  2210,  2211,     0,
       0,     0, -2637,     0,     0,     0,     0,     0,     0,     0,
     666,   666,  1006,     0, -2637,  4362,     0,  1932,     0,  1932,
       0,   666,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2214,     0,   666,   666,     0,     0,  1786,     0,  1006,
       0,  2267,  4379,  2214,  2215,  2217,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   666,  2215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   668,     0,     0,     0,
    2218,  2219,  2220,  1932,  2221,  2222,  2223,  2224,  2225,  2226,
       0,  2218,  2219,  2220,  4746,  2221,  2222,  2223,  2224,  2225,
    2226,     0,     0,     0,  1787,     0,  1788,     0,  1932,     0,
       0,     0,     0,     0,     0,   370,  1789,     0,     0,   370,
       0,   370,     0,     0,  1790,     0,     0,     0,     0,  3176,
       0, -2637,     0,  1791,     0,     0,     0,     0,     0,     0,
       0,     0,  3176, -2637,     0,  2218,  2219,  2220,     0,  2221,
    2222,  2223,  2224,  2225,  2226,     0,     0,     0,     0,  4800,
     668,     0,     0,   668,     0,     0,  3748,     0,     0,   369,
    1793,     0,     0,     0,  1780,     0,     0,     0,     0,  1930,
    1781,     0,     0,     0,     0,     0,     0,     0,     0,   667,
       0,     0,     0,     0,     0,  3749,     0,   370,     0,     0,
       0,   667,     0,     0,     0,  1816,  1932,     0,     0,     0,
       0,     0,     0,     0,   816,     0,  4478,  4479,  4480,  4481,
    1782,     0,  3176,     0,     0,  2221,  2222,  2223,  2224,  2225,
    2226,     0,     0,  1930,     0,  1932,     0,  2221,  2222,  2223,
    2224,  2225,  2226,     0,     0,     0,     0,     0,     0,     0,
       0,  1817,     0,  1795,     0,   667,     0,     0, -2143,     0,
     668,   668,  1930,     0,     0,  2201,     0,   668,  2202,  1783,
       0,     0,     0,     0,     0,     0,  1784,  1006,     0,  1785,
    2201,     0,     0,  2202,     0,  2203,     0,     0,     0,     0,
       0,     0,     0,  2205,     0,     0,     0,     0,     0,  2206,
    2203,     0,     0,     0,     0, -2143,     0,  1932,  2205,     0,
       0,     0,     0,     0,  2206,     0,     0, -2143,     0,     0,
       0, -2143,     0,  2207,     0,     0, -2143,  1932,     0,  1818,
       0, -2143,  1786,     0, -2143,  1930, -2143,     0,  2207,     0,
       0,     0,     0,     0,     0,   668,     0,     0,     0,     0,
       0,     0,  1932,     0,  1930,     0,     0,     0,     0,     0,
       0,     0,     0, -2143,     0,     0,     0,     0,     0,     0,
       0,     0,  1930,     0,     0,     0,     0,  1819,   667,  1820,
     666,     0,     0,     0,     0, -2143,     0,     0,  1932,  1821,
       0,  1788,     0,     0,     0,     0,     0,     0,     0,     0,
    1930,  1789,     0,     0,     0,     0,     0,   666,     0,  1790,
       0,   816,   666,     0,     0,   666,     0,  1822,  1791,     0,
       0,     0, -2143,     0,  2208,     0,     0,     0,  2209,  2995,
   -2143,     0,     0,     0,     0,     0,     0,   666,     0,  2208,
       0,     0,     0,  2209,     0,     0,     0,     0,     0,  2210,
    2211,  1823,     0,     0,     0,  1793,  1824,     0,     0,     0,
       0,     0,     0,  1930,  2210,  2211,  2212,     0,     0,     0,
       0,     0,     0,   667,     0,   667,     0, -2143,   666,     0,
    1825,  2212,     0,     0,     0,     0,     0,     0,     0,  1043,
       0,  1826,  2213,     0,     0,  2214,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   666,   666,  2213,  2215,     0,
    2214,  2216,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   712,  1019,  2215,     0,     0,  2216,     0,   816,   666,
    4678,   816,     0,     0,     0,     0,     0,     0,  1795,     0,
       0,     0,     0,     0,     0,     0, -2143,   369,     0,   667,
       0,     0,  1043,     0,   666,     0,     0,   370,   666,   712,
       0,     0,     0,     0,     0,  4956,     0,     0,     0, -2143,
       0, -2143, -2143,     0,     0,     0,   666,   668,     0,     0,
     712,     0,     0,     0,  3176,  2217,   666,     0,     0,   668,
       0,     0,     0,     0,     0,     0,     0,     0,  1015,   666,
    2217,     0,     0,     0, -2143,     0,     0, -2143, -2143,   666,
   -2143,  1016,     0,     0,    85,     0,     0,     0,     0,  1024,
      89,  1780,     0,     0,    93,     0,    94,  1781,    96,    97,
       0,     0,     0,     0,     0,  1035,     0,  1015,     0,   106,
       0,  1056,     0,   668,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,   119,   120,     0,  1091,
    1930,     0,     0,     0,     0,     0,     0,  1782,     0,     0,
       0,     0,   816,     0,     0,  2218,  2219,  2220,     0,  2221,
    2222,  2223,  2224,  2225,  2226,     0,     0,     0,     0,  5009,
    2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,
       0,     0,   128,     0,  5098,     0,     0,   369,     0,     0,
       0,     0,   129,     0,   130,   131,  1783,     0,     0,     0,
       0,     0,     0,  1784,     0,     0,  1785,     0,  1932,  1119,
       0,     0,     0,   666,     0,     0,     0, -2145,     0,     0,
    4798,     0,     0,     0,     0,     0,     0,     0,     0,   141,
       0,   142,   143,     0,     0,     0,     0,   146,     0,   147,
       0,     0,     0,     0,  2494,     0,   668,     0,     0,   149,
     666,   150,     0,     0,     0,     0,     0,  1582,     0,  1786,
       0,     0,     0,     0, -2145,   153,     0,   154,     0,     0,
     157,     0,     0,     0,  1922,     0, -2145,     0,     0,     0,
   -2145,     0,   158,     0,   159, -2145,     0,     0,   160,     0,
   -2145,     0,     0, -2145,   161, -2145,     0,   666,     0,     0,
       0,     0,   163,     0,   165,     0,     0,     0,     0,     0,
     167,     0,     0,     0,     0,     0,  1787,     0,  1788,     0,
       0,   666, -2145,     0,   171,     0,     0,     0,  1789,     0,
       0,     0,     0,     0,     0,     0,  1790,   667,     0,     0,
       0,   668,     0,   668, -2145,  1791,     0,     0,     0,     0,
       0,  4888,     0,     0,     0,     0,  1932,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1932,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3790,   184,
     185, -2145,  1793,     0,     0,   186,     0,     0,     0, -2145,
       0,     0,     0,     0,   187,     0,     0,     0,   667,     0,
       0,     0,     0,     0,   816,   192,     0,  3791,  2995,     0,
     816,  2201,     0,  2995,  2202,   370,     0,   668,     0,     0,
       0,     0,     0,  1930,     0,  2995,     0,     0,  1930,  1930,
       0,  2203,     0,     0,     0,     0, -2145,  1922,     0,  2205,
    1930,     0,   203,     0,     0,  2206,     0,     0,     0,     0,
       0,     0,     0,     0,   205,     0,     0,     0,     0,   206,
     207,     0,   208,     0,     0,  1795,     0,   209,     0,  2207,
       0,     0,   210,     0,     0,   212,     0,     0,     0,   214,
     369,  1019,  1932,     0,   215,   216,     0,     0,     0,     0,
       0,     0,   217,     0,     0,   219,   666,     0,     0,     0,
       0,     0,     0,   222,     0, -2145,     0,     0,     0,     0,
    1932,     0,     0,     0,     0,   224,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1932,   369, -2145,     0,
   -2145, -2145,   229,     0,   230,   369,     0,     0,     0,   712,
       0,     0,   232,     0,     0,     0,     0,     0,   233,     0,
       0,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0, -2145,     0,   237, -2145, -2145,     0, -2145,
    2208,   666,  1932,     0,  2209,   370,     0,     0,     0,     0,
       0,     0,     0,  1930,     0,     0,   666,   666,     0,     0,
       0,     0,     0,     0,     0,  2210,  2211,     0,     0,   247,
       0,     0,     0,  -136,     0,     0,     0,     0,     0,     0,
       0,     0,  2212,   666,     0,     0,   666,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2213,     0,
       0,  2214,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2215,     0,     0,  2216,  1930,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2201,     0,     0,  2202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4676,
       0,     0,     0,   816,   816,   816,  2203,     0,     0,     0,
       0,     0,     0,     0,  2205,     0,     0,     0,  1922,     0,
    2206,     0,   666,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   666,     0,   668,  1932,     0,     0,     0,
       0,  2217,   666,     0,  2207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1183,  1189,  1189,   712,     0,
    1189,     0,  1197,     0,  1183,     0,  1086,  1930,     0,  1222,
       0,     0,  1922,     0,  1086,     0,  1086,     0,     0,     0,
    1189,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
    1252,     0,     0,     0,     0,  1086,   668,  1183,     0,     0,
    1189,  1922,   712,     0,  1189,   666,     0,     0,     0,     0,
       0,  1222,     0,     0,  1309,     0,     0,     0,     0,     0,
       0,  1189,     0,     0,  3547,     0,     0,     0,     0,  3548,
       0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,
    2226,     0,     0,  4154,   816,  2208,     0,     0,     0,  2209,
       0,     0,  3176,  1183,     0,     0,     0,     0,   712,   666,
       0,   666,     0,  1183,     0,     0,     0,  1222,     0,     0,
    2210,  2211,     0,   666,  1922,   666,  1253,     0,   370,     0,
       0,     0,  1189,     0,     0,     0,     0,  2212,     0,     0,
       0,     0,     0,  1922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1254,
       0,  1922,     0,  2213,     0,     0,  2214,     0,     0,     0,
       0,     0,  1255,  1256,   666,   370,     0,     0,     0,  2215,
       0,  1257,  2216,   370,     0,  1258,     0,  1086,     0,  1922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1086,  1457,  1259,     0,   666,     0,     0,     0,     0,     0,
    3176,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   666,     0,  1260,     0,     0,     0,  1564,     0,     0,
       0,   712,  1086,  1932,  1261,     0,     0,  2201,   666,     0,
    2202,   666,  1262,     0,     0,     0,     0,     0,     0,     0,
    1086,     0,  1922,  1263,  1086,     0,  2217,  2203,  1264,     0,
       0,     0,  1564,  1932,     0,  2205,     0,     0,     0,     0,
       0,  2206,  1086,     0,     0,     0,     0,  2201,     0,  1265,
    2202,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2207,     0,  2203,     0,     0,
       0,     0,     0,  1932,  1266,  2205,     0,  1932,  1932,     0,
       0,  2206,     0,     0,     0,     0,   816,     0,     0,     0,
       0,     0,     0,     0,     0,  1267,     0,  1930,     0,     0,
       0,     0,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2218,  2219,  2220,  1924,
    2221,  2222,  2223,  2224,  2225,  2226,  1268,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1086,     0,     0,  1930,
    1930,     0,  1930,  1086,     0,  1189,  1189,     0,     0,     0,
       0,     0,     0,  4676,   853,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2208,     0,     0,     0,
    2209,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1269,     0,     0,  5072,  1270,     0,  1271,     0,     0,
    1183,  2210,  2211,  1272,     0,     0,  1273,     0,  1930,     0,
    1930,  1183,     0,     0,     0,  1222,  2208,     0,  2212,     0,
    2209,     0,     0,     0,     0,     0,     0,     0,  1189,  1922,
       0,     0,  1274,     0,  1275,     0,     0,     0,  1276,     0,
       0,  2210,  2211,  1086,  2213,     0,  1277,  2214,     0,  1189,
    1189,  1278,     0,     0,     0,     0,     0,     0,  2212,     0,
    2215,     0,     0,  2216,  1930,  1086,  1086,  1086,     0,  1189,
       0,  1183,     0,   666,     0,  1990,  1279,     0,     0,     0,
       0,     0,  4072,     0,  2213,     0,     0,  2214,     0,  1930,
       0,     0,  1924,     0,     0,     0,     0,     0,     0,     0,
    2215,     0,     0,  2216,  1189,     0,  1189,  1189,     0,     0,
    1930,     0,   816,     0,     0,     0,   816,     0,   816,     0,
    5073,     0,     0,  1930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2158,     0,     0,  2217,     0,     0,
    1564,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4073,     0,     0,     0,     0,     0,   666,     0,     0,
     666,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2217,  2089,  2089,
       0, -2158,     0,  1086,     0,  1015,     0,  1930,     0,     0,
       0,     0,     0, -2158,   816,     0,     0, -2158,     0,     0,
    1086,     0, -2158,  1930,     0,     0,     0, -2158,  2124,     0,
   -2158,  1086, -2158,     0,  2130,     0,  1930,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1564,  2218,  2219,  2220,
       0,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0, -2158,
       0,     0,     0,   838,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1564,     0,   666,   666,     0,
       0, -2158,     0,     0,   666,     0,     0,  2218,  2219,  2220,
       0,  2221,  2222,  2223,  2224,  2225,  2226,  2201,     0,     0,
    2202,     0,     0,  1564,  1564,     0,  1564,     0,  1930,   839,
       0,     0,     0,     0,     0,     0,     0,  2203, -2158,     0,
    3510,     0,   840,  1564,     0,  2205, -2158,     0,  1930,     0,
       0,  2206,  1922,     0,     0,     0,     0,  1922,  1922,   841,
       0,     0,     0,   712,   712,   842,     0,     0,     0,  1922,
       0,     0,     0,  1930,     0,  2207,     0,     0,     0,     0,
     843,     0,   666,     0,     0,     0,     0,     0,     0,     0,
       0,   844,  1086, -2158,     0,  1564,     0,     0,     0,   845,
       0,     0,     0,  1924,     0,     0,     0,     0,     0,  1930,
     846,     0,     0,     0,     0,   847,     0,     0,     0,     0,
       0,   848,     0,     0,  1564,     0,     0,     0,  1564,  1564,
       0,     0,     0,     0,     0,     0,   849,     0,  1019,  1086,
    1086,  2341,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1924,     0,     0,
       0,   850, -2158,     0,     0,     0,     0,     0,   712,     0,
       0,     0,     0,     0,     0,     0,  2208,     0,     0,     0,
    2209,     0,   851,     0,     0, -2158,  1924, -2158, -2158,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2210,  2211,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1922,   852,     0,     0,     0,     0,  2212,     0,
   -2158,     0,     0, -2158, -2158,     0, -2158,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   853,     0,     0,  2213,     0,     0,  2214,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1924,
    2215,     0,     0,  2216,     0,     0,  1086,  2502,   854,     0,
       0,     0,   855,  1086,   856,     0,  1189,     0,  1924,     0,
     857,     0,     0,   858,     0,     0,     0,  1922,     0,     0,
       0,     0,     0,  1222,   816,     0,  1924,     0,     0,  1086,
       0,     0,  1086,     0,     0,  1930,     0,     0,     0,   859,
       0,   860,     0,     0,   666,   861,  2201,     0,     0,  2202,
       0,     0,  1086,   862,  1924,     0,   666,     0,   863,     0,
    1189,  1189,  1189,  1189,  1086,     0,  2203,  2217,     0,     0,
     864,     0,     0,     0,  2205,     0,     0,     0,  1086,     0,
    2206,     0,     0,   865,     0,     0,     0,     0,     0,     0,
    2613,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1189,  1189,  2207,     0,     0,     0,  1189,     0,
     666,     0,     0,     0,     0,     0,  1922,  1924,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1189,     0,     0,     0,  2218,  2219,  2220,
       0,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1930,
    1189,  1189,  1189,  1189,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,  1086,     0,
       0,  2613,     0,     0,     0,  2208,     0,     0,     0,  2209,
       0,     0,     0,     0,     0,  1930,  1183,     0,     0,     0,
       0,     0,     0,   712,     0,  1183,     0,     0,     0,     0,
    2210,  2211,     0,   666,     0,  1222,     0,     0,     0,     0,
    1189,     0,     0,     0,     0,     0,     0,  2212,     0,  1189,
       0,     0,     0,     0,     0,  1189,  1189,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1086,
       0,     0,     0,  2213,     0,     0,  2214,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2215,
       0,     0,  2216,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2089,     0,     0,  3525,     0,     0,     0,
    1189,     0,  1183,     0,  1924,     0,  1086,  1086,     0,  1189,
       0,     0,     0,     0,     0,  1086,     0,  1930,   666,     0,
     666,     0,     0,     0,     0,     0,     0,     0,  1930,     0,
       0,     0,  1015,  1015,     0,     0,  2834,     0,     0,     0,
    1564,  1564,     0,     0,     0,     0,     0,     0,  1564,     0,
       0,  1564,     0,     0,     0,  1564,  2217,     0,     0,     0,
       0,     0,     0,  1564,  1564,     0,     0,     0,     0,     0,
       0,  1564,     0,  1222,  1564,  1564,  1564,  1564,     0,     0,
       0,     0,     0,     0,  1564,  1564,     0,  1564,     0,  1564,
    1564,     0,   816,  1564,   666,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1564,     0,     0,     0,  1189,  1564,  1922,     0,     0,  1564,
       0,     0,     0,  1564,     0,  1564,  1564,  1564,  1564,  1564,
    1564,  1564,  1564,  1564,     0,  1564,     0,     0,     0,     0,
    1086,  1564,  2201,  1930,  1564,  2202,  2218,  2219,  2220,     0,
    2221,  2222,  2223,  2224,  2225,  2226,     0,     0,  1922,  1922,
       0,  1922,  2203,     0,     0,  1086,     0,     0,     0,     0,
    2205,  1930,     0,     0,     0,     0,  2206,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1930,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2207,     0,  1086,     0,  1086,     0,  1564,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1922,     0,  1922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1930,     0,     0,     0,     0,     0,     0,
       0,  1086,     0,     0,     0,     0,     0,  3048,     0,  3055,
       0,     0,   816,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3560,     0,  1924,     0,     0,
       0,     0,  1924,  1924,     0,     0,     0,     0,  1922,     0,
       0,  2208,     0,     0,  1924,  2209,     0,     0,     0,     0,
       0,     0,     0,   712,     0,     0,     0,     0,  1015,  1922,
    1015,     0,     0,     0,     0,     0,  2210,  2211,     0,     0,
       0,     0,  1922,     0,     0,     0,     0,  1564,     0,     0,
       0,     0,     0,  2212,     0,     0,     0,     0,  1183,     0,
    1189,  1189,  1189,     0,     0,  1183,     0,  1222,     0,  1189,
       0,  1189,     0,  1189,  1189,     0,     0,  1086,     0,  2213,
       0,     0,  2214,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2215,     0,  1930,  2216,     0,
       0,     0,     0,     0,     0,     0,  1922,     0,     0,     0,
       0,     0,   666,     0,     0,  2502,     0,     0,     0,     0,
       0,  3184,  1922,     0,     0,     0,  3193,     0,     0,     0,
       0,     0,  1086,     0,     0,  1922,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1086,     0,     0,
       0,  3228,  3228,     0,     0,     0,     0,  1924,   712,     0,
       0,     0,     0,     0,     0,     0,     0,  2201,     0,     0,
    2202,     0,  2217,   666,     0,     0,  1189,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2203,     0,     0,
    3555,     0,     0,     0,     0,  2205,     0,     0,     0,     0,
       0,  2206,  3286,     0,  3289,  3291,     0,  1922,     0,     0,
       0,     0,     0,  1930,     0,     0,     0,     0,     0,     0,
    2201,     0,     0,  2202,     0,  2207,     0,  1922,     0,     0,
       0,     0,  1924,     0,  1189,     0,     0,     0,     0,     0,
    2203,     0,  1189,  3566,     0,     0,     0,  1189,  2205,     0,
       0,     0,  1922,     0,  2206,   816,     0,     0,     0,     0,
    1564,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,
    2225,  2226,     0,     0,     0,     0,     0,     0,  2207,     0,
       0,     0,     0,     0,  2502,     0,     0,  3228,  1922,  1086,
       0,  3384,     0,     0,  1015,     0,     0,     0,     0,     0,
       0,     0,   816,     0,     0,     0,     0,     0,     0,     0,
     816,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3286,  1930,     0,     0,     0,     0,  2208,     0,  1189,  3409,
    2209,  1924,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1990,     0,     0,  1930,     0,     0,     0,     0,     0,
       0,  2210,  2211,     0,     0,     0,     0,     0,  1189,     0,
    1189,  3228,  1189,  3228,     0,     0,     0,     0,  2212,     0,
       0,     0,     0,     0,  1930,     0,     0,     0,     0,  2208,
       0,     0,     0,  2209,     0,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,  2213,     0,     0,  2214,     0,     0,
       0,     0,     0,     0,  2210,  2211,  2089,     0,     0,     0,
    2215,     0,     0,  2216,  1930,     0,     0,     0,  1930,  1930,
       0,  2212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2213,     0,     0,
    2214,     0,  1183,     0,     0,     0,     0,     0,  1183,     0,
       0,     0,  2201,  2215,     0,  2202,  2216,     0,     0,  1189,
       0,     0,     0,     0,     0,  1564,  1564,     0,     0,     0,
       0,  1564,  2203,     0,  1922,     0,     0,  2217,     0,     0,
    2205,     0,     0,     0,     0,     0,  2206,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1564,  1564,     0,     0,
       0,  1564,     0,     0,     0,     0,     0,     0,     0,     0,
    2207,     0,     0,  1564,  1564,  1564,  1564,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1564,     0,     0,  1564,
    2217,  1564,  3575,     0,     0,     0,     0,     0,     0,     0,
       0,  1564,  1564,     0,     0,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1564,     0,
    1564,     0,  1222,     0,  1564,     0,     0,  2218,  2219,  2220,
       0,  2221,  2222,  2223,  2224,  2225,  2226,     0,     0,     0,
    1564,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
       0,  3621,     0,  1564,  1564,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2208,     0,     0,     0,  2209,     0,  1564,  1922,     0,
    2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,  2225,  2226,
    1564,  1924,     0,     0,     0,  1564,  2210,  2211,     0,     0,
       0,  1564,     0,     0,     0,     0,     0,     0,     0,  3621,
       0,     0,  3680,  2212,  1922,     0,  3055,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2201,  1924,  1924,  2202,  1924,     0,     0,  2213,
       0,  1780,  2214,     0,     0,     0,     0,  1781,     0,     0,
       0,     0,  2203,     0,     0,  2215,     0,     0,  2216,     0,
    2205,     0,     0,     0,     0,     0,  2206,     0,     0,  1564,
       0,  3228,  1816,     0,     0,     0,  2089,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,  1782,     0,     0,
    2207,     0,  1924,     0,  1924,     0,     0,     0,     0,     0,
       0,     0,  1189,     0,  1189,  1189,  1189,  2201,     0,     0,
    2202,     0,     0,     0,     0,     0,     0,     0,  1817,     0,
       0,     0,     0,     0,     0,     0,  1922,  2203,     0,     0,
    4079,     0,  2217,     0,     0,  2205,  1783,  1922,     0,     0,
       0,  2206,     0,  1784,     0,     0,  1785,     0,  1924,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4029,     0,
       0,     0,     0,     0,     0,  2207,     0,     0,     0,     0,
       0,     0,     0,  1924,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2208,     0,     0,  1924,  2209,  1818,     0,     0,  1786,
       0,     0,     0,     0,     0,     0,     0,  1924,     0,     0,
       0,     0,     0,     0,     0,     0,  2210,  2211,     0,     0,
       0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,
    2225,  2226,     0,  2212,     0,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,  1819,     0,  1820,     0,     0,     0,
       0,     0,  1922,     0,     0,     0,  1821,     0,  1788,  2213,
       0,     0,  2214,     0,     0,     0,  2208,     0,  1789,     0,
    2209,  1924,     0,     0,     0,  2215,  1790,     0,  2216,     0,
    1922,     0,  3228,  3228,  1822,  1791,     0,  1924,     0,     0,
       0,  2210,  2211,     0,     0,     0,  1922,     0,     0,     0,
    1924,     0,     0,     0,     0,  3885,     0,     0,  2212,   824,
       0,     0,     0,     0,     0,     0,     0,     0,  3249,     0,
       0,     0,  1793,  1824,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,  1086,  2213,     0,     0,  2214,     0,     0,
       0,     0,  1922,     0,     0,     0,     0,  3250,  1086,     0,
    2215,     0,  2217,  2216,   824,     0,     0,     0,  1826,     0,
       0,  2089,  1086,     0,     0,     0,     0,     0,     0,     0,
    2089,  1086,  1924,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1086,     0,     0,     0,     0,
       0,     0,  1924,     0,     0,     0,     0,     0,     0,     0,
     712,  1047,     0,     0,     0,  1795,     0,     0,     0,  1047,
       0,  1047,     0,     0,     0,  1189,     0,  1924,  1189,     0,
       0,     0,     0,   824,     0,     0,     0,  2217,     0,     0,
       0,     0,     0,     0,     0,  1183,     0,     0,     0,     0,
       0,     0,  2218,  2219,  2220,     0,  2221,  2222,  2223,  2224,
    2225,  2226,     0,  1924,     0,     0,  1086,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1189,     0,     0,     0,
       0,     0,     0,     0,  1564,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1564,     0,     0,     0,     0,     0,
    1564,     0,  1564,     0,     0,     0,  1922,     0,  1564,     0,
       0,  1564,  1564,  1564,  1564,  1564,  1564,  1564,  1564,  1564,
    1564,     0,     0,  1925,  1564,  1564,     0,  2218,  2219,  2220,
       0,  2221,  2222,  2223,  2224,  2225,  2226,  1564,     0,     0,
       0,  1564,     0,     0,     0,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1564,     0,     0,  1564,     0,
    1564,     0,     0,     0,     0,     0,     0,     0,     0,  1564,
    1564,  1564,     0,     0,     0,  1564,     0,  1925,  1564,     0,
       0,     0,     0,     0,     0,  1086,  1086,  1086,  1183,  3621,
    4116,     0,     0,     0,  4116,  4130,     0,     0,     0,  1564,
       0,     0,     0,     0,     0,  4144,  1925,  1564,     0,  1564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1922,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1564,     0,     0,     0,     0,     0,  1564,  1924,
       0,     0,  3055,     0,  1564,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4192,
    2089,  2089,     0,  2613,     0,     0,     0,     0,  1925,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1189,  1189,  1189,  1189,     0,  1925,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1922,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1925,     0,     0,     0,     0,  4235,
       0,     0,     0,  1922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   936,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   937,
       0,     0,     0,  1922,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     938,     0,     0,  1924,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,   939,     0,     0,     0,     0,     0,     0,
       0,  4296,     0,  1922,     0,     0,   940,  1922,  1922,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1924,
       0,     0,     0,   941,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3885,     0,     0,     0,   942,     0,     0,     0,  1086,     0,
       0,     0,     0,     0,     0,   943,     0,     0,     0,  1189,
       0,  1564,     0,   944,     0,     0,     0,  1086,     0,     0,
       0,     0,     0,  4367,   945,     0,     0,     0,     0,   946,
       0,     0,  2502,     0,     0,   947,     0,     0,     0,     0,
       0,     0,     0,     0,  1086,     0,     0,     0,     0,     0,
     948,     0,     0,  3286,     0,     0,     0,     0,     0,  4396,
       0,     0,     0,  1188,  1190,     0,     0,  1193,     0,  1195,
       0,     0,     0,     0,     0,  1564,  1564,     0,     0,     0,
       0,  1924,     0,     0,     0,     0,     0,  1235,     0,     0,
       0,     0,  1924,     0,     0,     0,   949,     0,     0,     0,
    3228,     0,  3228,     0,     0,     0,     0,  1288,     0,     0,
       0,  1291,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   950,  1314,     0,
       0,     0,     0,     0,  1925,     0,  1564,   951,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   853,     0,     0,     0,     0,
       0,     0,   824,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,  1564,     0,     0,     0,     0,     0,  1185,
       0,     0,   952,  1564,  1564,     0,   953,     0,   954,     0,
       0,  1564,  1564,     0,   955,     0,  1564,   956,     0,     0,
       0,     0,  1564,  1564,     0,     0,  1564,  1924,  1086,  1086,
    1086,  1086,  1185,     0,     0,  4116,  4130,  4116,     0,     0,
    4485,     0,     0,   957,  3621,   958,     0,     0,  3621,   959,
       0,     0,     0,     0,  4498,  1924,     0,   960,  1564,     0,
       0,     0,   961,  1564,     0,     0,     0,     0,     0,  4508,
       0,  1924,     0,     0,   962,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,  1222,     0,     0,   963,  1185,     0,
       0,     0,  3680,     0,     0,     0,  3055,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1015,     0,     0,  1564,     0,     0,  1924,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3228,  3228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4561,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1189,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,  1189,  1047,     0,
       0,     0,  1047,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,  1925,  1925,     0,     0,     0,  1185,     0,     0,
       0,     0,  1802,  1803,  1925,     0,  3885,  3885,  3885,  3885,
    3885,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1924,     0,     0,     0,     0,     0,     0,     0,     0,
    1564,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1183,     0,     0,     0,     0,  2502,     0,     0,     0,
       0,     0,     0,  2089,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1189,  2502,     0,     0,     0,
       0,     0,     0,     0,     0,  1892,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1086,     0,  4682,     0,  1950,  1951,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1982,     0,     0,     0,
       0,     0,  1564,     0,     0,     0,     0,     0,     0,     0,
       0,  1564,     0,     0,     0,     0,     0,  1924,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,  1564,  1564,
       0,     0,  1564,  2015,  2017,  1185,     0,     0,     0,     0,
       0,  4116,     0,     0,     0,  3621,  1185,     0,     0,     0,
    3621,     0,     0,  3621,  3286,     0,  4726,     0,  1564,  1564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1933,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4192,  1222,  1189,  1189,  1189,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1924,     0,     0,     0,     0,
    1183,  1222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1924,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2089,
       0,     0,     0,  1183,     0,  1185,     0,     0,  1924,     0,
       0,     0,  1086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4367,     0,     0,     0,     0,     0,     0,
    3228,  1925,     0,     0,  2502,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4396,     0,  1924,  1086,
       0,     0,  1924,  1924,     0,     0,     0,  1189,  4192,     0,
       0,     0,  1933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1564,     0,     0,  1564,     0,  1564,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1564,     0,     0,     0,  3621,     0,
       0,  4726,     0,     0,     0,     0,     0,  4875,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1189,
       0,     0,     0,  1086,     0,     0,     0,     0,  1185,  1185,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1189,  1189,  1189,  1189,     0,     0,     0,  1185,     0,
       0,     0,     0,     0,     0,     0,  2089,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1564,     0,     0,     0,     0,     0,     0,
    1185,   824,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,  1185,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,  1564,     0,     0,     0,     0,     0,  1189,
       0,  1222,     0,     0,     0,     0,     0,     0,     0,     0,
    1564,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2517,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1189,     0,     0,     0,     0,  1183,     0,     0,     0,     0,
       0,     0,     0,  1933,     0,     0,  4192,     0,     0,   824,
       0,  1925,     0,     0,     0,  4682,  1047,  2580,  2581,  2582,
    2583,     0,     0,     0,  4875,     0,     0,  1564,  1564,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   880,
    1183,     0,     0,     0,     0,     0,     0,     0,  1189,  1047,
       0,   881,     0,  1925,  1925,     0,  1925,  1933,     0,  2621,
    2622,     0,     0,     0,     0,  2631,     0,     0,     0,     0,
       0,     0,   882,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1564,     0,     0,   883,  1933,     0,     0,     0,
       0,     0,  1564,     0,   884,     0,     0,  1189,  -738,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2655,     0,  1925,     0,  1925,   885,     0,     0,     0,     0,
       0,   886,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   887,  2690,  2691,  2692,
    2693,     0,     0,     0,     0,     0,     0,   888,     0,     0,
       0,     0,     0,     0,  1564,   889,     0,     0,     0,  1933,
       0,     0,     0,  1183,     0,     0,   890,     0,  1925,     0,
       0,     0,     0,   891,     0,     0,     0,   892,  1933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -940,  1925,     0,     0,  1933,  2752,  1927,     0,
       0,     0,     0,     0,     0,     0,  2756,     0,     0,     0,
       0,     0,     0,  2763,  1925,     0,     0,     0,     0,   824,
       0,     0,     0,     0,  1933,     0,     0,  1925,     0,     0,
       0,   893,     0,     0,     0,     0,     0,     0,  -502,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   894,
       0,     0,   895,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,  1933,     0,     0,
    1185,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -399,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1925,     0,     0,     0,   896,     0,     0,     0,     0,     0,
     897,     0,     0,     0,     0,     0,  -399,     0,     0,   898,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,  -399,     0,   899,   900,     0,
     901,   902,     0,     0,     0,     0,     0,  1185,     0,   903,
       0,  2936,     0,     0,   904,     0,     0,     0,     0,     0,
     905,     0,  1925,   906,     0,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -399,
       0,     0,  1925,     0,     0,  1185,  1185,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,  1185,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,  1925,  1185,  1185,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,  1185,
    1185,  1185,  1185,     0,     0,     0,     0,     0,     0,  1185,
    1185,     0,  1185,     0,  1185,  1185,     0,     0,  1185,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1933,  1185,   824,     0,     0,     0,
    1185,     0,     0,     4,  1185,     0,     0,     0,  1185,     0,
    1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,  1185,     0,
    1185,     0,     0,     5,     0,     0,  1185,     0,     0,  1185,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       0,     9,    10,     0,     0,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,     0,     0,     0,    45,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3130,  3131,  3132,
       0,     0,    46,     0,     0,     0,  3142,     0,  3144,     0,
    3146,  3147,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   824,     0,     0,  1927,     0,     0,     0,
       0,     0,    47,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    48,
       0,     0,  1185,     0,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,    49,
    1185,     0,     0,  3254,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1047,     0,     0,     0,     0,     0,  1933,     0,     0,
       0,     0,  1933,  1933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1933,     0,     0,    51,  1927,     0,
      52,  3312,     0,     0,     0,     0,     0,     0,     0,  3321,
     824,     0,     0,   824,  3322,    53,     0,  1927,     0,     0,
       0,     0,     0,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1047,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1925,
       0,     0,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      54,     0,     0,     0,     0,  3407,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,  3443,     0,  3445,
       0,     0,    55,     0,     0,  1185,     0,  1933,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,     0,   824,     0,     0,  1045,     0,     0,
       0,    57,     0,     0,     0,  1045,     0,  1045,     0,     0,
       0,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1925,     0,     0,     0,     0,    58,     0,     0,
       0,     0,     0,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,  1382,  2041,     0,     0,
       0,    71,  1933,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3500,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1927,     0,  1925,     0,  1185,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,  1185,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,  1185,     0,     0,     0,  1185,  1925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,  1185,
    1185,  1185,     0,     0,     0,     0,   824,     0,     0,     0,
       0,  1185,   824,     0,  1185,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,  1185,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,  1185,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,  1185,  1185,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,  3729,
    1185,  3730,  3731,  3732,     0,     0,  1185,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,  1925,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,  1927,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,  1933,     0,  1927,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1925,     0,     0,
       0,     0,     0,  1933,  1933,     0,  1933,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   824,   824,   824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1933,     0,  1933,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1925,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1933,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,  1925,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,  1933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1925,  1928,
       0,     0,     0,     0,  1933,     0,     0,     0,  1181,     0,
       0,     0,  3998,     0,     0,  3999,   824,  1933,     0,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1925,     0,
       0,     0,  1925,  1925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4025,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,  1933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1933,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,  1933,     0,     0,     0,     0,     0,  1181,  1185,
       0,     0,     0,     0,  1045,  1185,     0,  1185,  1045,     0,
       0,     0,  1933,  1185,     0,     0,  1185,  1185,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1185,     0,     0,     0,  1185,
    1185,     0,     0,  1181,     0,     0,     0,  1933,     0,     0,
       0,     0,  1185,     0,     0,     0,  1185,     0,   824,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,  1185,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,  1933,  1185,  1185,  1185,     0,     0,     0,
    1185,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,  1185,     0,     0,     0,     0,     0,
    1929,     0,     0,     0,  1185,     0,     0,     0,  4209,  4210,
    4211,  4212,  1185,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,  1185,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1931,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,  1929,   824,     0,     0,     0,   824,  1933,
     824,     0,     0,     0,     0,     0,  4354,     0,     0,     0,
       0,     0,  1927,  1927,     0,  1927,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1928,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1928,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,  1927,     0,     0,   824,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,     0,  1927,     0,  1928,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1933,     0,     0,     0,  1181,  1928,     0,
       0,     0,  1927,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1928,     0,     0,     0,
       0,     0,     0,  1927,     0,     0,  1181,     0,     0,  1933,
    1185,  1185,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,  1181,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,  1928,     0,     0,
       0,     0,     0,     0,  1929,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,  1185,  1927,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,  1185,
       0,  1933,     0,     0,     0,     0,  1185,  1185,     0,     0,
       0,  1185,  1933,     0,     0,  1181,     0,  1185,  1185,  1181,
    1181,  1185,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,  1185,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1185,     0,     0,     0,  1929,  1185,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1927,     0,     0,     0,     0,     0,     0,     0,     0,
    4586,     0,     0,     0,     0,     0,     0,     0,     0,  1931,
       0,     0,     0,     0,  4589,     0,  1927,     0,     0,  1185,
       0,     0,  1045,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1933,     0,     0,
    1929,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1927,     0,     0,  1045,   824,     0,     0,  1929,
       0,     0,     0,  1931,     0,  1933,     0,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,  1929,     0,     0,
       0,  1933,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1931,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,  4655,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1933,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1931,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1185,     0,     0,     0,
       0,     0,  1931,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1933,     0,     0,     0,  1927,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4751,  4753,  4753,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,  1933,     0,     0,     0,     0,  1185,  1181,     0,     0,
       0,     0,     0,  1931,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,  1185,  1185,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1185,     0,     0,     0,     0,  1185,     0,     0,  1185,     0,
       0,     0,     0,  1185,  1185,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1928,     0,     0,
       0,     0,  1928,  1928,     0,  1929,  1185,     0,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,  1927,     0,  4841,     0,     0,  1933,     0,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,  1181,     0,     0,     0,     0,     0,  1927,  1181,
       0,     0,  1181,     0,   824,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,  1181,  1181,     0,     0,  1185,     0,
       0,     0,  1181,     0,     0,  1181,  1181,  1181,  1181,     0,
       0,     0,     0,     0,     0,  1181,  1181,     0,  1181,     0,
    1181,  1181,     0,     0,  1181,     0,  4885,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1931,  1181,     0,     0,     0,     0,  1181,     0,     0,  4904,
    1181,  4906,     0,  1185,  1181,  1933,  1181,  1181,  1181,  1181,
    1181,  1181,  1181,  1181,  1181,     0,  1181,  1928,     0,     0,
       0,     0,  1181,     0,     0,  1181,     0,  1185,  1933,     0,
    1185,     0,  1185,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,  1927,     0,  1185,     0,     0,     0,     0,  1933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,  1928,     0,   824,     0,     0,     0,  1933,     0,
       0,     0,  1933,  1933,     0,     0,  4753,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,  1929,  1929,     0,     0,  5006,  1185,     0,
       0,     0,     0,     0,     0,  1929,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1928,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1185,     0,
    1927,     0,     0,     0,     0,  5042,     0,     0,  1181,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,  5079,     0,     0,  1045,     0,     0,
    1185,     0,     0,  1931,     0,     0,     0,     0,  1931,  1931,
       0,  1185,     0,     0,     0,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1185,  1185,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,  1185,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1045,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1929,     0,     0,     0,   824,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1927,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1185,
       0,  1181,     0,  1931,   824,     0,     0,     0,  1185,     0,
       0,     0,   824,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1928,     0,     0,     0,     0,     0,     0,  1931,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1927,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1928,  1928,     0,  1928,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,  1928,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,  1927,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,  1181,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,  1927,  1928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,  1181,     0,
       0,     0,  1181,  1928,     0,     0,     0,  1927,     0,     0,
       0,     0,     0,     0,  1181,  1181,  1181,  1181,     0,     0,
       0,     0,     0,     0,  1928,     0,     0,  1181,     0,     0,
    1181,   923,  1181,     0,     0,     0,     0,  1928,     0,     0,
     923,     0,  1181,  1181,     0,     0,  1181,  1927,     0,     0,
       0,  1927,  1927,     0,     0,     0,     0,     0,     0,  1181,
       0,  1181,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     923,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,  1181,  1181,  1181,     0,     0,     0,
       0,  1928,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,  1100,     0,     0,  1928,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1928,  1181,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,  1929,  1929,     0,  1929,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1928,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,     0,  1929,     0,  1929,     0,     0,     0,     0,
       0,     0,  1928,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1928,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1931,
    1931,     0,  1931,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1149,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1929,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1931,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,  1931,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1931,
       0,  1929,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1928,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1929,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1929,     0,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,  1931,     0,     0,     0,
       0,     0,     0,   923,   923,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1929,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,  1931,     0,
       0,     0,     0,  1928,     0,  1181,     0,     0,     0,     0,
       0,  1181,     0,  1181,     0,     0,     0,     0,  1931,  1181,
       0,     0,  1181,  1181,  1181,  1181,  1181,  1181,  1181,  1181,
    1181,  1181,     0,     0,     0,  1181,  1181,     0,     0,  1928,
       0,     0,     0,  1931,     0,     0,     0,     0,  1181,     0,
       0,     0,  1181,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,  1181,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,  1931,
    1181,  1181,  1181,     0,     0,     0,  1181,     0,     0,  1181,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
    1181,     0,  1196,     0,     0,     0,     0,     0,     0,     0,
    1181,     0,  1225,  1226,     0,  1229,     0,  1232,  1181,  1234,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1286,     0,
       0,     0,     0,     0,     0,     0,  1294,     0,     0,     0,
    1929,  1928,     0,     0,     0,  1310,  1311,     0,     0,     0,
    1313,     0,  1928,  1181,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,     0,  1181,     0,  1149,     0,   923,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1344,     0,     0,     0,     0,     0,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1367,     0,     0,  1369,     0,  1371,     0,  1374,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   923,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1931,     0,  1928,     0,     0,
       0,     0,     0,     0,     0,     0,  1454,     0,  1455,     0,
       0,     0,     0,     0,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1928,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1149,
       0,  1928,     0,     0,     0,     0,     0,     0,     0,     0,
    1929,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1100,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1928,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1931,
       0,     0,     0,     0,     0,  1714,     0,  1716,     0,     0,
       0,  1718,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,  1747,     0,  1929,     0,  1931,  1181,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1865,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1878,     0,     0,  1181,     0,     0,
       0,  1928,     0,     0,     0,     0,     0,  1888,     0,     0,
       0,     0,     0,     0,  1890,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1939,     0,     0,  1943,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,  1181,     0,  1931,  1929,     0,
       0,     0,  1181,  1181,     0,     0,     0,  1181,  1931,     0,
       0,     0,  1986,  1181,  1181,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,  1181,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,  1181,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,  1181,  1928,     0,     0,
     716,     0,   716,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   716,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,   716,
     716,     0,     0,   716,     0,     0,     0,     0,     0,   716,
       0,     0,     0,  1007,     0,     0,     0,     0,     0,     0,
       0,  1931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1007,     0,     0,     0,  1931,     0,     0,
       0,     0,     0,     0,     0,  1928,     0,     0,     0,   716,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1929,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1928,     0,
       0,  1181,  1928,  1928,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1100,  2302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1931,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1929,     0,
       0,     0,     0,  1181,     0,     0,     0,  1931,     0,     0,
       0,     0,  1181,  2373,     0,     0,  2373,     0,     0,     0,
       0,     0,     0,     0,  2380,     0,     0,     0,     0,  1181,
    1181,     0,   716,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,  2389,     0,     0,     0,  1181,     0,     0,     0,
       0,  1181,     0,     0,  1181,     0,     0,     0,     0,  1181,
    1181,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2459,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1181,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1929,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1931,     0,     0,     0,     0,     0,  1929,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1929,
       0,     0,     0,  1929,  1929,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1181,
       0,  1931,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
       0,     0,     0,  1181,  1931,     0,  1181,     0,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2665,     0,  1181,     0,     0,     0,  1181,
       0,     0,     0,     0,  1931,     0,     0,     0,  2688,     0,
       0,     0,   716,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,     0,     0,     0,  1931,  1931,
       0,     0,     0,     0,  2736,     0,     0,     0,     0,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,  2751,
       0,  2753,     0,  2754,     0,     0,     0,     0,  2755,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1931,     0,     0,  2783,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2302,
       0,     0,     0,  2302,     0,  2302,     0,     0,  2302,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1181,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1181,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1181,  1181,
       0,     0,     0,     0,     0,  1332,   716,     0,   716,     0,
       0,  1181,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2996,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1181,     0,     0,   716,     0,     0,   716,
     716,     0,     0,  1181,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,  1007,     0,  1007,     0,
       0,     0,     0,     0,   672,     0,     0,     0,   716,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1007,  1007,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1181,     0,     0,     0,     0,
       0,     0,     0,     0,  1181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
     716,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3085,  3086,     0,     0,     0,
    3089,  3090,     0,     0,  3093,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3103,     0,     0,     0,     0,     0,
       0,  3112,     0,     0,     0,  3115,  3116,   672,     0,  3119,
    3120,     0,     0,     0,     0,     0,  3125,     0,     0,     0,
       0,   672,   672,     0,     0,  1696,     0,     0,  3141,     0,
    3143,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3165,     0,     0,     0,
       0,  3167,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3185,  3186,  3189,  3191,     0,     0,     0,  3198,
    3201,     0,     0,     0,     0,     0,     0,  3212,     0,     0,
    3216,     0,     0,     0,  3220,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3248,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3255,     0,  3257,
       0,     0,     0,     0,  3260,     0,     0,     0,     0,  3264,
    3265,  3266,  3267,     0,  3269,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3293,  3294,  3295,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3303,  3304,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3358,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,   716,     0,   716,     0,     0,   716,     0,   716,
       0,     0,   716,   716,   716,     0,     0,     0,  2084,     0,
       0,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   716,     0,
     716,     0,     0,     0,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2302,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2242,     0,     0,     0,     0,     0,     0,
       0,     0,   716,   716,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     4,   672,
       0,     0,     0,     0,   672,   672,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     5,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     6,     7,
       0,     0,     0,     0,     8,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,    36,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,     0,     0,     0,     0,     0,     0,   716,     0,   672,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2377,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    46,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3661,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    47,     0,  3700,
    3701,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    48,     0,  2302,     0,     0,     0,
       0,     0,   672,     0,     0,   672,   672,     0,     0,     0,
       0,     0,     0,     0,    49,     0,     0,     0,     0,     0,
       0,  3723,     0,     0,     0,     0,     0,     0,     0,     0,
    3727,     0,     0,     0,     0,     0,    50,     0,     0,     0,
       0,     0,     0,     0,     0,  3738,  3740,     0,     0,     0,
    3740,     0,     0,     0,     0,  3751,  3752,  3753,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,    51,     0,     0,    52,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      53,  3774,  3775,  3776,  3777,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,  3793,  3794,  3795,  1186,     0,     0,     0,     0,     0,
       0,  3808,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1934,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    54,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3847,     0,     0,     0,     0,
       0,     0,     0,  3851,     0,     0,     0,    55,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    56,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    57,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,     0,   716,  1186,     0,     0,   716,  3919,   716,     0,
       0,   716,    58,     0,     0,   716,     0,     0,    59,     0,
    2242,     0,    60,    61,    62,    63,    64,     0,     0,    65,
      66,    67,    68,     0,    69,    70,    71,    72,    73,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3947,
       0,     0,  3950,     0,     0,     0,     0,     0,     0,     0,
    1934,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   923,     0,     0,  3990,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2302,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,  1186,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,  2084,
       0,     0,     0,     0,     0,     0,  2997,     0,     0,     0,
       0,     0,     0,     0,     0,  2377,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,   672,
       0,  1186,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,   672,     0,     0,     0,
       0,     0,  3069,     0,  1696,     0,     0,   716,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4203,     0,  4204,     0,
       0,     0,     0,     0,     0,  4206,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
       0,  4215,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4223,     0,
       0,     0,     0,     0,  1934,     0,     0,  4234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4266,  4267,  4268,  4269,  4270,  4271,  4272,
    4273,     0,     0,     0,     0,  4280,  4281,     0,  4283,  4284,
    4285,  4286,  4287,  4288,  4289,     0,     0,  1934,     0,   672,
       0,     0,     0,  4297,     0,  4299,  4300,   672,     0,   672,
       0,     0,     0,     0,     0,     0,  1934,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1934,  1552,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4348,  4350,  4352,     0,     0,
    4355,     0,  1934,     0,     0,     0,     0,     0,     0,     0,
    1623,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,  1934,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     4,     0,     0,     0,
       0,  3740,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     5,     0,     0,     0,
       0,  2302,  2302,  2302,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,  1186,     0,    45,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,  2084,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   672,     0,     0,
       0,     0,     0,  1186,  1186,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,  1186,    46,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,  1186,  1186,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,  1186,  1186,  1186,
    1186,     0,     0,     0,     0,     0,     0,  1186,  1186,     0,
    1186,     0,  1186,  1186,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1934,  1186,     0,     0,     0,     0,  1186,     0,
       0,     0,  1186,     0,     0,    47,  1186,     0,  1186,  1186,
    1186,  1186,  1186,  1186,  1186,  1186,  1186,     0,  1186,     0,
       0,     0,    48,     0,  1186,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,  4551,  4552,  4553,  4554,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,  4566,  4567,  4568,
    4569,     0,  4571,  4572,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4581,  4582,     0,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      51,  2302,  2302,    52,  2302,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2377,    53,     0,
       0,     0,   672,     0,  2139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2163,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2188,  2189,     0,  2192,     0,     0,     0,     0,     0,
       0,     0,     0,    54,     0,     0,     0,     0,  4642,     0,
       0,  2232,     0,     0,     0,     0,     0,  4648,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,  4667,     0,
       0,  1186,     0,     0,     0,    55,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,  4686,  2286,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    57,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
    1934,  1934,  2309,     0,     0,     0,  2321,  2324,     0,     0,
      58,     0,  1934,     0,     0,     0,    59,     0,     0,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1382,
       0,     0,     0,  2302,    71,  1383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2302,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4773,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,  1186,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2228,     0,     0,     0,  3740,     0,     0,     0,
    1934,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2302,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2302,   716,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4891,     0,     0,
       0,     0,  4895,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2302,     0,     0,     0,  1934,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,  1186,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3740,     0,  1186,
    1186,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2302,     0,  1186,  1186,  1186,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1186,
       0,     0,  1186,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,  1186,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,  1186,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,  5001,     0,     0,     0,     0,  5005,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,  1186,  1186,  1186,     0,
       0,     0,     0,     0,     0,     0,  2862,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,  3069,  2885,
       0,     0,  2887,  1186,     0,  2898,     0,     0,  1186,     0,
       0,     0,  2905,  2910,  1186,     0,     0,     0,  2916,     0,
       0,  2921,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2930,     0,
       0,     0,     0,  2937,     0,     0,     0,  2949,     0,     0,
       0,  2956,     0,  2958,  2959,  2960,  2961,  2962,  2963,  2964,
    2965,  2966,     0,  2967,     0,     0,     0,     0,     0,  1552,
       0,     0,  2992,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1934,
       0,     0,     0,     0,     0,   672,  2228,     0,     0,     0,
       0,     0,     0,     0,     0,     4,     0,     0,     0,     0,
       0,     0,     0,     0,  1623,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     5,     0,     0,     0,     0,
       0,  1934,  1934,     0,  1934,     6,     7,     0,     0,     0,
       0,     0,     0,     9,    10,     0,     0,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,  2228,     0,
    1934,     0,  1934,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2228,     0,     0,     0,     0,  2894,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,  2228,  2228,     0,
       0,  2228,     0,     0,     0,  3117,  1934,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1934,     0,     0,   672,     0,     0,     0,     0,
       0,     0,     0,     0,    47,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2228,     0,     0,     0,     0,
       0,    49,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
       0,     0,     0,    50,     0,     0,     0,     0,     0,  1934,
    2228,     0,     0,  2228,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1934,    51,
       0,     0,    52,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    53,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2377,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3333,     0,
       0,     0,     0,     0,   672,     0,     0,  1186,     0,     0,
    1934,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,  1186,     0,  1186,     0,     0,     0,     0,
    1934,  1186,    54,     0,  1186,  1186,  1186,  1186,  1186,  1186,
    1186,  1186,  1186,  1186,     0,     0,     0,  1186,  1186,     0,
       0,     0,     0,     0,     0,  1934,   672,     0,     0,     0,
    1186,     0,     0,     0,  1186,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,    55,     0,     0,     0,  1186,     0,
       0,  1186,     0,  1186,     0,     0,     0,     0,    56,     0,
       0,  1934,  1186,  1186,  1186,     0,     0,     0,  1186,     0,
       0,  1186,     0,    57,     0,     0,     0,     0,     0,     0,
       0,  1186,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,  3457,     0,     0,     0,     0,     0,    58,
    1186,     0,  1186,     0,     0,    59,   672,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1382,  2764,
       0,     0,     0,    71,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1186,     0,  3506,     0,     0,     0,     0,  3512,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2910,     0,  2910,  2910,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3569,     0,     0,  3572,     0,  3574,
       0,     0,     0,     0,     0,     0,     0,  1934,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3595,     0,  3597,     0,
       0,     0,  3600,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2992,  2992,  2992,     0,   716,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3658,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2309,     0,
       0,     0,     0,  3670,     0,     0,     0,     0,     0,  2324,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,  3709,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1934,  1186,  1186,
       0,     0,     0,     0,  2228,     0,  2228,     0,  2894,  2894,
    3543,     0,     0,  2894,     0,     0,     0,  2228,     0,     0,
       0,     0,     0,     0,  2228,     0,     0,     0,     0,  2228,
       0,     0,     0,     0,     0,  2228,     0,     0,     0,     0,
    2228,     0,     0,     0,     0,     0,     0,     0,     0,  2228,
       0,     0,     0,  2894,  2894,     0,  2228,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
       0,     0,     0,     0,     0,  2228,     0,  2228,  2228,  2228,
    2228,  2228,  2228,  2228,  2228,  2228,  2228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,  1186,     0,  1934,
       0,  2228,     0,     0,  1186,  1186,     0,     0,     0,  1186,
    1934,     0,     0,     0,     0,  1186,  1186,     0,     0,  1186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   672,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,  2228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1934,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1934,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,  4030,     0,  1186,     0,     0,     0,     0,     0,
       0,     0,  4034,     0,     0,     0,     0,     0,  4035,     0,
    4036,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4054,  4055,     0,     0,     0,     0,     0,     0,
       0,     0,  1934,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2228,  2916,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4083,     0,     0,  4086,     0,  4088,     0,
       0,     0,     0,     0,     0,  1186,     0,  4092,     0,  1934,
       0,     0,     0,  4097,  1186,     0,  4100,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1186,  1186,     0,     0,  1186,     0,  4133,     0,     0,
       0,     0,     0,     0,     0,  4145,     0,  2992,  1186,     0,
       0,     0,     0,  1186,     0,     0,  1186,     0,     0,     0,
       0,  1186,  1186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4162,     0,     0,     0,  1186,     0,  1552,     0,     0,     0,
       0,     0,  1623,     0,     0,     0,  2228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1934,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2228,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,  3543,  3543,     0,
    2894,     0,     0,  2894,  2894,  2894,  2894,  2894,  2894,  2894,
    2894,  2894,  2894,  3543,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
       0,  2228,     0,  2228,     0,     0,     0,     0,  3543,  3543,
       0,  1186,     0,  1934,     0,     0,     0,     0,     0,     0,
       0,     0,  2894,  2894,  2228,     0,  2228,     0,     0,  2228,
       0,     0,     0,     0,     0,  1186,  1934,     0,  1186,     0,
    1186,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,  1186,     0,     0,     0,     0,  1934,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2228,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2228,
       0,     0,     0,     0,     0,     0,  1934,     0,     0,     0,
    1934,  1934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4409,  4410,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1934,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,  4441,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4459,  4461,     0,     0,     0,     0,     0,  1186,     0,
       0,     0,     0,     0,  4468,     0,     0,     0,     0,  1186,
    4473,  4474,     0,     0,  4476,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1186,  1186,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1186,     0,     0,  2992,     0,     0,     0,
       0,  2992,     0,  2894,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2992,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1186,     0,     0,     0,     0,
       0,     0,  4532,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1186,     0,     0,
       0,     0,     0,     0,     0,     0,  1186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2228,
       0,     0,     0,  2228,  2228,  2228,     0,     0,  3543,     0,
       0,     0,     0,  3543,  3543,  3543,  3543,  3543,  3543,  3543,
    3543,  3543,  3543,  2228,  2228,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2228,  2894,  2894,  2228,     0,  2228,     0,     0,
       0,  2228,  3543,  3543,     0,     0,  2228,     0,     0,  2228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4628,     0,
       0,    86,    87,    88,     0,    90,    91,    92,     0,     0,
       0,    95,  2228,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,     0,  2228,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
       0,  2228,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,     0,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     133,     0,     0,     0,   135,   136,   137,   138,   139,     0,
    4712,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,     0,     0,     0,     0,   144,     0,   145,
       0,     0,     0,     0,     0,   148,     0,  4729,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   155,   156,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   162,
       0,     0,     0,     0,     0,     0,     0,   164,     0,     0,
       0,   166,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,  3543,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,  2228,  2228,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
    2228,     0,     0,     0,  2894,     0,     0,     0,   196,   197,
     198,   199,   200,     0,     0,     0,     0,     0,  2228,     0,
    2228,     0,   201,  2916,   202,  3543,  3543,  2228,     0,     0,
    2894,  2894,  2228,  2228,     0,  2228,     0,   204,     0,     0,
       0,     0,  4866,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,     0,     0,
     220,     0,   221,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,   223,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   225,   226,     0,
       0,     0,   227,     0,   228,     0,     0,     0,     0,     0,
       0,     0,     0,   231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,     0,
       0,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4937,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2228,     0,     0,
    3059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4982,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3543,  2894,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3543,
    3543,  2228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2228,     0,
       0,     0,     0,     0,     0,  5028,  5028,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5028,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5076,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3543,     0,     0,     0,     0,
       0,     0,  5028,     0,     0,  2228,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2228,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,  2228,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,  2228,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   733,   426,   427,   428,   734,
     735,   736,   737,   738,   739,   740,   429,   430,   741,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
     742,   436,   437,   438,   439,   440,   743,   744,   441,   442,
     745,   140,   443,   746,   444,   445,   446,   447,   144,   747,
     145,   748,   448,   449,   450,   451,   148,   452,   749,   750,
     453,   454,   455,   456,   457,   458,   751,   151,   459,   752,
     753,   754,   755,   152,   756,   757,   758,   460,   461,   462,
     463,   695,   464,   155,   156,   465,   759,   466,   760,   467,
     468,   469,   470,   471,   761,   472,   473,   474,   762,   763,
     475,   476,   477,   478,   479,   764,   480,   481,   482,   765,
     483,   484,   485,   766,   486,   487,   488,   489,   164,   490,
     491,   492,   166,   767,   493,   768,   494,   168,   495,   769,
     496,   770,   497,   169,   771,   170,   498,   499,   500,   772,
     501,   172,   773,   502,   774,   503,   504,   697,   505,   506,
     173,   507,   508,   509,   775,   510,   511,   512,   513,   514,
     515,   776,   516,   174,   175,   777,   517,   518,   519,   778,
     176,   779,   177,   780,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,   781,   527,   528,   782,   529,   181,
     182,   530,   183,   783,   531,   532,   533,   784,   785,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,   189,   190,   545,   546,   191,   786,   547,
     548,   193,   549,   787,   194,   550,   195,   551,   552,   553,
     788,   554,   789,   790,   555,   556,   557,   791,   792,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,   793,   565,   201,   566,   202,   567,   568,   569,   794,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,   795,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   796,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
     797,   604,   605,   606,   607,   608,   798,   609,   218,   610,
     611,   220,   612,   221,   613,   799,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,   800,   624,   625,
     801,   626,   627,   628,   629,   630,   631,   802,   225,   226,
     803,   804,   633,   227,   634,   228,   805,   635,   636,   637,
     638,   639,   640,   641,   806,   807,   642,   643,   644,   645,
     646,   808,   809,   647,   648,   649,   650,   651,   810,   235,
     811,   652,   236,   653,   654,   655,   812,   813,   656,   814,
     815,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    85,     0,
       0,    86,    87,    88,    89,    90,    91,    92,    93,     0,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     967,   104,   105,   106,     0,     0,   107,   108,   109,   110,
       0,   111,   112,   113,   114,   115,     0,   116,   117,   118,
     119,   120,     0,     0,     0,   121,   122,     0,     0,     0,
       0,   123,     0,     0,     0,     0,     0,     0,     0,     0,
     124,     0,   125,     0,   126,   127,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   129,     0,   130,   131,
       0,     0,     0,     0,     0,     0,     0,     0,   132,     0,
     133,     0,     0,   134,   135,   136,   137,   138,   139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     140,     0,     0,   141,     0,   142,   143,   144,     0,   145,
       0,   146,     0,   147,     0,   148,     0,     0,     0,     0,
       0,     0,     0,   149,     0,   150,   151,     0,     0,     0,
       0,     0,   152,     0,     0,     0,     0,     0,     0,   153,
       0,   154,   155,   156,   157,     0,     0,     0,     0,     0,
   -1398,     0,     0,     0,     0,     0,   158,     0,   159,     0,
       0,     0,   160,     0,     0,     0,     0,     0,   161,   162,
       0,     0,     0,     0,     0,     0,   163,   164,   165,     0,
       0,   166,     0,     0,   167,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,   171,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0, -1398,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,   184,   185,     0,     0,     0,     0,   186,
       0,     0,     0,     0,     0,     0,     0,     0,   187,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,   192,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
     198,   199,   200,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   201,     0,   202,     0,   203,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,   205,     0,
       0,     0,     0,   206,   207,     0,   208,     0,     0,     0,
       0,   209,     0,     0,     0,     0,   210,   211,     0,   212,
     213,     0,     0,   214,     0,     0,     0,     0,   215,   216,
       0,     0,     0,     0,     0,     0,   217,   218,     0,   219,
     220,     0,   221,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,   223,     0,     0,     0,   224,
       0,     0,     0,     0,     0,     0,     0,   225,   226,     0,
       0,     0,   227,     0,   228,     0,   229,     0,   230,     0,
       0,     0,     0,   231,     0,     0,   232,     0,     0, -1398,
       0,     0,   233,     0,     0,     0,     0,   234,   235,     0,
       0,   236,     0,     0,     0,     0,     0,     0,     0,   237,
       0,     0,     0,     0,     0,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   247,   104,   105,     0,  -136,     0,   107,
     108,   109,   110,     0,   111,   112,   113,   114,   115,     0,
     116,   117,   118,     0,     0,     0,     0,     0,   121,   122,
       0,     0,     0,     0,   123,     0,     0,     0,     0,     0,
       0,     0,     0,   124,     0,   125,     0,   126,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   162,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   196,   197,   198,   199,   200,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   201,     0,   202,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     204,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,     0,     0,   220,     0,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     225,   226,     0,     0,     0,   227,     0,   228,     0,     0,
       0,     0,     0,     0,     0,     0,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,   236,     0,     0,     0,     0,     0,
       0,     0,     4,     0,     0,     0,     0,     0,   238,   239,
     240,   241,   242,   243,   244,   245,   246,     0,     0,     0,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     0,
       9,    10,     0,  3061,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
       0,     0,     0,    45,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    47,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    51,     0,     0,    52,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    54,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,    59,     0,     0,     0,    60,    61,    62,    63,
      64,     0,     0,    65,    66,  1382,     0,     0,     0,     0,
      71,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1471,
    1472,  1473,    45,  1474,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,  2986,   426,   427,   428,     0,
       0,     0,     0,  1475,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,  1476,   137,  1477,  1478,
       0,   436,   437,   438,   439,   440,  1479,  1480,   441,   442,
    1481,  1482,   443,     0,   444,   445,   446,   447,  1483,     0,
    1484,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,
     463,   695,   464,  1492,  1493,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,  2987,     0,
     475,   476,  1494,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,  1495,   490,
     491,   492,  1496,  1497,   493,     0,   494,  1498,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,  1499,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1500,
    1501,     0,  1502,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,  1503,
     182,   530,   183,     0,   531,   532,   533,  1504,  1505,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1506,   189,  1507,   545,   546,   191,  1508,   547,
     548,   193,   549,  1509,  1510,   550,  1511,   551,   552,   553,
       0,   554,     0,     0,  1512,   556,   557,     0,     0,   196,
     197,   198,   199,  1513,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1514,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1515,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1516,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1517,   609,   218,   610,
     611,   220,   612,  1518,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1519,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1520,  1521,
       0,     0,   633,  1522,   634,  1523,  1524,   635,   636,   637,
     638,   639,   640,   641,     0,  1525,   642,   643,   644,   645,
     646,  1526,     0,   647,   648,   649,   650,   651,   701,  1527,
    2988,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  1536,  1537,  2989,     0,     0,
       0,     0,     0,     0,  1539,  2990,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1471,  1472,  1473,    45,  1474,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,  1475,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,  1476,   137,  1477,  1478,     0,   436,   437,   438,   439,
     440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,   444,
     445,   446,   447,  1483,     0,  1484,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,
    1490,  1491,   460,   461,   462,   463,   695,   464,  1492,  1493,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1494,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,  1495,   490,   491,   492,  1496,  1497,   493,
       0,   494,  1498,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,  1499,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,  1500,  1501,     0,  1502,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,  1503,   182,   530,   183,     0,   531,
     532,   533,  1504,  1505,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1506,   189,  1507,
     545,   546,   191,  1508,   547,   548,   193,   549,  1509,  1510,
     550,  1511,   551,   552,   553,     0,   554,     0,     0,  1512,
     556,   557,     0,     0,   196,   197,   198,   199,  1513,   558,
     559,   560,   561,   562,   563,   564,     0,   565,  1514,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1515,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,  1516,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,  1517,   609,   218,   610,   611,   220,   612,  1518,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,  1519,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1520,  1521,     0,     0,   633,  1522,   634,
    1523,  1524,   635,   636,   637,   638,   639,   640,   641,     0,
    1525,   642,   643,   644,   645,   646,  1526,     0,   647,   648,
     649,   650,   651,   701,  1527,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,
     702,   662,   663,     0,     0,     0,     0,     0,     0,     0,
    1536,  1537,     0,     0,     0,     0,     0,     0,     0,  1539,
    2896,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,     0,  1900,   137,  1901,  1902,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
    1903,  1904,   443,     0,   444,   445,   446,   447,     0,     0,
     145,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,   695,   464,  1905,  1906,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1494,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,     0,   490,
     491,   492,     0,     0,   493,     0,   494,  1907,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,     0,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,  2482,   510,   511,   512,   513,   514,
     515,     0,   516,   174,  2483,     0,   517,   518,   519,  1500,
    1908,     0,  1909,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,     0,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1910,   189,  1911,   545,   546,     0,     0,   547,
     548,   193,   549,     0,     0,   550,  1912,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,  2484,
     197,   198,   199,     0,   558,   559,   560,   561,   562,   563,
     564,     0,   565,     0,   566,     0,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1913,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,     0,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,  2485,   610,
     611,   220,   612,  1915,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,     0,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1916,  1917,
       0,     0,   633,     0,   634,     0,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,     0,  1918,
    2486,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   702,   662,   663,     0,     0,
       0,     0,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,  2487,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,     0,  1900,   137,  1901,
    1902,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,  1903,  1904,   443,     0,   444,   445,   446,   447,     0,
       0,   145,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,   695,   464,  1905,  1906,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,  1494,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,     0,
     490,   491,   492,     0,     0,   493,     0,   494,  1907,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,     0,     0,   502,     0,   503,   504,   697,   505,
     506,   173,   507,   508,   509,  2482,   510,   511,   512,   513,
     514,   515,     0,   516,   174,  2483,     0,   517,   518,   519,
    1500,  1908,     0,  1909,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
       0,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,  1910,   189,  1911,   545,   546,     0,     0,
     547,   548,   193,   549,     0,     0,   550,  1912,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
    2484,   197,   198,   199,     0,   558,   559,   560,   561,   562,
     563,   564,     0,   565,     0,   566,     0,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,  1913,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,     0,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,  2485,
     610,   611,   220,   612,  1915,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,     0,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,  1916,
    1917,     0,     0,   633,     0,   634,     0,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
    1918,  2486,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   702,   662,   663,     0,
       0,     0,     0,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,  3419,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,  1475,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,  1476,   137,
    1477,  1478,  2906,   436,   437,   438,   439,   440,  1479,  1480,
     441,   442,  1481,  1482,   443,     0,   444,   445,   446,   447,
    1483,     0,  1484,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,
     461,   462,   463,   695,   464,  1492,  1493,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1494,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
    1495,   490,   491,   492,  1496,  1497,   493,     0,   494,  1498,
     495,     0,   496,     0,   497,   169,  2907,   170,   498,   499,
     500,     0,   501,  1499,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,  1500,  1501,     0,  1502,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,  2908,
     529,  1503,   182,   530,   183,     0,   531,   532,   533,  1504,
    1505,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1506,   189,  1507,   545,   546,   191,
    1508,   547,   548,   193,   549,  1509,  1510,   550,  1511,   551,
     552,   553,     0,   554,     0,     0,  1512,   556,   557,     0,
       0,   196,   197,   198,   199,  1513,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1514,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1515,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,  1516,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1517,   609,
     218,   610,   611,   220,   612,  1518,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1519,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1520,  1521,     0,  2909,   633,  1522,   634,  1523,  1524,   635,
     636,   637,   638,   639,   640,   641,     0,  1525,   642,   643,
     644,   645,   646,  1526,     0,   647,   648,   649,   650,   651,
     701,  1527,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,
       0,     0,     0,     0,     0,     0,     0,  1536,  1537,     0,
       0,     0,     0,     0,     0,     0,  1539,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1471,  1472,  1473,    45,  1474,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1475,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,  1476,   137,  1477,  1478,     0,   436,   437,   438,
     439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,
     444,   445,   446,   447,  1483,     0,  1484,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   460,   461,   462,   463,   695,   464,  1492,
    1493,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1494,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,  1495,   490,   491,   492,  1496,  1497,
     493,     0,   494,  1498,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,  1499,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1500,  1501,     0,  1502,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1503,   182,   530,   183,     0,
     531,   532,   533,  1504,  1505,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1506,   189,
    1507,   545,   546,   191,  1508,   547,   548,   193,   549,  1509,
    1510,   550,  1511,   551,   552,   553,     0,   554,     0,     0,
    1512,   556,   557,     0,     0,   196,   197,   198,   199,  1513,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1514,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1515,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1516,   597,   598,
     599,   600,   601,   602,   700,   603,   216,   604,   605,   606,
     607,   608,  1517,   609,   218,   610,   611,   220,   612,  1518,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1519,     0,   624,   625,   224,   626,   627,   628,
     629,   630,   631,     0,  1520,  1521,     0,     0,   633,  1522,
     634,  1523,  1524,   635,   636,   637,   638,   639,   640,   641,
       0,  1525,   642,   643,   644,   645,   646,  1526,     0,   647,
     648,   649,   650,   651,  2190,  1527,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,   237,   657,   658,   659,
     660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
    1535,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,  1536,  1537,     0,     0,     0,     0,     0,     0,     0,
    1539,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1471,
    1472,  1473,    45,  1474,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,  1475,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,  1476,   137,  1477,  1478,
       0,   436,   437,   438,   439,   440,  1479,  1480,   441,   442,
    1481,  1482,   443,     0,   444,   445,   446,   447,  1483,     0,
    1484,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,
     463,   695,   464,  1492,  1493,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1494,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,  1495,   490,
     491,   492,  1496,  1497,   493,     0,   494,  1498,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,  1499,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1500,
    1501,     0,  1502,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,  1503,
     182,   530,   183,     0,   531,   532,   533,  1504,  1505,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1506,   189,  1507,   545,   546,   191,  1508,   547,
     548,   193,   549,  1509,  1510,   550,  1511,   551,   552,   553,
       0,   554,     0,     0,  1512,   556,   557,     0,     0,   196,
     197,   198,   199,  1513,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1514,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1515,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1516,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1517,   609,   218,   610,
     611,   220,   612,  1518,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1519,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1520,  1521,
       0,     0,   633,  1522,   634,  1523,  1524,   635,   636,   637,
     638,   639,   640,   641,     0,  1525,   642,   643,   644,   645,
     646,  1526,     0,   647,   648,   649,   650,   651,   701,  1527,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  1536,  1537,     0,     0,     0,
       0,     0,  2134,  2854,  1539,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1471,  1472,  1473,    45,  1474,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1475,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1476,   137,  1477,  1478,     0,   436,   437,   438,   439,   440,
    1479,  1480,   441,   442,  1481,  1482,   443,     0,   444,   445,
     446,   447,  1483,     0,  1484,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   460,   461,   462,   463,   695,   464,  1492,  1493,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1494,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1495,   490,   491,   492,  1496,  1497,   493,     0,
     494,  1498,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1499,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1500,  1501,     0,  1502,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1503,   182,   530,   183,     0,   531,   532,
     533,  1504,  1505,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1506,   189,  1507,   545,
     546,   191,  1508,   547,   548,   193,   549,  1509,  1510,   550,
    1511,   551,   552,   553,     0,   554,     0,     0,  1512,   556,
     557,     0,     0,   196,   197,   198,   199,  1513,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1514,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1515,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1516,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1517,   609,   218,   610,   611,   220,   612,  1518,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1519,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,
    1524,   635,   636,   637,   638,   639,   640,   641,     0,  1525,
     642,   643,   644,   645,   646,  1526,     0,   647,   648,   649,
     650,   651,   701,  1527,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1536,
    1537,  1538,     0,     0,     0,     0,     0,     0,  1539,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1471,  1472,  1473,
      45,  1474,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,  1475,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,  1476,   137,  1477,  1478,     0,   436,
     437,   438,   439,   440,  1479,  1480,   441,   442,  1481,  1482,
     443,     0,   444,   445,   446,   447,  1483,     0,  1484,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   460,   461,   462,   463,   695,
     464,  1492,  1493,   465,  1622,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1494,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,  1495,   490,   491,   492,
    1496,  1497,   493,     0,   494,  1498,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,  1499,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,  1500,  1501,     0,
    1502,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,  1503,   182,   530,
     183,     0,   531,   532,   533,  1504,  1505,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1506,   189,  1507,   545,   546,   191,  1508,   547,   548,   193,
     549,  1509,  1510,   550,  1511,   551,   552,   553,     0,   554,
       0,     0,  1512,   556,   557,     0,     0,   196,   197,   198,
     199,  1513,   558,   559,   560,   561,   562,   563,   564,     0,
     565,  1514,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1515,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,  1516,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,  1517,   609,   218,   610,   611,   220,
     612,  1518,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,  1519,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1520,  1521,     0,     0,
     633,  1522,   634,  1523,  1524,   635,   636,   637,   638,   639,
     640,   641,     0,  1525,   642,   643,   644,   645,   646,  1526,
       0,   647,   648,   649,   650,   651,   701,  1527,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,  1535,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,  1536,  1537,     0,     0,     0,     0,     0,
       0,     0,  1539,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,  2319,   426,   427,
     428,     0,     0,     0,     0,  1475,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,  1476,   137,
    1477,  1478,     0,   436,   437,   438,   439,   440,  1479,  1480,
     441,   442,  1481,  1482,   443,     0,   444,   445,   446,   447,
    1483,     0,  1484,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,
     461,   462,   463,   695,   464,  1492,  1493,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1494,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
    1495,   490,   491,   492,  1496,  1497,   493,     0,   494,  1498,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1499,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,  1500,  1501,     0,  1502,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1503,   182,   530,   183,     0,   531,   532,   533,  1504,
    1505,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1506,   189,  1507,   545,   546,   191,
    1508,   547,   548,   193,   549,  1509,  1510,   550,  1511,   551,
     552,   553,     0,   554,     0,     0,  1512,   556,   557,     0,
       0,   196,   197,   198,   199,  1513,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1514,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1515,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,  1516,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1517,   609,
     218,   610,   611,   220,   612,  1518,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1519,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,   635,
     636,   637,   638,   639,   640,   641,     0,  1525,   642,   643,
     644,   645,   646,  1526,     0,   647,   648,   649,   650,   651,
     701,  1527,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,
       0,     0,     0,     0,     0,     0,     0,  1536,  1537,     0,
       0,     0,     0,     0,     0,     0,  1539,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1471,  1472,  1473,    45,  1474,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1475,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,  1476,   137,  1477,  1478,     0,   436,   437,   438,
     439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,
     444,   445,   446,   447,  1483,     0,  1484,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   460,   461,   462,   463,   695,   464,  1492,
    1493,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1494,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,  1495,   490,   491,   492,  1496,  1497,
     493,     0,   494,  1498,   495,     0,   496,     0,   497,   169,
    2907,   170,   498,   499,   500,     0,   501,  1499,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1500,  1501,     0,  1502,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1503,   182,   530,   183,     0,
     531,   532,   533,  1504,  1505,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1506,   189,
    1507,   545,   546,   191,  1508,   547,   548,   193,   549,  1509,
    1510,   550,  1511,   551,   552,   553,     0,   554,     0,     0,
    1512,   556,   557,     0,     0,   196,   197,   198,   199,  1513,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1514,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1515,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1516,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,  1517,   609,   218,   610,   611,   220,   612,  1518,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1519,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1520,  1521,     0,     0,   633,  1522,
     634,  1523,  1524,   635,   636,   637,   638,   639,   640,   641,
       0,  1525,   642,   643,   644,   645,   646,  1526,     0,   647,
     648,   649,   650,   651,   701,  1527,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
    1535,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,  1536,  1537,     0,     0,     0,     0,     0,     0,     0,
    1539,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1471,
    1472,  1473,    45,  1474,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,  1475,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,  1476,   137,  1477,  1478,
       0,   436,   437,   438,   439,   440,  1479,  1480,   441,   442,
    1481,  1482,   443,     0,   444,   445,   446,   447,  1483,     0,
    1484,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,
     463,   695,   464,  1492,  1493,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1494,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,  1495,   490,
     491,   492,  1496,  1497,   493,     0,   494,  1498,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,  1499,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1500,
    1501,     0,  1502,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,  1503,
     182,   530,   183,     0,   531,   532,   533,  1504,  1505,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1506,   189,  1507,   545,   546,   191,  1508,   547,
     548,   193,   549,  1509,  1510,   550,  1511,   551,   552,   553,
       0,   554,     0,     0,  1512,   556,   557,     0,     0,   196,
     197,   198,   199,  1513,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1514,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1515,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1516,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1517,   609,   218,   610,
     611,   220,   612,  1518,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1519,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1520,  1521,
       0,     0,   633,  1522,   634,  1523,  1524,   635,   636,   637,
     638,   639,   640,   641,     0,  1525,   642,   643,   644,   645,
     646,  1526,     0,   647,   648,   649,   650,   651,   701,  1527,
    4148,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  1536,  1537,     0,     0,     0,
       0,     0,     0,     0,  1539,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1471,  1472,  1473,    45,  1474,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1475,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1476,   137,  1477,  1478,     0,   436,   437,   438,   439,   440,
    1479,  1480,   441,   442,  1481,  1482,   443,     0,   444,   445,
     446,   447,  1483,     0,  1484,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,  4161,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   460,   461,   462,   463,   695,   464,  1492,  1493,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1494,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1495,   490,   491,   492,  1496,  1497,   493,     0,
     494,  1498,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1499,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1500,  1501,     0,  1502,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1503,   182,   530,   183,     0,   531,   532,
     533,  1504,  1505,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1506,   189,  1507,   545,
     546,   191,  1508,   547,   548,   193,   549,  1509,  1510,   550,
    1511,   551,   552,   553,     0,   554,     0,     0,  1512,   556,
     557,     0,     0,   196,   197,   198,   199,  1513,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1514,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1515,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1516,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1517,   609,   218,   610,   611,   220,   612,  1518,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1519,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,
    1524,   635,   636,   637,   638,   639,   640,   641,     0,  1525,
     642,   643,   644,   645,   646,  1526,     0,   647,   648,   649,
     650,   651,   701,  1527,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1536,
    1537,     0,     0,     0,     0,     0,     0,     0,  1539,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1471,  1472,  1473,
      45,  1474,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,  1475,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,  5025,  1476,   137,  1477,  1478,     0,   436,
     437,   438,   439,   440,  1479,  1480,   441,   442,  1481,  1482,
     443,     0,   444,   445,   446,   447,  1483,     0,  1484,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,  5026,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   460,   461,   462,   463,   695,
     464,  1492,  1493,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1494,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,  1495,   490,   491,   492,
    1496,  1497,   493,     0,   494,  1498,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,  1499,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,  1500,  1501,     0,
    1502,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,  1503,   182,   530,
     183,     0,   531,   532,   533,  1504,  1505,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1506,   189,  1507,   545,   546,   191,  1508,   547,   548,   193,
     549,  1509,  1510,   550,  1511,   551,   552,   553,     0,   554,
       0,     0,  1512,   556,   557,     0,     0,   196,   197,   198,
     199,  1513,   558,   559,   560,   561,   562,   563,   564,     0,
     565,  1514,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1515,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,  1516,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,  1517,   609,   218,   610,   611,   220,
     612,  1518,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,  1519,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1520,  1521,     0,     0,
     633,  1522,   634,  1523,  1524,   635,   636,   637,   638,  5027,
     640,   641,     0,  1525,   642,   643,   644,   645,   646,  1526,
       0,   647,   648,   649,   650,   651,   701,  1527,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,  1535,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,  1536,  1537,     0,     0,     0,     0,     0,
       0,     0,  1539,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,  1475,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,  1476,   137,
    1477,  1478,     0,   436,   437,   438,   439,   440,  1479,  1480,
     441,   442,  1481,  1482,   443,     0,   444,   445,   446,   447,
    1483,     0,  1484,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,  5026,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,
     461,   462,   463,   695,   464,  1492,  1493,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1494,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
    1495,   490,   491,   492,  1496,  1497,   493,     0,   494,  1498,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1499,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,  1500,  1501,     0,  1502,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1503,   182,   530,   183,     0,   531,   532,   533,  1504,
    1505,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1506,   189,  1507,   545,   546,   191,
    1508,   547,   548,   193,   549,  1509,  1510,   550,  1511,   551,
     552,   553,     0,   554,     0,     0,  1512,   556,   557,     0,
       0,   196,   197,   198,   199,  1513,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1514,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1515,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,  1516,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1517,   609,
     218,   610,   611,   220,   612,  1518,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1519,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,   635,
     636,   637,   638,  5027,   640,   641,     0,  1525,   642,   643,
     644,   645,   646,  1526,     0,   647,   648,   649,   650,   651,
     701,  1527,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,
       0,     0,     0,     0,     0,     0,     0,  1536,  1537,     0,
       0,     0,     0,     0,     0,     0,  1539,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1471,  1472,  1473,    45,  1474,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1475,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,  1476,   137,  1477,  1478,     0,   436,   437,   438,
     439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,
     444,   445,   446,   447,  1483,     0,  1484,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   460,   461,   462,   463,   695,   464,  1492,
    1493,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1494,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,  1495,   490,   491,   492,  1496,  1497,
     493,     0,   494,  1498,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,  1499,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1500,  1501,     0,  1502,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1503,   182,   530,   183,     0,
     531,   532,   533,  1504,  1505,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1506,   189,
    1507,   545,   546,   191,  1508,   547,   548,   193,   549,  1509,
    1510,   550,  1511,   551,   552,   553,     0,   554,     0,     0,
    1512,   556,   557,     0,     0,   196,   197,   198,   199,  1513,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1514,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1515,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1516,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,  1517,   609,   218,   610,   611,   220,   612,  1518,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1519,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1520,  1521,     0,     0,   633,  1522,
     634,  1523,  1524,   635,   636,   637,   638,   639,   640,   641,
       0,  1525,   642,   643,   644,   645,   646,  1526,     0,   647,
     648,   649,   650,   651,   701,  1527,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
    1535,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,  1536,  1537,     0,     0,     0,     0,     0,     0,     0,
    1539,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1471,
    1472,  1473,    45,  1474,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,  1475,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,   135,  1476,   137,  1477,  1478,
       0,   436,   437,   438,   439,   440,  1479,  1480,   441,   442,
    1481,  1482,   443,     0,   444,   445,   446,   447,  1483,     0,
    1484,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,
     463,   695,   464,  1492,  1493,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1494,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,  1495,   490,
     491,   492,  1496,  1497,   493,     0,   494,  1498,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,  1499,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1500,
    1501,     0,  1502,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,  1503,
     182,   530,   183,     0,   531,   532,   533,  1504,  1505,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1506,   189,  1507,   545,   546,   191,  1508,   547,
     548,   193,   549,  1509,  1510,   550,  1511,   551,   552,   553,
       0,   554,     0,     0,  1512,   556,   557,     0,     0,   196,
     197,   198,   199,  1513,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1514,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1515,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1516,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1517,   609,   218,   610,
     611,   220,   612,  1518,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1519,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1520,  1521,
       0,     0,   633,  1522,   634,  1523,  1524,   635,   636,   637,
     638,   639,   640,   641,     0,  1525,   642,   643,   644,   645,
     646,  1526,     0,   647,   648,   649,   650,   651,   701,  1527,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,  4451,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  1536,  1537,     0,     0,     0,
       0,     0,     0,     0,  1539,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1471,  1472,  1473,    45,  1474,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,  1475,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
    1476,   137,  1477,  1478,     0,   436,   437,   438,   439,   440,
    1479,  1480,   441,   442,  1481,  1482,   443,     0,   444,   445,
     446,   447,  1483,     0,  1484,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   460,   461,   462,   463,   695,   464,  1492,  1493,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,  1494,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,  1495,   490,   491,   492,  1496,  1497,   493,     0,
     494,  1498,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1499,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,  1500,  1501,     0,  1502,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1503,   182,   530,   183,     0,   531,   532,
     533,  1504,  1505,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,  1506,   189,  1507,   545,
    4460,   191,  1508,   547,   548,   193,   549,  1509,  1510,   550,
    1511,   551,   552,   553,     0,   554,     0,     0,  1512,   556,
     557,     0,     0,   196,   197,   198,   199,  1513,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1514,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,  1515,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,  1516,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1517,   609,   218,   610,   611,   220,   612,  1518,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1519,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1520,  1521,     0,     0,   633,  1522,   634,  1523,
    1524,   635,   636,   637,   638,   639,   640,   641,     0,  1525,
     642,   643,   644,   645,   646,  1526,     0,   647,   648,   649,
     650,   651,   701,  1527,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,
     662,   663,     0,     0,     0,     0,     0,     0,     0,  1536,
    1537,     0,     0,     0,     0,     0,     0,     0,  1539,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1471,  1472,  1473,
      45,  1474,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,  1475,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,  1476,   137,  1477,  1478,     0,   436,
     437,   438,   439,   440,  1479,  1480,   441,   442,  1481,  1482,
     443,     0,   444,   445,   446,   447,  1483,     0,  1484,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,  1485,  1486,
    1487,  1488,  1489,  1490,  1491,   460,   461,   462,   463,   695,
     464,  1492,  1493,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
    1494,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,  1495,   490,   491,   492,
    1496,  1497,   493,     0,   494,  1498,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,  1499,
       0,   502,     0,   503,   504,   697,   505,   506,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,  1500,  1501,     0,
    1502,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,  1503,   182,   530,
     183,     0,   531,   532,   533,  1504,  1505,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
    1506,   189,  1507,   545,   546,   191,     0,   547,   548,   193,
     549,  1509,  1510,   550,  1511,   551,   552,   553,     0,   554,
       0,     0,  1512,   556,   557,     0,     0,   196,   197,   198,
     199,  1513,   558,   559,   560,   561,   562,   563,   564,     0,
     565,  1514,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,  1515,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,  1516,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,  1517,   609,   218,   610,   611,   220,
     612,  1518,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,  1519,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,  1520,  1521,     0,     0,
     633,  1522,   634,  1523,  1524,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,  1526,
       0,   647,   648,   649,   650,   651,   701,  1527,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,  1528,  1529,  1530,  1531,  1532,
    1533,  1534,  1535,   702,   662,   663,     0,     0,     0,     0,
       0,     0,     0,  2889,  2890,     0,     0,     0,     0,     0,
       0,     0,  1539,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1471,  1472,  1473,    45,  1474,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,  1475,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435, -2637,  1476,   137,
    1477,  1478,     0,   436,   437,   438,   439,   440,  1479,  1480,
     441,   442,  1481,  1482,   443,     0,   444,   445,   446,   447,
    1483,     0,  1484,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,  5026,  1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,
     461,   462,   463,   695,   464,  1492,  1493,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1494,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
    1495,   490,   491,   492,  1496,  1497,   493,     0,   494,  1498,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,  1499,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,  1500,  1501,     0,  1502,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,  1503,   182,   530,     0,     0,   531,   532,   533,  1504,
    1505,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1506,   189,  1507,   545,   546,   191,
       0,   547,   548,   193,   549,  1509,  1510,   550,  1511,   551,
     552,   553,     0,   554,     0,     0,  1512,   556,   557,     0,
       0,   196,   197,   198,   199,  1513,   558,   559,   560,   561,
     562,   563,   564,     0,   565,  1514,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1515,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,  1516,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,  1517,   609,
     218,   610,   611,     0,   612,  1518,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,  1519,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1520,  1521,     0,     0,   633,  1522,   634,  1523,  1524,   635,
     636,   637,   638,  5027,   640,   641,     0,  1525,   642,   643,
     644,   645,   646,  1526,     0,   647,   648,   649,   650,   651,
     701,  1527,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,  1528,
    1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,   662,   663,
       0,     0,     0,     0,     0,     0,     0,  1536,  1537,     0,
       0,     0,     0,     0,     0,     0,  1539,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1471,  1472,     0,    45,  1474,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1475,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,  1476,   137,  1477,  1478,     0,   436,   437,   438,
     439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,
     444,   445,   446,   447,  1483,     0,  1484,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   460,   461,   462,   463,   695,   464,  1492,
    1493,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1494,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,  1495,   490,   491,   492,  1496,  1497,
     493,     0,   494,  1498,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,  1499,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1500,  1501,     0,  1502,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1503,   182,   530,   183,     0,
     531,   532,   533,  1504,  1505,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1506,   189,
    1507,   545,   546,   191,     0,   547,   548,   193,   549,  1509,
    1510,   550,  1511,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,  1513,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1514,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1515,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1516,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,  1517,   609,   218,   610,   611,   220,   612,  1518,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1519,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1520,  1521,     0,     0,   633,  1522,
     634,  1523,  1524,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,  1526,     0,   647,
     648,   649,   650,   651,   701,  1527,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
    1535,   702,   662,   663,     0,     0,     0,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
    1539,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1471,  1472,     0,    45,  1474,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1475,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,   135,  1476,   137,  1477,  1478,     0,  4067,   437,   438,
     439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,
     444,   445,   446,   447,  1483,     0,  1484,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   460,   461,   462,   463,   695,   464,  1492,
    1493,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1494,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,  1495,   490,   491,   492,  1496,  1497,
     493,     0,   494,  1498,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,  1499,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1500,  1501,     0,  1502,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1503,   182,   530,   183,     0,
     531,   532,   533,  1504,  1505,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1506,   189,
    1507,   545,   546,   191,     0,   547,   548,   193,   549,  1509,
    1510,   550,  1511,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,   197,   198,   199,  1513,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1514,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1515,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1516,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,  1517,   609,   218,   610,   611,   220,   612,  1518,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1519,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1520,  1521,     0,     0,   633,  1522,
     634,  1523,  1524,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,  1526,     0,   647,
     648,   649,   650,   651,   701,  1527,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
    1535,   702,   662,   663,     0,     0,     0,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
    1539,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1471,  1472,  1473,    45,  1474,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,  1475,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,     0,  1476,   137,  1477,  1478,     0,   436,   437,   438,
     439,   440,  1479,  1480,   441,   442,  1481,  1482,   443,     0,
     444,   445,   446,   447,  1483,     0,  1484,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,  1485,  1486,  1487,  1488,
    1489,  1490,  1491,   460,   461,   462,   463,   695,   464,  1492,
    1493,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1494,   478,
     479,     0,   480,   481,   482,     0,   483,     0,   485,     0,
     486,   487,   488,   489,  1495,   490,   491,   492,  1496,  1497,
     493,     0,   494,  1498,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,  1499,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
     175,     0,   517,   518,   519,  1500,  1501,     0,  1502,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,  1503,   182,   530,     0,     0,
     531,   532,   533,  1504,  1505,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1506,   189,
    1507,   545,   546,   191,     0,   547,   548,   193,   549,  1509,
    1510,   550,  1511,   551,   552,   553,     0,   554,     0,     0,
    1512,   556,   557,     0,     0,   196,   197,   198,   199,  1513,
     558,   559,   560,   561,   562,   563,   564,     0,   565,  1514,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1515,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,  1516,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,  1517,   609,   218,   610,   611,     0,   612,  1518,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,  1519,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1520,  1521,     0,     0,   633,  1522,
     634,  1523,  1524,   635,   636,   637,   638,   639,   640,   641,
       0,  1525,   642,   643,   644,   645,   646,  1526,     0,   647,
     648,   649,   650,   651,   701,  1527,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,
    1535,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,  1536,  1537,     0,     0,     0,     0,     0,     0,     0,
    1539,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1471,
    1472,  1473,    45,  1474,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,  1475,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,     0,  1476,   137,  1477,  1478,
       0,   436,   437,   438,   439,   440,  1479,  1480,   441,   442,
    1481,  1482,   443,     0,   444,   445,   446,   447,  1483,     0,
    1484,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
    1485,  1486,  1487,  1488,  1489,  1490,  1491,   460,   461,   462,
     463,   695,   464,  1492,  1493,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1494,   478,   479,     0,   480,   481,   482,     0,
     483,     0,   485,     0,   486,   487,   488,   489,  1495,   490,
     491,   492,  1496,  1497,   493,     0,   494,  1498,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,  1499,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,   175,     0,   517,   518,   519,  1500,
    1501,     0,  1502,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,  1503,
     182,   530,     0,     0,   531,   532,   533,  1504,  1505,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1506,   189,  1507,   545,   546,   191,     0,   547,
     548,   193,   549,  1509,  1510,   550,  1511,   551,   552,   553,
       0,   554,     0,     0,  1512,   556,   557,     0,     0,   196,
     197,   198,   199,  1513,   558,   559,   560,   561,   562,   563,
     564,     0,   565,  1514,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1515,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,  1516,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,  1517,   609,   218,   610,
     611,     0,   612,  1518,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,  1519,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1520,  1521,
       0,     0,   633,  1522,   634,  1523,  1524,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,  1526,     0,   647,   648,   649,   650,   651,   701,  1527,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,  1528,  1529,  1530,
    1531,  1532,  1533,  1534,  1535,   702,   662,   663,     0,     0,
       0,     0,     0,     0,     0,  2889,  2890,     0,     0,     0,
       0,     0,     0,     0,  1539,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,  1480,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,  1483,     0,  1484,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,  1496,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1499,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,  3611,   527,
     528,     0,   529,  1503,   182,   530,   183,     0,   531,   532,
     533,  1504,  1505,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,  1510,   550,
     195,   551,   552,   553,     0,   554,     0,  1083,   555,   556,
     557,     0,     0,   196,   197,   198,   199,  1513,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1514,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,   216,   604,   605,   606,   607,   608,
    1517,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1519,     0,   624,   625,   224,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,  1522,   634,  1523,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,  1526,     0,   647,   648,   649,
     650,   651,  2190,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,   237,   657,   658,   659,   660,   661,
     238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,
     662,   663,     0,     0,     0,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  3612,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,  1480,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,  1483,     0,  1484,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,  1496,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1499,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,  3611,   527,
     528,     0,   529,  1503,   182,   530,   183,     0,   531,   532,
     533,  1504,  1505,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,  1510,   550,
     195,   551,   552,   553,     0,   554,     0,  1083,   555,   556,
     557,     0,     0,   196,   197,   198,   199,  1513,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1514,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1517,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1519,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,  1522,   634,  1523,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,  1526,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,
     662,   663,     0,     0,     0,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  3612,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,  1480,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,  1483,     0,  1484,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,  1496,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1499,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1503,   182,   530,   183,     0,   531,   532,
     533,  1504,  1505,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,  1510,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,  1513,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1514,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1517,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1519,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,  1522,   634,  1523,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,  1526,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,
     662,   663,     0,     0,     0,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,   247,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,  1480,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,  1483,     0,  1484,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,  1485,  1486,  1487,  1488,  1489,  1490,
    1491,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,  1496,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,  1499,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,  1503,   182,   530,   183,     0,   531,   532,
     533,  1504,  1505,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,  1510,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,  1513,   558,   559,
     560,   561,   562,   563,   564,     0,   565,  1514,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
    1517,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
    1519,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,  1522,   634,  1523,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,  1526,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,  1528,  1529,  1530,  1531,  1532,  1533,  1534,  1535,   702,
     662,   663,     0,     0,     0,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  4187,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,  4766,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,  4113,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0, -1490,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0, -1490,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516, -1490,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521, -1490,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181, -1490,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188, -1490,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594, -1490,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,     0,     0,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  1630,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,  3882,  3883,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  3883,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,   216,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,   224,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,  2190,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,   237,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,   247,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,   216,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,   224,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,  2190,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,   237,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,   247,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  1605,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  3049,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,     0,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  4142,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   681,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,     0,   433,   434,   435,
     135,   136,     0,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,   692,   140,   443,     0,   444,
     445,   446,   447,   144,     0,     0,     0,   448,   449,   450,
     451,     0,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,     0,   460,   461,   462,   463,   695,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,     0,     0,
       0,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,   697,   505,   506,     0,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,     0,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
       0,     0,   521,     0,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,     0,   530,     0,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,   188,     0,   190,
     545,   546,   191,     0,   547,   548,     0,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,     0,     0,     0,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,     0,   595,   596,   213,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,     0,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,   701,   235,     0,   652,     0,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     702,   662,   663,     0,     0,     0,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,  4497,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,   417,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,  1207,    45,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
     733,   426,   427,   428,   734,   735,   736,   737,   738,   739,
     740,   429,   430,   741,   431,   432,   133,   433,   434,   435,
       0,  1900,   137,  1901,  1902,   742,   436,   437,   438,   439,
     440,   743,   744,   441,   442,  1903,  1904,   443,   746,   444,
     445,   446,   447,     0,   747,   145,   748,   448,   449,   450,
     451,   148,   452,   693,   750,   453,   454,   455,   456,   457,
     458,   751,   151,   459,     0,   753,   754,   755,   152,   756,
     757,   758,   460,   461,   462,   463,   695,   464,  1905,  1906,
     465,   759,   466,   760,   467,   468,   469,   470,   471,   761,
     472,   473,   474,   762,   763,   475,   476,  1494,   478,   479,
     764,   480,   481,   482,   765,   483,   484,   485,   766,   486,
     487,   488,   489,     0,   490,   491,   492,     0,   767,   493,
     768,   494,  1907,   495,   769,   496,   770,   497,   169,   771,
     170,   498,   499,   500,   772,   501,     0,   773,   502,   774,
     503,   504,   697,   505,   506,   173,   507,   508,   509,   775,
     510,   511,   512,   513,   514,   515,   776,   516,   174,     0,
       0,   517,   518,   519,  1500,  1908,   779,  1909,   780,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,   781,
     527,   528,   782,   529,     0,   182,   530,   183,   783,   531,
     532,   533,   784,   785,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1910,   189,  1911,
     545,   546,     0,   786,   547,   548,   193,   549,   787,     0,
     550,  1912,   551,   552,   553,   788,   554,   789,   790,  3869,
     556,   557,   791,   792,     0,   197,   198,   199,     0,   558,
     559,   560,   561,   562,   563,   564,   793,   565,     0,   566,
       0,   567,   568,   569,   794,   570,   571,   572,   573,   574,
     575,   576,   577,  1913,   578,   579,   580,   581,   795,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     796,   593,   594,   211,   595,   596,     0,   597,   598,   599,
     600,   601,   602,   700,   603,   797,   604,   605,   606,   607,
     608,   798,   609,  2485,   610,   611,   220,   612,  1915,   613,
     799,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,     0,   800,   624,   625,   801,   626,   627,   628,   629,
     630,   631,   802,  1916,  1917,     0,   804,   633,     0,   634,
       0,   805,   635,   636,   637,   638,   639,   640,   641,     0,
     807,   642,   643,   644,   645,   646,   808,   809,   647,   648,
     649,   650,   651,     0,  1918,   811,   652,   236,   653,   654,
     655,   812,   813,   656,   814,   815,   657,   658,   659,   660,
     661,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     702,   662,   663,     0,     0,     0,  1210,  1211,  1212,     0,
    3870,  3871,  1215,  1216,  1217,  1218,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,  1207,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,  1208,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,  1209,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,     0,     0,     0,  1210,  1211,  1212,     0,  1213,
    1214,  1215,  1216,  1217,  1218,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   681,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1207,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,     0,   433,   434,   435,   135,   136,
       0,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,   692,   140,   443,     0,   444,  1302,   446,
     447,   144,     0,     0,     0,   448,   449,   450,   451,     0,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
       0,   459,     0,     0,     0,     0,     0,     0,     0,     0,
     460,   461,   462,   463,   695,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,  1303,     0,   494,
     168,   495,     0,   496,     0,   497,     0,     0,     0,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
     697,   505,   506,     0,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,     0,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,     0,     0,
     521,     0,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,     0,   530,     0,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,     0,   190,   545,   546,
     191,     0,   547,   548,     0,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,     0,     0,     0,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,     0,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,     0,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,   701,   235,     0,   652,     0,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,     0,     0,     0,  1210,  1211,  1212,     0,  1213,  1214,
    1215,  1216,  1217,  1218,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,  1207,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,  1359,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,  1360,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  1361,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,     0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,
    1216,  1217,  1218,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1207,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,  1885,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,  1886,     0,   494,   168,   495,
       0,   496,     0,   497,     0,     0,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,
    1217,  1218,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,  1207,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,     0,     0,
       0,  1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,
    1218,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1207,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,  3138,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,  3139,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,     0,     0,
    1210,  1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,  1207,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,  4749,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,     0,     0,     0,  1210,
    1211,  1212,     0,  1213,  1214,  1215,  1216,  1217,  1218,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,   733,   426,   427,   428,   734,   735,   736,
     737,   738,   739,   740,   429,   430,   741,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,   742,   436,
     437,   438,   439,   440,   743,   744,   441,   442,   745,   140,
     443,   746,   444,   445,   446,   447,   144,   747,   145,   748,
     448,   449,   450,   451,   148,   452,   749,   750,   453,   454,
     455,   456,   457,   458,   751,   151,   459,   752,   753,   754,
     755,   152,   756,   757,   758,   460,   461,   462,   463,   695,
     464,   155,   156,   465,   759,   466,   760,   467,   468,   469,
     470,   471,   761,   472,   473,   474,   762,   763,   475,   476,
     477,   478,   479,   764,   480,   481,   482,   765,   483,   484,
     485,   766,   486,   487,   488,   489,   164,   490,   491,   492,
     166,   767,   493,   768,   494,   168,   495,   769,   496,   770,
     497,   169,   771,   170,   498,   499,   500,   772,   501,   172,
     773,   502,   774,   503,   504,   697,   505,   506,   173,   507,
     508,   509,   775,   510,   511,   512,   513,   514,   515,   776,
     516,   174,   175,   777,   517,   518,   519,   778,   176,   779,
     177,   780,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,   781,   527,   528,   782,   529,   181,   182,   530,
     183,   783,   531,   532,   533,   784,   785,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,   189,   190,   545,   546,   191,   786,   547,   548,   193,
     549,   787,   194,   550,   195,   551,   552,   553,   788,   554,
     789,   790,   555,   556,   557,   791,   792,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,   793,
     565,   201,   566,   202,   567,   568,   569,   794,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,   795,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   796,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,   797,   604,
     605,   606,   607,   608,   798,   609,   218,   610,   611,   220,
     612,   221,   613,   799,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,   800,   624,   625,   801,   626,
     627,   628,   629,   630,   631,   802,   225,   226,   803,   804,
     633,   227,   634,   228,   805,   635,   636,   637,   638,   639,
     640,   641,   806,   807,   642,   643,   644,   645,   646,   808,
     809,   647,   648,   649,   650,   651,   810,   235,   811,   652,
     236,   653,   654,   655,   812,   813,   656,   814,   815,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,   726,    86,    87,    88,
     678,    90,    91,    92,   679,  2287,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
       0,  1900,   137,  1901,  1902,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,  1903,  1904,   443,     0,   444,
     445,   446,   447,     0,     0,   145,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,   695,   464,  1905,  1906,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1494,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,     0,   490,   491,   492,     0,     0,   493,
       0,   494,  1907,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,     0,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,     0,
       0,   517,   518,   519,  1500,  1908,     0,  1909,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,     0,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1910,   189,  1911,
     545,   546,     0,     0,   547,   548,   193,   549,     0,     0,
     550,  1912,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,     0,   197,   198,   199,     0,   558,
     559,   560,   561,   562,   563,   564,     0,   565,     0,   566,
       0,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1913,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,     0,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,  1914,   610,   611,   220,   612,  1915,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,     0,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1916,  1917,     0,     0,   633,     0,   634,
       0,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,  1918,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     702,   662,   663,     0,    86,    87,    88,   678,    90,    91,
      92,   679,  2392,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
       0,    86,    87,    88,   678,    90,    91,    92,   679,  1090,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   681,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
       0,   433,   434,   435,   135,   136,     0,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,   692,
     140,   443,     0,   444,   445,   446,   447,   144,     0,     0,
       0,   448,   449,   450,   451,     0,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,     0,   459,     0,     0,
       0,     0,     0,     0,     0,     0,   460,   461,   462,   463,
     695,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,     0,     0,     0,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,   697,   505,   506,     0,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,     0,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,     0,     0,   521,     0,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,     0,
     530,     0,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,   188,     0,   190,   545,   546,   191,     0,   547,   548,
       0,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,     0,
       0,     0,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,     0,   595,   596,
     213,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
       0,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,   701,   235,     0,
     652,     0,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   702,   662,   663,     0,    86,    87,
      88,   678,    90,    91,    92,   679,  4790,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,   418,   988,   420,   421,   422,   423,   424,
     425,   989,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   990,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   991,   168,   495,     0,   496,     0,   992,     0,
     993,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
     994,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   995,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   996,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   997,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   998,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,   999,  1000,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,   418,   988,
     420,   421,   422,   423,   424,   425,   989,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,  1021,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   991,   168,   495,
       0,   496,     0,  1022,     0,   993,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,   994,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   995,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   996,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   997,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   998,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,   999,  1000,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,    45,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,  1407,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
     993,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
     994,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,     0,     0,     0,     0,     0,     0,
       0,   999,  1000,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   681,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,   417,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,    45,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,  1412,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,     0,   433,   434,   435,   135,   136,     0,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,     0,     0,   448,   449,   450,   451,     0,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,     0,   459,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,     0,   993,     0,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
     506,     0,   507,   508,   509,   994,   510,   511,   512,   513,
     514,   515,     0,   516,     0,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,     0,     0,   521,     0,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,     0,   530,     0,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,     0,   190,   545,   546,   191,     0,
     547,   548,     0,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,     0,     0,     0,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,     0,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,     0,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,     0,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,     0,
       0,     0,     0,     0,     0,     0,   999,  1000,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,   696,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,  1576,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,     0,     0,  1061,  1577,    86,    87,
      88,   678,    90,    91,    92,   679,  1062,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,  1063,   442,  1037,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,  1064,     0,  1065,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,  1066,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,  1067,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,  1068,   596,   213,   597,   598,
     599,  1069,   601,   602,   700,   603,     0,   604,   605,   606,
     607,  1070,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1071,   226,     0,     0,  1072,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,  1041,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,  1073,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,   733,   426,
     427,   428,   734,   735,   736,   737,   738,   739,   740,   429,
     430,   741,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,   742,   436,   437,   438,   439,   440,   743,
     744,   441,   442,   745,   140,   443,   746,   444,   445,   446,
     447,   144,   747,   145,   748,   448,   449,   450,   451,   148,
     452,   749,   750,   453,   454,   455,   456,   457,   458,   751,
     151,   459,   752,   753,   754,   755,   152,   756,   757,   758,
     460,   461,   462,   463,   695,   464,   155,   156,   465,   759,
     466,   760,   467,   468,   469,   470,   471,   761,   472,   473,
     474,   762,   763,   475,   476,   477,   478,   479,   764,   480,
     481,   482,   765,   483,   484,   485,   766,   486,   487,   488,
     489,   164,   490,   491,   492,   166,   767,   493,   768,   494,
     168,   495,   769,   496,   770,   497,   169,   771,   170,   498,
     499,   500,   772,   501,   172,   773,   502,   774,   503,   504,
     697,   505,   506,   173,   507,   508,   509,   775,   510,   511,
     512,   513,   514,   515,   776,   516,   174,   175,   777,   517,
     518,   519,   778,   176,   779,   177,   780,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,   781,   527,   528,
     782,   529,   181,   182,   530,   183,   783,   531,   532,   533,
     784,   785,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,   188,   189,   190,   545,   546,
     191,   786,   547,   548,   193,   549,   787,   194,   550,   195,
     551,   552,   553,   788,   554,   789,   790,   555,   556,   557,
     791,   792,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,   793,   565,   201,   566,   202,   567,
     568,   569,   794,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,   795,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   796,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,   700,   603,   797,   604,   605,   606,   607,   608,   798,
     609,   218,   610,   611,   220,   612,   221,   613,   799,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
     800,   624,   625,   801,   626,   627,   628,   629,   630,   631,
     802,   225,   226,   803,   804,   633,   227,   634,   228,   805,
     635,   636,   637,   638,   639,   640,   641,   806,   807,   642,
     643,   644,   645,   646,   808,   809,   647,   648,   649,   650,
     651,   810,   235,   811,   652,   236,   653,   654,   655,   812,
     813,   656,   814,   815,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   702,   662,
     663,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   733,   426,   427,   428,   734,
     735,   736,   737,   738,   739,   740,   429,   430,   741,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
     742,   436,   437,   438,   439,   440,   743,   744,   441,   442,
     745,   140,   443,   746,   444,   445,   446,   447,   144,   747,
     145,   748,   448,   449,   450,   451,   148,   452,   749,   750,
     453,   454,   455,   456,   457,   458,   751,   151,   459,   752,
     753,   754,   755,   152,   756,   757,   758,   460,   461,   462,
     463,   695,   464,   155,   156,   465,   759,   466,   760,   467,
     468,   469,   470,   471,   761,   472,   473,   474,   762,   763,
     475,   476,   477,   478,   479,   764,   480,   481,   482,   765,
     483,   484,   485,   766,   486,   487,   488,   489,   164,   490,
     491,   492,   166,   767,   493,   768,   494,   168,   495,   769,
     496,   770,   497,   169,   771,   170,   498,   499,   500,   772,
     501,   172,   773,   502,   774,   503,   504,   697,   505,   506,
     173,   507,   508,   509,   775,   510,   511,   512,   513,   514,
     515,   776,   516,   174,   175,   777,   517,   518,   519,   778,
     176,   779,   177,   780,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,   781,   527,   528,   782,   529,   181,
     182,   530,   183,   783,   531,   532,   533,   784,   785,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,   189,   190,   545,   546,   191,   786,   547,
     548,   193,   549,   787,   194,   550,   195,   551,   552,   553,
     788,   554,   789,   790,   555,   556,   557,   791,   792,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,   793,   565,   201,   566,   202,   567,   568,   569,   794,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,   795,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   796,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
     797,   604,   605,   606,   607,   608,   798,   609,   218,   610,
     611,   220,   612,   221,   613,   799,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,   800,   624,   625,
     801,   626,   627,   628,   629,   630,   631,   802,   225,   226,
     803,   804,   633,   227,   634,   228,   805,   635,   636,   637,
     638,   639,   640,   641,   806,   807,   642,   643,   644,   645,
     646,   808,   809,   647,   648,   649,   650,   651,   810,   235,
     811,   652,   236,   653,   654,   655,   812,   813,   656,   814,
     815,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,  3203,   423,
     424,   425,   733,   426,   427,   428,   734,   735,   736,   737,
     738,   739,   740,   429,   430,   741,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,   742,   436,   437,
     438,   439,   440,   743,   744,   441,   442,   745,   140,   443,
     746,   444,   445,   446,   447,   144,   747,   145,   748,   448,
     449,   450,   451,   148,   452,   749,   750,   453,   454,   455,
     456,   457,   458,   751,   151,   459,   752,   753,   754,   755,
     152,   756,   757,   758,   460,   461,   462,   463,   695,   464,
     155,   156,   465,   759,   466,   760,   467,   468,   469,   470,
     471,   761,   472,   473,   474,   762,   763,   475,   476,   477,
    3204,   479,   764,   480,   481,   482,   765,   483,   484,   485,
     766,   486,   487,   488,   489,   164,   490,   491,   492,   166,
     767,   493,   768,   494,   168,   495,   769,   496,   770,   497,
     169,   771,   170,   498,   499,   500,   772,   501,   172,   773,
     502,   774,   503,   504,   697,   505,   506,   173,   507,   508,
     509,   775,   510,   511,   512,   513,   514,   515,   776,   516,
     174,   175,   777,   517,   518,   519,   778,   176,   779,   177,
     780,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,   781,   527,   528,   782,   529,   181,   182,   530,   183,
     783,   531,   532,   533,   784,   785,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,   188,
     189,   190,   545,   546,   191,   786,   547,   548,   193,   549,
     787,   194,   550,   195,   551,   552,   553,   788,   554,   789,
     790,   555,   556,   557,   791,   792,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,   793,   565,
     201,   566,   202,   567,   568,   569,   794,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
     795,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   796,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,   700,   603,   797,   604,   605,
     606,   607,   608,   798,  3205,   218,   610,   611,   220,   612,
     221,   613,   799,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,   800,   624,   625,   801,   626,   627,
     628,   629,   630,   631,   802,   225,   226,   803,   804,   633,
     227,   634,   228,   805,   635,   636,   637,   638,   639,   640,
     641,   806,   807,   642,   643,   644,   645,   646,   808,   809,
     647,   648,   649,   650,   651,   810,   235,   811,   652,   236,
     653,   654,   655,   812,   813,   656,   814,   815,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,   726,    86,    87,    88,   678,    90,    91,    92,
     679,     0,   680,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   727,   104,   105,   681,   728,     0,   107,   108,
     109,   110,   729,   730,   112,   113,   114,   115,     0,   116,
     731,   732,   682,   683,     0,     0,     0,   684,   685,     0,
       0,     0,     0,   686,     0,     0,     0,     0,     0,     0,
       0,     0,   687,     0,   688,     0,   689,   690,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,   692,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,   693,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,   695,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,   697,   505,
    1342,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,   698,   540,   541,   699,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,   700,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,   701,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   702,   662,   663,   726,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   727,
     104,   105,   681,   728,     0,   107,   108,   109,   110,   729,
     730,   112,   113,   114,   115,     0,   116,   731,   732,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,   133,
     433,   434,   435,   135,   136,   137,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,   145,     0,
     448,   449,   450,   451,   148,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,   151,   459,     0,     0,     0,
       0,   152,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,   169,     0,   170,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  1352,   173,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,   174,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,   178,   179,   521,   180,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,   182,   530,
     183,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,   189,   190,   545,   546,   191,     0,   547,   548,   193,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,   197,   198,
     199,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   211,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,   220,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
     236,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,   726,    86,    87,    88,
     678,    90,    91,    92,   679,     0,   680,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   727,   104,   105,   681,
     728,     0,   107,   108,   109,   110,   729,   730,   112,   113,
     114,   115,     0,   116,   731,   732,   682,   683,     0,     0,
       0,   684,   685,     0,     0,     0,     0,   686,     0,     0,
       0,     0,     0,     0,     0,     0,   687,     0,   688,     0,
     689,   690,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
       0,  1900,   137,  1901,  1902,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,  1903,  1904,   443,     0,   444,
     445,   446,   447,     0,     0,   145,     0,   448,   449,   450,
     451,   148,   452,   693,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,   695,   464,  1905,  1906,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,  1494,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,     0,   490,   491,   492,     0,     0,   493,
       0,   494,  1907,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,     0,     0,   502,     0,
     503,   504,   697,   505,   506,   173,   507,   508,   509,  2482,
     510,   511,   512,   513,   514,   515,     0,   516,   174,  2483,
       0,   517,   518,   519,  1500,  1908,     0,  1909,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,     0,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
     698,   540,   541,   699,   542,   543,   544,  1910,   189,  1911,
     545,   546,     0,     0,   547,   548,   193,   549,     0,     0,
     550,  1912,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,  2484,   197,   198,   199,     0,   558,
     559,   560,   561,   562,   563,   564,     0,   565,     0,   566,
       0,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,  1913,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,     0,   597,   598,   599,
     600,   601,   602,   700,   603,     0,   604,   605,   606,   607,
     608,     0,   609,  2485,   610,   611,   220,   612,  1915,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,     0,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,  1916,  1917,     0,     0,   633,     0,   634,
       0,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,  1918,  2486,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     702,   662,   663,   726,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   727,   104,   105,   681,   728,     0,   107,
     108,   109,   110,   729,   730,   112,   113,   114,   115,     0,
     116,   731,   732,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,     0,  1900,   137,
    1901,  1902,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,  1903,  1904,   443,     0,   444,   445,   446,   447,
       0,     0,   145,     0,   448,   449,   450,   451,   148,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,   695,   464,  1905,  1906,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,  1494,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
       0,   490,   491,   492,     0,     0,   493,     0,   494,  1907,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,     0,     0,   502,     0,   503,   504,   697,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,     0,     0,   517,   518,
     519,  1500,  1908,     0,  1909,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,     0,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,  1910,   189,  1911,   545,   546,     0,
       0,   547,   548,   193,   549,  2470,     0,   550,  1912,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,     0,   197,   198,   199,     0,   558,   559,   560,   561,
     562,   563,   564,     0,   565,     0,   566,     0,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
    1913,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,     0,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
    2485,   610,   611,   220,   612,  1915,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,     0,     0,
     624,   625,  3973,   626,   627,   628,   629,   630,   631,     0,
    1916,  1917,     0,     0,   633,     0,   634,     0,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,  1918,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   702,   662,   663,
     726,    86,    87,    88,   678,    90,    91,    92,   679,     0,
     680,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     727,   104,   105,   681,   728,     0,   107,   108,   109,   110,
     729,   730,   112,   113,   114,   115,     0,   116,   731,   732,
     682,   683,     0,     0,     0,   684,   685,     0,     0,     0,
       0,   686,     0,     0,     0,     0,     0,     0,     0,     0,
     687,     0,   688,     0,   689,   690,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,     0,  1900,   137,  1901,  1902,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,  1903,
    1904,   443,     0,   444,   445,   446,   447,     0,     0,   145,
       0,   448,   449,   450,   451,   148,   452,   693,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
     695,   464,  1905,  1906,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,  1494,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,     0,   490,   491,
     492,     0,     0,   493,     0,   494,  1907,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
       0,     0,   502,     0,   503,   504,   697,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,     0,     0,   517,   518,   519,  1500,  1908,
       0,  1909,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,     0,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,   698,   540,   541,   699,   542,   543,
     544,  1910,   189,  1911,   545,   546,  2536,     0,   547,   548,
     193,   549,     0,     0,   550,  1912,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,     0,   197,
     198,   199,     0,   558,   559,   560,   561,   562,   563,   564,
       0,   565,     0,   566,     0,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,  1913,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
       0,   597,   598,   599,   600,   601,   602,   700,   603,     0,
     604,   605,   606,   607,   608,     0,   609,  1914,   610,   611,
     220,   612,  1915,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,     0,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,  1916,  1917,     0,
       0,   633,     0,   634,     0,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,  1918,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   702,   662,   663,   726,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   727,   104,   105,
     681,   728,     0,   107,   108,   109,   110,   729,   730,   112,
     113,   114,   115,     0,   116,   731,   732,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,   133,   433,   434,
     435,     0,  1900,   137,  1901,  1902,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,  1903,  1904,   443,     0,
     444,   445,   446,   447,     0,     0,   145,     0,   448,   449,
     450,   451,   148,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,   151,   459,     0,     0,     0,     0,   152,
       0,     0,     0,   460,   461,   462,   463,   695,   464,  1905,
    1906,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,  1494,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,     0,   490,   491,   492,     0,     0,
     493,     0,   494,  1907,   495,     0,   496,     0,   497,   169,
       0,   170,   498,   499,   500,     0,   501,     0,     0,   502,
       0,   503,   504,   697,   505,   506,   173,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,   174,
       0,     0,   517,   518,   519,  1500,  1908,     0,  1909,     0,
     520,   178,   179,   521,   180,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,     0,   182,   530,   183,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,  1910,   189,
    1911,   545,   546,  3805,     0,   547,   548,   193,   549,     0,
       0,   550,  1912,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,     0,   197,   198,   199,     0,
     558,   559,   560,   561,   562,   563,   564,     0,   565,     0,
     566,     0,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,  1913,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   211,   595,   596,     0,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,  1914,   610,   611,   220,   612,  1915,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,     0,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1916,  1917,     0,     0,   633,     0,
     634,     0,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,     0,  1918,     0,   652,   236,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   702,   662,   663,   726,    86,    87,    88,   678,    90,
      91,    92,   679,     0,   680,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   727,   104,   105,   681,   728,     0,
     107,   108,   109,   110,   729,   730,   112,   113,   114,   115,
       0,   116,   731,   732,   682,   683,     0,     0,     0,   684,
     685,     0,     0,     0,     0,   686,     0,     0,     0,     0,
       0,     0,     0,     0,   687,     0,   688,     0,   689,   690,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,     0,  1900,
     137,  1901,  1902,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,  1903,  1904,   443,     0,   444,   445,   446,
     447,     0,     0,   145,     0,   448,   449,   450,   451,   148,
     452,   693,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,   695,   464,  1905,  1906,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,  1494,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,     0,   490,   491,   492,     0,     0,   493,     0,   494,
    1907,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,     0,     0,   502,     0,   503,   504,
     697,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,     0,     0,   517,
     518,   519,  1500,  1908,     0,  1909,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,     0,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,   698,   540,
     541,   699,   542,   543,   544,  1910,   189,  1911,   545,   546,
       0,     0,   547,   548,   193,   549,     0,     0,   550,  1912,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,     0,   197,   198,   199,     0,   558,   559,   560,
     561,   562,   563,   564,     0,   565,     0,   566,     0,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,  1913,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,     0,   597,   598,   599,   600,   601,
     602,   700,   603,     0,   604,   605,   606,   607,   608,     0,
     609,  1914,   610,   611,   220,   612,  1915,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,     0,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,  1916,  1917,     0,     0,   633,     0,   634,     0,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,  1918,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   702,   662,
     663,   726,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   727,   104,   105,   681,   728,     0,   107,   108,   109,
     110,   729,   730,   112,   113,   114,   115,     0,   116,   731,
     732,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,   133,   433,   434,   435,     0,  1900,   137,  1901,  1902,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
    1903,  1904,   443,     0,   444,   445,   446,   447,     0,     0,
     145,     0,   448,   449,   450,   451,   148,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,   151,   459,     0,
       0,     0,     0,   152,     0,     0,     0,   460,   461,   462,
     463,   695,   464,  1905,  1906,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,  1494,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,     0,   490,
     491,   492,     0,     0,   493,     0,   494,  1907,   495,     0,
     496,     0,   497,   169,     0,   170,   498,   499,   500,     0,
     501,     0,     0,   502,     0,   503,   504,   697,   505,   506,
     173,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,   174,     0,     0,   517,   518,   519,  1500,
    1908,     0,  1909,     0,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,     0,
     182,   530,   183,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,  1910,   189,  1911,   545,   546,     0,     0,   547,
     548,   193,   549,     0,     0,   550,  1912,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,     0,
     197,   198,   199,     0,   558,   559,   560,   561,   562,   563,
     564,     0,   565,     0,   566,     0,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,  1913,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   211,   595,
     596,     0,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,  2485,   610,
     611,   220,   612,  1915,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,     0,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1916,  1917,
       0,     0,   633,     0,   634,     0,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,     0,  1918,
       0,   652,   236,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   702,   662,   663,   726,    86,
      87,    88,   678,    90,    91,    92,   679,     0,   680,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   727,   104,
     105,   681,   728,     0,   107,   108,   109,   110,   729,   730,
     112,   113,   114,   115,     0,   116,   731,   732,   682,   683,
       0,     0,     0,   684,   685,     0,     0,     0,     0,   686,
       0,     0,     0,     0,     0,     0,     0,     0,   687,     0,
     688,     0,   689,   690,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,     0,  1900,   137,  1901,  1902,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,  1903,  1904,   443,
       0,   444,   445,   446,   447,     0,     0,   145,     0,   448,
     449,   450,   451,   148,   452,   693,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,   695,   464,
    1905,  1906,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,  1494,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,     0,   490,   491,   492,     0,
       0,   493,     0,   494,  1907,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,     0,     0,
     502,     0,   503,   504,   697,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,     0,     0,   517,   518,   519,  1500,  1908,     0,  1909,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,     0,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,   698,   540,   541,   699,   542,   543,   544,  1910,
     189,  1911,   545,   546,     0,     0,   547,   548,   193,   549,
       0,     0,   550,  1912,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,     0,   197,   198,   199,
       0,   558,   559,   560,   561,   562,   563,   564,     0,   565,
       0,   566,     0,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,  1913,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,     0,   597,
     598,   599,   600,   601,   602,   700,   603,     0,   604,   605,
     606,   607,   608,     0,   609,     0,   610,   611,   220,   612,
    1915,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,     0,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,  1916,  1917,     0,     0,   633,
       0,   634,     0,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,  1918,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   702,   662,   663,   726,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   727,   104,   105,   681,   728,
       0,   107,   108,   109,   110,   729,   730,   112,   113,   114,
     115,     0,   116,   731,   732,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,     0,
       0,   137,     0,     0,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,     0,     0,   443,     0,   444,   445,
     446,   447,     0,     0,   145,     0,   448,   449,   450,   451,
     148,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,   695,   464,     0,     0,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,     0,   490,   491,   492,     0,     0,   493,     0,
     494,     0,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,     0,     0,   502,     0,   503,
     504,   697,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,     0,     0,
     517,   518,   519,     0,     0,     0,     0,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,     0,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,     0,   189,     0,   545,
     546,     0,     0,   547,   548,   193,   549,     0,     0,   550,
       0,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,     0,   197,   198,   199,     0,   558,   559,
     560,   561,   562,   563,   564,     0,   565,     0,   566,     0,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,     0,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,     0,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,     0,   610,   611,   220,   612,     0,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
       0,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,     0,     0,     0,     0,   633,     0,   634,     0,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,     0,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   733,   426,   427,   428,   734,
     735,   736,   737,   738,   739,   740,   429,   430,   741,   431,
     432,   133,   433,   434,   435,   135,   136,   137,   138,   139,
     742,   436,   437,   438,   439,   440,   743,   744,   441,   442,
       0,   140,   443,   746,   444,   445,   446,   447,   144,   747,
     145,   748,   448,   449,   450,   451,   148,   452,   749,   750,
     453,   454,   455,   456,   457,   458,   751,   151,   459,     0,
     753,   754,   755,   152,   756,   757,   758,   460,   461,   462,
     463,     0,   464,   155,   156,   465,   759,   466,   760,   467,
     468,   469,   470,   471,   761,   472,   473,   474,   762,   763,
     475,   476,   477,   478,   479,   764,   480,   481,   482,   765,
     483,   484,   485,   766,   486,   487,   488,   489,   164,   490,
     491,   492,   166,   767,   493,   768,   494,   168,   495,   769,
     496,   770,   497,   169,   771,   170,   498,   499,   500,   772,
     501,   172,   773,   502,   774,   503,   504,     0,   505,   506,
     173,   507,   508,   509,   775,   510,   511,   512,   513,   514,
     515,   776,   516,   174,   175,     0,   517,   518,   519,     0,
     176,   779,   177,   780,   520,   178,   179,   521,   180,   522,
     523,   524,   525,   526,   781,   527,   528,   782,   529,   181,
     182,   530,   183,   783,   531,   532,   533,   784,   785,   534,
     535,   536,   537,   538,   539,     0,   540,   541,     0,   542,
     543,   544,   188,   189,   190,   545,   546,   191,   786,   547,
     548,   193,   549,   787,   194,   550,   195,   551,   552,   553,
     788,   554,   789,   790,   555,   556,   557,   791,   792,   196,
     197,   198,   199,   200,   558,   559,   560,   561,   562,   563,
     564,   793,   565,   201,   566,   202,   567,   568,   569,   794,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,   795,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   796,   593,   594,   211,   595,
     596,   213,   597,   598,   599,   600,   601,   602,     0,   603,
     797,   604,   605,   606,   607,   608,   798,   609,   218,   610,
     611,   220,   612,   221,   613,   799,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,   800,   624,   625,
     801,   626,   627,   628,   629,   630,   631,   802,   225,   226,
       0,   804,   633,   227,   634,   228,   805,   635,   636,   637,
     638,   639,   640,   641,     0,   807,   642,   643,   644,   645,
     646,   808,   809,   647,   648,   649,   650,   651,     0,   235,
     811,   652,   236,   653,   654,   655,   812,   813,   656,   814,
     815,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,     0,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,  1152,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,  2416,   444,   445,   446,   447,   144,     0,     0,  2498,
     448,   449,   450,   451,     0,   452,   693,  2417,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,  2499,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,  2419,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,  2420,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,  2421,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,  2416,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,  2417,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,  2499,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,  2419,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,  3366,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,  2420,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,  2421,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,  1050,   424,   425,  1008,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,  1009,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,  1051,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,  1010,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
    1011,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,  1008,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,  1009,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,  3100,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,  1010,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,  1011,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,  2416,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,  2417,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,  2499,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,  2419,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,  2420,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,  2421,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,   691,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,   694,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
     696,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,  1008,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,  1009,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,  1010,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
    1011,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,   920,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,   921,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   922,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,  2091,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,  2092,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,  2093,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,  2094,   497,     0,     0,     0,  2095,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,  2096,  2097,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,  2098,   601,   602,
     700,   603,     0,  2099,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,  2100,   626,  2101,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,  2102,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,  1009,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,  1010,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,  1011,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,  2080,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,  2374,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,  2975,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
    2976,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,  2977,   626,   627,  2978,   629,  2979,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,  2980,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,   718,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,   417,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,   696,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,   870,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,  1334,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,   130,   131,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,  3187,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,  3188,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,  3199,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,  3200,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
     417,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,   417,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   926,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,   417,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   970,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,   417,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,  1025,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,  1083,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  1230,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,  1083,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,  1579,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  1754,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,  1083,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
    1988,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,  2080,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,  2374,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,  4113,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,  4127,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
    4347,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,  4349,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,  4351,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,  4752,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,  1034,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,  1036,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
    1037,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,     0,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,  1038,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,  1039,   226,
       0,     0,  1040,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,  1041,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,  1077,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,  1037,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,  1078,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1079,   226,     0,     0,  1080,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,  1041,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,  1097,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  1203,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  1227,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1239,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  1293,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  1307,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  1347,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  1366,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  1368,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  1370,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  1373,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  1379,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,  1590,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,  1063,   442,  1037,   140,  1591,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,  1067,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,  1068,   596,   213,   597,   598,   599,  1069,
     601,   602,   700,   603,     0,   604,   605,   606,   607,  1583,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1071,   226,     0,     0,  1072,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  1041,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,  1073,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,  1717,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  1800,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  1947,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  1977,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  2012,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  2014,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  2016,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,  2129,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,  2340,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,     0,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,   692,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,   693,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,  2735,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,   544,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,   595,   596,   213,   597,   598,   599,   600,
     601,   602,   700,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,   701,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,   441,   442,
     692,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,   693,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,  3111,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,   544,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,   595,
     596,   213,   597,   598,   599,   600,   601,   602,   700,   603,
       0,   604,   605,   606,   607,   608,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,   627,   628,   629,   630,   631,     0,   225,   226,
       0,     0,   633,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,   701,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,   661,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,   441,   442,   692,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,   693,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,  3190,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,   544,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,   595,   596,   213,   597,   598,
     599,   600,   601,   602,   700,   603,     0,   604,   605,   606,
     607,   608,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,   225,   226,     0,     0,   633,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,   701,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,   661,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,   692,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
     693,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,  3192,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,   544,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,   595,   596,   213,   597,   598,   599,   600,   601,   602,
     700,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     701,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,  3290,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,   562,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,   576,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
     597,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,   678,
      90,    91,    92,   679,     0,   680,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   681,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   682,   683,     0,     0,     0,
     684,   685,     0,     0,     0,     0,   686,     0,     0,     0,
       0,     0,     0,     0,     0,   687,     0,   688,     0,   689,
     690,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,     0,   433,   434,   435,   135,
     136,     0,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,  1063,   442,  1037,   140,   443,     0,   444,   445,
     446,   447,   144,     0,     0,     0,   448,   449,   450,   451,
       0,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,     0,   459,     0,     0,     0,     0,     0,     0,     0,
       0,   460,   461,   462,   463,   695,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,     0,   493,     0,
     494,   168,   495,     0,   496,     0,   497,     0,     0,     0,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,   697,   505,   506,     0,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,     0,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,     0,
       0,   521,     0,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,     0,   530,     0,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,   698,
     540,   541,   699,   542,   543,  1067,   188,     0,   190,   545,
     546,   191,     0,   547,   548,     0,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,     0,     0,   555,   556,
     557,     0,     0,   196,     0,     0,     0,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,     0,  1068,   596,   213,   597,   598,   599,  1069,
     601,   602,   700,   603,     0,   604,   605,   606,   607,  1583,
       0,   609,   218,   610,   611,     0,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,  1071,   226,     0,     0,  1072,   227,   634,   228,
       0,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,  1041,   235,     0,   652,     0,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,  1073,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   702,
     662,   663,    86,    87,    88,   678,    90,    91,    92,   679,
       0,   680,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   681,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   682,   683,     0,     0,     0,   684,   685,     0,     0,
       0,     0,   686,     0,     0,     0,     0,     0,     0,     0,
       0,   687,     0,   688,     0,   689,   690,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   418,   419,   420,
     421,   422,   423,   424,   425,     0,   426,   427,   428,     0,
       0,     0,     0,     0,     0,     0,   429,   430,     0,   431,
     432,     0,   433,   434,   435,   135,   136,     0,   138,   139,
       0,   436,   437,   438,   439,   440,     0,     0,  1063,   442,
    1037,   140,   443,     0,   444,   445,   446,   447,   144,     0,
       0,     0,   448,   449,   450,   451,     0,   452,     0,     0,
     453,   454,   455,   456,   457,   458,     0,     0,   459,     0,
       0,     0,     0,     0,     0,     0,     0,   460,   461,   462,
     463,   695,   464,   155,   156,   465,     0,   466,     0,   467,
     468,   469,   470,   471,     0,   472,   473,   474,     0,     0,
     475,   476,   477,   478,   479,     0,   480,   481,   482,     0,
     483,   484,   485,     0,   486,   487,   488,   489,   164,   490,
     491,   492,   166,     0,   493,     0,   494,   168,   495,     0,
     496,     0,   497,     0,     0,     0,   498,   499,   500,     0,
     501,   172,     0,   502,     0,   503,   504,   697,   505,   506,
       0,   507,   508,   509,     0,   510,   511,   512,   513,   514,
     515,     0,   516,     0,   175,     0,   517,   518,   519,     0,
     176,     0,   177,     0,   520,     0,     0,   521,     0,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   529,   181,
       0,   530,     0,     0,   531,   532,   533,     0,     0,   534,
     535,   536,   537,   538,   539,   698,   540,   541,   699,   542,
     543,  1067,   188,     0,   190,   545,   546,   191,     0,   547,
     548,     0,   549,     0,   194,   550,   195,   551,   552,   553,
       0,   554,     0,     0,   555,   556,   557,     0,     0,   196,
       0,     0,     0,   200,   558,   559,   560,   561,   562,   563,
     564,     0,   565,   201,   566,   202,   567,   568,   569,     0,
     570,   571,   572,   573,   574,   575,   576,   577,   204,   578,
     579,   580,   581,     0,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,     0,  1068,
     596,   213,   597,   598,   599,  1069,   601,   602,   700,   603,
       0,   604,   605,   606,   607,  1583,     0,   609,   218,   610,
     611,     0,   612,   221,   613,     0,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   223,     0,   624,   625,
       0,   626,  2407,   628,   629,   630,   631,     0,  1071,   226,
       0,     0,  1072,   227,   634,   228,     0,   635,   636,   637,
     638,   639,   640,   641,     0,     0,   642,   643,   644,   645,
     646,     0,     0,   647,   648,   649,   650,   651,  1041,   235,
       0,   652,     0,   653,   654,   655,     0,     0,   656,     0,
       0,   657,   658,   659,   660,  1073,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   702,   662,   663,    86,    87,
      88,   678,    90,    91,    92,   679,     0,   680,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
     681,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,   682,   683,     0,
       0,     0,   684,   685,     0,     0,     0,     0,   686,     0,
       0,     0,     0,     0,     0,     0,     0,   687,     0,   688,
       0,   689,   690,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   418,   419,   420,   421,   422,   423,   424,
     425,     0,   426,   427,   428,     0,     0,     0,     0,     0,
       0,     0,   429,   430,     0,   431,   432,     0,   433,   434,
     435,   135,   136,     0,   138,   139,     0,   436,   437,   438,
     439,   440,     0,     0,  1063,   442,  1037,   140,   443,     0,
     444,   445,   446,   447,   144,     0,     0,     0,   448,   449,
     450,   451,     0,   452,     0,     0,   453,   454,   455,   456,
     457,   458,     0,     0,   459,     0,     0,     0,     0,     0,
       0,     0,     0,   460,   461,   462,   463,   695,   464,   155,
     156,   465,     0,   466,     0,   467,   468,   469,   470,   471,
       0,   472,   473,   474,     0,     0,   475,   476,   477,   478,
     479,     0,   480,   481,   482,     0,   483,   484,   485,     0,
     486,   487,   488,   489,   164,   490,   491,   492,   166,     0,
     493,     0,   494,   168,   495,     0,   496,     0,   497,     0,
       0,     0,   498,   499,   500,     0,   501,   172,     0,   502,
       0,   503,   504,   697,   505,   506,     0,   507,   508,   509,
       0,   510,   511,   512,   513,   514,   515,     0,   516,     0,
     175,     0,   517,   518,   519,     0,   176,     0,   177,     0,
     520,     0,     0,   521,     0,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   529,   181,     0,   530,     0,     0,
     531,   532,   533,     0,     0,   534,   535,   536,   537,   538,
     539,   698,   540,   541,   699,   542,   543,  1067,   188,     0,
     190,   545,   546,   191,     0,   547,   548,     0,   549,     0,
     194,   550,   195,   551,   552,   553,     0,   554,     0,     0,
     555,   556,   557,     0,     0,   196,     0,     0,     0,   200,
     558,   559,   560,   561,   562,   563,   564,     0,   565,   201,
     566,   202,   567,   568,   569,     0,   570,   571,   572,   573,
     574,   575,   576,   577,   204,   578,   579,   580,   581,     0,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,     0,  1068,   596,   213,   597,   598,
     599,  2474,   601,   602,   700,   603,     0,   604,   605,   606,
     607,  2475,     0,   609,   218,   610,   611,     0,   612,   221,
     613,     0,   614,   615,   616,   617,   618,   619,   620,   621,
     622,   623,   223,     0,   624,   625,     0,   626,   627,   628,
     629,   630,   631,     0,  1071,   226,     0,     0,  2476,   227,
     634,   228,     0,   635,   636,   637,   638,   639,   640,   641,
       0,     0,   642,   643,   644,   645,   646,     0,     0,   647,
     648,   649,   650,   651,  1041,   235,     0,   652,     0,   653,
     654,   655,     0,     0,   656,     0,     0,   657,   658,   659,
     660,  1073,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   702,   662,   663,    86,    87,    88,   678,    90,    91,
      92,   679,     0,   680,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   681,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   682,   683,     0,     0,     0,   684,   685,
       0,     0,     0,     0,   686,     0,     0,     0,     0,     0,
       0,     0,     0,   687,     0,   688,     0,   689,   690,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,     0,   433,   434,   435,   135,   136,     0,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
    1063,   442,  1037,   140,   443,     0,   444,   445,   446,   447,
     144,     0,     0,     0,   448,   449,   450,   451,     0,   452,
       0,     0,   453,   454,   455,   456,   457,   458,     0,     0,
     459,     0,     0,     0,     0,     0,     0,     0,     0,   460,
     461,   462,   463,   695,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,     0,     0,     0,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,   697,
     505,   506,     0,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,     0,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,     0,     0,   521,
       0,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,     0,   530,     0,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,   698,   540,   541,
     699,   542,   543,  1067,   188,     0,   190,   545,   546,   191,
       0,   547,   548,     0,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,     0,     0,     0,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
       0,  1068,   596,   213,   597,   598,   599,  1069,   601,   602,
     700,   603,     0,   604,   605,   606,   607,  2475,     0,   609,
     218,   610,   611,     0,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
    1071,   226,     0,     0,  2476,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
    1041,   235,     0,   652,     0,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,  1073,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   702,   662,   663,
      86,    87,    88,   678,    90,    91,    92,   679,     0,   680,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   681,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   682,
     683,     0,     0,     0,   684,   685,     0,     0,     0,     0,
     686,     0,     0,     0,     0,     0,     0,     0,     0,   687,
       0,   688,     0,   689,   690,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   418,   419,   420,   421,   422,
     423,   424,   425,     0,   426,   427,   428,     0,     0,     0,
       0,     0,     0,     0,   429,   430,     0,   431,   432,     0,
     433,   434,   435,   135,   136,     0,   138,   139,     0,   436,
     437,   438,   439,   440,     0,     0,   441,   442,   692,   140,
     443,     0,   444,   445,   446,   447,   144,     0,     0,     0,
     448,   449,   450,   451,     0,   452,   693,     0,   453,   454,
     455,   456,   457,   458,     0,     0,   459,     0,     0,     0,
       0,     0,     0,     0,     0,   460,   461,   462,   463,   695,
     464,   155,   156,   465,     0,   466,     0,   467,   468,   469,
     470,   471,     0,   472,   473,   474,     0,     0,   475,   476,
     477,   478,   479,     0,   480,   481,   482,     0,   483,   484,
     485,     0,   486,   487,   488,   489,   164,   490,   491,   492,
     166,     0,   493,     0,   494,   168,   495,     0,   496,     0,
     497,     0,     0,     0,   498,   499,   500,     0,   501,   172,
       0,   502,     0,   503,   504,   697,   505,   506,     0,   507,
     508,   509,     0,   510,   511,   512,   513,   514,   515,     0,
     516,     0,   175,     0,   517,   518,   519,     0,   176,     0,
     177,     0,   520,     0,     0,   521,     0,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   529,   181,     0,   530,
       0,     0,   531,   532,   533,     0,     0,   534,   535,   536,
     537,   538,   539,   698,   540,   541,   699,   542,   543,   544,
     188,     0,   190,   545,   546,   191,     0,   547,   548,     0,
     549,     0,   194,   550,   195,   551,   552,   553,     0,   554,
       0,     0,   555,   556,   557,     0,     0,   196,     0,     0,
       0,   200,   558,   559,   560,   561,     0,   563,   564,     0,
     565,   201,   566,   202,   567,   568,   569,     0,   570,   571,
     572,   573,   574,   575,     0,   577,   204,   578,   579,   580,
     581,     0,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,     0,   595,   596,   213,
       0,   598,   599,   600,   601,   602,   700,   603,     0,   604,
     605,   606,   607,   608,     0,   609,   218,   610,   611,     0,
     612,   221,   613,     0,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   223,     0,   624,   625,     0,   626,
     627,   628,   629,   630,   631,     0,   225,   226,     0,     0,
     633,   227,   634,   228,     0,   635,   636,   637,   638,   639,
     640,   641,     0,     0,   642,   643,   644,   645,   646,     0,
       0,   647,   648,   649,   650,   651,   701,   235,     0,   652,
       0,   653,   654,   655,     0,     0,   656,     0,     0,   657,
     658,   659,   660,   661,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   702,   662,   663,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115, -2391,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,   412,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,   168,     0,     0,     0,     0,     0,   169,     0,   170,
       0,     0,     0,     0,     0,   172,     0,     0,     0,     0,
       0,     0,     0,     0,   173,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   174,   175,     0,
       0,     0,     0,     0,   176,     0,   177,     0,     0,   178,
     179,     0,   180,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,   183,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   188,   189,   190,     0,
       0,   191,     0,     0,     0,   193,     0,     0,   194,     0,
     195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,   198,   199,   200,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   201,     0,   202,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   204,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,     0,     0,   220,     0,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     223,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   225,   226,     0,     0,     0,   227,     0,   228,
       0,     0,     0,     0,     0,     0,     0,     0,   231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   235,     0,     0,   236,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    86,
      87,    88,     0,    90,    91,    92,     0,     0,     0,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,     0,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115, -2392,   116,   117,   118,     0,     0,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,   127,    35,     0,  1147,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   133,     0,
       0,     0,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,     0,     0,     0,     0,   144,     0,   145,     0,     0,
       0,     0,     0,   148,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     155,   156,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   162,     0,     0,
       0,     0,     0,     0,     0,   164,     0,     0,     0,   166,
       0,     0,     0,     0,   168,     0,     0,     0,     0,     0,
     169,     0,   170,     0,     0,     0,     0,     0,   172,     0,
       0,     0,     0,     0,     0,     0,     0,   173,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     174,   175,     0,     0,     0,     0,     0,   176,     0,   177,
       0,     0,   178,   179,     0,   180,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   181,   182,     0,   183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   188,
     189,   190,     0,     0,   191,     0,     0,     0,   193,     0,
       0,   194,     0,   195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,   198,   199,
     200,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     201,     0,   202,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   204,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   211,     0,     0,   213,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,     0,     0,   220,     0,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   225,   226,     0,     0,     0,
     227,     0,   228,     0,     0,     0,     0,     0,     0,     0,
       0,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,   168,     0,     0,
       0,     0,     0,   169,     0,   170,     0,     0,     0,     0,
       0,   172,     0,     0,     0,     0,     0,     0,     0,     0,
     173,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   174,   175,     0,     0,     0,     0,     0,
     176,     0,   177,     0,     0,   178,   179,     0,   180,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   181,
     182,     0,   183,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   188,   189,   190,     0,     0,   191,     0,     0,
       0,   193,     0,     0,   194,     0,   195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,   198,   199,   200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   201,     0,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,     0,
       0,   213,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,     0,
       0,   220,     0,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   225,   226,
       0,     0,     0,   227,     0,   228,     0,     0,     0,     0,
       0,     0,     0,     0,   231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   235,
       0,     0,   236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   238,   239,   240,   241,
     242,   243,   244,   245,   246,    86,    87,    88,     0,    90,
      91,    92,     0,     0,     0,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,     0,     0,     0,
     107,   108,   109,   110,     0,   111,   112,   113,   114,   115,
       0,   116,   117,   118,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   133,     0,     0,     0,   135,   136,
     137,   138,   139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   140,     0,     0,     0,     0,     0,
       0,   144,     0,   145,     0,     0,     0,     0,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     151,     0,     0,     0,     0,     0,   152,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   155,   156,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   162,     0,     0,     0,     0,     0,     0,
       0,   164,     0,     0,     0,   166,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   201,     0,   202,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   204,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   211,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,     0,     0,   220,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   225,   226,     0,     0,     0,   227,     0,   228,     0,
       0,     0,     0,     0,     0,     0,     0,   231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,     0,     0,   236,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    86,    87,
      88,     0,    90,    91,    92,     0,     0,     0,    95,     0,
       0,    98,    99,   100,   101,   102,   103,     0,   104,   105,
       0,     0,     0,   107,   108,   109,   110,     0,     0,   112,
     113,   114,   115,     0,   116,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   133,     0,     0,
       0,   135,   136,   137,   138,   139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   140,     0,     0,
       0,     0,     0,     0,   144,     0,   145,     0,     0,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   151,     0,     0,     0,     0,     0,   152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   155,
     156,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   164,     0,     0,     0,   166,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,   169,
       0,   170,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,     0,     0,     0,     0,     0,   176,     0,   177,     0,
       0,   178,   179,     0,   180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   188,   189,
     190,     0,     0,   191,     0,     0,     0,   193,     0,     0,
     194,     0,   195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,   197,   198,   199,   200,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   201,
       0,   202,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   204,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,     0,     0,   220,     0,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   225,   226,     0,     0,     0,   227,
       0,   228,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   235,     0,     0,   236,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   238,   239,   240,   241,   242,   243,   244,   245,
     246,    35,   417,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   418,   419,   420,   421,   422,   423,   424,   425,     0,
     426,   427,   428,     0,     0,     0,     0,     0,     0,     0,
     429,   430,     0,   431,   432,   133,   433,   434,   435,   135,
     136,   137,   138,   139,     0,   436,   437,   438,   439,   440,
       0,     0,   441,   442,     0,   140,   443,     0,   444,   445,
     446,   447,   144,     0,   145,     0,   448,   449,   450,   451,
     148,   452,     0,     0,   453,   454,   455,   456,   457,   458,
       0,   151,   459,     0,     0,     0,     0,   152,     0,     0,
       0,   460,   461,   462,   463,     0,   464,   155,   156,   465,
       0,   466,     0,   467,   468,   469,   470,   471,     0,   472,
     473,   474,     0,     0,   475,   476,   477,   478,   479,     0,
     480,   481,   482,     0,   483,   484,   485,     0,   486,   487,
     488,   489,   164,   490,   491,   492,   166,  2056,   493,     0,
     494,   168,   495,     0,   496,     0,   497,   169,     0,   170,
     498,   499,   500,     0,   501,   172,     0,   502,     0,   503,
     504,     0,   505,   506,   173,   507,   508,   509,     0,   510,
     511,   512,   513,   514,   515,     0,   516,   174,   175,     0,
     517,   518,   519,     0,   176,     0,   177,     0,   520,   178,
     179,   521,   180,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   529,   181,   182,   530,   183,     0,   531,   532,
     533,     0,     0,   534,   535,   536,   537,   538,   539,     0,
     540,   541,     0,   542,   543,   544,   188,   189,   190,   545,
     546,   191,     0,   547,   548,   193,   549,     0,   194,   550,
     195,   551,   552,   553,     0,   554,  2057,     0,   555,   556,
     557,     0,     0,   196,   197,   198,   199,   200,   558,   559,
     560,   561,   562,   563,   564,     0,   565,   201,   566,   202,
     567,   568,   569,     0,   570,   571,   572,   573,   574,   575,
     576,   577,   204,   578,   579,   580,   581,     0,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   211,   595,   596,   213,   597,   598,   599,   600,
     601,   602,     0,   603,     0,   604,   605,   606,   607,   608,
       0,   609,   218,   610,   611,   220,   612,   221,   613,     0,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     223,     0,   624,   625,     0,   626,   627,   628,   629,   630,
     631,     0,   225,   226,     0,     0,   633,   227,   634,   228,
    2058,   635,   636,   637,   638,   639,   640,   641,     0,     0,
     642,   643,   644,   645,   646,     0,     0,   647,   648,   649,
     650,   651,     0,   235,     0,   652,   236,   653,   654,   655,
       0,     0,   656,     0,     0,   657,   658,   659,   660,   661,
     238,   239,   240,   241,   242,   243,   244,   245,   246,    35,
     662,   663,     0,     0,     0,     0,     0,    41,    42,  1674,
    1675,  4603,     0,     0,     0,     0,     0,     0,  4604,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,   130,   131,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,     0,   140,   443,     0,   444,   445,   446,   447,
     144,     0,   145,     0,   448,   449,   450,   451,   148,   452,
       0,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,     0,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,     0,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,     0,   540,   541,
       0,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
       0,   603,   216,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,   224,   626,   627,   628,   629,   630,   631,     0,
     225,   226,     0,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
     234,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,   237,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,     0,   662,   663,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,     0,    45,   247,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,  2275,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,  2056,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,  2057,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,  2058,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,     0,   662,
     663,     0,     0,     0,     0,     0,    35,   417,  1674,  1675,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,  2280,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,  2056,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,  2057,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,  2058,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,     0,   662,   663,     0,     0,     0,
       0,     0,    35,   417,  1674,  1675,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,  2056,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,  2057,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,  2058,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
       0,   662,   663,     0,     0,     0,     0,     0,    35,     0,
    1674,  1675,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,  2056,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,  2057,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,  2058,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,     0,   662,   663,    35,
     417,     0,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   418,
     419,   420,   421,   422,   423,   424,   425,     0,   426,   427,
     428,     0,     0,     0,     0,     0,     0,     0,   429,   430,
       0,   431,   432,   133,   433,   434,   435,   135,   136,   137,
     138,   139,     0,   436,   437,   438,   439,   440,     0,     0,
     441,   442,     0,   140,   443,     0,   444,   445,   446,   447,
     144,     0,   145,     0,   448,   449,   450,   451,   148,   452,
       0,     0,   453,   454,   455,   456,   457,   458,     0,   151,
     459,     0,     0,     0,     0,   152,     0,     0,     0,   460,
     461,   462,   463,     0,   464,   155,   156,   465,     0,   466,
       0,   467,   468,   469,   470,   471,     0,   472,   473,   474,
       0,     0,   475,   476,   477,   478,   479,     0,   480,   481,
     482,     0,   483,   484,   485,     0,   486,   487,   488,   489,
     164,   490,   491,   492,   166,     0,   493,     0,   494,   168,
     495,     0,   496,     0,   497,   169,     0,   170,   498,   499,
     500,     0,   501,   172,     0,   502,     0,   503,   504,     0,
     505,   506,   173,   507,   508,   509,     0,   510,   511,   512,
     513,   514,   515,     0,   516,   174,   175,     0,   517,   518,
     519,     0,   176,     0,   177,     0,   520,   178,   179,   521,
     180,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     529,   181,   182,   530,   183,     0,   531,   532,   533,     0,
       0,   534,   535,   536,   537,   538,   539,     0,   540,   541,
       0,   542,   543,   544,   188,   189,   190,   545,   546,   191,
       0,   547,   548,   193,   549,     0,   194,   550,   195,   551,
     552,   553,     0,   554,     0,     0,   555,   556,   557,     0,
       0,   196,   197,   198,   199,   200,   558,   559,   560,   561,
     562,   563,   564,     0,   565,   201,   566,   202,   567,   568,
     569,     0,   570,   571,   572,   573,   574,   575,   576,   577,
     204,   578,   579,   580,   581,     0,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     211,   595,   596,   213,   597,   598,   599,   600,   601,   602,
       0,   603,     0,   604,   605,   606,   607,   608,     0,   609,
     218,   610,   611,   220,   612,   221,   613,     0,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   223,     0,
     624,   625,     0,   626,   627,   628,   629,   630,   631,     0,
     225,   226,   632,     0,   633,   227,   634,   228,     0,   635,
     636,   637,   638,   639,   640,   641,     0,     0,   642,   643,
     644,   645,   646,     0,     0,   647,   648,   649,   650,   651,
       0,   235,     0,   652,   236,   653,   654,   655,     0,     0,
     656,     0,     0,   657,   658,   659,   660,   661,   238,   239,
     240,   241,   242,   243,   244,   245,   246,     0,   662,   663,
      35,   417,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,    37,    38,    39,    40,    41,    42,     0,    44,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,  2260,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
      37,    38,    39,    40,    41,    42,     0,    44,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,    37,    38,
      39,    40,    41,    42,     0,    44,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,  2036,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,  2595,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,  2596,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,   130,   131,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,   536,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,  1223,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
     506,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,  1236,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,   506,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
    1237,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,  3471,
     502,     0,   503,   504,     0,   505,   506,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,   536,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,    35,   662,   663,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   418,   419,   420,   421,   422,   423,   424,   425,
       0,   426,   427,   428,     0,     0,     0,     0,     0,     0,
       0,   429,   430,     0,   431,   432,   133,   433,   434,   435,
     135,   136,   137,   138,   139,     0,   436,   437,   438,   439,
     440,     0,     0,   441,   442,     0,   140,   443,     0,   444,
     445,   446,   447,   144,     0,   145,     0,   448,   449,   450,
     451,   148,   452,     0,     0,   453,   454,   455,   456,   457,
     458,     0,   151,   459,     0,     0,     0,     0,   152,     0,
       0,     0,   460,   461,   462,   463,     0,   464,   155,   156,
     465,     0,   466,     0,   467,   468,   469,   470,   471,     0,
     472,   473,   474,     0,     0,   475,   476,   477,   478,   479,
       0,   480,   481,   482,     0,   483,   484,   485,     0,   486,
     487,   488,   489,   164,   490,   491,   492,   166,     0,   493,
       0,   494,   168,   495,     0,   496,     0,   497,   169,     0,
     170,   498,   499,   500,     0,   501,   172,     0,   502,     0,
     503,   504,     0,   505,   506,   173,   507,   508,   509,     0,
     510,   511,   512,   513,   514,   515,     0,   516,   174,   175,
       0,   517,   518,   519,     0,   176,     0,   177,     0,   520,
     178,   179,   521,   180,   522,   523,   524,   525,   526,     0,
     527,   528,     0,   529,   181,   182,   530,   183,     0,   531,
     532,   533,     0,     0,   534,   535,   536,   537,   538,   539,
       0,   540,   541,     0,   542,   543,   544,   188,   189,   190,
     545,   546,   191,     0,   547,   548,   193,   549,     0,   194,
     550,   195,   551,   552,   553,     0,   554,     0,     0,   555,
     556,   557,     0,     0,   196,   197,   198,   199,   200,   558,
     559,   560,   561,   562,   563,   564,     0,   565,   201,   566,
     202,   567,   568,   569,     0,   570,   571,   572,   573,   574,
     575,   576,   577,   204,   578,   579,   580,   581,     0,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   211,   595,   596,   213,   597,   598,   599,
     600,   601,   602,     0,   603,     0,   604,   605,   606,   607,
     608,     0,   609,   218,   610,   611,   220,   612,   221,   613,
       0,   614,   615,   616,   617,   618,   619,   620,   621,   622,
     623,   223,     0,   624,   625,     0,   626,   627,   628,   629,
     630,   631,     0,   225,   226,     0,     0,   633,   227,   634,
     228,     0,   635,   636,   637,   638,   639,   640,   641,     0,
       0,   642,   643,   644,   645,   646,     0,     0,   647,   648,
     649,   650,   651,     0,   235,     0,   652,   236,   653,   654,
     655,     0,     0,   656,     0,     0,   657,   658,   659,   660,
     661,   238,   239,   240,   241,   242,   243,   244,   245,   246,
      35,   662,   663,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     418,   419,   420,   421,   422,   423,   424,   425,     0,   426,
     427,   428,     0,     0,     0,     0,     0,     0,     0,   429,
     430,     0,   431,   432,   133,   433,   434,   435,   135,   136,
     137,   138,   139,     0,   436,   437,   438,   439,   440,     0,
       0,   441,   442,     0,   140,   443,     0,   444,   445,   446,
     447,   144,     0,   145,     0,   448,   449,   450,   451,   148,
     452,     0,     0,   453,   454,   455,   456,   457,   458,     0,
     151,   459,     0,     0,     0,     0,   152,     0,     0,     0,
     460,   461,   462,   463,     0,   464,   155,   156,   465,     0,
     466,     0,   467,   468,   469,   470,   471,     0,   472,   473,
     474,     0,     0,   475,   476,   477,   478,   479,     0,   480,
     481,   482,     0,   483,   484,   485,     0,   486,   487,   488,
     489,   164,   490,   491,   492,   166,     0,   493,     0,   494,
     168,   495,     0,   496,     0,   497,   169,     0,   170,   498,
     499,   500,     0,   501,   172,     0,   502,     0,   503,   504,
       0,   505,   506,   173,   507,   508,   509,     0,   510,   511,
     512,   513,   514,   515,     0,   516,   174,   175,     0,   517,
     518,   519,     0,   176,     0,   177,     0,   520,   178,   179,
     521,   180,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   529,   181,   182,   530,   183,     0,   531,   532,   533,
       0,     0,   534,   535,  1315,   537,   538,   539,     0,   540,
     541,     0,   542,   543,   544,   188,   189,   190,   545,   546,
     191,     0,   547,   548,   193,   549,     0,   194,   550,   195,
     551,   552,   553,     0,   554,     0,     0,   555,   556,   557,
       0,     0,   196,   197,   198,   199,   200,   558,   559,   560,
     561,   562,   563,   564,     0,   565,   201,   566,   202,   567,
     568,   569,     0,   570,   571,   572,   573,   574,   575,   576,
     577,   204,   578,   579,   580,   581,     0,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   211,   595,   596,   213,   597,   598,   599,   600,   601,
     602,     0,   603,     0,   604,   605,   606,   607,   608,     0,
     609,   218,   610,   611,   220,   612,   221,   613,     0,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   223,
       0,   624,   625,     0,   626,   627,   628,   629,   630,   631,
       0,   225,   226,     0,     0,   633,   227,   634,   228,     0,
     635,   636,   637,   638,   639,   640,   641,     0,     0,   642,
     643,   644,   645,   646,     0,     0,   647,   648,   649,   650,
     651,     0,   235,     0,   652,   236,   653,   654,   655,     0,
       0,   656,     0,     0,   657,   658,   659,   660,   661,   238,
     239,   240,   241,   242,   243,   244,   245,   246,    35,   662,
     663,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   418,   419,
     420,   421,   422,   423,   424,   425,     0,   426,   427,   428,
       0,     0,     0,     0,     0,     0,     0,   429,   430,     0,
     431,   432,   133,   433,   434,   435,   135,   136,   137,   138,
     139,     0,   436,   437,   438,   439,   440,     0,     0,   441,
     442,     0,   140,   443,     0,   444,   445,   446,   447,   144,
       0,   145,     0,   448,   449,   450,   451,   148,   452,     0,
       0,   453,   454,   455,   456,   457,   458,     0,   151,   459,
       0,     0,     0,     0,   152,     0,     0,     0,   460,   461,
     462,   463,     0,   464,   155,   156,   465,     0,   466,     0,
     467,   468,   469,   470,   471,     0,   472,   473,   474,     0,
       0,   475,   476,   477,   478,   479,     0,   480,   481,   482,
       0,   483,   484,   485,     0,   486,   487,   488,   489,   164,
     490,   491,   492,   166,     0,   493,     0,   494,   168,   495,
       0,   496,     0,   497,   169,     0,   170,   498,   499,   500,
       0,   501,   172,     0,   502,     0,   503,   504,     0,   505,
    1354,   173,   507,   508,   509,     0,   510,   511,   512,   513,
     514,   515,     0,   516,   174,   175,     0,   517,   518,   519,
       0,   176,     0,   177,     0,   520,   178,   179,   521,   180,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   529,
     181,   182,   530,   183,     0,   531,   532,   533,     0,     0,
     534,   535,   536,   537,   538,   539,     0,   540,   541,     0,
     542,   543,   544,   188,   189,   190,   545,   546,   191,     0,
     547,   548,   193,   549,     0,   194,   550,   195,   551,   552,
     553,     0,   554,     0,     0,   555,   556,   557,     0,     0,
     196,   197,   198,   199,   200,   558,   559,   560,   561,   562,
     563,   564,     0,   565,   201,   566,   202,   567,   568,   569,
       0,   570,   571,   572,   573,   574,   575,   576,   577,   204,
     578,   579,   580,   581,     0,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   211,
     595,   596,   213,   597,   598,   599,   600,   601,   602,     0,
     603,     0,   604,   605,   606,   607,   608,     0,   609,   218,
     610,   611,   220,   612,   221,   613,     0,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   223,     0,   624,
     625,     0,   626,   627,   628,   629,   630,   631,     0,   225,
     226,     0,     0,   633,   227,   634,   228,     0,   635,   636,
     637,   638,   639,   640,   641,     0,     0,   642,   643,   644,
     645,   646,     0,     0,   647,   648,   649,   650,   651,     0,
     235,     0,   652,   236,   653,   654,   655,     0,     0,   656,
       0,     0,   657,   658,   659,   660,   661,   238,   239,   240,
     241,   242,   243,   244,   245,   246,    35,   662,   663,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   418,   419,   420,   421,
     422,   423,   424,   425,     0,   426,   427,   428,     0,     0,
       0,     0,     0,     0,     0,   429,   430,     0,   431,   432,
     133,   433,   434,   435,   135,   136,   137,   138,   139,     0,
     436,   437,   438,   439,   440,     0,     0,   441,   442,     0,
     140,   443,     0,   444,   445,   446,   447,   144,     0,   145,
       0,   448,   449,   450,   451,   148,   452,     0,     0,   453,
     454,   455,   456,   457,   458,     0,   151,   459,     0,     0,
       0,     0,   152,     0,     0,     0,   460,   461,   462,   463,
       0,   464,   155,   156,   465,     0,   466,     0,   467,   468,
     469,   470,   471,     0,   472,   473,   474,     0,     0,   475,
     476,   477,   478,   479,     0,   480,   481,   482,     0,   483,
     484,   485,     0,   486,   487,   488,   489,   164,   490,   491,
     492,   166,     0,   493,     0,   494,   168,   495,     0,   496,
       0,   497,   169,     0,   170,   498,   499,   500,     0,   501,
     172,     0,   502,     0,   503,   504,     0,   505,  1364,   173,
     507,   508,   509,     0,   510,   511,   512,   513,   514,   515,
       0,   516,   174,   175,     0,   517,   518,   519,     0,   176,
       0,   177,     0,   520,   178,   179,   521,   180,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   529,   181,   182,
     530,   183,     0,   531,   532,   533,     0,     0,   534,   535,
     536,   537,   538,   539,     0,   540,   541,     0,   542,   543,
     544,   188,   189,   190,   545,   546,   191,     0,   547,   548,
     193,   549,     0,   194,   550,   195,   551,   552,   553,     0,
     554,     0,     0,   555,   556,   557,     0,     0,   196,   197,
     198,   199,   200,   558,   559,   560,   561,   562,   563,   564,
       0,   565,   201,   566,   202,   567,   568,   569,     0,   570,
     571,   572,   573,   574,   575,   576,   577,   204,   578,   579,
     580,   581,     0,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   211,   595,   596,
     213,   597,   598,   599,   600,   601,   602,     0,   603,     0,
     604,   605,   606,   607,   608,     0,   609,   218,   610,   611,
     220,   612,   221,   613,     0,   614,   615,   616,   617,   618,
     619,   620,   621,   622,   623,   223,     0,   624,   625,     0,
     626,   627,   628,   629,   630,   631,     0,   225,   226,     0,
       0,   633,   227,   634,   228,     0,   635,   636,   637,   638,
     639,   640,   641,     0,     0,   642,   643,   644,   645,   646,
       0,     0,   647,   648,   649,   650,   651,     0,   235,     0,
     652,   236,   653,   654,   655,     0,     0,   656,     0,     0,
     657,   658,   659,   660,   661,   238,   239,   240,   241,   242,
     243,   244,   245,   246,    35,   662,   663,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   418,   419,   420,   421,   422,   423,
     424,   425,     0,   426,   427,   428,     0,     0,     0,     0,
       0,     0,     0,   429,   430,     0,   431,   432,   133,   433,
     434,   435,   135,   136,   137,   138,   139,     0,   436,   437,
     438,   439,   440,     0,     0,   441,   442,     0,   140,   443,
       0,   444,   445,   446,   447,   144,     0,   145,     0,   448,
     449,   450,   451,   148,   452,     0,     0,   453,   454,   455,
     456,   457,   458,     0,   151,   459,     0,     0,     0,     0,
     152,     0,     0,     0,   460,   461,   462,   463,     0,   464,
     155,   156,   465,     0,   466,     0,   467,   468,   469,   470,
     471,     0,   472,   473,   474,     0,     0,   475,   476,   477,
     478,   479,     0,   480,   481,   482,     0,   483,   484,   485,
       0,   486,   487,   488,   489,   164,   490,   491,   492,   166,
       0,   493,     0,   494,   168,   495,     0,   496,     0,   497,
     169,     0,   170,   498,   499,   500,     0,   501,   172,     0,
     502,     0,   503,   504,     0,   505,  1375,   173,   507,   508,
     509,     0,   510,   511,   512,   513,   514,   515,     0,   516,
     174,   175,     0,   517,   518,   519,     0,   176,     0,   177,
       0,   520,   178,   179,   521,   180,   522,   523,   524,   525,
     526,     0,   527,   528,     0,   529,   181,   182,   530,   183,
       0,   531,   532,   533,     0,     0,   534,   535,  1376,   537,
     538,   539,     0,   540,   541,     0,   542,   543,   544,   188,
     189,   190,   545,   546,   191,     0,   547,   548,   193,   549,
       0,   194,   550,   195,   551,   552,   553,     0,   554,     0,
       0,   555,   556,   557,     0,     0,   196,   197,   198,   199,
     200,   558,   559,   560,   561,   562,   563,   564,     0,   565,
     201,   566,   202,   567,   568,   569,     0,   570,   571,   572,
     573,   574,   575,   576,   577,   204,   578,   579,   580,   581,
       0,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   211,   595,   596,   213,   597,
     598,   599,   600,   601,   602,     0,   603,     0,   604,   605,
     606,   607,   608,     0,   609,   218,   610,   611,   220,   612,
     221,   613,     0,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   223,     0,   624,   625,     0,   626,   627,
     628,   629,   630,   631,     0,   225,   226,     0,     0,   633,
     227,   634,   228,     0,   635,   636,   637,   638,   639,   640,
     641,     0,     0,   642,   643,   644,   645,   646,     0,     0,
     647,   648,   649,   650,   651,     0,   235,     0,   652,   236,
     653,   654,   655,     0,     0,   656,     0,     0,   657,   658,
     659,   660,   661,   238,   239,   240,   241,   242,   243,   244,
     245,   246,     0,   662,   663
};

static const yytype_int16 yycheck[] =
{
       2,    78,   247,    78,    78,   364,    78,  1065,    78,   894,
    1009,  1010,  1011,  1113,  1353,  1362,  1015,   167,   229,  1118,
    1229,  1775,   154,  1357,  1431,   150,   153,   210,  1081,  1628,
      78,  1141,     2,   852,  1248,   932,    84,   187,  1740,   224,
    1183,  1930,  2045,  1224,  1401,  1611,  2095,  1914,  1450,  1285,
    2831,  1521,   165,  1464,  1793,  2490,  2491,  1238,  1492,  1493,
    1228,   171,  2632,  1231,   724,   950,   160,  1393,    78,   117,
    1072,   203,  1240,  1304,    84,   894,    78,  1511,  1780,   976,
     932,   380,    84,  1314,  2667,  2249,  1784,    89,   165,  1873,
    2990,  2675,  3153,  1973,   132,  1205,  3427,   380,  1932,    78,
     210,  3364,  1841,  1842,  3416,  1828,    96,  1343,  1775,  1290,
    1668,  1669,  1670,  1294,   162,   117,   106,  3203,  1299,  3205,
    1632,  2299,  2134,  3666,  2585,  1306,  3715,  3332,   117,   725,
    1160,   950,  1160,  2984,  3049,  1316,  2809,   352,  1836,  3345,
    3345,  2988,    94,  2986,  2987,   975,  3763,  2168,  3708,  3612,
    3974,   153,   142,  3953,  2034,  3963,   217,  1723,  3618,  1780,
     162,  2182,  3911,  1767,  1414,   952,  4192,   157,  1394,  2923,
    1385,  1068,   366,   162,  4397,   962,  1727,  1976,  1481,  1482,
     132,  1200,  1110,   231,  1155,  1156,  1110,  3676,  3549,    21,
     117,  3042,   167,  2347,  1663,  1664,  3617,    10,    88,    30,
    1984,   153,   154,   366,  1507,    72,   967,   209,    72,    14,
    2231,   163,   187,  1539,   117,   217,  1068,   219,   135,   108,
     209,    95,    86,  3951,   121,    72,  2535,   128,   217,   231,
     219,  4538,    37,  2387,  3962,   162,   114,  2391,   153,    86,
     112,   832,   231,  4678,    72,  3349,  3350,  3351,  3352,  3353,
    3354,   203,   156,    81,    95,   180,   102,    84,    86,   162,
     920,    75,    76,    77,    78,    99,   149,    72,    82,   114,
      75,    76,    77,    78,   143,   145,    81,    82,    83,    84,
      78,    86,   267,   153,  1283,    75,    76,    77,    78,  3878,
     229,  1401,    82,   103,   104,   372,    99,   372,   372,   237,
     372,  3055,   372,   106,   231,    99,   267,    72,   128,   128,
     228,  2200,   106,    88,   210,   117,    81,    75,    76,    77,
      78,    86,   230,   197,    82,   112,   355,   187,   231,  3883,
     228,   322,   380,    78,   228,    78,   160,    78,   113,   182,
     385,  1394,     0,    89,    78,   135,   228,   204,    75,    76,
      77,    78,   192,   145,   194,    82,   197,    99,   401,   180,
     162,  2670,   109,    90,   106,    78,   180,   415,   143,    78,
     380,   312,    75,    76,    77,    78,   387,   365,   380,    82,
     230,  1595,  4562,  1268,   223,   182,   182,    75,    76,    77,
      78,   209,    78,   372,    82,    78,    88,  1540,   509,  2448,
     511,   219,  1062,    78,    78,   415,    78,   395,   258,   233,
     145,    93,  4592,   415,   228,   149,   145,   227,   359,   229,
     328,  1564,    78,    75,    76,    77,    78,   438,   271,   231,
      82,   165,   135,  4671,   145,  2744,   424,  2746,    90,   145,
    4663,   188,   199,    75,    76,    77,    78,  1917,  4197,  1268,
      82,    75,    76,    77,    78,    95,   234,   128,    82,    75,
      76,    77,    78,   508,   416,   339,    82,   510,    38,   312,
      40,  1905,  1906,   377,    90,  3155,   102,   378,  1912,   508,
     468,  1378,   322,  1593,    75,    76,    77,    78,  1598,  1599,
    2644,    82,  4497,  2092,  4499,   173,   317,  2096,   372,  2098,
     228,   185,  2101,   360,  1401,   632,  1559,   403,    75,    76,
      77,    78,   346,   247,   228,    82,   173,   508,   361,   434,
     173,   317,   460,    90,   128,   510,  1378,   401,   210,   375,
     248,    75,    76,    77,    78,   834,   434,   179,    82,    29,
    1887,   387,   211,  1882,   676,   677,    90,  1600,  1601,   421,
     511,   834,   173,    75,    76,    77,    78,   197,   378,   378,
      82,  1157,  1158,   446,   434,    75,    76,    77,    78,   508,
     495,  1468,    82,  1403,   372,  4882,  1363,    75,    76,    77,
      78,  3787,  3787,   461,    82,   459,  1177,  1755,   415,   434,
     508,   508,   438,   427,   461,   429,   456,  4186,  3702,  4399,
    1903,  1904,    75,    76,    77,    78,   409,   511,  1911,    82,
     511,   508,  4361,   454,   504,   409,  1468,   511,  2485,   508,
     434,  3933,  1383,  5058,   456,  1834,   508,   372,  2194,   372,
     632,   372,   366,  1801,   421,   499,   500,   506,   372,   310,
    1876,   510,   434,  1824,   508,  1826,   474,  1757,   461,  4109,
    1437,   508,   499,   500,  4117,  1765,   466,  1871,  4121,   372,
    2494,   458,  4390,   372,  4413,  1452,  1897,   409,   511,   508,
     502,   499,   500,  2239,   859,   506,  4037,  2243,  1465,  2086,
     632,   495,  4171,  3363,  3947,   180,   372,  4108,   173,   372,
      88,   511,   511,  1590,   499,   500,   510,   372,   372,   434,
     372,  1598,  1599,   385,  2038,   434,  1816,   378,    14,  1819,
    1820,  4949,  1683,   470,   841,   113,   372,  4940,   508,  4724,
    4746,   403,  1650,   434,   676,   677,  1650,  3627,   434,   504,
     401,   976,   372,   511,   499,   500,  2490,  3172,  1590,  3174,
    3310,   230,   312,  3313,  3314,   143,   424,  3317,   506,   375,
     508,  2550,   510,  3323,  1113,  1774,   228,   838,   885,  2093,
    3611,  3612,   465,  2461,   979,   121,   847,   424,  2102,   259,
     454,   424,   724,  1883,   378,  4329,  4330,  4331,  4332,  4333,
     874,   508,   830,   511,  4533,  3632,   834,   475,  3892,  5012,
     922,  4540,   273,   511,   436,  3104,   322,   511,  1394,   880,
    3384,   470,   327,   424,   185,   508,   494,  2133,  2134,   501,
     502,   503,   504,   105,   941,   171,   385,  2067,  2144,    99,
     508,    25,  2148,  2073,   834,  2051,   223,  2042,   830,   310,
    2156,  2157,   834,  2531,   476,  1020,   838,  3001,   988,   328,
     990,   830,   992,  2169,  2170,   847,   848,   972,   998,    25,
    2401,   475,   854,  4661,  2180,   936,   508,  2160,  2161,   322,
    3014,  3712,   864,   976,   137,   946,   185,   137,  2889,  2890,
     494,  1021,  1022,  2894,   465,  2479,   508,  2498,   880,  2348,
     261,  2350,   173,   153,   508,   454,    75,    76,    77,    78,
     892,    88,   508,    82,   896,   267,   160,  3332,   975,   394,
     332,   137,  1087,   830,   260,   907,   267,   180,   210,  1103,
    3345,   310,   192,  2934,  2935,   141,   113,   508,    14,   211,
     387,  1806,   403,  3984,   926,   175,  3680,   830,   417,   424,
     932,   174,  1117,     8,   936,   228,    11,    12,   208,   424,
    1103,   508,   261,   160,   946,   947,   143,    22,    23,    24,
     952,    26,    27,   478,   310,   225,    31,    32,    33,    88,
     962,   325,   434,   107,   508,   967,  2720,   462,   920,   233,
     922,   438,   208,   454,   976,  4754,  4755,   374,    85,   474,
    1093,  1980,   508,   973,   326,  2708,   508,  1806,   230,   225,
    3425,   241,    75,    76,    77,    78,  2049,   967,   508,    82,
     990,   229,   992,   237,   466,  1066,  3315,  3316,   251,  1070,
     508,   207,  1002,   508,  1199,   990,   233,   992,   970,    95,
     111,  4845,   974,   495,  4484,  4488,  1064,  4835,   830,  4829,
    4493,  1021,  1022,  4496,   390,   508,   180,  4626,   510,   312,
    1088,  2099,  2100,   231,   317,   508,  1021,  1022,  2191,   299,
     228,    72,   302,   424,    75,    76,    77,    78,  1060,   263,
      81,    82,    83,    84,  1066,    86,  1068,   173,  1070,   265,
     248,   151,   269,   454,   180,  4387,   310,  1066,  1088,   511,
     353,  1070,  4413,   353,   185,   236,  1088,   263,   267,   267,
     180,   490,   237,  1095,   367,   456,   389,   267,   173,   325,
     182,   403,   848,   501,   502,   503,   504,   398,   854,   189,
    1062,    99,  1064,   341,  4541,   379,  3005,   353,   864,    71,
      72,   197,   441,    75,    76,    77,    78,    79,    80,    81,
      82,   182,   267,  2018,    86,   454,   332,   310,  4224,   511,
     269,  4941,   392,   991,   508,   387,   892,   995,   996,   997,
     896,   512,   267,  1155,  1156,   332,   247,  1005,  2055,   147,
     261,   907,   379,    25,   506,   310,   154,   129,   510,  4758,
    4618,  1141,  1253,    35,   467,   137,   449,   100,   406,   449,
     423,   424,    72,  1264,  4744,    75,    76,    77,    78,   271,
    1160,    81,    82,   181,   339,  4974,    86,   228,  2797,  2018,
     442,  4950,   162,  5011,  4631,   228,   312,  5015,   396,   237,
     474,   338,  1191,   449,   391,  4832,    99,   248,   387,  2653,
     271,   328,   312,  2010,  2054,   248,   460,   372,   180,   304,
     312,  2284,   383,  1327,  2021,  1205,   267,   425,   220,   489,
    4140,   975,   976,  1324,   267,   509,  2033,   173,   512,  5057,
    4150,  1253,   448,    72,  4169,    97,  2366,   474,  4721,   332,
     340,   312,  1264,   339,   252,   184,  4117,    86,   219,   438,
    4121,   231,   134,   232,   349,   117,  2334,   456,   456,   361,
      85,  2166,   310,    88,  3854,  1287,   456,   460,  4131,  4136,
    3860,  3861,   509,   394,  1539,   512,   372,   326,   228,   389,
    4889,  4148,   499,   500,   501,   502,   503,   504,   414,   192,
     361,   417,   299,  1369,   266,   460,   151,   332,   248,   508,
    4747,   456,  1324,  2545,  1380,   401,  1403,   309,   290,  2497,
    4757,   290,   415,   416,   512,  3169,   287,   267,   290,   262,
     119,   456,  3176,  4886,  4887,  4018,  4794,  2166,   428,   268,
    2581,   495,  3787,   454,   189,    88,  2386,   408,  2386,  4565,
    4565,  1363,   506,   184,   508,   509,   510,   511,   443,  1103,
     499,   500,   501,   502,   503,   504,  1378,   297,  2600,  4642,
    1382,  1383,  2550,  1385,   310,  4648,   151,  4976,   495,   496,
     497,  1393,   499,   500,   501,   502,   503,   504,  2737,  1401,
    2747,   263,   508,  2571,   231,   392,  1621,  2741,   365,  1155,
    1156,   360,  1382,  1383,  1713,  1385,  1406,  3171,  1408,  3468,
     262,  1411,   434,  1413,   189,   456,  1416,  1417,  1418,   417,
    1713,  1401,   460,   456,  2602,  1437,   509,   386,   511,  1429,
     374,  1635,  1636,  2553,  1638,   151,   185,   268,  1450,   151,
    1452,  2561,  1442,  2563,  1444,  2051,  2637,   161,   197,  2690,
    2691,  2692,  2693,  1465,   269,   244,  1468,  1652,   427,   248,
     429,  2702,  1635,  1636,    22,  1638,   197,  1479,   499,   500,
     274,   512,   160,   189,   512,  3946,   383,   189,  5077,   512,
     436,  5034,  3504,   452,   509,  2731,   511,  1449,   339,   511,
    3099,   179,   434,  3015,  3171,   340,  1508,   286,  4820,  3687,
    3531,   468,   180,  3534,  3535,  3536,  3537,  3538,  3539,  3540,
    3541,  3542,  3543,   328,    72,   229,   456,   394,   153,  3252,
     222,   372,  2858,   211,  1536,  1537,   269,  1539,  1576,  1577,
     474,   241,   172,  3564,   508,   269,     5,   499,   500,  5025,
    1552,   103,   104,   257,  1556,   180,  1404,   424,   455,  1407,
     401,  1609,  1410,  3261,  1412,  2450,    25,  1415,   272,   396,
     183,  1419,  3593,  3594,  3454,   340,    35,   511,    88,   511,
     284,  2907,   512,    75,    76,    77,    78,   434,  1590,  3526,
      82,  1593,    71,   428,   512,   462,  1598,  1599,   425,   299,
      79,    80,   326,   307,  4504,  4505,  1608,  1609,   160,   330,
     500,   350,  2938,  3550,  1662,  1663,  1664,   444,  4679,  4950,
    1609,  5097,   326,  1593,  1576,  1577,   405,   179,  1598,  1599,
     248,  2450,   245,   143,   340,  1637,  4948,  4488,   340,  1641,
    1642,   508,  4493,  1681,   312,  4496,   299,  2973,   495,   302,
    1835,   121,  4433,  1663,  1664,   376,   348,   228,  1752,   211,
    1662,  1663,  1664,   428,   248,  1713,   339,   508,   298,  1403,
     300,  3410,  1720,   152,  3413,   134,  4762,   248,   382,  1727,
     401,  1683,  1609,  4534,  3993,    85,  3995,   312,    88,   506,
     368,  2801,   392,   510,   499,   500,   501,   502,   503,   504,
     436,   171,  3109,  1713,  1674,  1675,  1609,    95,   229,  2496,
    1720,  1713,   456,   101,   232,   352,   394,  2716,  1720,  1721,
     339,  2381,   428,   202,   223,  1727,   428,    14,   401,  1681,
    1700,  1701,  1734,  4303,  4304,   175,   257,   196,  1727,   392,
     476,  1475,  5005,  3177,   243,  1734,   424,  4528,   511,  4530,
      37,   272,   456,   372,   372,   219,    95,   161,   376,  1662,
     183,  1495,   101,   284,   508,  1767,   499,   500,   501,   502,
     503,   504,   290,  1775,   253,   192,   183,   194,  1767,   297,
     155,  3339,   401,   401,   462,    72,  4369,  1757,   372,  4850,
     260,  1525,   376,  3140,  4378,  1765,   474,   506,   474,   436,
    1727,   241,  1804,   512,   263,  1539,  4389,  1609,   192,   197,
     194,   223,   175,   512,   219,    95,   368,   401,   223,   194,
    4671,   101,   245,   287,  1727,   229,  2723,   223,   372,  1808,
     508,   243,  1811,   217,   175,   511,  4736,   233,   245,   476,
     310,   190,   394,   335,    85,   330,  1816,    88,   248,  1819,
    1820,   200,   248,   257,   339,  1857,   474,   401,   197,   299,
     324,   382,   302,  2760,   105,   344,    97,  3466,   272,   269,
    4721,  2723,   424,   509,   456,  1877,   512,  1856,   241,  2006,
     284,  1860,   287,  3904,   209,   514,   117,   372,   339,  1937,
     474,    88,  3128,   474,  1896,   312,  3006,   456,  4207,  4208,
     241,  1635,  1636,   307,  1638,   322,  3740,   182,  2760,   427,
     462,   429,  1914,  1883,   466,   365,   113,   197,  1999,   324,
     390,   372,   474,  2108,   249,  1727,   508,  2008,   328,   376,
     511,   182,  3716,   317,   452,  1937,   299,  1683,   322,   302,
    1942,   385,  2055,  2126,  2000,   395,   143,  3156,  1937,   508,
     401,   339,   392,  2009,   401,  1957,   508,  2013,   299,    75,
      76,    77,    78,  2019,  2020,   474,    82,    41,   447,   413,
     352,  1973,   223,   456,   424,  3184,   455,  2054,   382,   458,
     255,  2037,   467,   339,   372,   381,   172,  3394,  4152,  3157,
     339,    75,    76,    77,    78,  2294,  3403,  1999,    82,  3888,
     339,  3003,   511,  2005,   255,   263,  2008,  3573,  2010,  2011,
    1937,  2294,    51,   401,  2095,  2125,   372,    81,   468,  2021,
     376,    16,    86,   372,   361,  4595,  3765,  3766,   269,   392,
      69,  2033,  2034,   372,  1937,   310,   373,   312,  2132,  2116,
    2042,  2116,  2116,  2045,  2116,   401,  2116,   355,   219,   489,
    3748,   392,   223,  2055,   436,  3223,   440,   207,   339,   310,
     397,   312,   401,  4084,  4085,    14,   450,   253,   508,   219,
    2955,   438,  2042,   223,  2064,  2045,  2066,   372,  3489,   426,
    2070,   321,  2072,  3553,  3554,  2075,   339,   328,    37,  2079,
     394,   372,  3790,  2095,   476,   495,   496,   497,  4949,   499,
     500,   501,   502,   503,   504,   323,   401,   137,   326,  3006,
     128,  1857,   298,   143,   300,   265,   287,   468,   474,   372,
     424,     2,  3688,   153,  2784,   475,   489,   474,   475,   147,
    4565,  2133,  2134,   275,   495,  1937,  2955,   287,  1808,  2141,
     339,  1811,  2144,   161,   494,   508,  2148,   391,   401,   510,
     180,  2153,   182,   324,  2156,  2157,  2204,  3496,   462,   275,
    1955,   508,  2164,  2313,   115,  2167,  2168,  2169,  2170,   509,
     474,  4174,   512,   372,   324,  2177,  2178,  3358,  2180,  1974,
    2182,  2183,   332,  2296,  2186,   136,  1856,    71,    72,  3591,
    1860,   152,  4973,  4082,   212,   232,    75,    76,    77,    78,
    2202,  2203,  2204,    82,   508,   511,  2208,  3026,    89,   515,
    2212,  1957,  4079,  3967,  2216,  2204,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  2225,  2226,   255,  2228,  1973,  2411,  3126,
    2413,   389,  2234,   317,  3560,  2237,   326,  2293,  4673,   145,
     201,   331,    75,    76,    77,    78,  2294,   153,   475,    82,
    3952,   134,   135,   290,   495,   496,   497,  3493,   499,   500,
     501,   502,   503,   504,  2339,  2011,   326,   494,   426,   126,
      34,   331,   153,     7,  3126,  2460,   506,  2204,   159,  2406,
     339,   508,   312,   513,  2294,    19,    20,   317,  2034,   389,
     511,   506,  2294,   508,   515,   510,   434,  2299,   448,   507,
    2348,  2204,  2350,   511,   185,    39,  3713,  3714,    42,  3096,
    3097,   475,   427,   372,   429,   172,   474,   475,   279,   280,
    2054,  2184,  3756,   353,  2187,   508,   426,   192,   365,   194,
     494,   507,   293,   273,  4643,   511,   438,   367,  2348,   427,
    2350,   429,   401,   207,   508,   438,  2348,   339,  2350,    71,
     508,   391,   217,  2401,   506,   219,   508,    79,    80,   223,
    2441,   374,    75,    76,    77,    78,   503,  2448,  2370,    82,
     310,   508,   297,   510,   474,   475,    85,   297,   339,    88,
     372,   157,  2116,  3382,   376,   251,  2388,  3497,  2390,   509,
     427,   511,   429,   250,    85,  2397,  2366,   511,   512,  2401,
    2402,   265,  2204,  2405,   113,  4004,  4005,  4006,   508,   401,
     119,   509,  2401,   511,  2541,   452,  2386,   513,  2388,   449,
    2390,   361,   156,   287,  4445,  2427,   474,   475,  2430,  2381,
     503,   468,   243,  4454,   143,   508,    72,   510,   317,  2441,
    3654,   298,   314,   300,  1224,   438,  2448,   312,   385,   386,
    4471,  4472,   317,   310,   150,  3242,  1236,   322,  1238,   193,
     324,   468,  3359,   403,  3361,   426,  2468,   428,   332,   125,
    2518,    71,    72,  2521,  2401,  2209,   391,  2479,  3621,    79,
      80,   338,   275,  2485,   317,   508,    86,   510,  2490,  2491,
    2479,   389,   514,  2495,  2496,   385,   386,    71,  2401,   508,
    2502,    75,    76,    77,    78,    79,    80,  3359,    82,  3361,
     501,   502,   503,  3332,   454,    86,  2518,  2519,   508,  2521,
     377,   509,   394,   511,  3624,  3625,  3345,  3424,   426,  2518,
     511,   509,  2521,   511,    75,    76,    77,    78,   326,   248,
    2542,    82,  2544,  2545,   125,    86,  2548,    75,    76,    77,
      78,  2676,   424,  2542,    82,   412,    75,    76,    77,    78,
     269,   270,   491,    82,  2566,   468,  4132,  4616,   313,   314,
     115,   509,  3424,   511,  2576,   440,   474,   475,  2906,   389,
    2908,  2909,   271,  2553,   448,   450,  3373,  2589,  3375,   510,
     462,  2561,   329,  2563,  2521,   511,   512,  2599,  2600,  2401,
    4166,   175,   474,   329,   317,  2339,   315,   509,   326,   511,
     508,   508,   434,   510,  2662,  2518,   426,   223,  2521,   328,
     509,   326,   511,  4313,  2370,  4315,   329,    85,  4517,  4319,
      88,  4321,   491,   509,  2993,   511,   508,   509,  3847,   180,
     512,  2643,   506,  2645,   115,   509,   510,   105,   509,   394,
     511,  2397,    85,   474,   475,    88,  2402,   491,  4412,  2405,
    2662,   180,   492,   493,   474,   475,  2668,   241,   509,   271,
     511,  2673,   105,  2662,  4695,  4274,  4275,   501,  4277,   424,
    2736,  2427,   511,    75,    76,    77,    78,   227,  4090,   389,
      82,    85,   508,  2938,    88,   389,  2752,  2753,   508,   125,
    2756,  3488,   509,  2705,   511,   509,  2762,    75,    76,    77,
      78,   105,   509,   509,    82,   511,  2518,   462,  2720,  2521,
     228,  2723,  2468,   474,   475,   299,   426,  1642,   302,   474,
     267,   509,   426,   511,   509,  2662,   511,  1455,  1456,   389,
    4066,    75,    76,    77,    78,  3976,   512,    71,    82,  2495,
     509,   632,   511,   501,  2835,    79,    80,   514,  2760,  2662,
    2841,   514,   509,   508,   511,   263,  2768,  2978,  2979,  2980,
     434,   203,    96,  2519,   474,   475,   426,  2833,   389,    85,
     474,   475,    88,  4434,  4435,  4436,  4437,  1107,   180,  1109,
     499,   500,   501,   502,   503,   504,    88,   434,  2544,   105,
    3045,   434,  2548,   109,   389,  2807,   508,   113,   508,   108,
     434,   269,   180,   119,   508,   426,   434,  2819,   392,   263,
    2566,   113,   125,   269,   474,   475,   434,   508,   152,  2831,
    2576,  2801,  2784,  2835,   510,   401,   269,   143,   509,  2841,
     511,   426,   477,  2589,    85,   212,   509,    88,   511,     2,
     509,   143,   511,  2599,   389,   508,  2858,  2859,   508,   427,
    2662,   429,  2864,   474,   475,   509,  2914,   511,   510,   509,
     328,   511,  2920,   248,   427,   269,   429,   509,   202,   511,
     212,   509,   188,   511,   509,   508,   511,  2889,  2890,   474,
     475,   426,  2894,   212,   509,   328,   511,   508,   326,  4009,
     509,   326,   511,  2984,  2906,  2907,  2908,  2909,   509,   223,
     511,   509,  2914,   511,   509,   489,   511,  2919,  2920,   509,
    2922,   511,  2924,   508,   248,  2914,   509,   212,   511,   253,
     512,  2920,  2934,  2935,   328,  4122,  2938,  4124,   244,   474,
     475,   285,   248,   182,   509,  3022,   511,  3022,  3022,  2951,
    3022,  2953,  3022,  4310,   509,  2957,   511,  4659,   509,   456,
     511,  3042,   326,   269,   270,   509,   508,   511,  3787,  4376,
     509,  2973,   511,   508,   438,   321,   468,   269,   270,   509,
     286,   511,  2984,   391,  2986,  2987,  2988,  2914,   499,   500,
     501,   502,   503,  2920,   875,   509,   275,   511,   509,   499,
     500,   501,   502,   503,  3006,   358,   312,   507,  3010,   315,
     509,  2914,   511,   509,   167,   511,   509,  2920,   511,   508,
     344,  3023,   328,   315,   137,   331,  3028,   509,   269,   511,
     108,   509,  3034,   511,   187,   474,  3006,   495,   496,   497,
    3042,   499,   500,   501,   502,   503,   504,  4449,   121,  4192,
     312,   932,   933,   509,   477,   511,  3112,   312,   509,   383,
     511,  2807,   495,   496,   497,   508,   499,   500,   501,   502,
     503,   504,   115,    75,    76,    77,    78,   115,   443,  3081,
      82,    75,    76,    77,    78,  2831,   967,   328,    82,   162,
     339,   509,  4846,   511,  3096,  3097,   223,   468,   422,   405,
    3102,   495,   496,   497,   150,   499,   500,   501,   502,   503,
     504,   468,  2914,   186,  4167,  4714,   513,   212,  2920,   356,
     509,  3123,   511,   447,  3126,  4724,   212,  3129,   201,   508,
     212,   455,   205,   212,   458,  3191,   509,  3193,   511,   477,
    3927,  3928,   212,   212,  1025,    75,    76,    77,    78,   511,
     456,   224,    82,   212,   227,  3203,  3204,  3205,    75,    76,
      77,    78,   509,   212,   511,    82,   239,   326,   212,  3171,
    3172,   212,  3174,  1054,   509,  4501,   511,   212,   509,  4778,
     511,   509,  1063,   511,   326,   212,  1067,  1068,  1069,   495,
     496,   497,   212,   499,   500,   501,   502,   503,   504,   424,
    4310,  3203,  3204,  3205,  2938,  4612,   508,   499,   500,   501,
     502,   503,   504,   108,  3203,  3204,  3205,   224,  2952,   509,
    3222,   511,   509,   509,   511,   511,   223,   285,  3230,  3285,
    3232,  3233,   509,   223,   511,  3291,   509,  2971,   511,   509,
    3242,   511,   326,   509,   317,   511,   509,  4604,   511,   509,
    2984,   511,   325,  2168,   495,   496,   497,   508,   499,   500,
     501,   502,   503,   504,   509,   508,   511,  2182,  4867,   509,
     508,   511,  4157,   223,  1155,  1156,   508,   508,   349,  1160,
     508,   508,   508,   336,  3286,   508,   359,   508,  3022,   508,
     508,   508,   508,   508,  4696,   508,  3344,   508,   508,   508,
    3203,  3204,  3205,  3305,  3436,   508,  3433,   508,  3042,  3311,
     508,  3045,   508,   508,   508,   508,   508,   108,   163,   267,
     511,   285,   269,   108,   223,   324,   223,   322,   501,  3331,
    3332,  3406,   263,   401,   302,  3081,   392,   511,  4157,   179,
    3415,   455,  3344,  3345,   511,   495,    14,   511,   153,   434,
     508,   508,   508,   434,   434,  3344,  3601,  3359,   389,  3361,
     434,  3436,  3332,  4362,  4766,   510,   389,  3612,  4770,  4771,
     434,  3373,   434,  3375,  4700,  3345,   153,  3123,   389,   434,
     212,  3437,  4789,   326,   393,  3441,  3442,  3468,  3444,   282,
    3446,  3447,  3603,  3604,  3605,  3606,   317,   434,   434,  3455,
    1287,  3203,  3204,  3205,   434,   455,   145,  3409,   326,   253,
     322,   508,   434,  4310,   508,   434,   153,  3344,  4599,   511,
     339,  4768,  3424,  3425,  4523,   212,   174,   232,  4767,   434,
     456,   456,   125,   434,  3490,   125,  3438,   114,   434,   330,
    4774,  3344,  4776,   434,   114,   434,   251,   434,   434,   434,
     434,   389,  3454,   434,   511,   434,   326,   326,   269,   477,
     474,   508,   465,   508,   108,   107,  3468,    97,   508,  3471,
     326,   212,   180,   312,   508,   467,  3222,   212,   456,   293,
      85,   322,   312,    88,  3436,   290,  3488,  3233,   108,  3491,
     223,   508,   108,   275,   510,   212,   390,  1378,   212,   456,
     212,  1382,  1383,   456,  1385,  3507,   212,   212,  3510,    14,
     434,   511,   321,   316,   474,  3517,   470,   228,  3566,   432,
    1401,  3523,   491,  3525,   304,   508,   331,  3497,  3530,  3531,
    3611,  3612,  3534,  3535,  3536,  3537,  3538,  3539,  3540,  3541,
    3542,  3543,  3344,   508,   304,  3547,  3548,    88,   511,   401,
    4876,   432,   508,  3555,   434,  4912,   508,   228,  3560,  3305,
     511,   495,  3564,  1450,  3566,  1446,  3568,   511,   436,   509,
     242,   508,   511,   242,   265,   403,  3578,  3566,   273,  3581,
     327,  3583,   511,   456,   509,    34,   509,  1468,    10,  3591,
    3592,  3593,  3594,   509,   389,   152,  3598,   434,   434,  3601,
     389,   508,   456,   434,  4662,   434,   273,   273,   317,  3611,
    3612,   434,   508,   317,   438,   468,   391,   275,   317,   326,
    3622,   115,   427,   333,   429,   408,   434,   325,  3630,   511,
    3632,  3712,   434,   438,   389,  4735,   372,   108,   372,  3566,
     243,   398,   434,   361,   449,   269,   434,   452,   108,   456,
    4535,   269,   269,   495,   269,   456,   127,   269,   506,  3809,
    1541,   325,   107,  3566,   269,   434,   434,   212,   506,   495,
    1551,   223,  3406,  3675,   468,   225,   322,   398,   212,  3681,
    1561,  3415,   211,   508,   474,  3687,   508,   108,   159,  4574,
     326,   326,   502,   240,   240,   223,   108,   212,   326,   326,
    5039,   398,  3436,   223,   248,   248,   248,  4604,  3454,  1590,
    3712,   511,  1593,  1594,   511,   477,  4535,  1598,  1599,    96,
     234,   301,   326,   328,   125,  3471,   321,   511,   424,   228,
     511,   509,   511,   509,  3782,   438,   468,   275,  3786,   509,
    3788,  3743,   509,   509,   215,  3491,  4565,   491,   509,   343,
     509,   509,   228,   509,   508,  4574,   509,   509,   509,   509,
     509,   491,   335,   509,  3566,   508,    90,   509,    90,   434,
     471,   454,   379,   462,   512,   246,   495,   471,   509,   495,
    3782,   287,   511,   511,  3786,  3787,  3788,   509,   508,   326,
     329,   326,   251,  3782,   212,   508,   434,  3786,   477,  3788,
     434,   434,  1683,   259,   275,   317,   330,   212,   434,   212,
     287,   282,   344,   344,   967,   434,  3864,  3787,   389,   389,
     434,   453,   295,   434,   434,  3827,   295,   295,  3830,   389,
     389,   312,   434,   434,  1721,   988,   434,   990,   434,   992,
     401,   312,   434,   434,   434,   998,   999,  1000,   212,   434,
     114,   434,   269,   269,   269,   108,   508,   506,   509,  3786,
     302,  3788,  3864,   287,   509,   443,   495,  3601,  1021,  1022,
     509,   511,   115,   374,   127,  3864,   173,  3611,  3612,  3782,
     511,   325,   108,  3786,   509,  3788,  3961,    95,   509,  4888,
     326,   496,   497,   101,   499,   500,   501,   502,   503,   504,
    3870,  3871,  3904,   237,   434,   376,   159,   456,   508,   380,
     223,   389,   511,   173,   389,   386,   456,  1804,   329,   389,
     210,   210,   393,   269,   506,  3927,  3928,   203,  4003,  3931,
     401,    88,  3934,   141,  3990,   228,   223,  3864,   135,   410,
     509,   509,  3998,  3999,   509,   509,   467,   418,   228,   511,
     508,  1832,   508,    85,   509,   236,    88,   511,   509,   327,
     508,  3864,   215,   108,   223,  3967,  3968,  3969,   495,   456,
     495,   456,   434,   509,  2889,  2890,   509,   259,   443,  2894,
    3782,   113,   190,   509,  3786,   508,  3788,   119,  1141,   197,
    1877,   443,   200,   246,   434,   434,   434,  3743,   469,  4884,
     389,  4184,   473,   474,   434,   434,   389,  1160,   223,  1896,
    4012,   143,   509,   509,  1895,  4912,   509,   143,   212,  2934,
    2935,   173,   275,   443,   269,   509,   508,  4029,  4178,   282,
     269,   273,   357,   507,   477,   398,  4117,   474,   223,  4009,
    4121,   508,   508,   254,   148,   253,   509,   511,   426,   434,
     511,   508,  1205,   511,    85,  1942,   509,   398,   233,   312,
     228,   509,  3864,   269,  4066,  4884,   269,   269,   269,   228,
     366,   125,   472,   205,  4076,  4077,   508,  4079,  1959,   472,
    4230,  3827,  4084,  4085,  3830,   511,   509,  4089,  4090,  4164,
     509,   272,   272,  4095,  4096,   509,   334,  4099,   508,   508,
     125,   238,   310,   509,   312,   509,   322,   495,   434,   228,
     143,   253,   244,   474,   322,  4117,   248,   317,  2005,  4121,
     443,   317,   330,   376,   495,   511,   434,   380,   212,  4131,
     511,   339,   507,   386,  4136,   269,   230,   269,   270,   228,
     393,  4500,   456,   248,  2889,  2890,  4148,  4203,   401,  2894,
     456,   108,   198,   470,   286,   474,   508,   410,   474,   228,
     508,  2042,   329,   256,  2045,   418,   228,   366,   376,   508,
     508,   411,  4174,   461,   509,   508,  4224,   509,  4234,  4235,
     272,   508,  4152,   315,   342,  4187,   326,  4337,  3934,  2934,
    2935,   509,   187,   401,   473,   367,   328,   509,   509,    98,
     434,   434,   474,  4205,  4174,   508,   508,   223,   317,   317,
     108,    89,   251,   296,   508,   211,   469,   508,   357,   108,
     473,   386,  4224,   509,   508,   386,   509,  3961,   330,  1382,
    1383,  4233,  1385,   495,   125,  4224,    85,   508,   125,    88,
    4296,  4297,  4244,   508,   332,   310,   145,  4249,  1401,   456,
     326,   459,   426,   509,  4256,    82,   105,   398,   218,   357,
     137,   329,   137,   193,   113,   460,  4012,    85,   461,  4003,
     119,   366,  2153,   405,   511,   174,   108,   228,   364,   471,
     223,   198,   253,  4364,   474,   326,   326,   508,   108,   167,
     508,   108,   329,  4295,   143,   329,   195,   509,   508,   125,
     509,   185,    82,   385,   454,   509,   385,   206,  4310,   187,
     508,    94,   105,   357,   211,  2202,   372,   508,  1202,  2674,
    3006,  4224,  2528,  1859,  1599,  3184,   225,  3786,  2593,  3328,
    3863,   230,  4781,  4602,  4912,  4655,  3925,  4659,  4355,  4641,
    4310,  3103,  4980,  2789,  4534,  5038,  4926,  4996,  4925,  4830,
    3107,  4353,  3917,  2665,  2665,  3782,  3204,  1960,  2659,  3396,
    5043,  5110,  4364,  4419,  5102,  4421,  4422,   499,   500,   501,
     502,   503,   504,  4636,  3344,  3331,  4432,   276,  5007,  4576,
    1950,  4900,  4988,  4117,  4579,   187,  2267,  4121,  4743,  4012,
    1438,  3965,  2491,  4846,  3967,   244,  3289,  5020,   297,   248,
    5104,  1082,  4821,  2296,  2055,  2297,  3022,  4488,  3950,  4165,
    4412,   933,  4493,  2335,  3685,  4496,  1396,  1097,  2772,  1627,
     269,   270,  4224,  3023,  2337,  1645,  3034,  3029,  2336,  3050,
    4164,  4433,  1644,    78,  4123,  3042,  4109,   286,  3612,    84,
    1593,  1647,  4722,  4445,    89,  1598,  1599,  4449,  1652,  3611,
    1087,  3686,  4454,  4534,  3576,  4698,  3568,   356,  4967,  4971,
    4968,  3026,  2952,   312,  2950,  2860,   315,  3681,   632,  4471,
    4472,  2234,   117,  4475,  1331,  3433,  2724,  1993,  4958,   328,
    1664,   381,   331,   969,   383,  2370,  4488,  1658,  1449,  2370,
     389,  4493,  4573,  2345,  4496,  1158,   395,  1158,  4244,  4501,
    4502,  2378,  1178,  3000,  2386,  2386,  2379,  2388,  3692,  2390,
    4256,  3693,  4151,  1573,  1662,  2390,  3659,   162,   414,  1672,
    2084,  1674,  1675,  2785,  1382,   424,  4528,   426,  4530,  4519,
       2,    -1,  4534,    -1,    -1,  4616,    -1,    -1,    -1,    -1,
    1693,    -1,  4512,    -1,   443,    -1,  1001,  1700,  1701,    -1,
      -1,    -1,    -1,    -1,  4602,    -1,   405,    -1,    -1,    -1,
      -1,    -1,    -1,  4565,   209,    -1,    -1,    -1,    -1,   468,
    4645,  4573,   217,    -1,   219,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,
    4671,    -1,    -1,  2474,    -1,  4565,    -1,    -1,    -1,    -1,
    4602,    -1,  4604,    -1,  1757,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1765,  4602,  4616,  2502,  3531,    -1,    -1,  3534,
    3535,  3536,  3537,  3538,  3539,  3540,  3541,  3542,  3543,    -1,
      -1,    -1,    -1,  4689,    -1,    -1,    -1,    -1,    -1,    -1,
    4721,    -1,    -1,    -1,    -1,    -1,   495,   496,   497,  3564,
     499,   500,   501,   502,   503,   504,    -1,    -1,   507,    -1,
      -1,    -1,    -1,  1816,   513,    -1,  1819,  1820,    -1,  4671,
      -1,  4673,    -1,    -1,    -1,  4602,    -1,    -1,  3593,  3594,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4433,    -1,  4745,
      -1,    -1,    -1,  4695,  4696,    -1,  4698,    -1,  4700,  4602,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4762,  4717,    -1,    -1,    -1,  4721,
      -1,    -1,    -1,  4779,  4726,    -1,  4807,    -1,    -1,    -1,
    1883,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2632,    -1,  4828,  4488,    -1,    -1,    -1,  2645,  4493,
    4762,    -1,  4496,    -1,  4766,    -1,    -1,    -1,  4770,  4771,
     415,    -1,    -1,  4762,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4528,    -1,  4530,    -1,  3531,    -1,    -1,  3534,
    3535,  3536,  3537,  3538,  3539,  3540,  3541,  3542,  3543,    -1,
    4602,    -1,    -1,    -1,    -1,  4807,    -1,    85,  2689,    -1,
      88,    -1,    -1,    -1,    -1,  5060,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,  4826,    -1,    -1,    84,    -1,    -1,
      -1,    -1,    89,    -1,    -1,   113,  2717,    -1,  1991,    -1,
      -1,   119,  2723,    -1,  4846,    -1,    -1,    -1,  3593,  3594,
      -1,  4853,    -1,    -1,    -1,    -1,    -1,  4938,    -1,  4762,
     117,    -1,    -1,    -1,    -1,   143,    -1,    -1,  4949,    -1,
      -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,    -1,  2760,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2042,
      -1,  4893,  2045,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,  4983,    -1,    -1,   162,    -1,    -1,    -1,    -1,
    4912,  4645,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,   205,    -1,    -1,
     119,    -1,  2819,  5008,    -1,    -1,  4938,    -1,    -1,    -1,
      -1,    -1,    -1,  5020,    -1,  5020,  5020,  4949,  5020,    -1,
    5020,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
    4762,    -1,    -1,    -1,    -1,    -1,   244,    -1,  4970,  4971,
     248,  4973,    -1,    95,   231,    -1,    -1,  5033,    -1,   101,
      -1,  4983,    -1,  5060,    -1,  5060,  5060,  4721,  5060,  3904,
    5060,   269,   270,  2146,  2147,    -1,    -1,    -1,    -1,    -1,
      -1,  2154,    -1,    -1,    -1,  2158,  2159,  5055,   286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,   141,
    2173,    -1,  2175,  5025,    -1,  5106,    -1,  5104,    -1,  5104,
    5104,    -1,  5104,  5035,  5104,    -1,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,  2197,    -1,  2199,    -1,    -1,    -1,
     328,    -1,    -1,  5055,  5102,   244,    -1,    -1,    -1,   248,
      98,    -1,  5110,    -1,    -1,    -1,  5055,    -1,   190,    -1,
      -1,    -1,    -1,    -1,    -1,   197,    -1,    -1,   200,    -1,
     269,   270,    -1,    -1,    -1,  5055,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   131,  4828,  5097,  2249,   286,    -1,    -1,
    5102,    -1,    -1,    -1,  5106,    -1,   144,    -1,  5110,    -1,
     988,    -1,   990,  5102,   992,    -1,    -1,    -1,    -1,   157,
     998,  5110,    -1,   380,    -1,  3006,   315,   405,  5055,    -1,
      -1,   253,  5102,    -1,    -1,    -1,    -1,    -1,    -1,   328,
    5110,    -1,    -1,  1021,  1022,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5055,    -1,    -1,    -1,    -1,   195,   415,  3904,
    2313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,  4084,
    4085,    -1,    -1,    -1,    -1,  5102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5110,    -1,   830,    -1,   225,   310,   834,
     312,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,  5102,
     322,    -1,    -1,   848,    -1,    -1,    -1,  5110,   330,   854,
      -1,    -1,    -1,  2366,    -1,    -1,   405,   339,    -1,   864,
      -1,   499,   500,   501,   502,   503,   504,  4973,    -1,    -1,
      -1,    -1,    -1,  2386,    -1,  2388,    -1,  2390,    -1,    -1,
      -1,    -1,  3129,    -1,    -1,  3126,    -1,   892,    -1,    -1,
     372,   896,    -1,  5055,   376,    -1,    -1,    -1,    -1,   297,
      95,    -1,   907,  1141,    -1,    -1,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5008,    -1,    -1,  1155,  1156,   401,
      -1,    -1,  1160,    -1,    -1,    -1,  5020,   932,    -1,    -1,
     328,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5102,    -1,   947,    -1,    -1,    -1,   141,   952,  5110,    -1,
     499,   500,   501,   502,   503,   504,    -1,   962,   356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5060,  1205,  3209,    -1,
      -1,   976,    -1,    -1,    -1,    -1,    -1,   459,    -1,  4084,
    4085,    -1,    -1,  3230,    -1,  3232,    -1,    -1,    -1,    -1,
      -1,   389,    -1,    -1,    -1,   190,    -1,   395,    -1,  3240,
     398,    -1,   197,    -1,    -1,   200,    -1,    -1,    85,    -1,
    5104,    88,    -1,    -1,   849,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   857,    -1,    -1,    -1,   424,    -1,    -1,    -1,
     865,    -1,   430,    -1,    -1,    -1,   113,    -1,   873,  3286,
    2553,    -1,   119,   878,    -1,   443,    -1,  3288,  2561,    -1,
    2563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,    -1,
      -1,  1066,    -1,  1068,  3311,  1070,   143,    -1,    -1,  3310,
     468,    -1,  3313,  3314,    -1,    -1,  3317,    -1,    -1,    -1,
      -1,    -1,  3323,  1088,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3332,    -1,    -1,    -1,    -1,    85,  3338,    -1,    88,
      -1,    -1,    -1,    -1,  3345,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   310,   105,   312,  3359,    -1,
    3361,    -1,    -1,    -1,   113,    -1,    -1,   322,   205,    -1,
     119,    -1,    -1,    -1,    -1,   330,    -1,    -1,  2651,    -1,
      -1,    -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,
    1155,  1156,    -1,    -1,   143,    -1,  3397,    -1,    -1,    -1,
      -1,    -1,  3409,  1401,    -1,    -1,    -1,   244,    -1,    -1,
    4445,   248,    -1,    -1,    -1,    -1,    -1,   372,    -1,  4454,
      -1,   376,  3423,  3424,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3438,   269,   270,    -1,    -1,  4471,  4472,  1033,    -1,
      -1,    -1,    71,    -1,    -1,    -1,   401,    -1,    -1,   286,
      79,    80,    -1,   830,    -1,    -1,    85,   834,    -1,    88,
      -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,
    1065,   848,    -1,    -1,    -1,    -1,   105,   854,   315,   108,
      -1,    -1,    -1,    -1,   113,    -1,    -1,   864,  1083,    -1,
     119,   328,    95,    -1,    -1,   244,    -1,    -1,   101,   248,
      -1,    -1,    -1,  3510,   459,    -1,    -1,    -1,   141,    -1,
    1105,    -1,    -1,    -1,   143,   892,    -1,    -1,    -1,   896,
     269,   270,    -1,  3530,    -1,    -1,    -1,    -1,  2801,    -1,
     907,    -1,    -1,    -1,    -1,    -1,    -1,   286,   141,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3555,    -1,
      -1,    -1,    -1,    -1,    -1,   932,    -1,   190,    -1,    -1,
      -1,    -1,    -1,   312,   197,    -1,   315,   200,   405,    -1,
     947,    -1,    -1,    -1,    -1,   952,  3577,    -1,    -1,   328,
    4445,    -1,   331,    -1,  3591,   962,    -1,   190,    -1,    -1,
      -1,    -1,    -1,    -1,   197,  1593,    -1,   200,  1363,   976,
    1598,  1599,    -1,    -1,    -1,    -1,  4471,  4472,    -1,    -1,
      -1,  1206,    -1,  1378,    -1,   244,    -1,    -1,    85,   248,
     253,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3631,    -1,    -1,    -1,    -1,    -1,  1401,    -1,   105,    -1,
     269,   270,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,
     253,    -1,   119,    -1,    -1,    -1,   405,   286,    -1,    -1,
    4695,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
      -1,    -1,  1437,    -1,    -1,    -1,   143,   310,    -1,   312,
      -1,    -1,    -1,   312,    -1,  1683,   315,  1452,    -1,   322,
      -1,  1068,    -1,    -1,    -1,    -1,    -1,   330,    -1,   328,
    1465,  1296,   331,  1468,    -1,    -1,   339,   310,    -1,   312,
      -1,  1088,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,
      -1,    -1,    -1,  1318,  1319,  1320,    -1,   330,  3001,    85,
      -1,  3004,    88,  3006,    -1,    -1,   339,    -1,    -1,   372,
      -1,    -1,    -1,   376,    -1,    -1,   495,   496,   497,   105,
     499,   500,   501,   502,   503,   504,    -1,   113,    -1,  1757,
      -1,    -1,   511,   119,    -1,    -1,    -1,  1765,   401,   372,
      -1,    -1,    -1,   376,    -1,    -1,   405,   244,  1155,  1156,
      -1,   248,    -1,    -1,    -1,    -1,  3787,   143,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   401,    -1,
      -1,    -1,   269,   270,    -1,    -1,    -1,    -1,    -1,  3810,
      -1,    -1,  3813,    -1,  3815,    -1,    -1,    -1,  1816,   286,
      -1,  1819,  1820,    -1,    -1,  1590,   459,    -1,    -1,    -1,
    4695,    -1,    -1,  1598,  1599,    -1,    -1,    -1,    -1,    -1,
      -1,  1436,    -1,    -1,  1609,   312,    -1,    -1,   315,    -1,
      -1,    -1,    -1,  3854,    -1,    -1,   459,    -1,  1453,  3860,
    3861,   328,  3863,    -1,   331,    -1,   495,   496,   497,  1464,
     499,   500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,
      -1,    -1,  3883,    -1,    -1,  1883,    -1,    -1,   244,    -1,
      -1,    -1,   248,  3894,  3895,  3896,  3897,  1662,  1663,  1664,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   269,   270,    -1,    -1,    -1,  1683,    -1,
      -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,
     286,    -1,    -1,    -1,    -1,    -1,    -1,    85,   405,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1713,    -1,
      -1,    -1,    -1,    -1,    -1,  1720,   312,   105,    -1,   315,
      -1,    -1,  1727,  3964,    -1,   113,    -1,    -1,    -1,  1734,
      -1,   119,   328,    -1,    -1,   331,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1363,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,  1378,  1767,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1605,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1401,  4026,    -1,    -1,   495,   496,
     497,    -1,   499,   500,   501,   502,   503,   504,    -1,    -1,
      -1,    -1,    -1,    -1,   511,    -1,    -1,    -1,    -1,   405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1653,  3332,
    1437,    -1,    -1,    -1,  3337,  3338,    -1,    -1,    -1,    -1,
      -1,    -1,  3345,    -1,    85,  1452,    -1,    88,    -1,    -1,
      -1,    -1,    -1,  4090,    -1,    -1,    -1,    -1,  1465,    -1,
      -1,  1468,  1857,    -1,   105,    -1,   244,    -1,    -1,    -1,
     248,    -1,   113,  3376,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   269,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,   286,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,    95,
      -1,  4152,  4153,   509,    -1,   101,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,  1937,  4174,    -1,    -1,    -1,    -1,    -1,    -1,
     328,    -1,    -1,   331,  1779,    -1,    -1,    -1,    -1,    -1,
      -1,  1786,  1957,    -1,    -1,   141,    -1,    -1,  4205,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1973,    -1,
      -1,    -1,    -1,  1590,    -1,    -1,    -1,  1812,    -1,    -1,
    1815,  1598,  1599,    -1,  3497,    -1,  4233,    -1,    -1,    -1,
      -1,    -1,  1609,   244,    -1,    -1,    85,   248,    -1,    88,
      -1,    -1,  4249,    -1,   190,  2010,  2011,    -1,    -1,    -1,
      -1,   197,  1847,    -1,   200,    -1,  2021,   405,   269,   270,
      -1,    -1,    -1,    -1,   113,    -1,  1861,    -1,  2033,  2034,
     119,    -1,    -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,
    1875,    -1,    -1,    -1,    -1,  1662,  1663,  1664,  4295,    -1,
    2055,    -1,  4293,  4294,   143,    -1,    -1,    -1,    -1,    -1,
      -1,   312,  4303,  4304,   315,    -1,  1683,   253,    -1,  4310,
      -1,    -1,    -1,  4314,    -1,  2313,    -1,   328,    -1,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4329,  4330,
    4331,  4332,  4333,    -1,    -1,    -1,  1713,    -1,    -1,    -1,
      -1,    -1,    -1,  1720,    -1,    -1,    -1,   495,   496,   497,
    1727,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,   509,    -1,    -1,   310,    -1,   312,    -1,  2366,    -1,
      -1,    -1,  2370,    -1,  1287,    -1,   322,    -1,    -1,    -1,
    1975,    -1,    -1,  4384,   330,    -1,  1981,    -1,  2386,    89,
      -1,    -1,    -1,   339,   405,   244,    -1,    -1,    -1,   248,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4411,    -1,    -1,    -1,    -1,    -1,  3689,   117,    -1,    -1,
     269,   270,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
     376,    -1,   127,  4434,  4435,  4436,  4437,   286,    -1,  2204,
      -1,    85,  4449,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   401,    -1,  2052,    -1,    -1,
      -1,   105,   162,    -1,   159,    -1,   315,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,   328,
    1857,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,    -1,    -1,    -1,    -1,   509,   143,
      -1,    -1,    -1,    -1,  2099,  2100,    -1,    -1,    -1,   209,
      -1,    -1,    -1,   459,  3787,    -1,    -1,   217,    -1,   219,
     215,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2294,
      -1,   231,    -1,    -1,    -1,    -1,  3809,  1450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   246,    -1,    -1,    -1,  2553,   405,    -1,    -1,    -1,
    1937,    -1,    -1,  2561,  4565,  2563,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1957,    -1,    -1,  2348,    -1,  2350,    -1,   282,    85,    -1,
      -1,    88,    -1,    -1,  4595,    -1,  1973,  3870,  3871,    -1,
     244,    -1,    -1,  4604,   248,  2370,  3879,  4608,   105,  4610,
    3883,    -1,  4613,  4614,    -1,    -1,   113,   312,    -1,    -1,
      -1,  3894,   119,    -1,    -1,   269,   270,    -1,    -1,    -1,
      -1,    -1,  2397,  2010,  2011,    -1,  2401,  2402,  2233,    -1,
    2405,    -1,   286,    -1,  2021,    -1,   143,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,  2033,  2034,    -1,    -1,
      -1,    -1,  2427,  2258,    -1,    -1,    -1,    -1,   312,    -1,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,  2055,    -1,
      -1,   376,    -1,   378,   328,   380,    -1,   331,    -1,  4696,
      -1,   386,    -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,
    2295,    -1,  2297,  2468,    -1,    -1,   401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2479,   410,    -1,    -1,    -1,  4726,
      -1,    -1,    -1,   418,    -1,    -1,    -1,    -1,    -1,    -1,
    2495,  2496,    -1,    -1,    95,    -1,  4009,    -1,    -1,  2334,
     101,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,   248,    -1,  2518,  2519,    -1,  2521,    -1,    -1,  4766,
      -1,   405,    -1,  4770,  4771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   269,   270,   469,    -1,    -1,  2542,    -1,  2544,
     141,  4782,    -1,  2548,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2566,    -1,  2801,    -1,    -1,    -1,    -1,  1721,    -1,
      -1,  2576,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,
      -1,    -1,    -1,    -1,  2589,    -1,    -1,  2204,    -1,   190,
      -1,   328,    -1,    -1,  2599,    -1,   197,    -1,    -1,   200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,  1775,    -1,    -1,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4152,
      -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,
      -1,  1804,   253,    -1,    -1,    -1,    -1,  2662,    -1,    -1,
      -1,  4174,    -1,    -1,    -1,  4178,    -1,    -1,   405,    -1,
      -1,  4912,    -1,   113,    -1,    -1,    -1,  2294,    -1,   119,
    2515,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,  2530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   143,    -1,    -1,   105,    -1,    -1,   310,
      -1,   312,    -1,    -1,   113,    -1,    -1,  4230,  2723,    -1,
     119,   322,    -1,    -1,  1877,    -1,    -1,    -1,    -1,   330,
      -1,  2348,    -1,  2350,  4247,  4248,    -1,    -1,   339,  4252,
    4253,    -1,    -1,  1896,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2370,    -1,  2760,    -1,    -1,   495,   496,
     497,  1914,   499,   500,   501,   502,   503,   504,  3006,    -1,
      -1,   372,    -1,    -1,    -1,   376,    -1,    -1,    -1,    -1,
    2397,    -1,    -1,    -1,  2401,  2402,    -1,    -1,  2405,  1942,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4310,    -1,    -1,
     401,    -1,  2807,    -1,   244,    -1,    -1,    -1,   248,    -1,
    2427,    -1,    -1,    -1,  5055,    -1,  4329,  4330,  4331,  4332,
    4333,    -1,    -1,    -1,  4337,    -1,  2831,    -1,    -1,   269,
     270,    -1,    -1,    -1,    -1,    -1,    -1,  2672,    -1,    85,
      -1,    -1,    88,    -1,    -1,   244,   286,   108,    -1,   248,
      -1,  2468,  2005,    -1,    -1,    -1,    -1,    -1,   459,   105,
      -1,  5102,    -1,    -1,    -1,    -1,   127,   113,    -1,  5110,
     269,   270,   312,   119,    -1,   315,    -1,    -1,  2495,  2496,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,   328,    -1,
     830,    -1,    -1,    -1,    -1,    -1,    -1,   143,   159,    -1,
      -1,  2518,  2519,    -1,  2521,    -1,    -1,    -1,   848,  2914,
      -1,    -1,    -1,   312,   854,  2920,   315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   864,    -1,    -1,  2544,    -1,   328,
      -1,  2548,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2566,
      -1,    -1,   892,    -1,   215,    -1,   896,    -1,    -1,  2576,
      -1,    85,    -1,    -1,    88,   405,    -1,   907,    -1,    -1,
      -1,    -1,  2589,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,   105,  2599,    -1,    -1,   246,    -1,    -1,    -1,   113,
      -1,    -1,   932,    -1,    -1,   119,   105,    -1,   244,  4512,
      -1,  3006,   248,    -1,   113,    -1,   405,   947,    -1,    -1,
     119,    -1,   952,    -1,   275,    -1,    -1,    -1,    -1,   143,
      -1,   282,   962,   269,   270,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   143,    -1,   976,    -1,    -1,    -1,
     286,    -1,    -1,    -1,    -1,  2662,    -1,    -1,    -1,  2202,
      -1,   312,  4565,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,    -1,  3081,    -1,    -1,    -1,
      -1,    -1,   328,    -1,  2237,   331,    -1,    -1,    -1,    -1,
      -1,  3096,  3097,    -1,  3332,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,  2723,  3345,    -1,    -1,
     509,    -1,    -1,    -1,    -1,   376,    -1,    -1,  3123,   380,
     244,  3126,    -1,    -1,   248,   386,  1066,    -1,  1068,    -1,
    1070,    -1,   393,    -1,    -1,   244,    -1,    -1,    -1,   248,
     401,    -1,  2977,  2760,    -1,   269,   270,    -1,    -1,   410,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,    -1,   405,
     269,   270,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,
    2807,   315,    -1,    -1,    -1,    -1,    -1,    -1,  3203,  3204,
    3205,    -1,    -1,   312,   328,    -1,   315,   331,   469,    -1,
      -1,    -1,   473,    -1,  2831,  1155,  1156,  3222,    -1,   328,
      -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,  3233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,  3497,
      95,    -1,    -1,   509,    -1,    -1,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,   405,  2914,    -1,    -1,
    3305,    -1,    -1,  2920,    -1,    -1,   141,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2485,    -1,    -1,    -1,    -1,  2490,  2491,  3344,
    4853,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,  2502,
      -1,    -1,    -1,    -1,  3359,   190,  3361,    -1,    -1,    -1,
      -1,    -1,   197,    -1,    -1,   200,    -1,    -1,  3373,    -1,
    3375,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,    -1,   509,   495,   496,   497,  3006,
     499,   500,   501,   502,   503,   504,    95,    -1,    -1,    -1,
     509,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,  3424,
      -1,    -1,    -1,  1363,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1378,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,   244,  3454,
      -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1401,    -1,    -1,  3081,    -1,  3471,    -1,    -1,    -1,
      -1,    -1,    -1,   269,   270,   310,    -1,   312,    -1,  3096,
    3097,    -1,    -1,  3488,    -1,    -1,  3491,   322,    -1,    -1,
     286,   190,  2645,    -1,    -1,   330,    -1,  1437,   197,    -1,
      -1,   200,    -1,    -1,   339,    -1,  3123,    -1,    -1,  3126,
      -1,    -1,  1452,    -1,    -1,    -1,   312,    -1,    -1,   315,
      -1,    -1,    -1,    -1,    -1,  1465,    -1,   127,  1468,    -1,
    3365,  3366,   328,    -1,    -1,   331,    -1,   372,    -1,    -1,
      -1,   376,  5055,    -1,    -1,    -1,  3381,    -1,    -1,  3787,
      -1,    -1,    -1,    -1,   253,    -1,    -1,    -1,    -1,   159,
    3395,  3566,    -1,    -1,    -1,    -1,   401,  2720,    -1,  3404,
      -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3418,    -1,    -1,  3203,  3204,  3205,  5102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3222,    -1,    -1,    -1,   405,
      -1,   310,    -1,   312,    -1,   215,  3233,    -1,    -1,    -1,
      -1,    -1,    -1,   322,   459,  3242,    -1,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    -1,   246,    -1,    -1,    -1,
    1590,    -1,    -1,    -1,  3489,    -1,    -1,    -1,  1598,  1599,
      -1,    -1,    -1,    -1,    -1,    -1,  2819,    -1,    -1,  1609,
      -1,    -1,    -1,   372,    -1,    -1,    -1,   376,    -1,    -1,
      -1,    -1,   282,    -1,    -1,    -1,    -1,    -1,  3305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   495,
     496,   497,   401,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,   312,   509,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,  1662,    88,    -1,    -1,    -1,  3344,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,  3743,   339,
     105,    -1,  3359,  1683,  3361,    -1,    -1,    -1,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,  3373,    -1,  3375,   113,
     459,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,  4009,   372,  3608,  3609,  3610,   376,  3782,   143,    -1,
     380,  3786,    -1,  3788,    -1,    85,   386,  1727,    88,   143,
      -1,    -1,    -1,   393,  1734,  1287,    -1,    -1,    -1,    -1,
      -1,   401,    -1,    -1,    -1,   105,    -1,  3424,    -1,    -1,
     410,    -1,    -1,   113,    -1,    -1,    -1,    -1,   418,   119,
      -1,    -1,  3827,    -1,    -1,  3830,    -1,  1767,    -1,    -1,
      -1,    -1,    -1,  2986,  2987,  2988,    -1,  3454,    -1,    -1,
      -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3471,    -1,    -1,    -1,    -1,  3864,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,   469,
      -1,  3488,    -1,    85,  3491,    -1,    88,    -1,    -1,   244,
      -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,   113,
     244,    -1,    -1,    -1,   248,   119,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,   269,   270,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   269,   270,  1857,    -1,   143,
      -1,   286,  3927,  3928,    -1,    -1,    -1,    -1,    -1,  3934,
      -1,   143,   286,    -1,    -1,    -1,    -1,    -1,    -1,    95,
    4178,    -1,    -1,    -1,   244,   101,    -1,   312,   248,  3566,
     315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1450,    -1,
      -1,   315,    -1,   328,    -1,    -1,   331,    -1,    -1,   269,
     270,    -1,    -1,    -1,   328,    -1,  3129,    -1,    -1,    -1,
      -1,   205,    -1,    -1,    -1,   141,   286,    -1,    -1,    -1,
      -1,    -1,  4230,   205,    -1,    -1,    -1,  1937,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4012,    -1,    -1,
      -1,    -1,   312,    -1,    -1,   315,    -1,  1957,  3171,  3172,
     244,  3174,    -1,    -1,   248,    -1,    -1,    -1,   328,    -1,
      -1,   331,   244,  1973,   190,    -1,   248,    -1,    -1,    -1,
     405,   197,    -1,    -1,   200,   269,   270,    -1,    -1,    -1,
      -1,   405,    -1,    -1,    -1,    -1,  3891,   269,   270,    -1,
      -1,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2010,  2011,  4310,    -1,   286,  3910,    -1,  3230,    -1,  3232,
      -1,  2021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   315,    -1,  2033,  2034,    -1,    -1,   253,    -1,  4337,
      -1,  1593,  3937,   315,   328,   405,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2055,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3743,    -1,    -1,    -1,
     495,   496,   497,  3286,   499,   500,   501,   502,   503,   504,
      -1,   495,   496,   497,   509,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,   310,    -1,   312,    -1,  3311,    -1,
      -1,    -1,    -1,    -1,    -1,  3782,   322,    -1,    -1,  3786,
      -1,  3788,    -1,    -1,   330,    -1,    -1,    -1,    -1,  3332,
      -1,   405,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3345,   405,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,   509,
    3827,    -1,    -1,  3830,    -1,    -1,   372,    -1,    -1,  4224,
     376,    -1,    -1,    -1,    95,    -1,    -1,    -1,    -1,  1721,
     101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4244,
      -1,    -1,    -1,    -1,    -1,   401,    -1,  3864,    -1,    -1,
      -1,  4256,    -1,    -1,    -1,   126,  3409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2204,    -1,  4101,  4102,  4103,  4104,
     141,    -1,  3425,    -1,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,  1775,    -1,  3438,    -1,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   172,    -1,   459,    -1,  4310,    -1,    -1,   160,    -1,
    3927,  3928,  1804,    -1,    -1,    85,    -1,  3934,    88,   190,
      -1,    -1,    -1,    -1,    -1,    -1,   197,  4565,    -1,   200,
      85,    -1,    -1,    88,    -1,   105,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,
     105,    -1,    -1,    -1,    -1,   207,    -1,  3510,   113,    -1,
      -1,    -1,    -1,    -1,   119,    -1,    -1,   219,    -1,    -1,
      -1,   223,    -1,   143,    -1,    -1,   228,  3530,    -1,   250,
      -1,   233,   253,    -1,   236,  1877,   238,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,  4012,    -1,    -1,    -1,    -1,
      -1,    -1,  3555,    -1,  1896,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1914,    -1,    -1,    -1,    -1,   298,  4433,   300,
    2370,    -1,    -1,    -1,    -1,   287,    -1,    -1,  3591,   310,
      -1,   312,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1942,   322,    -1,    -1,    -1,    -1,    -1,  2397,    -1,   330,
      -1,  2401,  2402,    -1,    -1,  2405,    -1,   338,   339,    -1,
      -1,    -1,   324,    -1,   244,    -1,    -1,    -1,   248,  3632,
     332,    -1,    -1,    -1,    -1,    -1,    -1,  2427,    -1,   244,
      -1,    -1,    -1,   248,    -1,    -1,    -1,    -1,    -1,   269,
     270,   372,    -1,    -1,    -1,   376,   377,    -1,    -1,    -1,
      -1,    -1,    -1,  2005,   269,   270,   286,    -1,    -1,    -1,
      -1,    -1,    -1,  4528,    -1,  4530,    -1,   379,  2468,    -1,
     401,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2479,
      -1,   412,   312,    -1,    -1,   315,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2495,  2496,   312,   328,    -1,
     315,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,   424,   328,    -1,    -1,   331,    -1,  2518,  2519,
    4415,  2521,    -1,    -1,    -1,    -1,    -1,    -1,   459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,  4602,    -1,  4604,
      -1,    -1,  2542,    -1,  2544,    -1,    -1,  4224,  2548,   132,
      -1,    -1,    -1,    -1,    -1,  4853,    -1,    -1,    -1,   471,
      -1,   473,   474,    -1,    -1,    -1,  2566,  4244,    -1,    -1,
     153,    -1,    -1,    -1,  3787,   405,  2576,    -1,    -1,  4256,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,  2589,
     405,    -1,    -1,    -1,   506,    -1,    -1,   509,   510,  2599,
     512,   184,    -1,    -1,     3,    -1,    -1,    -1,    -1,   192,
       9,    95,    -1,    -1,    13,    -1,    15,   101,    17,    18,
      -1,    -1,    -1,    -1,    -1,   208,    -1,   210,    -1,    28,
      -1,   214,    -1,  4310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,    -1,    -1,    -1,    -1,    45,    46,    -1,   232,
    2202,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,  2662,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,   509,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
      -1,    -1,    91,    -1,   509,    -1,    -1,  4762,    -1,    -1,
      -1,    -1,   101,    -1,   103,   104,   190,    -1,    -1,    -1,
      -1,    -1,    -1,   197,    -1,    -1,   200,    -1,  3931,   118,
      -1,    -1,    -1,  2723,    -1,    -1,    -1,   160,    -1,    -1,
    4625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,
      -1,   140,   141,    -1,    -1,    -1,    -1,   146,    -1,   148,
      -1,    -1,    -1,    -1,  3967,    -1,  4433,    -1,    -1,   158,
    2760,   160,    -1,    -1,    -1,    -1,    -1,  4662,    -1,   253,
      -1,    -1,    -1,    -1,   207,   174,    -1,   176,    -1,    -1,
     179,    -1,    -1,    -1,  1287,    -1,   219,    -1,    -1,    -1,
     223,    -1,   191,    -1,   193,   228,    -1,    -1,   197,    -1,
     233,    -1,    -1,   236,   203,   238,    -1,  2807,    -1,    -1,
      -1,    -1,   211,    -1,   213,    -1,    -1,    -1,    -1,    -1,
     219,    -1,    -1,    -1,    -1,    -1,   310,    -1,   312,    -1,
      -1,  2831,   265,    -1,   233,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,  4912,    -1,    -1,
      -1,  4528,    -1,  4530,   287,   339,    -1,    -1,    -1,    -1,
      -1,  4756,    -1,    -1,    -1,    -1,  4079,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,   288,
     289,   324,   376,    -1,    -1,   294,    -1,    -1,    -1,   332,
      -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,  4973,    -1,
      -1,    -1,    -1,    -1,  2914,   314,    -1,   401,  4131,    -1,
    2920,    85,    -1,  4136,    88,  4602,    -1,  4604,    -1,    -1,
      -1,    -1,    -1,  2485,    -1,  4148,    -1,    -1,  2490,  2491,
      -1,   105,    -1,    -1,    -1,    -1,   379,  1450,    -1,   113,
    2502,    -1,   351,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   363,    -1,    -1,    -1,    -1,   368,
     369,    -1,   371,    -1,    -1,   459,    -1,   376,    -1,   143,
      -1,    -1,   381,    -1,    -1,   384,    -1,    -1,    -1,   388,
    5055,   424,  4205,    -1,   393,   394,    -1,    -1,    -1,    -1,
      -1,    -1,   401,    -1,    -1,   404,  3006,    -1,    -1,    -1,
      -1,    -1,    -1,   412,    -1,   448,    -1,    -1,    -1,    -1,
    4233,    -1,    -1,    -1,    -1,   424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4249,  5102,   471,    -1,
     473,   474,   441,    -1,   443,  5110,    -1,    -1,    -1,   632,
      -1,    -1,   451,    -1,    -1,    -1,    -1,    -1,   457,    -1,
      -1,    -1,    -1,   462,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,    -1,   474,   509,   510,    -1,   512,
     244,  3081,  4295,    -1,   248,  4762,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2645,    -1,    -1,  3096,  3097,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,   508,
      -1,    -1,    -1,   512,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   286,  3123,    -1,    -1,  3126,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,
      -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   328,    -1,    -1,   331,  2720,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4412,
      -1,    -1,    -1,  3203,  3204,  3205,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,  1721,    -1,
     119,    -1,  3222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3233,    -1,  4912,  4449,    -1,    -1,    -1,
      -1,   405,  3242,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   838,   839,   840,   841,    -1,
     843,    -1,   845,    -1,   847,    -1,   849,  2819,    -1,   852,
      -1,    -1,  1775,    -1,   857,    -1,   859,    -1,    -1,    -1,
     863,    -1,   865,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     873,    -1,    -1,    -1,    -1,   878,  4973,   880,    -1,    -1,
     883,  1804,   885,    -1,   887,  3305,    -1,    -1,    -1,    -1,
      -1,   894,    -1,    -1,   897,    -1,    -1,    -1,    -1,    -1,
      -1,   904,    -1,    -1,   223,    -1,    -1,    -1,    -1,   228,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,    -1,    -1,   507,  3344,   244,    -1,    -1,    -1,   248,
      -1,    -1,  4565,   936,    -1,    -1,    -1,    -1,   941,  3359,
      -1,  3361,    -1,   946,    -1,    -1,    -1,   950,    -1,    -1,
     269,   270,    -1,  3373,  1877,  3375,    98,    -1,  5055,    -1,
      -1,    -1,   965,    -1,    -1,    -1,    -1,   286,    -1,    -1,
      -1,    -1,    -1,  1896,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,
      -1,  1914,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,
      -1,    -1,   144,   145,  3424,  5102,    -1,    -1,    -1,   328,
      -1,   153,   331,  5110,    -1,   157,    -1,  1020,    -1,  1942,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1033,  1034,   174,    -1,  3454,    -1,    -1,    -1,    -1,    -1,
    4673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3471,    -1,   195,    -1,    -1,    -1,  1060,    -1,    -1,
      -1,  1064,  1065,  4696,   206,    -1,    -1,    85,  3488,    -1,
      88,  3491,   214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1083,    -1,  2005,   225,  1087,    -1,   405,   105,   230,    -1,
      -1,    -1,  1095,  4726,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,  1105,    -1,    -1,    -1,    -1,    85,    -1,   251,
      88,    -1,    -1,    -1,  1117,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,   105,    -1,    -1,
      -1,    -1,    -1,  4766,   276,   113,    -1,  4770,  4771,    -1,
      -1,   119,    -1,    -1,    -1,    -1,  3566,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,  3129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   495,   496,   497,  1287,
     499,   500,   501,   502,   503,   504,   328,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1199,    -1,    -1,  3171,
    3172,    -1,  3174,  1206,    -1,  1208,  1209,    -1,    -1,    -1,
      -1,    -1,    -1,  4846,   356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   383,    -1,    -1,   222,   387,    -1,   389,    -1,    -1,
    1253,   269,   270,   395,    -1,    -1,   398,    -1,  3230,    -1,
    3232,  1264,    -1,    -1,    -1,  1268,   244,    -1,   286,    -1,
     248,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1281,  2202,
      -1,    -1,   424,    -1,   426,    -1,    -1,    -1,   430,    -1,
      -1,   269,   270,  1296,   312,    -1,   438,   315,    -1,  1302,
    1303,   443,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,
     328,    -1,    -1,   331,  3286,  1318,  1319,  1320,    -1,  1322,
      -1,  1324,    -1,  3743,    -1,  1328,   468,    -1,    -1,    -1,
      -1,    -1,   350,    -1,   312,    -1,    -1,   315,    -1,  3311,
      -1,    -1,  1450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,    -1,    -1,   331,  1357,    -1,  1359,  1360,    -1,    -1,
    3332,    -1,  3782,    -1,    -1,    -1,  3786,    -1,  3788,    -1,
     348,    -1,    -1,  3345,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   160,    -1,    -1,   405,    -1,    -1,
    1393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   419,    -1,    -1,    -1,    -1,    -1,  3827,    -1,    -1,
    3830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   405,  1431,  1432,
      -1,   207,    -1,  1436,    -1,  1438,    -1,  3409,    -1,    -1,
      -1,    -1,    -1,   219,  3864,    -1,    -1,   223,    -1,    -1,
    1453,    -1,   228,  3425,    -1,    -1,    -1,   233,  1461,    -1,
     236,  1464,   238,    -1,  1467,    -1,  3438,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1479,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,   265,
      -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1508,    -1,  3927,  3928,    -1,
      -1,   287,    -1,    -1,  3934,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    85,    -1,    -1,
      88,    -1,    -1,  1536,  1537,    -1,  1539,    -1,  3510,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,   324,    -1,
     108,    -1,   157,  1556,    -1,   113,   332,    -1,  3530,    -1,
      -1,   119,  2485,    -1,    -1,    -1,    -1,  2490,  2491,   174,
      -1,    -1,    -1,  1576,  1577,   180,    -1,    -1,    -1,  2502,
      -1,    -1,    -1,  3555,    -1,   143,    -1,    -1,    -1,    -1,
     195,    -1,  4012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   206,  1605,   379,    -1,  1608,    -1,    -1,    -1,   214,
      -1,    -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,  3591,
     225,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,   236,    -1,    -1,  1637,    -1,    -1,    -1,  1641,  1642,
      -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,   424,  1652,
    1653,  1654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1775,    -1,    -1,
      -1,   276,   448,    -1,    -1,    -1,    -1,    -1,  1681,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
     248,    -1,   297,    -1,    -1,   471,  1804,   473,   474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   269,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2645,   328,    -1,    -1,    -1,    -1,   286,    -1,
     506,    -1,    -1,   509,   510,    -1,   512,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   356,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1877,
     328,    -1,    -1,   331,    -1,    -1,  1779,  1780,   383,    -1,
      -1,    -1,   387,  1786,   389,    -1,  1789,    -1,  1896,    -1,
     395,    -1,    -1,   398,    -1,    -1,    -1,  2720,    -1,    -1,
      -1,    -1,    -1,  1806,  4224,    -1,  1914,    -1,    -1,  1812,
      -1,    -1,  1815,    -1,    -1,  3787,    -1,    -1,    -1,   424,
      -1,   426,    -1,    -1,  4244,   430,    85,    -1,    -1,    88,
      -1,    -1,  1835,   438,  1942,    -1,  4256,    -1,   443,    -1,
    1843,  1844,  1845,  1846,  1847,    -1,   105,   405,    -1,    -1,
     455,    -1,    -1,    -1,   113,    -1,    -1,    -1,  1861,    -1,
     119,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,
    1873,    -1,  1875,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1885,  1886,   143,    -1,    -1,    -1,  1891,    -1,
    4310,    -1,    -1,    -1,    -1,    -1,  2819,  2005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1936,    -1,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3931,
    1963,  1964,  1965,  1966,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1975,    -1,    -1,    -1,    -1,    -1,  1981,    -1,
      -1,  1984,    -1,    -1,    -1,   244,    -1,    -1,    -1,   248,
      -1,    -1,    -1,    -1,    -1,  3967,  1999,    -1,    -1,    -1,
      -1,    -1,    -1,  2006,    -1,  2008,    -1,    -1,    -1,    -1,
     269,   270,    -1,  4433,    -1,  2018,    -1,    -1,    -1,    -1,
    2023,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,  2032,
      -1,    -1,    -1,    -1,    -1,  2038,  2039,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2052,
      -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2086,    -1,    -1,   345,    -1,    -1,    -1,
    2093,    -1,  2095,    -1,  2202,    -1,  2099,  2100,    -1,  2102,
      -1,    -1,    -1,    -1,    -1,  2108,    -1,  4079,  4528,    -1,
    4530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4090,    -1,
      -1,    -1,  2125,  2126,    -1,    -1,  2129,    -1,    -1,    -1,
    2133,  2134,    -1,    -1,    -1,    -1,    -1,    -1,  2141,    -1,
      -1,  2144,    -1,    -1,    -1,  2148,   405,    -1,    -1,    -1,
      -1,    -1,    -1,  2156,  2157,    -1,    -1,    -1,    -1,    -1,
      -1,  2164,    -1,  2166,  2167,  2168,  2169,  2170,    -1,    -1,
      -1,    -1,    -1,    -1,  2177,  2178,    -1,  2180,    -1,  2182,
    2183,    -1,  4602,  2186,  4604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2203,    -1,    -1,    -1,  2207,  2208,  3129,    -1,    -1,  2212,
      -1,    -1,    -1,  2216,    -1,  2218,  2219,  2220,  2221,  2222,
    2223,  2224,  2225,  2226,    -1,  2228,    -1,    -1,    -1,    -1,
    2233,  2234,    85,  4205,  2237,    88,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,    -1,    -1,  3171,  3172,
      -1,  3174,   105,    -1,    -1,  2258,    -1,    -1,    -1,    -1,
     113,  4233,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,  2295,    -1,  2297,    -1,  2299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3230,    -1,  3232,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2334,    -1,    -1,    -1,    -1,    -1,  2340,    -1,  2342,
      -1,    -1,  4762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   228,    -1,  2485,    -1,    -1,
      -1,    -1,  2490,  2491,    -1,    -1,    -1,    -1,  3311,    -1,
      -1,   244,    -1,    -1,  2502,   248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2406,    -1,    -1,    -1,    -1,  2411,  3332,
    2413,    -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,    -1,  3345,    -1,    -1,    -1,    -1,  2430,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,    -1,  2441,    -1,
    2443,  2444,  2445,    -1,    -1,  2448,    -1,  2450,    -1,  2452,
      -1,  2454,    -1,  2456,  2457,    -1,    -1,  2460,    -1,   312,
      -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,    -1,  4449,   331,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3409,    -1,    -1,    -1,
      -1,    -1,  4912,    -1,    -1,  2498,    -1,    -1,    -1,    -1,
      -1,  2504,  3425,    -1,    -1,    -1,  2509,    -1,    -1,    -1,
      -1,    -1,  2515,    -1,    -1,  3438,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2530,    -1,    -1,
      -1,  2534,  2535,    -1,    -1,    -1,    -1,  2645,  2541,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,    -1,
      88,    -1,   405,  4973,    -1,    -1,  2559,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
     108,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,  2585,    -1,  2587,  2588,    -1,  3510,    -1,    -1,
      -1,    -1,    -1,  4565,    -1,    -1,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    88,    -1,   143,    -1,  3530,    -1,    -1,
      -1,    -1,  2720,    -1,  2617,    -1,    -1,    -1,    -1,    -1,
     105,    -1,  2625,   108,    -1,    -1,    -1,  2630,   113,    -1,
      -1,    -1,  3555,    -1,   119,  5055,    -1,    -1,    -1,    -1,
    2643,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,    -1,    -1,  2667,    -1,    -1,  2670,  3591,  2672,
      -1,  2674,    -1,    -1,  2677,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2703,  4673,    -1,    -1,    -1,    -1,   244,    -1,  2711,  2712,
     248,  2819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2724,    -1,    -1,  4696,    -1,    -1,    -1,    -1,    -1,
      -1,   269,   270,    -1,    -1,    -1,    -1,    -1,  2741,    -1,
    2743,  2744,  2745,  2746,    -1,    -1,    -1,    -1,   286,    -1,
      -1,    -1,    -1,    -1,  4726,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,   248,    -1,  2768,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,   269,   270,  2789,    -1,    -1,    -1,
     328,    -1,    -1,   331,  4766,    -1,    -1,    -1,  4770,  4771,
      -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   312,    -1,    -1,
     315,    -1,  2835,    -1,    -1,    -1,    -1,    -1,  2841,    -1,
      -1,    -1,    85,   328,    -1,    88,   331,    -1,    -1,  2852,
      -1,    -1,    -1,    -1,    -1,  2858,  2859,    -1,    -1,    -1,
      -1,  2864,   105,    -1,  3787,    -1,    -1,   405,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2889,  2890,    -1,    -1,
      -1,  2894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     143,    -1,    -1,  2906,  2907,  2908,  2909,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2919,    -1,    -1,  2922,
     405,  2924,  2925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2934,  2935,    -1,    -1,  2938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2951,    -1,
    2953,    -1,  2955,    -1,  2957,    -1,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
    2973,    -1,    -1,    -1,  2977,    -1,    -1,    -1,    -1,    -1,
      -1,  2984,    -1,  2986,  2987,  2988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,    -1,   248,    -1,  3010,  3931,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
    3023,  3129,    -1,    -1,    -1,  3028,   269,   270,    -1,    -1,
      -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3042,
      -1,    -1,  3045,   286,  3967,    -1,  3049,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,  3171,  3172,    88,  3174,    -1,    -1,   312,
      -1,    95,   315,    -1,    -1,    -1,    -1,   101,    -1,    -1,
      -1,    -1,   105,    -1,    -1,   328,    -1,    -1,   331,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,  3102,
      -1,  3104,   126,    -1,    -1,    -1,  3109,    -1,    -1,  1287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
     143,    -1,  3230,    -1,  3232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3135,    -1,  3137,  3138,  3139,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4079,   105,    -1,    -1,
     108,    -1,   405,    -1,    -1,   113,   190,  4090,    -1,    -1,
      -1,   119,    -1,   197,    -1,    -1,   200,    -1,  3286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   431,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   244,    -1,    -1,  3332,   248,   250,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3345,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   269,   270,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1450,    -1,   298,    -1,   300,    -1,    -1,    -1,
      -1,    -1,  4205,    -1,    -1,    -1,   310,    -1,   312,   312,
      -1,    -1,   315,    -1,    -1,    -1,   244,    -1,   322,    -1,
     248,  3409,    -1,    -1,    -1,   328,   330,    -1,   331,    -1,
    4233,    -1,  3315,  3316,   338,   339,    -1,  3425,    -1,    -1,
      -1,   269,   270,    -1,    -1,    -1,  4249,    -1,    -1,    -1,
    3438,    -1,    -1,    -1,    -1,  3338,    -1,    -1,   286,   117,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,   376,   377,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3365,  3366,   312,    -1,    -1,   315,    -1,    -1,
      -1,    -1,  4295,    -1,    -1,    -1,    -1,   401,  3381,    -1,
     328,    -1,   405,   331,   162,    -1,    -1,    -1,   412,    -1,
      -1,  3394,  3395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3403,  3404,  3510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3418,    -1,    -1,    -1,    -1,
      -1,    -1,  3530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3433,   209,    -1,    -1,    -1,   459,    -1,    -1,    -1,   217,
      -1,   219,    -1,    -1,    -1,  3448,    -1,  3555,  3451,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,   405,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3468,    -1,    -1,    -1,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,    -1,  3591,    -1,    -1,  3489,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3499,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3507,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3517,    -1,    -1,    -1,    -1,    -1,
    3523,    -1,  3525,    -1,    -1,    -1,  4449,    -1,  3531,    -1,
      -1,  3534,  3535,  3536,  3537,  3538,  3539,  3540,  3541,  3542,
    3543,    -1,    -1,  1721,  3547,  3548,    -1,   495,   496,   497,
      -1,   499,   500,   501,   502,   503,   504,  3560,    -1,    -1,
      -1,  3564,    -1,    -1,    -1,  3568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3578,    -1,    -1,  3581,    -1,
    3583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3592,
    3593,  3594,    -1,    -1,    -1,  3598,    -1,  1775,  3601,    -1,
      -1,    -1,    -1,    -1,    -1,  3608,  3609,  3610,  3611,  3612,
    3613,    -1,    -1,    -1,  3617,  3618,    -1,    -1,    -1,  3622,
      -1,    -1,    -1,    -1,    -1,  3628,  1804,  3630,    -1,  3632,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3675,    -1,    -1,    -1,    -1,    -1,  3681,  3787,
      -1,    -1,  3685,    -1,  3687,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1877,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,
    3713,  3714,    -1,  3716,    -1,    -1,    -1,    -1,  1896,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3734,  3735,  3736,  3737,    -1,  1914,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1942,    -1,    -1,    -1,    -1,  3772,
      -1,    -1,    -1,  4696,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
      -1,    -1,    -1,  4726,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     131,    -1,    -1,  3931,    -1,    -1,    -1,  2005,    -1,    -1,
      -1,    -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3844,    -1,  4766,    -1,    -1,   157,  4770,  4771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3967,
      -1,    -1,    -1,   174,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3883,    -1,    -1,    -1,   195,    -1,    -1,    -1,  3891,    -1,
      -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,  3902,
      -1,  3904,    -1,   214,    -1,    -1,    -1,  3910,    -1,    -1,
      -1,    -1,    -1,  3916,   225,    -1,    -1,    -1,    -1,   230,
      -1,    -1,  3925,    -1,    -1,   236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3937,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,  3946,    -1,    -1,    -1,    -1,    -1,  3952,
      -1,    -1,    -1,   839,   840,    -1,    -1,   843,    -1,   845,
      -1,    -1,    -1,    -1,    -1,  3968,  3969,    -1,    -1,    -1,
      -1,  4079,    -1,    -1,    -1,    -1,    -1,   863,    -1,    -1,
      -1,    -1,  4090,    -1,    -1,    -1,   297,    -1,    -1,    -1,
    3993,    -1,  3995,    -1,    -1,    -1,    -1,   883,    -1,    -1,
      -1,   887,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,   904,    -1,
      -1,    -1,    -1,    -1,  2202,    -1,  4029,   338,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,    -1,    -1,
      -1,    -1,   830,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     838,    -1,    -1,  4066,    -1,    -1,    -1,    -1,    -1,   847,
      -1,    -1,   383,  4076,  4077,    -1,   387,    -1,   389,    -1,
      -1,  4084,  4085,    -1,   395,    -1,  4089,   398,    -1,    -1,
      -1,    -1,  4095,  4096,    -1,    -1,  4099,  4205,  4101,  4102,
    4103,  4104,   880,    -1,    -1,  4108,  4109,  4110,    -1,    -1,
    4113,    -1,    -1,   424,  4117,   426,    -1,    -1,  4121,   430,
      -1,    -1,    -1,    -1,  4127,  4233,    -1,   438,  4131,    -1,
      -1,    -1,   443,  4136,    -1,    -1,    -1,    -1,    -1,  4142,
      -1,  4249,    -1,    -1,   455,  4148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4157,    -1,    -1,   468,   936,    -1,
      -1,    -1,  4165,    -1,    -1,    -1,  4169,    -1,   946,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4184,    -1,    -1,  4187,    -1,    -1,  4295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4207,  4208,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4231,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4276,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1060,    -1,    -1,    -1,    -1,  4290,  1066,    -1,
      -1,    -1,  1070,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,
      -1,    -1,  2490,  2491,    -1,    -1,    -1,  1095,    -1,    -1,
      -1,    -1,  1208,  1209,  2502,    -1,  4329,  4330,  4331,  4332,
    4333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4353,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4364,    -1,    -1,    -1,    -1,  4369,    -1,    -1,    -1,
      -1,    -1,    -1,  4376,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4388,  4389,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1281,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4415,    -1,  4417,    -1,  1302,  1303,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1322,    -1,    -1,    -1,
      -1,    -1,  4445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4454,    -1,    -1,    -1,    -1,    -1,  4565,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2645,  4471,  4472,
      -1,    -1,  4475,  1359,  1360,  1253,    -1,    -1,    -1,    -1,
      -1,  4484,    -1,    -1,    -1,  4488,  1264,    -1,    -1,    -1,
    4493,    -1,    -1,  4496,  4497,    -1,  4499,    -1,  4501,  4502,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1287,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4534,  4535,  4536,  4537,  4538,    -1,    -1,    -1,    -1,
      -1,    -1,  2720,    -1,    -1,    -1,  1324,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,    -1,    -1,
    4573,  4574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4612,
      -1,    -1,    -1,  4616,    -1,  1393,    -1,    -1,  4726,    -1,
      -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4636,    -1,    -1,    -1,    -1,    -1,    -1,
    4643,  2819,    -1,    -1,  4647,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4659,    -1,  4766,  4662,
      -1,    -1,  4770,  4771,    -1,    -1,    -1,  4670,  4671,    -1,
      -1,    -1,  1450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4695,    -1,    -1,  4698,    -1,  4700,    -1,    -1,
      -1,  1479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4717,    -1,    -1,    -1,  4721,    -1,
      -1,  4724,    -1,    -1,    -1,    -1,    -1,  4730,    -1,    -1,
    1508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4752,
      -1,    -1,    -1,  4756,    -1,    -1,    -1,    -1,  1536,  1537,
      -1,  1539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4774,  4775,  4776,  4777,    -1,    -1,    -1,  1556,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4789,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4807,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4826,    -1,    -1,    -1,    -1,    -1,    -1,
    1608,  1609,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1637,
      -1,    -1,    -1,  1641,  1642,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4876,    -1,    -1,    -1,    -1,    -1,  4882,
      -1,  4884,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1789,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4933,    -1,    -1,    -1,    -1,  4938,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1721,    -1,    -1,  4949,    -1,    -1,  1727,
      -1,  3129,    -1,    -1,    -1,  4958,  1734,  1843,  1844,  1845,
    1846,    -1,    -1,    -1,  4967,    -1,    -1,  4970,  4971,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    98,
    4983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4991,  1767,
      -1,   110,    -1,  3171,  3172,    -1,  3174,  1775,    -1,  1885,
    1886,    -1,    -1,    -1,    -1,  1891,    -1,    -1,    -1,    -1,
      -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5025,    -1,    -1,   144,  1804,    -1,    -1,    -1,
      -1,    -1,  5035,    -1,   153,    -1,    -1,  5040,   157,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1936,    -1,  3230,    -1,  3232,   174,    -1,    -1,    -1,    -1,
      -1,   180,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   195,  1963,  1964,  1965,
    1966,    -1,    -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,  5097,   214,    -1,    -1,    -1,  1877,
      -1,    -1,    -1,  5106,    -1,    -1,   225,    -1,  3286,    -1,
      -1,    -1,    -1,   232,    -1,    -1,    -1,   236,  1896,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,  3311,    -1,    -1,  1914,  2023,  1287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2032,    -1,    -1,    -1,
      -1,    -1,    -1,  2039,  3332,    -1,    -1,    -1,    -1,  1937,
      -1,    -1,    -1,    -1,  1942,    -1,    -1,  3345,    -1,    -1,
      -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,
      -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1999,    -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,
    2008,  3409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,  3425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3438,    -1,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
     389,    -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,   398,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1450,    -1,    -1,    -1,   424,    -1,   426,   427,    -1,
     429,   430,    -1,    -1,    -1,    -1,    -1,  2095,    -1,   438,
      -1,  2207,    -1,    -1,   443,    -1,    -1,    -1,    -1,    -1,
     449,    -1,  3510,   452,    -1,    -1,   455,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   468,
      -1,    -1,  3530,    -1,    -1,  2133,  2134,    -1,    -1,    -1,
      -1,    -1,    -1,  2141,    -1,    -1,  2144,    -1,    -1,    -1,
    2148,    -1,    -1,    -1,    -1,    -1,    -1,  3555,  2156,  2157,
      -1,    -1,    -1,    -1,    -1,    -1,  2164,    -1,    -1,  2167,
    2168,  2169,  2170,    -1,    -1,    -1,    -1,    -1,    -1,  2177,
    2178,    -1,  2180,    -1,  2182,  2183,    -1,    -1,  2186,    -1,
      -1,    -1,    -1,  3591,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2202,  2203,  2204,    -1,    -1,    -1,
    2208,    -1,    -1,     5,  2212,    -1,    -1,    -1,  2216,    -1,
    2218,  2219,  2220,  2221,  2222,  2223,  2224,  2225,  2226,    -1,
    2228,    -1,    -1,    25,    -1,    -1,  2234,    -1,    -1,  2237,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,    -1,    -1,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,
      -1,  2299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2443,  2444,  2445,
      -1,    -1,   134,    -1,    -1,    -1,  2452,    -1,  2454,    -1,
    2456,  2457,  1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2401,    -1,    -1,  1775,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,
      -1,    -1,  2430,    -1,    -1,  1804,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2441,    -1,    -1,    -1,    -1,    -1,   241,
    2448,    -1,    -1,  2559,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2479,    -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,
      -1,    -1,  2490,  2491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2502,    -1,    -1,   299,  1877,    -1,
     302,  2617,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2625,
    2518,    -1,    -1,  2521,  2630,   317,    -1,  1896,    -1,    -1,
      -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2542,  1914,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3967,
      -1,    -1,    -1,  1942,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     392,    -1,    -1,    -1,    -1,  2711,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2005,  2743,    -1,  2745,
      -1,    -1,   434,    -1,    -1,  2643,    -1,  2645,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2662,    -1,    -1,   209,    -1,    -1,
      -1,   463,    -1,    -1,    -1,   217,    -1,   219,    -1,    -1,
      -1,  4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4090,    -1,    -1,    -1,    -1,   489,    -1,    -1,
      -1,    -1,    -1,   495,    -1,    -1,    -1,   499,   500,   501,
     502,   503,    -1,    -1,   506,   507,   508,   509,    -1,    -1,
      -1,   513,  2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2202,    -1,  4233,    -1,  2835,    -1,    -1,
      -1,    -1,    -1,  2841,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2858,  2859,    -1,    -1,    -1,    -1,  2864,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2889,  2890,    -1,    -1,    -1,  2894,  4295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2906,  2907,
    2908,  2909,    -1,    -1,    -1,    -1,  2914,    -1,    -1,    -1,
      -1,  2919,  2920,    -1,  2922,    -1,  2924,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2934,  2935,    -1,    -1,
    2938,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2951,    -1,  2953,    -1,    -1,    -1,  2957,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2973,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2984,    -1,  2986,  2987,
    2988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3023,    -1,    -1,    -1,  3135,
    3028,  3137,  3138,  3139,    -1,    -1,  3034,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3042,    -1,    -1,    -1,    -1,    -1,
      -1,  4449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,    -1,
      -1,  2490,  2491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3129,    -1,  2502,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4565,    -1,    -1,
      -1,    -1,    -1,  3171,  3172,    -1,  3174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3203,  3204,  3205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3230,    -1,  3232,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4673,  2645,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   838,    -1,  4696,    -1,
      -1,    -1,    -1,    -1,    -1,   847,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4726,  1287,
      -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,   880,    -1,
      -1,    -1,  3448,    -1,    -1,  3451,  3344,  3345,    -1,    -1,
      -1,  2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4766,    -1,
      -1,    -1,  4770,  4771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3499,   936,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   946,    -1,    -1,    -1,    -1,    -1,
      -1,  3409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3425,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3507,
      -1,    -1,  3510,    -1,    -1,    -1,    -1,    -1,  1060,  3517,
      -1,    -1,    -1,    -1,  1066,  3523,    -1,  3525,  1070,    -1,
      -1,    -1,  3530,  3531,    -1,    -1,  3534,  3535,  3536,  3537,
    3538,  3539,  3540,  3541,  3542,  3543,    -1,    -1,    -1,  3547,
    3548,    -1,    -1,  1095,    -1,    -1,    -1,  3555,    -1,    -1,
      -1,    -1,  3560,    -1,    -1,    -1,  3564,    -1,  3566,    -1,
    3568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3578,    -1,    -1,  3581,    -1,  3583,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3591,  3592,  3593,  3594,    -1,    -1,    -1,
    3598,    -1,    -1,  3601,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3611,  3612,    -1,    -1,    -1,    -1,    -1,
    1287,    -1,    -1,    -1,  3622,    -1,    -1,    -1,  3734,  3735,
    3736,  3737,  3630,    -1,  3632,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3675,    -1,    -1,
      -1,    -1,    -1,  3681,    -1,    -1,    -1,    -1,    -1,  3687,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1253,    -1,    -1,  3712,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3129,    -1,    -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1324,  1450,  3782,    -1,    -1,    -1,  3786,  3787,
    3788,    -1,    -1,    -1,    -1,    -1,  3902,    -1,    -1,    -1,
      -1,    -1,  3171,  3172,    -1,  3174,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1775,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1804,    -1,    -1,    -1,
      -1,  1393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3230,    -1,  3232,    -1,    -1,  3864,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3904,    -1,  1450,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,    -1,  1877,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3931,    -1,    -1,    -1,  1479,  1896,    -1,
      -1,    -1,  3311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1914,    -1,    -1,    -1,
      -1,    -1,    -1,  3332,    -1,    -1,  1508,    -1,    -1,  3967,
    3968,  3969,    -1,    -1,    -1,    -1,  3345,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1942,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1536,  1537,    -1,  1539,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1556,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3409,    -1,    -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,
      -1,    -1,    -1,    -1,  1721,    -1,  3425,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,  4066,  3438,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4076,  4077,
      -1,  4079,    -1,    -1,    -1,    -1,  4084,  4085,    -1,    -1,
      -1,  4089,  4090,    -1,    -1,  1637,    -1,  4095,  4096,  1641,
    1642,  4099,    -1,    -1,    -1,    -1,    -1,    -1,  1775,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4117,
      -1,    -1,    -1,  4121,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4131,    -1,    -1,    -1,  1804,  4136,    -1,
      -1,  3510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1721,
      -1,    -1,    -1,    -1,  4290,    -1,  3555,    -1,    -1,  4187,
      -1,    -1,  1734,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,
    1877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3591,    -1,    -1,  1767,  4224,    -1,    -1,  1896,
      -1,    -1,    -1,  1775,    -1,  4233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2202,    -1,    -1,  1914,    -1,    -1,
      -1,  4249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1804,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1942,    -1,    -1,    -1,    -1,
      -1,    -1,  4388,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1877,    -1,    -1,  2005,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1896,  4353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4364,    -1,    -1,    -1,
      -1,    -1,  1914,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4412,    -1,    -1,    -1,  3787,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4536,  4537,  4538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4445,    -1,    -1,
      -1,  4449,    -1,    -1,    -1,    -1,  4454,  1999,    -1,    -1,
      -1,    -1,    -1,  2005,    -1,    -1,  2008,    -1,    -1,    -1,
      -1,    -1,    -1,  4471,  4472,    -1,    -1,  4475,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4488,    -1,    -1,    -1,    -1,  4493,    -1,    -1,  4496,    -1,
      -1,    -1,    -1,  4501,  4502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,
      -1,    -1,  2490,  2491,    -1,  2202,  4534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2095,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3931,    -1,  4670,    -1,    -1,  4565,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4573,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2133,  2134,    -1,    -1,    -1,    -1,    -1,  3967,  2141,
      -1,    -1,  2144,    -1,  4602,    -1,  2148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2156,  2157,    -1,    -1,  4616,    -1,
      -1,    -1,  2164,    -1,    -1,  2167,  2168,  2169,  2170,    -1,
      -1,    -1,    -1,    -1,    -1,  2177,  2178,    -1,  2180,    -1,
    2182,  2183,    -1,    -1,  2186,    -1,  4752,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2202,  2203,    -1,    -1,    -1,    -1,  2208,    -1,    -1,  4775,
    2212,  4777,    -1,  4671,  2216,  4673,  2218,  2219,  2220,  2221,
    2222,  2223,  2224,  2225,  2226,    -1,  2228,  2645,    -1,    -1,
      -1,    -1,  2234,    -1,    -1,  2237,    -1,  4695,  4696,    -1,
    4698,    -1,  4700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4717,
      -1,  4090,    -1,  4721,    -1,    -1,    -1,    -1,  4726,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2299,    -1,    -1,
      -1,    -1,  2720,    -1,  4762,    -1,    -1,    -1,  4766,    -1,
      -1,    -1,  4770,  4771,    -1,    -1,  4882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4807,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2485,    -1,
      -1,    -1,    -1,  2490,  2491,    -1,    -1,  4933,  4826,    -1,
      -1,    -1,    -1,    -1,    -1,  2502,  4205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4846,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2819,    -1,    -1,  4233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4876,    -1,
    4249,    -1,    -1,    -1,    -1,  4991,    -1,    -1,  2430,    -1,
      -1,    -1,    -1,    -1,    -1,  4893,    -1,    -1,    -1,  2441,
      -1,    -1,    -1,    -1,    -1,    -1,  2448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5040,    -1,    -1,  2479,    -1,    -1,
    4938,    -1,    -1,  2485,    -1,    -1,    -1,    -1,  2490,  2491,
      -1,  4949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4970,  4971,    -1,    -1,    -1,    -1,  2645,    -1,
      -1,    -1,    -1,    -1,    -1,  4983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5025,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2720,    -1,    -1,    -1,  5055,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5097,
      -1,  2643,    -1,  2645,  5102,    -1,    -1,    -1,  5106,    -1,
      -1,    -1,  5110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2819,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3129,    -1,    -1,    -1,    -1,    -1,    -1,  2720,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4565,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3171,  3172,    -1,  3174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3230,    -1,  3232,    -1,    -1,  2819,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2835,    -1,    -1,    -1,    -1,    -1,  2841,
      -1,    -1,    -1,    -1,  4673,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2858,  2859,    -1,    -1,
      -1,    -1,  2864,    -1,    -1,    -1,    -1,  4696,  3286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2889,  2890,    -1,
      -1,    -1,  2894,  3311,    -1,    -1,    -1,  4726,    -1,    -1,
      -1,    -1,    -1,    -1,  2906,  2907,  2908,  2909,    -1,    -1,
      -1,    -1,    -1,    -1,  3332,    -1,    -1,  2919,    -1,    -1,
    2922,   154,  2924,    -1,    -1,    -1,    -1,  3345,    -1,    -1,
     163,    -1,  2934,  2935,    -1,    -1,  2938,  4766,    -1,    -1,
      -1,  4770,  4771,    -1,    -1,    -1,    -1,    -1,    -1,  2951,
      -1,  2953,    -1,    -1,    -1,  2957,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     203,  2973,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2984,    -1,  2986,  2987,  2988,    -1,    -1,    -1,
      -1,  3409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3129,    -1,   237,    -1,    -1,  3425,  3010,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3438,  3023,    -1,    -1,    -1,    -1,  3028,    -1,    -1,    -1,
      -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3042,    -1,    -1,    -1,  3171,  3172,    -1,  3174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3510,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3102,    -1,    -1,  3230,    -1,  3232,    -1,    -1,    -1,    -1,
      -1,    -1,  3530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3555,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3171,
    3172,    -1,  3174,  3591,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,  3311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3332,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3345,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3230,    -1,
    3232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3409,    -1,  3286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3425,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3311,
      -1,  3438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3345,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3530,    -1,    -1,    -1,  3409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3425,    -1,    -1,    -1,    -1,  3555,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3438,    -1,    -1,    -1,
      -1,    -1,    -1,   676,   677,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3591,    -1,  3468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3507,    -1,    -1,  3510,    -1,
      -1,    -1,    -1,  3931,    -1,  3517,    -1,    -1,    -1,    -1,
      -1,  3523,    -1,  3525,    -1,    -1,    -1,    -1,  3530,  3531,
      -1,    -1,  3534,  3535,  3536,  3537,  3538,  3539,  3540,  3541,
    3542,  3543,    -1,    -1,    -1,  3547,  3548,    -1,    -1,  3967,
      -1,    -1,    -1,  3555,    -1,    -1,    -1,    -1,  3560,    -1,
      -1,    -1,  3564,    -1,    -1,    -1,  3568,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3578,    -1,    -1,  3581,
      -1,  3583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3591,
    3592,  3593,  3594,    -1,    -1,    -1,  3598,    -1,    -1,  3601,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3611,
    3612,    -1,   845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3622,    -1,   855,   856,    -1,   858,    -1,   860,  3630,   862,
    3632,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   881,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   889,    -1,    -1,    -1,
    3787,  4079,    -1,    -1,    -1,   898,   899,    -1,    -1,    -1,
     903,    -1,  4090,  3675,    -1,    -1,    -1,    -1,    -1,  3681,
      -1,    -1,    -1,    -1,    -1,  3687,    -1,   920,    -1,   922,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   937,    -1,    -1,    -1,    -1,    -1,
    3712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     953,    -1,    -1,   956,    -1,   958,    -1,   960,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   974,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3787,    -1,  4205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1029,    -1,  1031,    -1,
      -1,    -1,    -1,    -1,  3931,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1062,
      -1,  4249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3967,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1097,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3904,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3931,
      -1,    -1,    -1,    -1,    -1,  1168,    -1,  1170,    -1,    -1,
      -1,  1174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1194,    -1,  4090,    -1,  3967,  3968,  3969,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1241,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1257,    -1,    -1,  4029,    -1,    -1,
      -1,  4449,    -1,    -1,    -1,    -1,    -1,  1270,    -1,    -1,
      -1,    -1,    -1,    -1,  1277,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1289,    -1,    -1,  1292,
      -1,    -1,    -1,    -1,  4066,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4076,  4077,    -1,  4079,  4205,    -1,
      -1,    -1,  4084,  4085,    -1,    -1,    -1,  4089,  4090,    -1,
      -1,    -1,  1325,  4095,  4096,    -1,    -1,  4099,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4117,    -1,    -1,    -1,  4121,
      -1,    -1,  4249,    -1,    -1,    -1,    -1,    -1,    -1,  4131,
      -1,    -1,    -1,    -1,  4136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    89,  4148,  4565,    -1,    -1,
      94,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   106,    -1,    -1,    -1,    -1,    -1,  4295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4187,    -1,    -1,   132,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,  4205,    -1,    -1,    -1,    -1,    -1,   153,
     154,    -1,    -1,   157,    -1,    -1,    -1,    -1,    -1,   163,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   187,    -1,    -1,    -1,  4249,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,    -1,   203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4696,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4295,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4726,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4766,    -1,
      -1,  4353,  4770,  4771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1627,  1628,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4565,    -1,
      -1,    -1,    -1,  4445,    -1,    -1,    -1,  4449,    -1,    -1,
      -1,    -1,  4454,  1686,    -1,    -1,  1689,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1697,    -1,    -1,    -1,    -1,  4471,
    4472,    -1,   416,  4475,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1715,    -1,    -1,    -1,  4488,    -1,    -1,    -1,
      -1,  4493,    -1,    -1,  4496,    -1,    -1,    -1,    -1,  4501,
    4502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1753,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4673,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4565,    -1,    -1,    -1,    -1,    -1,  4696,
      -1,  4573,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4726,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4616,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4766,
      -1,    -1,    -1,  4770,  4771,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4671,
      -1,  4673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   632,    -1,
      -1,    -1,    -1,  4695,  4696,    -1,  4698,    -1,  4700,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1946,    -1,  4717,    -1,    -1,    -1,  4721,
      -1,    -1,    -1,    -1,  4726,    -1,    -1,    -1,  1961,    -1,
      -1,    -1,   676,   677,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4766,    -1,    -1,    -1,  4770,  4771,
      -1,    -1,    -1,    -1,  2007,    -1,    -1,    -1,    -1,    -1,
     724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2022,
      -1,  2024,    -1,  2026,    -1,    -1,    -1,    -1,  2031,    -1,
      -1,    -1,    -1,    -1,    -1,  4807,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4826,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4846,    -1,    -1,  2080,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2092,
      -1,    -1,    -1,  2096,    -1,  2098,    -1,    -1,  2101,    -1,
      -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4949,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4970,  4971,
      -1,    -1,    -1,    -1,    -1,   919,   920,    -1,   922,    -1,
      -1,  4983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5025,    -1,    -1,   970,    -1,    -1,   973,
     974,    -1,    -1,  5035,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   988,    -1,   990,    -1,   992,    -1,
      -1,    -1,    -1,    -1,   998,    -1,    -1,    -1,  1002,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1021,  1022,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5097,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5106,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1062,    -1,
    1064,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2381,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2398,  2399,    -1,    -1,    -1,
    2403,  2404,    -1,    -1,  2407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2417,    -1,    -1,    -1,    -1,    -1,
      -1,  2424,    -1,    -1,    -1,  2428,  2429,  1141,    -1,  2432,
    2433,    -1,    -1,    -1,    -1,    -1,  2439,    -1,    -1,    -1,
      -1,  1155,  1156,    -1,    -1,  1159,    -1,    -1,  2451,    -1,
    2453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2469,    -1,    -1,    -1,
      -1,  2474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2505,  2506,  2507,  2508,    -1,    -1,    -1,  2512,
    2513,    -1,    -1,    -1,    -1,    -1,    -1,  2520,    -1,    -1,
    2523,    -1,    -1,    -1,  2527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2560,    -1,  2562,
      -1,    -1,    -1,    -1,  2567,    -1,    -1,    -1,    -1,  2572,
    2573,  2574,  2575,    -1,  2577,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2590,  2591,  2592,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2603,  2604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1401,    -1,    -1,
      -1,    -1,  1406,    -1,  1408,    -1,    -1,  1411,    -1,  1413,
      -1,    -1,  1416,  1417,  1418,    -1,    -1,    -1,  1422,    -1,
      -1,    -1,    -1,    -1,    -1,  1429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1442,    -1,
    1444,    -1,    -1,    -1,    -1,  1449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2784,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2797,    -1,    -1,    -1,   838,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   847,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     880,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1576,  1577,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,  1593,
      -1,    -1,    -1,    -1,  1598,  1599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   936,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   946,    -1,    35,    36,
      -1,    -1,    -1,    -1,    41,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1681,    -1,  1683,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1693,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3021,    -1,
    1060,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1757,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1765,    -1,    -1,    -1,  1095,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,  3082,
    3083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,  3099,    -1,    -1,    -1,
      -1,    -1,  1816,    -1,    -1,  1819,  1820,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   241,    -1,    -1,    -1,    -1,    -1,
      -1,  3124,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3133,    -1,    -1,    -1,    -1,    -1,   263,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3148,  3149,    -1,    -1,    -1,
    3153,    -1,    -1,    -1,    -1,  3158,  3159,  3160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1883,
      -1,    -1,   299,    -1,    -1,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     317,  3194,  3195,  3196,  3197,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1253,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3224,  3225,  3226,  1264,    -1,    -1,    -1,    -1,    -1,
      -1,  3234,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1324,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3306,    -1,    -1,    -1,   434,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2064,    -1,  2066,  1393,    -1,    -1,  2070,  3360,  2072,    -1,
      -1,  2075,   489,    -1,    -1,  2079,    -1,    -1,   495,    -1,
    2084,    -1,   499,   500,   501,   502,   503,    -1,    -1,   506,
     507,   508,   509,    -1,   511,   512,   513,   514,   515,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3402,
      -1,    -1,  3405,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3436,    -1,    -1,  3439,    -1,    -1,  1479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3466,    -1,    -1,    -1,    -1,  1508,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1536,  1537,    -1,  1539,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1556,    -1,    -1,  2233,
      -1,    -1,    -1,    -1,    -1,    -1,  2240,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2249,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1637,    -1,  2313,
      -1,  1641,  1642,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2366,    -1,    -1,    -1,  2370,    -1,    -1,    -1,
      -1,    -1,  2376,    -1,  2378,    -1,    -1,  2381,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1721,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3719,    -1,  3721,    -1,
      -1,    -1,    -1,    -1,    -1,  3728,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1775,    -1,    -1,    -1,    -1,
      -1,  3744,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3761,    -1,
      -1,    -1,    -1,    -1,  1804,    -1,    -1,  3770,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3816,  3817,  3818,  3819,  3820,  3821,  3822,
    3823,    -1,    -1,    -1,    -1,  3828,  3829,    -1,  3831,  3832,
    3833,  3834,  3835,  3836,  3837,    -1,    -1,  1877,    -1,  2553,
      -1,    -1,    -1,  3846,    -1,  3848,  3849,  2561,    -1,  2563,
      -1,    -1,    -1,    -1,    -1,    -1,  1896,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1914,  1060,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3898,  3899,  3900,    -1,    -1,
    3903,    -1,  1942,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1999,
      -1,    -1,    -1,    -1,    -1,  2005,    -1,    -1,  2008,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,  3984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,  4004,  4005,  4006,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,  2095,    -1,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2784,  2785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2801,    -1,    -1,
      -1,    -1,    -1,  2133,  2134,    -1,    -1,    -1,    -1,    -1,
      -1,  2141,    -1,    -1,  2144,   134,    -1,    -1,  2148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2156,  2157,    -1,    -1,
      -1,    -1,    -1,    -1,  2164,    -1,    -1,  2167,  2168,  2169,
    2170,    -1,    -1,    -1,    -1,    -1,    -1,  2177,  2178,    -1,
    2180,    -1,  2182,  2183,    -1,    -1,  2186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2202,  2203,    -1,    -1,    -1,    -1,  2208,    -1,
      -1,    -1,  2212,    -1,    -1,   204,  2216,    -1,  2218,  2219,
    2220,  2221,  2222,  2223,  2224,  2225,  2226,    -1,  2228,    -1,
      -1,    -1,   221,    -1,  2234,    -1,    -1,  2237,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   241,  4216,  4217,  4218,  4219,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   263,    -1,    -1,  4240,  4241,  4242,
    4243,    -1,  4245,  4246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4257,  4258,    -1,    -1,    -1,  2299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     299,  4274,  4275,   302,  4277,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,   317,    -1,
      -1,    -1,  3006,    -1,  1479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1536,  1537,    -1,  1539,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   392,    -1,    -1,    -1,    -1,  4371,    -1,
      -1,  1556,    -1,    -1,    -1,    -1,    -1,  4380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2430,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4401,    -1,
      -1,  2441,    -1,    -1,    -1,   434,    -1,    -1,  2448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,
      -1,    -1,  4425,  1608,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2485,    -1,    -1,    -1,    -1,
    2490,  2491,  1637,    -1,    -1,    -1,  1641,  1642,    -1,    -1,
     489,    -1,  2502,    -1,    -1,    -1,   495,    -1,    -1,    -1,
     499,   500,   501,   502,   503,    -1,    -1,   506,   507,   508,
      -1,    -1,    -1,  4486,   513,   514,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4499,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1552,    -1,  2643,    -1,  2645,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1623,    -1,    -1,    -1,  4679,    -1,    -1,    -1,
    2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4714,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4724,  3436,    -1,    -1,    -1,    -1,    -1,  2768,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4760,    -1,    -1,
      -1,    -1,  4765,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4778,    -1,    -1,    -1,  2819,
      -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2835,    -1,    -1,    -1,    -1,
      -1,  2841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2858,  2859,
      -1,    -1,    -1,    -1,  2864,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4850,    -1,  2889,
    2890,    -1,    -1,    -1,  2894,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4867,    -1,  2906,  2907,  2908,  2909,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2919,
      -1,    -1,  2922,    -1,  2924,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2934,  2935,    -1,    -1,  2938,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2951,    -1,  2953,    -1,    -1,    -1,  2957,    -1,    -1,
      -1,    -1,    -1,    -1,  4927,    -1,    -1,    -1,    -1,  4932,
      -1,    -1,    -1,  2973,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2984,    -1,  2986,  2987,  2988,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2141,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3692,  2164,
      -1,    -1,  2167,  3023,    -1,  2170,    -1,    -1,  3028,    -1,
      -1,    -1,  2177,  2178,  3034,    -1,    -1,    -1,  2183,    -1,
      -1,  2186,  3042,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2203,    -1,
      -1,    -1,    -1,  2208,    -1,    -1,    -1,  2212,    -1,    -1,
      -1,  2216,    -1,  2218,  2219,  2220,  2221,  2222,  2223,  2224,
    2225,  2226,    -1,  2228,    -1,    -1,    -1,    -1,    -1,  2234,
      -1,    -1,  2237,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3787,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3129,
      -1,    -1,    -1,    -1,    -1,  3809,  2047,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,  3171,  3172,    -1,  3174,    35,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    43,    44,    -1,    -1,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,  2139,    -1,
    3230,    -1,  3232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2163,    -1,    -1,    -1,    -1,  2168,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,  2188,  2189,    -1,
      -1,  2192,    -1,    -1,    -1,  2430,  3286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2232,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3332,    -1,    -1,  4009,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,  3345,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2286,    -1,    -1,    -1,    -1,
      -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2309,    -1,
      -1,    -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,  3409,
    2321,    -1,    -1,  2324,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3425,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3438,   299,
      -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4152,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2643,    -1,
      -1,    -1,    -1,    -1,  4178,    -1,    -1,  3507,    -1,    -1,
    3510,    -1,    -1,    -1,    -1,    -1,    -1,  3517,    -1,    -1,
      -1,    -1,    -1,  3523,    -1,  3525,    -1,    -1,    -1,    -1,
    3530,  3531,   392,    -1,  3534,  3535,  3536,  3537,  3538,  3539,
    3540,  3541,  3542,  3543,    -1,    -1,    -1,  3547,  3548,    -1,
      -1,    -1,    -1,    -1,    -1,  3555,  4230,    -1,    -1,    -1,
    3560,    -1,    -1,    -1,  3564,    -1,    -1,    -1,  3568,    -1,
      -1,    -1,    -1,    -1,   434,    -1,    -1,    -1,  3578,    -1,
      -1,  3581,    -1,  3583,    -1,    -1,    -1,    -1,   448,    -1,
      -1,  3591,  3592,  3593,  3594,    -1,    -1,    -1,  3598,    -1,
      -1,  3601,    -1,   463,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3611,  3612,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3622,  2768,    -1,    -1,    -1,    -1,    -1,   489,
    3630,    -1,  3632,    -1,    -1,   495,  4310,    -1,    -1,   499,
     500,   501,   502,   503,    -1,    -1,   506,   507,   508,   509,
      -1,    -1,    -1,   513,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3675,    -1,    -1,    -1,    -1,
      -1,  3681,    -1,    -1,    -1,    -1,    -1,  3687,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3712,    -1,  2859,    -1,    -1,    -1,    -1,  2864,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2906,    -1,  2908,  2909,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2919,    -1,    -1,  2922,    -1,  2924,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3787,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2951,    -1,  2953,    -1,
      -1,    -1,  2957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2986,  2987,  2988,    -1,  4519,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3010,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3023,    -1,
      -1,    -1,    -1,  3028,    -1,    -1,    -1,    -1,    -1,  3034,
      -1,  4565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3904,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3931,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2862,    -1,    -1,    -1,    -1,    -1,  3102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3967,  3968,  3969,
      -1,    -1,    -1,    -1,  2885,    -1,  2887,    -1,  2889,  2890,
    2891,    -1,    -1,  2894,    -1,    -1,    -1,  2898,    -1,    -1,
      -1,    -1,    -1,    -1,  2905,    -1,    -1,    -1,    -1,  2910,
      -1,    -1,    -1,    -1,    -1,  2916,    -1,    -1,    -1,    -1,
    2921,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2930,
      -1,    -1,    -1,  2934,  2935,    -1,  2937,    -1,    -1,  4029,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2949,    -1,
      -1,    -1,    -1,    -1,    -1,  2956,    -1,  2958,  2959,  2960,
    2961,  2962,  2963,  2964,  2965,  2966,  2967,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4066,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4076,  4077,    -1,  4079,
      -1,  2992,    -1,    -1,  4084,  4085,    -1,    -1,    -1,  4089,
    4090,    -1,    -1,    -1,    -1,  4095,  4096,    -1,    -1,  4099,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4117,    -1,    -1,
      -1,  4121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4131,    -1,    -1,    -1,    -1,  4136,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4853,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4187,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4205,  3117,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4249,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4295,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4353,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3507,    -1,  4364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3517,    -1,    -1,    -1,    -1,    -1,  3523,    -1,
    3525,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3547,  3548,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3333,  3568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3578,    -1,    -1,  3581,    -1,  3583,    -1,
      -1,    -1,    -1,    -1,    -1,  4445,    -1,  3592,    -1,  4449,
      -1,    -1,    -1,  3598,  4454,    -1,  3601,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4471,  4472,    -1,    -1,  4475,    -1,  3622,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3630,    -1,  3632,  4488,    -1,
      -1,    -1,    -1,  4493,    -1,    -1,  4496,    -1,    -1,    -1,
      -1,  4501,  4502,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3675,    -1,    -1,    -1,  4534,    -1,  3681,    -1,    -1,    -1,
      -1,    -1,  3687,    -1,    -1,    -1,  3457,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4565,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4573,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3506,    -1,    -1,    -1,    -1,
      -1,  3512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4616,  3528,  3529,    -1,
    3531,    -1,    -1,  3534,  3535,  3536,  3537,  3538,  3539,  3540,
    3541,  3542,  3543,  3544,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3569,    -1,
      -1,  3572,    -1,  3574,    -1,    -1,    -1,    -1,  3579,  3580,
      -1,  4671,    -1,  4673,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3593,  3594,  3595,    -1,  3597,    -1,    -1,  3600,
      -1,    -1,    -1,    -1,    -1,  4695,  4696,    -1,  4698,    -1,
    4700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4717,    -1,    -1,
      -1,  4721,    -1,    -1,    -1,    -1,  4726,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3658,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3670,
      -1,    -1,    -1,    -1,    -1,    -1,  4766,    -1,    -1,    -1,
    4770,  4771,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3709,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4807,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3968,  3969,    -1,  4826,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4846,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4876,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4029,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4893,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4076,  4077,    -1,    -1,    -1,    -1,    -1,  4938,    -1,
      -1,    -1,    -1,    -1,  4089,    -1,    -1,    -1,    -1,  4949,
    4095,  4096,    -1,    -1,  4099,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4970,  4971,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4983,    -1,    -1,  4131,    -1,    -1,    -1,
      -1,  4136,    -1,  3904,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5025,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5035,    -1,    -1,    -1,    -1,
      -1,    -1,  4187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5097,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5106,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4030,
      -1,    -1,    -1,  4034,  4035,  4036,    -1,    -1,  4039,    -1,
      -1,    -1,    -1,  4044,  4045,  4046,  4047,  4048,  4049,  4050,
    4051,  4052,  4053,  4054,  4055,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4083,  4084,  4085,  4086,    -1,  4088,    -1,    -1,
      -1,  4092,  4093,  4094,    -1,    -1,  4097,    -1,    -1,  4100,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4353,    -1,
      -1,     6,     7,     8,    -1,    10,    11,    12,    -1,    -1,
      -1,    16,  4133,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    -1,  4145,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,  4162,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,
    4475,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,
      -1,    -1,    -1,    -1,    -1,   150,    -1,  4502,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,
      -1,   216,    -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,   229,    -1,    -1,    -1,    -1,    -1,
     235,    -1,    -1,    -1,    -1,  4356,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,   258,    -1,    -1,    -1,    -1,    -1,   264,
      -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,   284,
      -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,  4409,  4410,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,    -1,
     315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,
    4441,    -1,    -1,    -1,  4445,    -1,    -1,    -1,   333,   334,
     335,   336,   337,    -1,    -1,    -1,    -1,    -1,  4459,    -1,
    4461,    -1,   347,  4698,   349,  4466,  4467,  4468,    -1,    -1,
    4471,  4472,  4473,  4474,    -1,  4476,    -1,   362,    -1,    -1,
      -1,    -1,  4717,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,
     385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,
     405,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4532,    -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,    -1,
      -1,    -1,   437,    -1,   439,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,
      -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4826,    -1,    -1,    -1,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4628,    -1,    -1,
     515,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4893,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4694,  4695,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4710,
    4711,  4712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4729,    -1,
      -1,    -1,    -1,    -1,    -1,  4970,  4971,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5025,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5035,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4856,    -1,    -1,    -1,    -1,
      -1,    -1,  5097,    -1,    -1,  4866,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4937,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,  5028,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5076,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     3,    -1,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
     514,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,   104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,
     115,    -1,    -1,   118,   119,   120,   121,   122,   123,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     135,    -1,    -1,   138,    -1,   140,   141,   142,    -1,   144,
      -1,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,   160,   161,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,   176,   177,   178,   179,    -1,    -1,    -1,    -1,    -1,
     185,    -1,    -1,    -1,    -1,    -1,   191,    -1,   193,    -1,
      -1,    -1,   197,    -1,    -1,    -1,    -1,    -1,   203,   204,
      -1,    -1,    -1,    -1,    -1,    -1,   211,   212,   213,    -1,
      -1,   216,    -1,    -1,   219,    -1,   221,    -1,    -1,    -1,
      -1,    -1,   227,    -1,   229,    -1,    -1,    -1,   233,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   257,   258,    -1,    -1,   261,    -1,    -1,   264,
      -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,   284,
      -1,   286,    -1,   288,   289,    -1,    -1,    -1,    -1,   294,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   303,    -1,
      -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,   314,
     315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,   334,
     335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   347,    -1,   349,    -1,   351,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,   363,    -1,
      -1,    -1,    -1,   368,   369,    -1,   371,    -1,    -1,    -1,
      -1,   376,    -1,    -1,    -1,    -1,   381,   382,    -1,   384,
     385,    -1,    -1,   388,    -1,    -1,    -1,    -1,   393,   394,
      -1,    -1,    -1,    -1,    -1,    -1,   401,   402,    -1,   404,
     405,    -1,   407,    -1,    -1,    -1,    -1,   412,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,   424,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,    -1,
      -1,    -1,   437,    -1,   439,    -1,   441,    -1,   443,    -1,
      -1,    -1,    -1,   448,    -1,    -1,   451,    -1,    -1,   454,
      -1,    -1,   457,    -1,    -1,    -1,    -1,   462,   463,    -1,
      -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   474,
      -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,   484,
     485,   486,   487,   488,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,   508,    26,    27,    -1,   512,    -1,    31,
      32,    33,    34,    -1,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,   227,    -1,   229,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   257,   258,    -1,    -1,    -1,
      -1,    -1,   264,    -1,   266,    -1,    -1,   269,   270,    -1,
     272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   283,   284,    -1,   286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   306,   307,   308,    -1,    -1,   311,
      -1,    -1,    -1,   315,    -1,    -1,   318,    -1,   320,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   347,    -1,   349,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     382,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     402,    -1,    -1,   405,    -1,   407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     432,   433,    -1,    -1,    -1,   437,    -1,   439,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   463,    -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,   480,   481,
     482,   483,   484,   485,   486,   487,   488,    -1,    -1,    -1,
      -1,    -1,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      43,    44,    -1,   515,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   134,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   317,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   392,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,    -1,    -1,    -1,
      -1,    -1,   495,    -1,    -1,    -1,   499,   500,   501,   502,
     503,    -1,    -1,   506,   507,   508,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,   192,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,   501,    -1,    -1,
      -1,    -1,    -1,    -1,   508,   509,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,
     509,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,    -1,    -1,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,   509,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
     263,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
      -1,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,    -1,    -1,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,    -1,   348,    -1,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,    -1,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,    -1,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,   464,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   509,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,   506,   507,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,   501,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,   263,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,   263,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,   455,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   508,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,    -1,    -1,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   508,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    -1,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     508,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    -1,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,   286,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
     508,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,    -1,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
     258,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,   284,   285,    -1,    -1,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     508,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,    -1,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,   258,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
     284,   285,    -1,    -1,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   508,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,   327,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,   327,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,   455,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   508,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   509,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,   507,   508,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,
      -1,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,   241,   242,   243,    -1,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,    -1,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
      -1,    -1,   271,    -1,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,    -1,   308,
     309,   310,   311,    -1,   313,   314,    -1,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,    -1,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,    -1,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,   508,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,    -1,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,   312,   313,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,    -1,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,    -1,   435,   436,    -1,   438,
      -1,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,    -1,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,    -1,    -1,    -1,   495,   496,   497,    -1,
     499,   500,   501,   502,   503,   504,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,
     500,   501,   502,   503,   504,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
     241,   242,   243,    -1,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,    -1,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,
     271,    -1,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,    -1,   308,   309,   310,
     311,    -1,   313,   314,    -1,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,    -1,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,    -1,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,    -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,
     501,   502,   503,   504,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,    -1,    -1,   495,   496,   497,    -1,   499,   500,   501,
     502,   503,   504,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,   495,   496,   497,    -1,   499,   500,   501,   502,
     503,   504,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,    -1,    -1,
      -1,   495,   496,   497,    -1,   499,   500,   501,   502,   503,
     504,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,    -1,    -1,
     495,   496,   497,    -1,   499,   500,   501,   502,   503,   504,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,    -1,    -1,    -1,   495,
     496,   497,    -1,   499,   500,   501,   502,   503,   504,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     5,     6,     7,     8,
       9,    10,    11,    12,    13,   501,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,    -1,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,    -1,   348,
      -1,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,   501,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
      -1,     6,     7,     8,     9,    10,    11,    12,    13,   501,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,   241,   242,   243,    -1,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,    -1,
     285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,    -1,   308,   309,   310,   311,    -1,   313,   314,
      -1,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,    -1,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
      -1,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,    -1,     6,     7,
       8,     9,    10,    11,    12,    13,   501,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
     228,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,   228,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    86,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
     228,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,    -1,   228,    -1,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,    -1,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,    -1,   308,   309,   310,   311,    -1,
     313,   314,    -1,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,    -1,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,    -1,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,    -1,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,    -1,    -1,     4,   495,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,   241,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,   462,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,   227,    -1,   229,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,   257,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,   284,   285,
     286,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,   313,   314,   315,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
      -1,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,    -1,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,    -1,   213,   214,   215,    -1,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,   263,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,    -1,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,    -1,   348,
      -1,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,    -1,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,    -1,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,   438,
      -1,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,   464,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     489,   490,   491,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,    -1,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,    -1,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,    -1,   348,    -1,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,    -1,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,    -1,    -1,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,   491,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
      -1,    -1,   237,    -1,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,    -1,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,    -1,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
      -1,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,    -1,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   489,   490,   491,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,    -1,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,    -1,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,    -1,   213,   214,   215,    -1,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,   227,
      -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,   237,
      -1,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,    -1,   266,    -1,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,    -1,   284,   285,   286,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,    -1,   313,   314,   315,   316,    -1,
      -1,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,    -1,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,    -1,
     348,    -1,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,    -1,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,    -1,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,    -1,
     438,    -1,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,    -1,   463,    -1,   465,   466,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   489,   490,   491,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,    -1,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,    -1,   348,    -1,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,    -1,   386,   387,   388,   389,   390,
     391,   392,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,    -1,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,    -1,   438,    -1,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,   490,
     491,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,   227,    -1,   229,   230,   231,   232,    -1,
     234,    -1,    -1,   237,    -1,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,    -1,   266,    -1,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,    -1,
     284,   285,   286,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,    -1,    -1,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,    -1,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,    -1,   348,    -1,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,    -1,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,    -1,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,    -1,   438,    -1,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,    -1,   463,
      -1,   465,   466,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   489,   490,   491,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,    -1,    -1,
     237,    -1,   239,   240,   241,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,    -1,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
      -1,    -1,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,    -1,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
      -1,   348,    -1,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,    -1,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,    -1,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,    -1,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
      -1,   438,    -1,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   489,   490,   491,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
      -1,   121,    -1,    -1,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,    -1,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,    -1,    -1,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,    -1,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,    -1,    -1,   237,    -1,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,    -1,    -1,
     260,   261,   262,    -1,    -1,    -1,    -1,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,    -1,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,    -1,   309,
     310,    -1,    -1,   313,   314,   315,   316,    -1,    -1,   319,
      -1,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,    -1,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,    -1,   348,    -1,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,    -1,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,    -1,   403,   404,   405,   406,    -1,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
      -1,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,    -1,    -1,    -1,    -1,   436,    -1,   438,    -1,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,    -1,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,    -1,   260,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,    -1,   300,   301,    -1,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,    -1,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
      -1,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,    -1,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,    -1,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,   145,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,   225,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,   225,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,   233,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,   233,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,   225,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,   160,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,   225,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,   455,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,   455,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,   327,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,   327,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,   327,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      74,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,   456,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,    -1,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,    -1,    -1,    -1,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,   241,   242,   243,    -1,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,    -1,
      -1,   271,    -1,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,    -1,   285,    -1,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,   309,
     310,   311,    -1,   313,   314,    -1,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,    -1,    -1,   328,   329,
     330,    -1,    -1,   333,    -1,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,    -1,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,    -1,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
      -1,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,    -1,
     224,    -1,   226,    -1,    -1,    -1,   230,   231,   232,    -1,
     234,   235,    -1,   237,    -1,   239,   240,   241,   242,   243,
      -1,   245,   246,   247,    -1,   249,   250,   251,   252,   253,
     254,    -1,   256,    -1,   258,    -1,   260,   261,   262,    -1,
     264,    -1,   266,    -1,   268,    -1,    -1,   271,    -1,   273,
     274,   275,   276,   277,    -1,   279,   280,    -1,   282,   283,
      -1,   285,    -1,    -1,   288,   289,   290,    -1,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,    -1,   308,   309,   310,   311,    -1,   313,
     314,    -1,   316,    -1,   318,   319,   320,   321,   322,   323,
      -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,
      -1,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,    -1,   346,   347,   348,   349,   350,   351,   352,    -1,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,    -1,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,   396,   397,   398,   399,    -1,   401,   402,   403,
     404,    -1,   406,   407,   408,    -1,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,    -1,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
      -1,    -1,   436,   437,   438,   439,    -1,   441,   442,   443,
     444,   445,   446,   447,    -1,    -1,   450,   451,   452,   453,
     454,    -1,    -1,   457,   458,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,    -1,    -1,   472,    -1,
      -1,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,   117,
     118,   119,   120,    -1,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,    -1,    -1,   146,   147,
     148,   149,    -1,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,    -1,   224,    -1,   226,    -1,
      -1,    -1,   230,   231,   232,    -1,   234,   235,    -1,   237,
      -1,   239,   240,   241,   242,   243,    -1,   245,   246,   247,
      -1,   249,   250,   251,   252,   253,   254,    -1,   256,    -1,
     258,    -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,
     268,    -1,    -1,   271,    -1,   273,   274,   275,   276,   277,
      -1,   279,   280,    -1,   282,   283,    -1,   285,    -1,    -1,
     288,   289,   290,    -1,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,    -1,
     308,   309,   310,   311,    -1,   313,   314,    -1,   316,    -1,
     318,   319,   320,   321,   322,   323,    -1,   325,    -1,    -1,
     328,   329,   330,    -1,    -1,   333,    -1,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,   346,   347,
     348,   349,   350,   351,   352,    -1,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,    -1,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,   396,   397,
     398,   399,    -1,   401,   402,   403,   404,    -1,   406,   407,
     408,    -1,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,    -1,   422,   423,    -1,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,    -1,    -1,   436,   437,
     438,   439,    -1,   441,   442,   443,   444,   445,   446,   447,
      -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,   457,
     458,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,    -1,    -1,    -1,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,   241,
     242,   243,    -1,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,    -1,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,    -1,    -1,   271,
      -1,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,    -1,   285,    -1,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,    -1,   308,   309,   310,   311,
      -1,   313,   314,    -1,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,    -1,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,    -1,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,
     226,    -1,    -1,    -1,   230,   231,   232,    -1,   234,   235,
      -1,   237,    -1,   239,   240,   241,   242,   243,    -1,   245,
     246,   247,    -1,   249,   250,   251,   252,   253,   254,    -1,
     256,    -1,   258,    -1,   260,   261,   262,    -1,   264,    -1,
     266,    -1,   268,    -1,    -1,   271,    -1,   273,   274,   275,
     276,   277,    -1,   279,   280,    -1,   282,   283,    -1,   285,
      -1,    -1,   288,   289,   290,    -1,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,    -1,   308,   309,   310,   311,    -1,   313,   314,    -1,
     316,    -1,   318,   319,   320,   321,   322,   323,    -1,   325,
      -1,    -1,   328,   329,   330,    -1,    -1,   333,    -1,    -1,
      -1,   337,   338,   339,   340,   341,    -1,   343,   344,    -1,
     346,   347,   348,   349,   350,   351,   352,    -1,   354,   355,
     356,   357,   358,   359,    -1,   361,   362,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,    -1,   383,   384,   385,
      -1,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
     396,   397,   398,   399,    -1,   401,   402,   403,   404,    -1,
     406,   407,   408,    -1,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,    -1,   422,   423,    -1,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,    -1,    -1,
     436,   437,   438,   439,    -1,   441,   442,   443,   444,   445,
     446,   447,    -1,    -1,   450,   451,   452,   453,   454,    -1,
      -1,   457,   458,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,
      -1,    -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,
     270,    -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,
      -1,   311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,
     320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     480,   481,   482,   483,   484,   485,   486,   487,   488,     6,
       7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
     227,    -1,   229,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     257,   258,    -1,    -1,    -1,    -1,    -1,   264,    -1,   266,
      -1,    -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   283,   284,    -1,   286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,
     307,   308,    -1,    -1,   311,    -1,    -1,    -1,   315,    -1,
      -1,   318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   333,   334,   335,   336,
     337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     347,    -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,
     437,    -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   466,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,   481,   482,   483,   484,   485,   486,
     487,   488,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,   221,    -1,    -1,
      -1,    -1,    -1,   227,    -1,   229,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     244,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   257,   258,    -1,    -1,    -1,    -1,    -1,
     264,    -1,   266,    -1,    -1,   269,   270,    -1,   272,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   283,
     284,    -1,   286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   306,   307,   308,    -1,    -1,   311,    -1,    -1,
      -1,   315,    -1,    -1,   318,    -1,   320,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   333,
     334,   335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   347,    -1,   349,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,   385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,
      -1,   405,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   432,   433,
      -1,    -1,    -1,   437,    -1,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   448,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   463,
      -1,    -1,   466,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   480,   481,   482,   483,
     484,   485,   486,   487,   488,     6,     7,     8,    -1,    10,
      11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,
      31,    32,    33,    34,    -1,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,
     121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,
      -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,
     221,    -1,    -1,    -1,    -1,    -1,   227,    -1,   229,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   244,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   257,   258,    -1,    -1,
      -1,    -1,    -1,   264,    -1,   266,    -1,    -1,   269,   270,
      -1,   272,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   283,   284,    -1,   286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   306,   307,   308,    -1,    -1,
     311,    -1,    -1,    -1,   315,    -1,    -1,   318,    -1,   320,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   333,   334,   335,   336,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   347,    -1,   349,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   362,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   382,    -1,    -1,   385,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,   405,    -1,   407,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   432,   433,    -1,    -1,    -1,   437,    -1,   439,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   463,    -1,    -1,   466,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   480,
     481,   482,   483,   484,   485,   486,   487,   488,     6,     7,
       8,    -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    -1,    26,    27,
      -1,    -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,   119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,
      -1,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,
      -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,
      -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,   227,
      -1,   229,    -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   244,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   257,
     258,    -1,    -1,    -1,    -1,    -1,   264,    -1,   266,    -1,
      -1,   269,   270,    -1,   272,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   283,   284,    -1,   286,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   306,   307,
     308,    -1,    -1,   311,    -1,    -1,    -1,   315,    -1,    -1,
     318,    -1,   320,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   333,   334,   335,   336,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   347,
      -1,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   382,    -1,    -1,   385,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   402,    -1,    -1,   405,    -1,   407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   432,   433,    -1,    -1,    -1,   437,
      -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   463,    -1,    -1,   466,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   480,   481,   482,   483,   484,   485,   486,   487,
     488,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,    -1,   224,    -1,   226,   227,    -1,   229,
     230,   231,   232,    -1,   234,   235,    -1,   237,    -1,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,    -1,   256,   257,   258,    -1,
     260,   261,   262,    -1,   264,    -1,   266,    -1,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,    -1,   282,   283,   284,   285,   286,    -1,   288,   289,
     290,    -1,    -1,   293,   294,   295,   296,   297,   298,    -1,
     300,   301,    -1,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,   313,   314,   315,   316,    -1,   318,   319,
     320,   321,   322,   323,    -1,   325,   326,    -1,   328,   329,
     330,    -1,    -1,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,   346,   347,   348,   349,
     350,   351,   352,    -1,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,    -1,   393,    -1,   395,   396,   397,   398,   399,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,    -1,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,    -1,   422,   423,    -1,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,    -1,    -1,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,    -1,    -1,
     450,   451,   452,   453,   454,    -1,    -1,   457,   458,   459,
     460,   461,    -1,   463,    -1,   465,   466,   467,   468,   469,
      -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,    71,
     490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,   499,
     500,   501,    -1,    -1,    -1,    -1,    -1,    -1,   508,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,    -1,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,   394,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,    -1,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
     462,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,    -1,   490,   491,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    86,   508,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,   180,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,   326,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    -1,   490,
     491,    -1,    -1,    -1,    -1,    -1,    71,    72,   499,   500,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,   180,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,   326,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    -1,   490,   491,    -1,    -1,    -1,
      -1,    -1,    71,    72,   499,   500,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,   326,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      -1,   490,   491,    -1,    -1,    -1,    -1,    -1,    71,    -1,
     499,   500,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,   326,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    -1,   490,   491,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,    -1,   224,    -1,   226,   227,    -1,   229,   230,   231,
     232,    -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,   251,
     252,   253,   254,    -1,   256,   257,   258,    -1,   260,   261,
     262,    -1,   264,    -1,   266,    -1,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,    -1,
     282,   283,   284,   285,   286,    -1,   288,   289,   290,    -1,
      -1,   293,   294,   295,   296,   297,   298,    -1,   300,   301,
      -1,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,   313,   314,   315,   316,    -1,   318,   319,   320,   321,
     322,   323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,
      -1,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,   346,   347,   348,   349,   350,   351,
     352,    -1,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
      -1,   393,    -1,   395,   396,   397,   398,   399,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,    -1,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,    -1,
     422,   423,    -1,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,    -1,   436,   437,   438,   439,    -1,   441,
     442,   443,   444,   445,   446,   447,    -1,    -1,   450,   451,
     452,   453,   454,    -1,    -1,   457,   458,   459,   460,   461,
      -1,   463,    -1,   465,   466,   467,   468,   469,    -1,    -1,
     472,    -1,    -1,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,    -1,   490,   491,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    75,    76,    77,    78,    79,    80,    -1,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,   180,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      75,    76,    77,    78,    79,    80,    -1,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    75,    76,
      77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,   170,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,   455,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    71,   490,   491,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,    -1,   224,    -1,   226,   227,    -1,
     229,   230,   231,   232,    -1,   234,   235,    -1,   237,    -1,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,    -1,   256,   257,   258,
      -1,   260,   261,   262,    -1,   264,    -1,   266,    -1,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,    -1,   282,   283,   284,   285,   286,    -1,   288,
     289,   290,    -1,    -1,   293,   294,   295,   296,   297,   298,
      -1,   300,   301,    -1,   303,   304,   305,   306,   307,   308,
     309,   310,   311,    -1,   313,   314,   315,   316,    -1,   318,
     319,   320,   321,   322,   323,    -1,   325,    -1,    -1,   328,
     329,   330,    -1,    -1,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,    -1,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    -1,   393,    -1,   395,   396,   397,   398,
     399,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
      -1,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,    -1,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,    -1,    -1,   436,   437,   438,
     439,    -1,   441,   442,   443,   444,   445,   446,   447,    -1,
      -1,   450,   451,   452,   453,   454,    -1,    -1,   457,   458,
     459,   460,   461,    -1,   463,    -1,   465,   466,   467,   468,
     469,    -1,    -1,   472,    -1,    -1,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
      71,   490,   491,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,    -1,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,    -1,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,    -1,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,    -1,   224,    -1,   226,   227,    -1,   229,   230,
     231,   232,    -1,   234,   235,    -1,   237,    -1,   239,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,   250,
     251,   252,   253,   254,    -1,   256,   257,   258,    -1,   260,
     261,   262,    -1,   264,    -1,   266,    -1,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
      -1,   282,   283,   284,   285,   286,    -1,   288,   289,   290,
      -1,    -1,   293,   294,   295,   296,   297,   298,    -1,   300,
     301,    -1,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,   318,   319,   320,
     321,   322,   323,    -1,   325,    -1,    -1,   328,   329,   330,
      -1,    -1,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,   346,   347,   348,   349,   350,
     351,   352,    -1,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,    -1,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,    -1,   393,    -1,   395,   396,   397,   398,   399,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,    -1,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
      -1,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,    -1,    -1,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,    -1,    -1,   450,
     451,   452,   453,   454,    -1,    -1,   457,   458,   459,   460,
     461,    -1,   463,    -1,   465,   466,   467,   468,   469,    -1,
      -1,   472,    -1,    -1,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,    71,   490,
     491,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,    -1,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,    -1,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,    -1,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
      -1,   224,    -1,   226,   227,    -1,   229,   230,   231,   232,
      -1,   234,   235,    -1,   237,    -1,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,   251,   252,
     253,   254,    -1,   256,   257,   258,    -1,   260,   261,   262,
      -1,   264,    -1,   266,    -1,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,    -1,   282,
     283,   284,   285,   286,    -1,   288,   289,   290,    -1,    -1,
     293,   294,   295,   296,   297,   298,    -1,   300,   301,    -1,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
     313,   314,   315,   316,    -1,   318,   319,   320,   321,   322,
     323,    -1,   325,    -1,    -1,   328,   329,   330,    -1,    -1,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,   346,   347,   348,   349,   350,   351,   352,
      -1,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,    -1,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,    -1,
     393,    -1,   395,   396,   397,   398,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,    -1,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,    -1,   422,
     423,    -1,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,    -1,    -1,   436,   437,   438,   439,    -1,   441,   442,
     443,   444,   445,   446,   447,    -1,    -1,   450,   451,   452,
     453,   454,    -1,    -1,   457,   458,   459,   460,   461,    -1,
     463,    -1,   465,   466,   467,   468,   469,    -1,    -1,   472,
      -1,    -1,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,    71,   490,   491,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,    -1,   224,
      -1,   226,   227,    -1,   229,   230,   231,   232,    -1,   234,
     235,    -1,   237,    -1,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,   250,   251,   252,   253,   254,
      -1,   256,   257,   258,    -1,   260,   261,   262,    -1,   264,
      -1,   266,    -1,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,    -1,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,    -1,    -1,   293,   294,
     295,   296,   297,   298,    -1,   300,   301,    -1,   303,   304,
     305,   306,   307,   308,   309,   310,   311,    -1,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,   323,    -1,
     325,    -1,    -1,   328,   329,   330,    -1,    -1,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,   346,   347,   348,   349,   350,   351,   352,    -1,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,    -1,   393,    -1,
     395,   396,   397,   398,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,    -1,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,    -1,   422,   423,    -1,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,    -1,
      -1,   436,   437,   438,   439,    -1,   441,   442,   443,   444,
     445,   446,   447,    -1,    -1,   450,   451,   452,   453,   454,
      -1,    -1,   457,   458,   459,   460,   461,    -1,   463,    -1,
     465,   466,   467,   468,   469,    -1,    -1,   472,    -1,    -1,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,    71,   490,   491,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,    -1,   224,    -1,   226,
     227,    -1,   229,   230,   231,   232,    -1,   234,   235,    -1,
     237,    -1,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,   250,   251,   252,   253,   254,    -1,   256,
     257,   258,    -1,   260,   261,   262,    -1,   264,    -1,   266,
      -1,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,    -1,   282,   283,   284,   285,   286,
      -1,   288,   289,   290,    -1,    -1,   293,   294,   295,   296,
     297,   298,    -1,   300,   301,    -1,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,   323,    -1,   325,    -1,
      -1,   328,   329,   330,    -1,    -1,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,   346,
     347,   348,   349,   350,   351,   352,    -1,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,    -1,   393,    -1,   395,   396,
     397,   398,   399,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,    -1,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,    -1,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,    -1,    -1,   436,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,    -1,    -1,   450,   451,   452,   453,   454,    -1,    -1,
     457,   458,   459,   460,   461,    -1,   463,    -1,   465,   466,
     467,   468,   469,    -1,    -1,   472,    -1,    -1,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,    -1,   490,   491
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   517,  1067,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   221,   241,
     263,   299,   302,   317,   392,   434,   448,   463,   489,   495,
     499,   500,   501,   502,   503,   506,   507,   508,   509,   511,
     512,   513,   514,   515,  1058,  1068,  1096,  1098,  1189,  1199,
    1200,  1202,  1208,  1209,  1097,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   221,   227,
     229,   233,   235,   244,   257,   258,   264,   266,   269,   270,
     272,   283,   284,   286,   288,   289,   294,   303,   306,   307,
     308,   311,   314,   315,   318,   320,   333,   334,   335,   336,
     337,   347,   349,   351,   362,   363,   368,   369,   371,   376,
     381,   382,   384,   385,   388,   393,   394,   401,   402,   404,
     405,   407,   412,   420,   424,   432,   433,   437,   439,   441,
     443,   448,   451,   457,   462,   463,   466,   474,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   508,   518,   519,
     525,   526,   528,   529,   530,   531,   532,   533,   534,   536,
     537,   541,   552,   555,   556,   559,   560,   561,   572,   575,
     576,   592,   631,   634,   635,   636,   643,   649,   651,   653,
     654,   657,   660,   661,   665,   666,   675,   679,   680,   681,
     682,   683,   685,   686,   687,   700,   701,   705,   707,   708,
     709,   720,   722,   729,   730,   733,   734,   735,   736,   737,
     742,   744,   747,   751,   755,   756,   766,   767,   770,   775,
     786,   805,   808,   809,   810,   813,   816,   818,   820,   823,
     826,   827,   828,   835,   836,   838,   839,   840,   845,   847,
     848,   852,   853,   856,   857,   858,   860,   861,   862,   863,
     865,   868,   869,   874,   880,   883,   885,   890,   892,   896,
     903,   907,   908,   909,   910,   911,   912,   915,   943,  1064,
    1065,  1069,  1071,  1072,  1089,  1090,  1091,  1092,  1103,  1105,
    1109,  1110,  1111,  1112,  1113,  1115,  1117,  1119,  1120,  1121,
    1122,  1124,  1129,  1130,  1134,  1135,  1144,  1146,  1147,  1148,
    1151,  1156,  1159,  1164,  1166,  1167,  1170,  1172,  1175,  1184,
    1202,  1210,    73,  1092,  1100,  1101,    14,    72,    91,    92,
      93,    94,    95,    96,    97,    98,   100,   101,   102,   110,
     111,   113,   114,   116,   117,   118,   125,   126,   127,   128,
     129,   132,   133,   136,   138,   139,   140,   141,   146,   147,
     148,   149,   151,   154,   155,   156,   157,   158,   159,   162,
     171,   172,   173,   174,   176,   179,   181,   183,   184,   185,
     186,   187,   189,   190,   191,   194,   195,   196,   197,   198,
     200,   201,   202,   204,   205,   206,   208,   209,   210,   211,
     213,   214,   215,   218,   220,   222,   224,   226,   230,   231,
     232,   234,   237,   239,   240,   242,   243,   245,   246,   247,
     249,   250,   251,   252,   253,   254,   256,   260,   261,   262,
     268,   271,   273,   274,   275,   276,   277,   279,   280,   282,
     285,   288,   289,   290,   293,   294,   295,   296,   297,   298,
     300,   301,   303,   304,   305,   309,   310,   313,   314,   316,
     319,   321,   322,   323,   325,   328,   329,   330,   338,   339,
     340,   341,   342,   343,   344,   346,   348,   350,   351,   352,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   380,   381,   383,   384,   386,   387,   388,
     389,   390,   391,   393,   395,   396,   397,   398,   399,   401,
     403,   404,   406,   408,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   422,   423,   425,   426,   427,   428,
     429,   430,   434,   436,   438,   441,   442,   443,   444,   445,
     446,   447,   450,   451,   452,   453,   454,   457,   458,   459,
     460,   461,   465,   467,   468,   469,   472,   475,   476,   477,
     478,   479,   490,   491,  1059,  1062,  1063,  1064,  1065,  1082,
    1083,  1194,  1196,  1200,  1202,    29,   259,  1145,     9,    13,
      15,    28,    45,    46,    50,    51,    56,    65,    67,    69,
      70,    99,   134,   152,   163,   175,   180,   241,   299,   302,
     392,   462,   489,  1051,  1063,  1064,  1084,  1131,  1132,  1174,
    1175,  1176,  1180,  1185,  1186,  1187,  1196,  1202,    99,   904,
    1050,  1084,  1180,  1193,    14,   904,     5,    25,    29,    35,
      36,    43,    44,    99,   103,   104,   105,   106,   107,   108,
     109,   112,   124,   130,   131,   134,   137,   143,   145,   152,
     153,   160,   163,   164,   165,   166,   168,   169,   170,   180,
     182,   188,   192,   193,   199,   203,   207,   217,   219,   223,
     225,   228,   233,   236,   238,   248,   255,   259,   263,   265,
     267,   278,   281,   287,   291,   292,   312,   317,   324,   326,
     327,   331,   332,   345,   353,   367,   379,   394,   400,   409,
     421,   424,   431,   434,   435,   440,   448,   449,   455,   456,
     462,   464,   470,   471,   473,   474,  1063,  1066,  1176,  1177,
    1178,  1182,  1183,  1184,  1185,  1187,    25,    35,   134,   263,
    1171,    38,    40,   312,  1104,   436,   476,   841,    98,   144,
     157,   174,   180,   195,   206,   214,   225,   230,   236,   251,
     276,   297,   328,   356,   383,   387,   389,   395,   398,   424,
     426,   430,   438,   443,   455,   468,   650,  1132,   179,   841,
      99,   904,   466,   870,   326,   352,   841,   121,   583,   908,
      98,   110,   131,   144,   153,   174,   180,   195,   206,   214,
     225,   232,   236,   290,   328,   331,   383,   389,   398,   426,
     427,   429,   430,   438,   443,   449,   452,   455,   593,   633,
     725,   776,   787,  1051,  1073,  1074,  1075,  1084,  1200,  1202,
      14,    99,   351,  1050,  1084,  1088,   413,   904,    99,   346,
     427,   429,   275,   814,   815,  1200,    98,   110,   131,   144,
     157,   174,   195,   206,   214,   225,   230,   236,   251,   297,
     328,   338,   383,   387,   389,   395,   398,   424,   426,   430,
     438,   443,   455,   468,   650,   738,   841,   514,  1114,  1178,
     245,  1088,   160,   179,   211,   466,   508,   631,   634,   869,
     875,   883,   885,   890,   896,   903,   907,  1069,    92,    99,
     116,   220,   226,   228,   248,   277,   309,   354,   370,   499,
     500,   752,   753,   904,  1058,  1061,  1194,  1196,    99,   160,
     367,   394,   757,   758,   759,  1180,  1180,  1055,  1200,   424,
     918,   116,   226,   752,  1180,   436,  1088,   338,   297,   174,
     251,   423,   424,   821,   388,  1180,    99,   134,   399,   432,
     436,   462,   544,  1063,  1064,  1174,  1179,  1185,  1187,  1202,
      96,   233,   757,   758,   352,   841,  1180,   274,    99,   192,
     920,     4,    14,   132,   152,   154,   290,   305,   383,   389,
     399,   432,   436,   479,   542,   543,   544,    99,   399,   432,
     436,   544,   436,   327,   954,  1048,  1180,   918,  1168,  1178,
     501,  1180,   229,   508,   871,   508,  1044,   365,   913,   914,
    1050,   908,   909,   912,   512,   870,   207,   265,   332,   448,
     921,   922,   908,   910,   911,   185,   261,   454,   511,   118,
     518,  1112,  1115,  1111,  1107,   512,  1116,  1118,     5,    25,
      35,   134,   196,   263,  1123,   175,   241,   299,   302,   392,
     489,   508,   985,   986,  1095,  1099,  1189,    73,  1092,  1050,
    1084,  1203,   180,  1073,    21,   456,   502,  1088,  1088,  1203,
     456,  1136,  1137,  1138,    25,   263,   263,  1182,     7,    19,
      20,    39,    42,   156,   193,  1173,  1173,    16,  1112,  1056,
    1065,  1174,  1177,  1180,  1181,  1185,  1186,  1202,   740,  1180,
     740,  1051,   355,   740,   438,   740,  1050,  1180,   173,   424,
     765,  1056,  1059,   243,  1048,   321,   468,    85,   139,   218,
     495,   496,   497,   499,   500,   501,   502,   503,   504,   812,
    1011,  1012,  1180,    99,  1059,  1050,  1050,   243,  1048,  1050,
     243,   954,  1050,   391,  1050,   740,    99,   295,  1059,   243,
    1048,   275,    34,   182,   271,   312,   361,   842,   843,   844,
    1048,  1054,  1180,    98,   131,   144,   145,   153,   157,   174,
     195,   206,   214,   225,   230,   251,   276,   297,   328,   383,
     387,   389,   395,   398,   424,   426,   430,   438,   443,   468,
     650,   745,  1200,  1048,   434,  1056,  1050,   508,   740,   438,
    1051,   740,   438,   243,  1050,   173,   424,   427,   429,  1059,
     427,   429,   139,   218,   812,   374,  1059,   243,   538,  1180,
    1050,  1050,   391,  1050,   740,   295,  1059,   365,   395,   424,
     468,   297,   157,   251,   230,   387,   442,   644,    85,  1076,
    1077,   513,  1196,  1203,    99,  1088,  1202,   905,   551,  1062,
    1200,   815,   243,  1056,  1050,   243,   819,   243,  1051,   438,
     173,   424,   243,  1056,   243,  1059,  1060,   150,   468,   139,
     218,   243,   812,   125,   243,  1060,   243,  1050,   243,  1050,
     243,  1050,   391,   243,  1050,   243,   295,  1060,   275,   243,
     739,   740,   508,   514,  1204,  1205,  1206,  1207,  1209,  1114,
      71,  1084,  1133,   508,   884,   593,   904,   875,   869,   876,
     877,   878,  1062,   870,  1061,   753,   754,    99,   753,   904,
    1061,   754,    99,   753,   904,  1061,   754,   754,   754,  1061,
    1058,  1058,   267,   456,  1138,  1139,  1213,  1214,   904,   754,
     355,   508,   508,   612,   612,   612,   326,   434,   511,   612,
     954,   955,   753,   904,   753,   904,   511,   837,  1200,   228,
     508,   881,   125,   468,  1050,  1050,  1048,  1180,   115,   491,
     271,   510,   329,   329,   326,   228,  1200,   434,   223,   748,
     326,    83,    84,    85,    87,   107,   120,   122,   123,   130,
     131,   134,   135,   142,   144,   164,   165,   166,   167,   168,
     169,   170,   177,   178,   196,   212,   216,   217,   221,   235,
     263,   264,   266,   283,   291,   292,   306,   308,   312,   317,
     318,   320,   328,   337,   347,   362,   385,   400,   407,   420,
     432,   433,   437,   439,   440,   449,   455,   463,   481,   482,
     483,   484,   485,   486,   487,   488,   499,   500,   501,   508,
     908,   966,   969,   972,   973,   974,   976,   977,   978,   979,
     982,   983,   987,   989,   990,  1009,  1013,  1032,  1037,  1045,
    1046,  1056,  1057,  1058,  1180,  1192,  1194,  1196,  1197,  1198,
    1199,  1200,   434,   495,  1203,  1200,   434,   495,  1132,    99,
     557,  1047,  1048,   399,   542,   180,   550,  1200,   551,  1200,
     115,   136,   542,   491,   408,   843,   329,   228,   434,   495,
     115,   491,   271,  1213,   844,   508,  1048,   501,   506,   510,
    1038,  1039,   955,  1184,   227,   229,   466,   866,   867,   869,
     227,   872,   180,   987,  1042,  1043,   913,   511,   508,   873,
     509,   509,  1048,    99,   192,   919,   919,   125,   919,   219,
     223,   287,   324,   925,   927,   928,   937,   939,   940,   941,
     921,   922,   228,   267,   954,   956,  1044,   512,  1106,   501,
    1125,  1126,  1128,   514,   514,    25,   263,   263,   434,   434,
     434,   434,   508,   434,   499,   500,   641,  1061,  1093,  1199,
     203,   108,  1080,   125,  1083,  1083,   267,  1138,  1140,   267,
    1138,  1139,  1140,   461,  1149,  1150,  1196,    14,    37,    84,
     499,   500,  1058,  1141,  1142,  1143,  1192,  1194,  1198,  1199,
    1200,  1201,   263,   269,  1050,   434,  1050,     6,  1050,  1173,
    1128,   508,   714,  1039,   339,   372,   401,   510,   741,   339,
     372,   401,   339,   372,   401,   474,   520,   552,   553,   771,
      95,   197,   339,   372,   401,   459,   564,  1050,   401,    95,
     197,   454,   535,   477,   243,   954,   127,   159,   215,   246,
     282,   312,   339,   372,   380,   386,   393,   401,   410,   418,
     469,   552,   554,   799,   806,   508,   788,   372,   535,   212,
      95,   101,   141,   190,   197,   200,   253,   310,   312,   322,
     330,   339,   372,   376,   401,   459,   562,   563,   669,   641,
     243,  1048,   740,   740,   508,   811,   510,   248,   527,   372,
     520,   527,   326,   339,   372,   212,   126,   172,   250,   298,
     300,   310,   338,   372,   377,   401,   412,   562,   638,   639,
     339,   372,   467,   669,   677,   212,   372,   401,   562,   339,
     372,   376,   401,   151,   189,   340,   428,   326,    95,   101,
     197,   339,   372,   401,   573,   574,   527,   223,   372,   520,
     527,   212,   372,   401,   562,  1050,   512,   285,   182,   327,
     478,   511,   842,   456,   864,   326,  1056,   508,  1050,   438,
     173,   424,  1056,   321,   468,   139,   218,   812,  1050,   391,
    1050,   275,   740,   612,   358,   578,   508,   714,   715,   137,
     120,   122,   123,   134,   135,   177,   178,   221,   264,   266,
     306,   308,   320,   362,   402,   407,   432,   433,   463,   963,
     965,   967,   969,   971,   973,   974,   975,   977,   978,   982,
     983,  1174,  1181,  1185,  1186,  1202,   228,   508,   710,  1050,
     520,   108,   859,  1050,   312,   520,   477,   243,  1048,   520,
     740,   740,   710,   452,   593,   520,   312,   115,   539,   443,
     676,   339,   652,   151,   189,   340,   428,    97,   117,   262,
     688,   108,   710,   223,   520,   468,  1048,   243,   629,  1048,
    1048,   468,   740,   150,   777,  1056,  1050,   650,    74,  1078,
    1180,   513,  1079,  1076,   121,   171,   260,   310,   390,   212,
     714,   128,   378,   565,   212,   508,   212,   477,   212,   788,
     212,   511,   243,   739,   243,   740,   243,   740,   212,   811,
    1060,   212,   212,   326,   212,   565,   212,   151,   189,   340,
     428,   212,   326,   212,   223,   243,   243,   551,   212,   511,
     565,   509,  1205,  1206,  1204,   511,   515,   987,  1016,  1137,
    1212,  1213,   424,   905,   509,   511,   217,   326,   440,   548,
     551,   641,   879,   875,   754,   904,   754,   904,  1214,  1215,
     754,   904,   754,   904,  1215,   754,   904,   904,   904,   754,
      14,    37,  1188,  1191,  1196,   904,   508,   613,   614,  1180,
     613,    99,   174,   195,   225,   230,   275,   276,   389,   395,
     424,   426,   443,   760,  1047,  1060,   759,   248,   511,   893,
     904,   904,  1200,  1133,   963,  1019,   108,  1060,  1048,   224,
     822,   822,   822,   285,  1180,   223,   223,   760,  1060,   388,
    1180,   551,   326,   508,   506,   908,  1020,   465,   980,   987,
    1036,   508,   980,   980,   508,   223,   508,   508,   508,   968,
     968,   349,   908,   508,   508,   970,   508,   508,   508,   508,
     134,   135,   980,   987,   508,   968,   508,   508,   508,   508,
     508,   475,   494,   508,   984,   508,   984,   508,   508,   908,
     508,   508,   508,   508,   508,   508,   508,   508,   987,   987,
     462,   908,   987,  1016,  1039,  1200,   135,   508,   981,   508,
    1200,    85,    88,   105,   108,   113,   119,   143,   244,   248,
     269,   270,   286,   312,   315,   328,   331,   405,   495,   496,
     497,   499,   500,   501,   502,   503,   504,  1011,  1013,  1015,
    1202,   336,   987,   267,   511,   916,  1213,   508,  1200,  1039,
      22,  1195,  1196,  1040,   323,   326,  1165,  1165,    10,   461,
    1152,  1153,  1155,  1132,  1132,   183,   245,   558,   511,   136,
     180,   551,   108,   180,   290,   549,   641,   983,  1200,  1202,
    1200,   155,   194,   996,   163,   180,   545,   546,   548,   641,
     180,   545,  1213,  1213,   285,  1048,   987,   501,  1053,  1182,
    1038,   156,   377,   743,   269,   509,   511,   870,   509,   511,
     914,  1049,  1050,   108,   873,   910,   910,   923,   924,   987,
     910,   220,   309,   934,   273,   310,   361,   403,   454,    99,
     929,   987,   930,   932,   987,   989,   937,   938,   928,   927,
     925,   926,   223,   940,   322,   942,   925,   937,   956,  1048,
     108,  1180,   401,  1125,   501,   511,   512,  1183,  1102,  1105,
    1102,   263,   175,   241,   299,   986,   299,   986,   986,   302,
    1058,   299,   302,   392,  1199,  1199,   511,  1094,   179,  1132,
     455,  1081,  1083,  1050,    37,  1058,  1154,  1196,   511,   495,
    1050,    14,  1058,  1199,  1058,  1199,   511,  1112,   508,  1050,
     508,  1184,   501,  1019,   339,   372,   401,   434,   434,   389,
    1053,   510,   434,   434,   389,   434,   434,   426,   542,   854,
     223,   233,   248,   381,   772,   773,   137,   153,   208,   225,
     353,   449,   609,   610,   153,   180,   312,   434,   153,   434,
     180,   312,   389,   153,   190,   200,   339,   372,   706,   389,
     658,    98,   131,   144,   157,   195,   206,   225,   230,   297,
     328,   389,   395,   398,   424,   430,   443,   468,   650,  1050,
     212,   372,   401,   562,   326,   641,   393,   282,   434,   434,
     317,   641,   184,   268,   389,   399,   436,   543,   378,   401,
     799,   807,   248,   258,   333,   402,   464,   509,   789,   792,
     793,   794,   796,   963,  1181,   434,   455,  1048,   145,   208,
     600,   609,  1180,   145,   824,   326,   387,   438,   153,   824,
     102,   375,   387,   438,  1048,   253,   322,   740,   508,   434,
     434,   508,   568,   426,   474,   475,   568,   153,   511,   339,
     212,   372,   401,   562,   456,   456,   311,   963,   339,   401,
     812,   174,   401,   553,   434,   522,   553,  1048,   434,   434,
    1048,   641,   125,   640,   641,   641,   172,   298,   300,   125,
     434,   520,   389,   520,   310,   639,   434,   434,   317,  1200,
     669,   954,   153,   434,   824,   389,   434,   434,   568,   568,
     740,   740,   740,   740,  1048,   114,   461,   114,   114,   434,
     114,   434,   389,   511,   553,   170,   455,   684,  1059,   434,
     522,   553,  1048,   434,   389,   339,   372,   361,   373,   397,
     547,   842,  1054,  1180,  1048,   714,   963,   326,   477,   788,
     641,   740,   740,   811,   269,   326,   151,   189,   340,   428,
     326,   740,   269,   474,   584,   415,   416,   579,  1200,   716,
     717,  1202,   710,   508,   965,   108,   107,   964,   175,   302,
     489,   508,   985,   741,   968,   740,   711,   712,  1182,    97,
     849,   963,   326,   212,   655,  1050,   312,   508,   521,   725,
     456,   365,   468,   521,   212,  1059,   160,   233,   540,   592,
     635,   687,   755,   775,   845,  1200,   677,   678,  1050,   293,
     740,   740,   740,   740,   322,   185,   261,   441,   454,   689,
     690,   204,   360,   508,   684,   521,  1048,   637,   638,   312,
     108,   322,   508,   612,   612,   632,  1048,   223,   778,  1054,
     508,   790,   108,   275,   510,  1058,  1079,   474,   475,   906,
     390,  1056,   565,   963,  1051,   243,  1050,  1056,   565,  1060,
    1059,   212,   565,   212,   456,   212,   456,   812,   565,   565,
    1060,  1050,   740,  1050,  1050,  1050,   740,  1060,   684,   212,
     212,   565,   739,   740,   509,   515,  1207,   509,   511,  1213,
    1137,  1048,   171,   875,   877,   904,   904,  1215,   904,   904,
    1215,   904,   904,  1050,    14,   511,  1195,   613,   509,   511,
     509,   231,   396,   425,  1049,   739,   173,   398,   764,   765,
    1049,   321,  1049,  1047,  1047,  1049,   739,   434,   474,   768,
      93,   210,   385,   403,   894,   954,   316,   895,   509,   511,
     882,   885,   890,   896,   907,   434,   474,   630,   758,   757,
     758,   228,   234,   769,  1180,    98,   145,   174,   195,   206,
     225,   230,   276,   297,   383,   389,   395,   424,   426,   443,
     468,   650,   749,  1016,   507,  1016,  1020,  1021,   508,   470,
    1033,  1034,   987,  1016,   508,  1058,  1058,  1016,   175,   241,
     299,   302,   392,   489,  1022,  1023,  1200,  1202,  1058,  1016,
    1016,  1058,  1058,   980,   980,   987,   812,   987,  1024,   499,
     500,   988,   989,  1009,  1013,  1026,   509,  1016,   987,  1016,
    1027,   432,   491,  1058,  1058,   987,   124,   228,   281,   435,
     987,  1016,  1030,  1016,   304,   989,   987,   994,   995,   996,
     304,   987,   996,   509,   511,   401,  1058,  1058,   985,   963,
     987,  1182,   432,   112,   421,  1041,   740,   987,   508,   908,
    1031,   192,   194,   217,   312,   317,   322,   440,   450,   987,
     119,   244,   248,   286,   405,   508,   987,   434,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,    99,   106,
     409,  1010,   385,   508,  1009,   232,   290,   424,   427,   429,
     452,   917,  1048,  1046,   228,   944,    99,   192,   464,   501,
     509,   794,   987,  1017,  1018,  1181,  1050,  1196,  1038,  1154,
     511,   495,  1048,   436,   508,  1200,   511,  1213,   509,   507,
     513,   242,   242,   565,  1112,  1048,   867,   868,  1048,  1042,
     509,   511,   508,   511,   109,   188,   456,   784,   508,   931,
    1061,   403,   273,   327,   511,   385,   386,   933,  1047,   895,
     938,   926,   456,   891,   180,   508,   886,   907,  1180,   508,
     897,   898,   899,   900,   901,  1180,   512,  1126,   964,   515,
    1105,   515,   509,   641,   509,    34,  1082,  1157,  1158,  1196,
    1150,  1155,  1203,  1141,   964,  1190,  1206,  1190,   964,   509,
     509,   434,   434,   389,  1059,  1050,  1050,  1053,  1059,  1050,
    1050,  1059,  1051,  1050,   152,   855,   383,   455,   757,   389,
     233,   757,   508,  1050,   456,   779,   273,   273,   456,   508,
     628,   243,  1050,   317,  1059,  1050,  1050,   987,   317,  1050,
    1050,   102,   375,   434,   434,  1050,   434,   659,  1056,   508,
     740,   740,   740,   438,   173,   424,   765,   468,   139,   218,
     812,  1050,   740,  1050,   740,   391,   740,   740,   275,   237,
     310,   339,   372,   460,   662,   663,   664,   954,   434,   824,
     389,   317,   184,   268,  1059,  1050,   326,  1050,   333,  1181,
     509,   511,   794,   796,   793,   796,  1181,   741,  1059,  1060,
     372,   562,   600,   963,  1180,  1050,  1050,    99,   455,  1050,
     243,  1050,   243,  1180,   387,   438,   387,   438,  1050,    99,
     455,  1050,  1048,    95,   197,   401,   670,   671,   672,   673,
    1182,  1059,  1050,   570,   571,  1182,  1050,   325,   141,   325,
    1050,   563,   434,  1048,   434,   824,   389,  1052,  1180,  1052,
     511,   509,   511,   434,   389,  1051,  1059,   152,   202,   253,
     344,   447,   455,   458,   523,  1202,   372,  1059,  1050,   372,
     401,   562,   638,   641,   740,  1050,   641,  1050,   641,  1059,
    1050,   372,   401,   562,  1050,  1050,  1050,  1050,  1059,  1050,
      95,   101,   197,   339,   372,   401,   339,   372,   401,   710,
     372,   401,   372,   401,   372,   962,  1180,   243,   721,  1180,
     243,  1180,  1059,  1050,  1050,  1050,    95,   574,   398,  1059,
     372,   401,   562,  1050,  1050,   434,   434,   149,   446,   361,
     269,   108,   740,   269,   269,   456,   456,   269,   317,   746,
    1200,   740,   740,   269,   746,   325,   228,   434,   577,   520,
     509,   511,   495,   987,   107,   964,   963,   506,   506,   434,
     434,  1058,   968,   509,   511,   495,   689,   152,   201,   279,
     280,   293,   339,   426,   428,   850,   602,  1182,  1050,   228,
     389,   467,   656,   663,   664,   212,   286,   594,   596,   598,
     600,   606,   609,    96,   248,   383,   422,   523,   524,   223,
    1052,   468,  1048,   538,  1180,   539,   331,   593,   225,  1200,
     710,   710,   710,   710,   322,   326,   331,   508,   710,   960,
     961,   962,   398,   508,   212,   211,  1070,   740,   594,  1180,
     474,   475,   624,   474,   569,   108,   612,  1200,   326,   509,
     791,   792,   797,   108,   275,   380,   473,   798,   799,   800,
     326,   551,  1078,   502,   240,   240,   223,   714,   108,   212,
     565,   788,   739,   740,  1052,   740,  1052,   811,   326,   565,
     565,   326,   565,   398,   223,   551,   565,   987,   906,  1203,
    1191,   509,   614,   248,   248,   248,   477,  1049,   511,   641,
     642,   236,   761,   762,  1059,    96,   769,   210,   403,   210,
     403,   385,   454,   301,   963,  1050,   173,   310,   228,   326,
     761,   125,   565,  1056,   438,   424,  1056,   321,   468,   275,
     740,   509,   507,   507,   511,  1016,   987,   199,  1034,  1035,
     108,   509,   987,   509,   509,   509,   509,   228,   509,   509,
     509,   509,   509,   511,   509,   345,  1025,   509,   988,   988,
      88,   248,   269,   328,   495,   496,   497,   499,   500,   501,
     502,   503,   504,  1013,   988,   509,   509,   223,   228,  1028,
    1029,   509,   491,   509,   509,   108,  1030,  1016,  1030,  1030,
     228,   509,   509,  1182,   343,   998,   108,   509,   511,   987,
    1182,   511,   987,  1040,   987,  1180,   509,   509,   491,   988,
     988,   205,  1016,   228,   192,   194,   217,   317,   322,   440,
     450,   508,   205,   421,  1041,   987,  1031,   987,   434,   812,
     987,   508,   908,   427,   429,   427,   429,  1048,   918,   918,
     918,   278,   508,   908,   945,   946,   947,   954,   957,   990,
    1056,  1180,   471,   958,  1017,  1017,  1018,   509,   335,  1002,
      90,   509,   511,   922,     8,    11,    12,    22,    23,    24,
      26,    27,    31,    32,    33,   173,   304,   349,   443,  1160,
    1161,  1163,  1153,  1154,   843,  1058,   985,   546,   987,   964,
     873,  1050,   882,   924,   328,  1011,  1014,   492,   493,   785,
     987,   933,   454,   930,   945,   471,   959,   462,   887,   888,
    1180,   379,   889,   901,   902,   511,   944,   495,  1040,   513,
    1108,   512,   511,   495,    30,  1169,   509,   509,   512,  1059,
    1050,  1050,   287,  1060,  1060,   326,  1049,   329,   326,   987,
     610,  1052,   508,   508,   508,   628,   251,   613,   698,   212,
     565,   434,  1059,  1050,   551,   714,   963,  1050,   477,   740,
     740,   740,   740,   811,   151,   189,   340,   428,  1050,   645,
    1050,   237,   460,   434,   434,   645,   662,   669,   372,   401,
     562,  1050,  1050,  1050,   259,   317,   741,   792,   796,   796,
     503,   434,   330,   667,   197,   376,   401,   564,   669,   825,
     212,   565,   212,   565,  1050,  1050,  1050,  1050,   672,   673,
     672,   509,   511,   674,  1200,   509,   511,   495,   510,  1059,
     372,   401,   562,  1050,  1050,  1050,   339,   372,   401,    95,
     197,   339,   372,   401,   963,   311,   963,  1059,  1050,   287,
     344,   317,  1200,   344,  1060,   453,   434,   434,   389,   434,
     824,   389,   434,   434,   295,   295,   295,   434,   434,   389,
     434,   434,   389,   434,   389,   434,   389,   434,   565,   963,
     312,  1200,   401,   825,   212,   565,   434,  1050,   434,   389,
    1059,  1050,   746,   963,   269,   746,   746,  1052,  1052,   746,
     269,   269,   746,   578,   508,   580,   581,   717,  1202,   328,
     499,   500,   641,   713,   796,  1014,  1066,  1200,   509,   506,
     509,  1058,   507,   508,  1058,  1180,  1200,  1211,   509,   712,
     713,   326,   287,   495,   851,   851,   851,   851,   851,   851,
     851,   137,   143,   153,   180,   182,   255,   312,   317,   353,
     367,   449,   603,   604,   605,   211,   470,   520,   551,  1050,
     551,   667,  1048,  1048,   509,   511,  1060,   236,   383,  1060,
    1058,   443,  1048,   612,   115,   539,   374,   424,   173,   613,
    1048,   690,   718,   719,  1200,   509,   511,  1050,   613,  1048,
    1050,   907,   508,   595,   509,   325,   568,   325,   326,   625,
     568,   108,   907,   569,   434,  1048,   509,   511,   180,   495,
     801,  1200,   551,   424,   795,   796,   474,   800,   802,   185,
     261,   394,   454,   833,   237,  1074,   907,  1088,   565,   963,
    1050,   565,   565,   456,   565,   456,   565,   565,   740,   740,
    1050,   684,   565,   223,   389,   389,   389,  1049,   765,   511,
    1059,   474,   511,   763,   329,   210,   210,   173,  1060,   760,
     565,  1059,   714,   788,   641,   740,   269,  1020,   509,   431,
     987,   203,   963,   509,   987,   987,   987,  1028,   963,   988,
     192,   194,   312,   322,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   987,   987,  1029,  1028,   984,   984,
     963,   509,   509,   509,  1016,   509,   511,   125,   989,   509,
    1182,   995,   350,   419,   997,   509,   511,   467,   991,   108,
     509,   981,  1200,   987,   105,   105,   987,   509,   987,   228,
     508,  1019,   987,   988,   988,   205,   205,   987,   509,   205,
     987,   918,   918,   918,   918,  1048,  1048,  1048,   908,   957,
     908,   946,   947,   108,   948,   949,  1180,   511,   161,   229,
     257,   272,   284,   307,   382,   951,   949,   108,   948,   950,
    1180,   508,  1039,   987,   236,   935,   511,   921,   922,   921,
     509,  1002,   508,  1003,  1180,   987,  1002,  1200,   464,  1018,
     509,   511,   495,   509,   507,  1169,   509,   508,   785,   509,
     327,   163,   987,   889,   509,   511,  1040,  1045,   509,   511,
     898,   959,  1042,  1058,   495,  1127,  1158,  1163,   851,   231,
     396,   425,   444,   774,   223,   774,   509,   508,   616,   617,
     781,   990,  1180,   613,   613,   698,  1054,   509,   182,   255,
     310,   312,   699,  1050,  1050,   108,  1050,   456,   456,   740,
     740,   740,   740,   741,  1059,  1050,   434,   824,   389,   434,
     259,   503,   443,  1050,   508,   602,   312,   568,   173,   312,
     414,   417,   568,   443,  1050,  1180,   671,   571,   713,  1182,
     434,   824,   389,   434,   434,   434,   389,   230,   328,   417,
     723,   724,   230,   328,   731,   732,   434,   434,   389,   509,
     509,   509,  1061,  1200,  1200,  1200,  1050,  1050,  1050,  1050,
    1050,  1050,  1050,  1050,   223,   223,   374,   223,   243,  1059,
    1050,  1050,  1059,  1050,  1050,  1050,  1050,  1050,  1050,  1050,
     143,   566,   212,    97,   117,   443,  1180,  1050,   669,  1050,
    1050,   509,   746,   269,   269,   746,   746,   579,   587,   588,
    1182,   121,   162,   186,   201,   205,   224,   227,   239,   317,
     325,   359,   582,   698,  1058,   474,   475,   507,  1211,   499,
     500,   501,   502,   503,   507,   985,  1048,   851,   180,  1058,
    1200,   180,  1200,   180,  1200,   180,  1200,   180,  1050,   180,
    1050,   180,  1050,   508,   740,  1050,   988,   183,   245,   182,
     317,   273,  1048,   802,   357,   702,   703,  1180,   655,   508,
     607,   398,   598,  1060,  1060,   963,   508,   569,  1059,  1048,
     477,   223,   691,   509,   511,   962,   667,   509,   322,   508,
     884,   630,   597,   599,   601,   609,  1180,   624,   254,   623,
     148,   426,   626,   907,   630,   626,  1200,   779,   797,   987,
     987,   511,   508,   798,   710,   434,   645,    85,  1085,   509,
     565,  1052,  1052,   565,   565,   398,  1049,  1049,  1049,   641,
     233,   762,   769,   228,   269,   269,   269,   269,   317,   750,
    1200,   987,   509,   509,  1029,   228,   192,   194,   322,   508,
     509,   480,   993,  1016,   366,   125,   472,   472,   509,   987,
     310,   987,   511,   992,   965,   985,   988,   988,   987,  1019,
     509,   105,   105,   987,   987,   205,   987,   509,  1048,  1048,
    1048,  1048,   949,   950,   509,  1180,   508,   946,   272,   334,
     952,   946,   952,   272,   951,   952,   272,   508,  1180,   508,
    1017,   125,   238,   936,   509,   509,  1002,  1004,  1180,  1018,
    1002,  1161,   500,  1154,  1162,  1199,  1200,  1200,   812,   322,
     907,   888,  1213,   495,   901,   889,  1207,  1061,   434,   757,
     228,   698,   987,   509,   511,   474,   143,   782,   782,   509,
     509,   802,   183,   245,   253,   182,   458,   565,   963,  1052,
    1052,  1050,  1050,  1050,  1050,   443,   668,   672,   317,   317,
    1061,  1180,   963,   565,   565,   495,  1050,  1050,  1050,  1050,
    1059,  1050,  1050,  1058,  1058,   963,   511,  1058,  1058,   511,
    1059,  1050,  1050,   434,  1049,  1049,   740,  1049,   212,   740,
    1200,  1200,   963,   565,   565,   269,   746,   746,   456,   585,
     586,   509,   511,   501,   508,   548,   589,   641,   859,  1200,
     859,   312,   359,   859,   859,   507,   230,   258,   230,   509,
    1211,  1211,  1211,  1211,  1211,   228,   697,  1061,   987,   312,
     604,   802,   612,   456,   627,  1056,   105,   211,   248,   594,
     209,   249,  1050,   456,   613,   108,   539,   508,  1050,   198,
     692,   470,   694,  1200,   569,   740,   594,   630,   509,   511,
     474,   625,   508,   624,   185,   197,   350,  1050,   474,   846,
     228,   508,  1200,   794,   803,   804,  1181,   802,  1048,   256,
     646,  1086,  1180,   565,   565,   565,  1050,   329,   565,   761,
     750,   750,   750,   750,   988,   228,   508,  1019,   508,   509,
     511,   509,   989,   366,   509,   461,   411,   509,   509,   509,
     988,   988,   987,   948,   508,  1049,   946,   326,   456,   953,
     946,   272,   946,   961,   508,   961,  1180,   509,  1016,   987,
     473,   999,  1002,  1002,   342,  1005,   509,  1058,  1199,   985,
     509,   904,  1044,   761,   326,   761,   509,   802,   617,   328,
     812,   740,   456,   740,   783,   783,   367,   802,   627,   509,
     434,   509,   511,   566,   713,   434,   508,  1056,   812,   724,
     508,   508,   732,  1050,   474,   374,   474,   474,   223,   566,
     746,   520,   187,   588,   548,   590,   591,  1200,  1200,   317,
     501,   613,  1200,  1200,   765,   108,   817,   817,  1048,   698,
     509,   627,   296,   615,   251,   508,   703,   357,   508,   509,
      99,   147,   154,   181,   252,   417,   608,   608,   667,  1052,
     509,   907,   667,   385,   413,   693,   508,   211,   108,   595,
     509,   599,   330,   626,  1047,   625,   386,   386,   129,   137,
     290,   740,   780,   781,   796,   509,   511,   958,   645,   310,
     460,   647,   648,   495,  1087,   565,   988,  1019,   509,   994,
    1016,   125,   310,   490,  1049,   509,   987,   508,   946,   953,
     509,   961,   509,  1000,  1001,  1180,   125,   921,  1002,   763,
     774,   565,   782,   627,   508,   740,   784,   784,  1048,   627,
     698,  1050,   672,   456,   567,  1050,  1019,   788,   223,   727,
     811,  1019,  1019,   739,   740,   739,   740,  1049,   565,   580,
    1200,   509,   511,   613,   817,   111,   247,   223,   310,   611,
     229,   341,   406,   326,   619,   620,   621,   426,   509,  1056,
      82,   704,   398,   218,   726,   569,   846,   987,   357,   907,
     624,   623,   602,   509,   626,   137,   329,   137,   509,   511,
     798,   803,   193,   460,   645,  1058,  1194,  1202,    85,   509,
     509,   509,   366,   461,   509,  1049,   509,   511,   108,  1016,
     360,   386,  1006,   228,   783,   471,   618,   812,   785,   785,
     612,   698,   987,   509,   332,   391,   364,   728,   727,   509,
     509,   474,   591,   198,   253,   185,   454,   326,   621,   326,
     620,  1050,   508,   509,   511,  1050,   740,   108,   108,   509,
    1056,   625,   624,   329,   329,   569,   781,   802,   100,   262,
     834,  1086,   509,  1001,  1003,   119,   163,   445,   987,  1007,
    1008,  1007,   509,   761,   784,   508,   698,   509,   615,  1056,
     125,   728,   740,   385,   128,   310,   378,   401,   622,   622,
     509,    82,   667,   723,   907,   508,   626,   625,   626,   313,
     508,   829,   831,   836,   885,   890,   896,   907,  1008,   385,
     222,   348,   222,   348,   565,   785,   987,   619,   788,   740,
     694,    94,   180,   317,   695,   696,  1058,  1182,  1199,  1200,
     626,   958,   830,   831,   832,   908,   909,   105,   509,   698,
     211,   509,   511,   509,   512,  1008,   357,   696,   832,  1056,
     508,   695,   509
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   516,   517,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   518,   518,   518,
     518,   518,   518,   518,   518,   518,   518,   519,   520,   520,
     521,   521,   522,   522,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   524,   524,   524,   524,   524,   524,   525,
     526,   527,   527,   528,   528,   529,   530,   530,   531,   531,
     532,   532,   533,   534,   535,   535,   536,   536,   537,   537,
     537,   537,   538,   538,   539,   539,   540,   540,   540,   540,
     540,   540,   541,   541,   541,   542,   542,   542,   543,   543,
     543,   543,   543,   543,   543,   543,   543,   543,   543,   543,
     543,   543,   544,   544,   545,   545,   546,   546,   547,   547,
     547,   547,   548,   548,   548,   548,   549,   549,   549,   549,
     549,   549,   549,   550,   550,   550,   551,   551,   552,   552,
     552,   552,   552,   553,   553,   554,   554,   555,   555,   555,
     555,   555,   556,   557,   557,   558,   558,   559,   560,   560,
     560,   560,   561,   561,   561,   561,   561,   561,   561,   561,
     561,   561,   562,   562,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   563,   563,   563,   563,   564,   564,   565,   565,
     565,   566,   566,   567,   567,   568,   569,   569,   570,   570,
     571,   571,   571,   571,   572,   573,   573,   574,   574,   574,
     574,   575,   575,   576,   576,   577,   577,   578,   578,   579,
     579,   579,   580,   580,   581,   581,   582,   582,   582,   582,
     582,   582,   582,   582,   582,   582,   582,   582,   582,   583,
     583,   584,   584,   585,   585,   586,   586,   587,   587,   588,
     589,   589,   589,   589,   589,   590,   590,   591,   592,   592,
     592,   592,   593,   593,   593,   593,   593,   593,   593,   593,
     594,   594,   595,   595,   596,   596,   597,   597,   598,   598,
     598,   599,   599,   600,   601,   602,   602,   603,   603,   603,
     603,   604,   604,   604,   604,   604,   604,   604,   605,   605,
     605,   605,   606,   607,   607,   607,   608,   608,   608,   608,
     608,   608,   609,   609,   610,   610,   610,   610,   610,   610,
     610,   611,   611,   612,   612,   613,   613,   614,   615,   615,
     615,   615,   616,   616,   617,   617,   618,   618,   619,   619,
     619,   619,   619,   620,   621,   622,   622,   622,   622,   622,
     623,   623,   624,   624,   624,   624,   625,   625,   625,   625,
     626,   626,   627,   627,   628,   629,   630,   630,   630,   631,
     632,   633,   633,   634,   635,   636,   636,   637,   637,   638,
     638,   639,   639,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   639,   640,   640,   641,   641,   641,   641,   642,
     642,   643,   643,   644,   644,   645,   645,   646,   646,   647,
     647,   648,   648,   649,   649,   650,   650,   651,   652,   652,
     653,   653,   654,   654,   655,   655,   656,   656,   656,   657,
     658,   658,   659,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   660,   660,   660,
     660,   660,   660,   660,   660,   660,   660,   661,   662,   662,
     662,   662,   663,   663,   664,   664,   665,   665,   666,   666,
     667,   667,   668,   668,   669,   670,   670,   671,   671,   671,
     671,   672,   673,   674,   675,   676,   676,   677,   677,   678,
     678,   679,   679,   680,   680,   680,   681,   681,   682,   682,
     683,   684,   684,   684,   685,   685,   686,   687,   687,   688,
     688,   688,   689,   689,   690,   690,   690,   690,   690,   691,
     691,   692,   692,   693,   693,   694,   694,   695,   695,   695,
     696,   696,   696,   696,   697,   697,   698,   698,   699,   699,
     699,   699,   699,   699,   700,   700,   701,   701,   702,   702,
     703,   704,   704,   705,   706,   706,   706,   706,   707,   708,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   709,
     709,   709,   709,   709,   710,   711,   711,   712,   712,   713,
     713,   713,   713,   713,   714,   714,   715,   716,   716,   717,
     718,   718,   719,   719,   720,   720,   720,   721,   721,   722,
     723,   723,   724,   724,   724,   724,   724,   725,   725,   726,
     726,   727,   727,   727,   728,   728,   729,   730,   730,   731,
     731,   732,   732,   733,   733,   734,   734,   735,   736,   737,
     737,   737,   737,   738,   738,   738,   738,   738,   738,   738,
     738,   738,   738,   738,   738,   738,   738,   738,   738,   738,
     739,   739,   740,   740,   741,   741,   742,   743,   743,   743,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   746,   746,   747,   747,
     747,   747,   747,   748,   748,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   750,   750,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   752,   752,   752,   752,   752,   752,   752,   752,   752,
     752,   752,   752,   752,   752,   753,   753,   754,   754,   755,
     756,   756,   757,   757,   757,   757,   757,   758,   758,   759,
     759,   759,   759,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   761,
     761,   762,   762,   763,   763,   764,   764,   765,   766,   767,
     767,   768,   768,   769,   769,   770,   771,   771,   772,   772,
     772,   773,   773,   773,   774,   774,   774,   774,   775,   776,
     776,   777,   777,   778,   778,   779,   779,   780,   780,   781,
     781,   781,   782,   782,   783,   783,   783,   784,   784,   784,
     785,   785,   785,   786,   786,   786,   787,   787,   788,   788,
     789,   789,   790,   790,   791,   791,   792,   792,   792,   792,
     792,   793,   793,   793,   793,   793,   794,   795,   796,   796,
     796,   797,   797,   797,   798,   798,   799,   799,   799,   799,
     799,   799,   799,   799,   799,   799,   799,   799,   799,   799,
     799,   800,   800,   800,   800,   801,   801,   802,   802,   803,
     804,   804,   805,   806,   806,   807,   807,   808,   808,   809,
     809,   810,   810,   811,   811,   811,   811,   812,   812,   813,
     814,   814,   815,   815,   816,   816,   816,   817,   817,   817,
     818,   819,   819,   820,   820,   820,   821,   821,   822,   822,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   823,   823,   823,
     823,   823,   823,   823,   823,   823,   823,   824,   824,   825,
     825,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   826,   826,   826,   826,   826,
     826,   826,   826,   826,   826,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   828,   829,   829,   829,   830,   830,
     831,   831,   831,   831,   831,   832,   832,   833,   833,   833,
     833,   834,   834,   834,   835,   835,   836,   837,   837,   838,
     839,   839,   840,   840,   840,   840,   840,   840,   840,   840,
     840,   840,   840,   840,   840,   840,   841,   841,   841,   842,
     842,   842,   842,   842,   843,   843,   843,   844,   844,   845,
     845,   845,   845,   846,   846,   846,   846,   847,   848,   849,
     849,   850,   850,   850,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   851,   851,   852,
     852,   853,   854,   854,   855,   856,   856,   857,   858,   858,
     858,   858,   858,   858,   858,   859,   859,   860,   861,   861,
     861,   861,   861,   861,   862,   863,   863,   863,   864,   864,
     865,   865,   865,   865,   865,   866,   866,   867,   867,   867,
     867,   868,   868,   869,   869,   870,   870,   871,   871,   872,
     872,   873,   873,   874,   874,   874,   874,   875,   875,   875,
     875,   875,   875,   875,   875,   875,   876,   876,   877,   878,
     878,   879,   879,   879,   880,   880,   881,   881,   882,   882,
     882,   882,   883,   883,   884,   884,   885,   886,   886,   886,
     887,   887,   888,   889,   889,   890,   891,   891,   892,   893,
     893,   894,   894,   894,   894,   894,   894,   894,   894,   895,
     895,   896,   897,   897,   898,   898,   899,   900,   901,   902,
     902,   903,   904,   904,   905,   905,   905,   905,   905,   906,
     906,   906,   907,   907,   908,   908,   909,   909,   909,   909,
     909,   909,   909,   909,   910,   910,   911,   911,   911,   911,
     911,   911,   912,   912,   913,   913,   914,   915,   915,   916,
     916,   916,   917,   917,   917,   917,   917,   917,   917,   917,
     917,   918,   918,   919,   919,   919,   920,   920,   920,   920,
     921,   921,   922,   923,   923,   924,   924,   925,   925,   925,
     925,   926,   926,   927,   927,   927,   928,   928,   929,   929,
     930,   931,   931,   931,   932,   933,   933,   934,   934,   935,
     935,   936,   936,   937,   937,   938,   938,   939,   939,   940,
     941,   941,   941,   941,   942,   942,   943,   943,   944,   944,
     945,   945,   946,   946,   946,   946,   946,   946,   946,   947,
     947,   947,   947,   947,   947,   948,   948,   948,   948,   949,
     949,   950,   950,   950,   950,   950,   951,   951,   951,   951,
     952,   952,   953,   953,   954,   954,   954,   954,   955,   955,
     956,   956,   956,   957,   958,   958,   959,   959,   959,   960,
     960,   961,   961,   962,   963,   963,   963,   963,   963,   963,
     964,   964,   964,   965,   965,   965,   965,   965,   965,   965,
     966,   966,   966,   966,   967,   967,   968,   968,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   969,   969,   970,
     970,   971,   971,   972,   972,   973,   974,   975,   975,   976,
     976,   977,   978,   979,   979,   979,   979,   979,   979,   980,
     980,   981,   981,   982,   982,   982,   982,   983,   984,   984,
     984,   985,   985,   985,   985,   985,   985,   985,   985,   985,
     985,   985,   985,   985,   985,   986,   986,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   987,   987,   987,   987,
     987,   987,   987,   987,   987,   987,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   988,   988,   988,   988,   988,   988,   989,   989,
     989,   989,   989,   989,   989,   989,   989,   989,   989,   989,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     990,   990,   990,   990,   990,   990,   990,   990,   990,   990,
     991,   991,   992,   992,   992,   992,   993,   994,   994,   995,
     995,   996,   996,   997,   997,   997,   998,   998,   998,   998,
     999,   999,  1000,  1000,  1001,  1002,  1002,  1002,  1003,  1004,
    1004,  1005,  1005,  1006,  1006,  1006,  1007,  1007,  1008,  1008,
    1008,  1008,  1008,  1009,  1009,  1009,  1010,  1010,  1010,  1011,
    1011,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1013,  1013,  1014,  1014,  1015,  1015,  1015,  1015,  1015,  1015,
    1016,  1016,  1017,  1017,  1018,  1018,  1019,  1019,  1020,  1020,
    1020,  1021,  1021,  1022,  1022,  1023,  1023,  1023,  1023,  1023,
    1023,  1023,  1023,  1024,  1024,  1025,  1026,  1026,  1027,  1027,
    1027,  1027,  1027,  1027,  1028,  1029,  1030,  1030,  1030,  1031,
    1031,  1032,  1033,  1033,  1034,  1035,  1035,  1036,  1036,  1037,
    1037,  1038,  1038,  1038,  1038,  1039,  1039,  1040,  1040,  1041,
    1041,  1042,  1042,  1043,  1043,  1044,  1045,  1045,  1046,  1046,
    1046,  1046,  1047,  1047,  1048,  1048,  1049,  1049,  1050,  1051,
    1052,  1053,  1054,  1055,  1056,  1056,  1057,  1057,  1057,  1057,
    1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,  1057,
    1057,  1058,  1059,  1060,  1060,  1061,  1061,  1061,  1061,  1062,
    1062,  1062,  1062,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,
    1063,  1063,  1063,  1063,  1063,  1063,  1063,  1063,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,  1064,
    1064,  1064,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,  1065,
    1065,  1065,  1065,  1065,  1065,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,  1066,
    1067,  1067,  1068,  1068,  1068,  1068,  1068,  1068,  1068,  1068,
    1070,  1069,  1071,  1072,  1072,  1072,  1072,  1073,  1073,  1073,
    1073,  1074,  1074,  1075,  1076,  1077,  1077,  1078,  1078,  1078,
    1079,  1079,  1080,  1080,  1081,  1081,  1082,  1082,  1082,  1082,
    1083,  1083,  1083,  1084,  1085,  1085,  1086,  1086,  1087,  1087,
    1087,  1087,  1088,  1088,  1089,  1090,  1091,  1092,  1092,  1093,
    1094,  1094,  1095,  1095,  1095,  1095,  1095,  1097,  1096,  1098,
    1099,  1100,  1100,  1101,  1101,  1101,  1101,  1102,  1102,  1104,
    1103,  1106,  1105,  1107,  1105,  1105,  1108,  1108,  1109,  1109,
    1109,  1110,  1110,  1110,  1110,  1111,  1111,  1112,  1112,  1112,
    1112,  1112,  1112,  1113,  1113,  1113,  1114,  1116,  1115,  1117,
    1118,  1117,  1119,  1119,  1120,  1120,  1121,  1121,  1122,  1122,
    1122,  1122,  1122,  1122,  1122,  1122,  1122,  1123,  1123,  1123,
    1123,  1123,  1123,  1123,  1123,  1123,  1123,  1124,  1124,  1125,
    1125,  1126,  1127,  1127,  1128,  1128,  1128,  1129,  1130,  1131,
    1131,  1131,  1131,  1132,  1132,  1132,  1133,  1133,  1134,  1134,
    1135,  1136,  1136,  1137,  1137,  1138,  1138,  1139,  1139,  1140,
    1141,  1141,  1142,  1142,  1142,  1143,  1143,  1143,  1143,  1143,
    1143,  1143,  1143,  1143,  1144,  1144,  1144,  1144,  1144,  1145,
    1145,  1146,  1147,  1148,  1149,  1149,  1150,  1151,  1152,  1152,
    1153,  1154,  1154,  1155,  1156,  1157,  1157,  1158,  1159,  1160,
    1160,  1161,  1162,  1162,  1162,  1162,  1162,  1163,  1163,  1163,
    1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,
    1163,  1163,  1164,  1164,  1165,  1165,  1166,  1166,  1166,  1168,
    1167,  1169,  1169,  1171,  1170,  1172,  1172,  1172,  1173,  1173,
    1173,  1173,  1173,  1173,  1173,  1173,  1173,  1174,  1174,  1175,
    1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,
    1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,  1175,
    1175,  1175,  1175,  1176,  1176,  1176,  1176,  1176,  1176,  1177,
    1177,  1177,  1177,  1177,  1177,  1177,  1178,  1179,  1179,  1179,
    1179,  1179,  1179,  1179,  1179,  1180,  1180,  1180,  1180,  1180,
    1180,  1180,  1181,  1181,  1181,  1181,  1181,  1181,  1182,  1182,
    1182,  1182,  1182,  1182,  1182,  1182,  1182,  1182,  1182,  1183,
    1183,  1183,  1183,  1183,  1184,  1184,  1184,  1184,  1185,  1185,
    1185,  1185,  1185,  1185,  1185,  1186,  1186,  1186,  1187,  1187,
    1187,  1187,  1187,  1187,  1188,  1188,  1189,  1190,  1190,  1191,
    1191,  1192,  1193,  1194,  1195,  1195,  1195,  1196,  1197,  1198,
    1199,  1200,  1200,  1200,  1200,  1200,  1201,  1202,  1202,  1202,
    1203,  1203,  1204,  1204,  1204,  1205,  1205,  1206,  1206,  1207,
    1207,  1208,  1208,  1208,  1208,  1208,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,  1209,
    1209,  1209,  1210,  1210,  1210,  1210,  1211,  1211,  1211,  1211,
    1211,  1211,  1211,  1211,  1211,  1212,  1212,  1212,  1212,  1212,
    1213,  1213,  1214,  1214,  1215,  1215
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     5,     1,     0,
       2,     0,     2,     0,     2,     2,     3,     3,     1,     3,
       3,     2,     1,     1,     2,     2,     2,     3,     3,     5,
       5,     0,     3,     5,     5,     5,     5,     5,     3,     5,
       3,     5,     5,     6,     1,     1,     3,     5,     6,     4,
       9,     7,     1,     0,     2,     0,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     2,     5,     1,     3,     3,
       3,     3,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     6,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     3,
       4,     3,     2,     2,     1,     2,     1,     3,     4,     5,
       4,     2,     4,     1,     1,     1,     1,     1,     2,     2,
       2,     2,     4,     6,     4,     6,     4,     6,     4,     6,
       5,     7,     1,     3,     2,     3,     4,     6,     6,     6,
       5,     5,     6,     6,     4,     8,     4,     2,     3,     6,
       4,     3,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     3,     3,     3,     4,     4,     3,     2,     3,     2,
       2,     3,     3,     2,     2,     1,     3,     2,     1,     1,
       0,     2,     0,     2,     0,     3,     2,     0,     1,     3,
       3,     1,     5,     3,     4,     1,     3,     4,     6,     4,
       8,     2,     2,    11,     7,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     1,     3,
       3,     1,     1,     3,     3,     3,     3,     4,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    11,    14,
      10,    13,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     5,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     5,     2,     3,     0,     8,
       4,     1,     0,     5,     5,     4,     6,     1,     0,     1,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     1,     3,     1,     0,     1,     2,     2,     1,     1,
       3,     6,    10,     1,     0,     1,     2,     2,     0,     2,
       2,     1,     0,     5,     7,     1,     0,     6,     2,     0,
       3,     5,     5,     8,     2,     0,     2,     2,     2,     5,
       2,     0,     2,     7,    10,     6,     6,     6,     6,     7,
       7,     9,     9,     6,     7,     6,     8,     8,     8,     8,
       6,     6,     7,     7,     8,     6,     6,     7,     2,     2,
       2,     2,     1,     2,     1,     0,     6,     8,     7,     6,
       4,     0,     1,     3,     4,     1,     3,     1,     2,     2,
       2,     2,     1,     1,    10,     2,     0,     2,     2,     1,
       0,     4,     6,     5,     4,     4,    10,    13,     5,     7,
       8,     1,     1,     1,     7,     9,     8,    15,    20,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     3,     0,
       1,     1,     1,     1,     2,     0,     0,     2,     2,     1,
       2,     2,     2,     2,     6,     8,    11,    13,     1,     3,
       5,     1,     3,     5,     1,     2,     2,     1,     8,     4,
       5,     4,     4,     4,     3,     7,     8,     6,     6,     6,
       6,     6,     4,     5,     3,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     1,     3,     3,
       1,     0,     1,     3,     7,     9,     9,     3,     0,    13,
       1,     3,     5,     6,     4,     7,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     5,     7,     1,     1,     1,     2,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       1,     3,     1,     2,     2,     3,     5,     2,     2,     0,
       6,     7,     7,     7,     8,     8,     6,     8,     9,     9,
       7,    10,     7,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     2,     1,
       3,     2,     3,     3,     3,     3,     1,     1,     8,     9,
       9,     9,     9,     2,     0,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     1,     1,
       2,     2,     3,     4,     5,     4,     5,     3,     4,     3,
       4,     1,     2,     3,     3,     3,     3,     4,     4,     3,
       3,     4,     4,     4,     4,     1,     1,     1,     0,     7,
       7,    10,     1,     1,     2,     4,     5,     1,     3,     2,
       2,     2,     2,     1,     2,     2,     4,     3,     2,     2,
       2,     2,     3,     2,     2,     2,     5,     5,     5,     1,
       3,     1,     2,     3,     0,     1,     3,     2,     6,     6,
       9,     3,     0,     3,     0,     5,     2,     0,     3,     3,
       3,     7,     7,    10,     1,     1,     1,     1,    14,     1,
       0,     1,     0,     1,     0,     2,     0,     1,     3,     5,
       5,     7,     2,     0,     1,     2,     0,     1,     1,     0,
       1,     1,     0,     9,    12,     7,     2,     0,     3,     2,
       1,     3,     3,     2,     1,     3,     3,     3,     2,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     4,
       5,     1,     3,     3,     1,     2,     4,     5,     1,     1,
       1,     1,     3,     3,     2,     2,     1,     2,     2,     2,
       1,     2,     2,     1,     1,     1,     3,     2,     0,     2,
       1,     3,     5,     1,     2,     1,     0,     5,     7,     5,
       7,     5,     7,     3,     5,     5,     5,     1,     3,     2,
       1,     2,     1,     2,    11,    10,    10,     2,     2,     0,
       9,     2,     0,     4,     4,     4,     1,     1,     1,     0,
       7,     6,     6,     6,     6,     8,     8,     6,     6,     7,
       9,     9,     6,     6,     6,     8,     6,     8,     6,     8,
       7,     9,     6,     8,     7,     9,     8,    10,     9,    11,
       8,     9,    11,     8,     8,     7,     6,     6,     6,     5,
       5,     8,     8,     8,     8,     6,     9,     1,     0,     2,
       0,     7,     6,     6,     6,     6,     6,     7,     9,     9,
       6,     8,     8,     8,     8,     8,     6,     8,     6,     8,
       7,     9,     7,     9,     6,     7,     6,     6,     6,     6,
       6,     7,     7,     7,     9,     9,     6,     6,     6,     8,
       8,     8,     6,     7,    13,     1,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     0,     6,     8,     3,     2,     0,     2,
       2,     2,     2,     3,     3,     2,     2,     2,     2,     3,
       2,     5,     4,     3,     3,     3,     1,     1,     0,     3,
       2,     2,     1,     2,     1,     3,     2,     1,     0,     9,
      11,    11,    13,     3,     4,     4,     0,     2,     5,     2,
       0,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     4,     3,     3,     1,     0,     5,
       6,     4,     2,     0,     4,     3,     5,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     0,     5,     4,     3,     0,     1,     1,
       1,     1,     4,     9,     3,     0,     6,     1,     4,     2,
       1,     3,     2,     3,     0,     7,     2,     0,     5,     3,
       0,     2,     2,     2,     3,     1,     3,     1,     2,     1,
       0,     8,     1,     3,     1,     1,     3,     5,     2,     1,
       3,     7,     1,     1,     0,     3,     2,     2,     2,     0,
       2,     2,     1,     1,     3,     3,     1,     2,     4,     4,
       2,     3,     5,     5,     1,     1,     9,     1,     2,     4,
       4,     4,     2,     3,     1,     3,     6,     1,     0,     2,
       1,     0,     3,     3,     4,     4,     4,     4,     3,     2,
       1,     1,     0,     1,     1,     0,     1,     5,     1,     0,
       1,     0,     3,     1,     3,     4,     3,     2,     2,     1,
       1,     1,     0,     2,     4,     5,     2,     3,     1,     1,
       1,     1,     3,     0,     1,     1,     1,     1,     1,     3,
       0,     2,     0,     1,     3,     1,     0,     1,     2,     3,
       2,     4,     2,     3,     2,     0,     2,     3,     2,     0,
       1,     3,     2,     2,     3,     2,     3,     1,     4,     3,
       4,     5,     4,     5,     4,     5,     2,     4,     1,     1,
       0,     1,     4,     5,     4,     0,     2,     2,     2,     1,
       1,     0,     4,     2,     1,     2,     2,     4,     1,     3,
       1,     2,     3,     1,     2,     0,     2,     4,     0,     1,
       0,     1,     3,     3,     2,     3,     5,     6,     2,     3,
       3,     4,     0,     1,     1,     1,     1,     1,     2,     5,
       1,     1,     1,     1,     2,     3,     3,     0,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     1,     3,
       0,     1,     1,     1,     1,     5,     2,     1,     1,     1,
       1,     5,     2,     2,     2,     1,     3,     3,     2,     1,
       0,     3,     0,     5,     2,     5,     2,     1,     2,     3,
       0,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     3,     3,     3,     0,     1,     4,     1,     3,     3,
       5,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     2,     3,     3,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     6,     7,     3,
       4,     4,     6,     2,     3,     4,     1,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     5,     6,     6,     7,     3,     4,     1,     1,
       2,     4,     1,     1,     1,     2,     2,     2,     2,     1,
       4,     5,     6,     8,     6,     7,     7,     5,     5,     1,
       1,     4,     1,     4,     1,     4,     1,     4,     1,     1,
       1,     1,     1,     1,     6,     4,     4,     4,     4,     6,
       5,     5,     5,     4,     6,     4,     4,     4,     4,     5,
       7,     7,     9,     5,     4,     6,     5,     7,     7,     7,
       2,     3,     3,     3,     4,     0,     4,     1,     3,     3,
       1,     1,     1,     2,     2,     0,     2,     4,     4,     6,
       2,     0,     1,     3,     3,     2,     2,     0,     6,     1,
       0,     3,     0,     2,     2,     0,     1,     4,     2,     2,
       2,     2,     2,     4,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     1,     4,     1,     4,     1,     2,     1,     2,
       1,     3,     1,     3,     1,     3,     1,     3,     3,     3,
       2,     1,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     3,     2,     3,     0,     3,     3,
       2,     2,     1,     0,     2,     2,     3,     2,     1,     1,
       3,     5,     1,     2,     4,     2,     0,     1,     0,     1,
       2,     2,     2,     3,     5,     1,     2,     0,     2,     1,
       0,     1,     1,     1,     3,     3,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     5,     2,     3,     6,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     2,     4,     3,     2,     1,     1,     1,     1,     1,
       0,     8,     2,     5,     3,     2,     2,     3,     7,     1,
       1,     1,     0,     2,     2,     1,     0,     1,     3,     1,
       2,     0,     2,     0,     2,     0,     1,     3,     4,     3,
       1,     1,     1,     1,     2,     0,     2,     4,     0,     2,
       2,     2,     1,     1,     7,     3,     1,     1,     1,     1,
       2,     0,     1,     3,     3,     3,     3,     0,     4,     5,
       5,     0,     1,     1,     1,     2,     2,     1,     2,     0,
       7,     0,     5,     0,     4,     2,     2,     0,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       5,     2,     1,     3,     2,     2,     3,     0,     5,     1,
       0,     5,     2,     2,     1,     1,     1,     2,     2,     3,
       1,     2,     2,     3,     3,     4,     2,     1,     2,     1,
       1,     2,     2,     3,     1,     1,     1,     1,     0,     1,
       3,     5,     0,     2,     0,     1,     2,     3,     2,     1,
       1,     1,     0,     1,     1,     1,     1,     1,     2,     2,
       3,     0,     1,     2,     1,     4,     3,     4,     3,     2,
       1,     3,     1,     1,     1,     1,     2,     2,     1,     2,
       2,     1,     1,     1,     4,     4,     4,     4,     4,     1,
       0,     3,     3,     4,     1,     3,     3,     4,     1,     3,
       3,     1,     1,     1,     6,     1,     3,     3,     6,     1,
       3,     3,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     4,     1,     1,     4,     4,     3,     0,
       7,     1,     0,     0,     7,     3,     4,     3,     1,     1,
       1,     2,     3,     5,     2,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     0,     1,     2,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     1,     2,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     2,     3,     1,     3,     3,     3,
       3,     3,     3,     1,     1,     0,     2,     2,     1,     1,
       2,     1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1482 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27073 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1484 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27079 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1486 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27085 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1488 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27091 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1490 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27097 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1492 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27103 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1494 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27109 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1496 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27115 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1498 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27121 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1500 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27127 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1502 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27133 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1504 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27139 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1506 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27145 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1508 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27151 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1510 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27157 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1512 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27163 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1514 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27169 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1516 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27175 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1518 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27181 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1520 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27187 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1522 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27193 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1524 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27199 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1526 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27205 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1528 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27211 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1530 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27217 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1532 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27223 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1534 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27229 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1536 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 27251 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1554 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27257 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1556 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27263 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1558 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27269 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1560 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27275 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1562 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27281 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1564 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27287 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1566 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27293 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1568 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27299 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1570 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27305 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1572 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27311 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1574 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27317 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1576 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27323 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1578 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27329 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1580 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27335 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1582 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27341 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1584 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27347 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1586 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27353 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1588 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27359 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1590 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27365 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1592 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27371 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1594 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27377 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1596 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27383 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1598 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27389 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1600 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27395 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1602 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27401 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1604 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27407 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1606 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27413 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1608 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27419 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1610 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27425 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1612 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27431 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1614 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 27439 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1618 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str)); }
#line 27445 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1620 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27451 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1622 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27457 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1624 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 27463 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1626 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27469 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1628 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27475 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1630 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27481 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1632 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27487 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1634 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27493 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1636 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27499 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1638 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27505 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1640 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27511 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1642 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27517 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1644 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27523 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1646 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27529 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1648 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27535 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1650 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27541 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1652 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27547 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1654 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27553 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1656 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27559 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1658 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27565 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1660 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27571 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1662 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_execute); }
#line 27577 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1664 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27583 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1666 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 27589 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1668 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27595 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1670 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27601 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1672 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27607 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1674 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27613 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1676 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27619 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1678 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27625 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1680 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27631 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1682 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27637 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1684 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27643 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1686 "preproc.y" /* yacc.c:1646  */
    {
		if ((yyvsp[0].prep).type == NULL || strlen((yyvsp[0].prep).type) == 0)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[0].prep).name, (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_normal);
	}
#line 27654 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1693 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27660 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1695 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27666 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1697 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27672 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1699 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27678 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1701 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27684 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1703 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27690 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1705 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27696 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1707 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27702 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1709 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27708 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1711 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27714 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1713 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27720 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1715 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27730 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1721 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27736 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1723 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27742 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1725 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 27748 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1727 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27754 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1729 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27760 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1731 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27766 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1733 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27772 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1735 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 27778 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1737 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27788 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1743 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27802 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1753 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27810 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1757 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 27820 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1763 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str));
	}
#line 27828 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1767 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[0].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].str));
	}
#line 27842 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1777 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27856 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1786 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 27862 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1788 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27880 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1802 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27891 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 1809 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27901 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 1815 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 27916 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 1826 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27926 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 1832 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 27939 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 1841 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 27950 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 1848 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 27960 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 1854 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 27973 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 1863 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 27984 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1870 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str));
	}
#line 27995 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1877 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 28001 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28009 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 28017 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28024 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28032 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28039 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28047 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28054 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 28062 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 28070 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 28078 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 28086 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 28094 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 28102 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 28110 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 28118 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28126 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28134 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 28142 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 28150 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28158 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 28166 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 28174 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28182 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28190 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28197 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 28205 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28213 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28221 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2031 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28229 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28237 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28245 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 28253 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 28261 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 28269 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 28277 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28285 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 28293 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 28301 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 28309 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 28317 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 28325 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28333 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28341 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2123 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28350 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2128 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28359 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28367 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28374 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28382 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28389 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28397 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28405 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28413 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28421 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28429 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28437 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28445 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 28453 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 28461 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 28469 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 28477 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28485 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 28493 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 28501 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 28509 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 28517 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 28525 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 28533 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2243 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 28542 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 28550 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 28558 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 28566 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 28574 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 28582 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 28590 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 28598 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28606 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 28614 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28622 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 28630 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28638 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2308 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 28652 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 28660 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 28668 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 28676 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 28684 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 28692 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 28700 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 28708 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28716 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28724 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28732 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28740 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28748 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28756 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28764 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 28772 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28780 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 28788 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 28795 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28803 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28811 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 28819 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
#line 28827 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
#line 28835 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
#line 28843 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset all");
}
#line 28851 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28859 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28867 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 28875 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28883 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 28891 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 28899 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 28907 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 28915 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2485 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 28924 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 28932 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 28940 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 28948 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 28956 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 28964 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 28972 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 28980 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 28988 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 28996 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 29004 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29012 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29020 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29028 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29036 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29044 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29052 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29060 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29068 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29076 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29084 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29092 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29100 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29108 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 29116 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29124 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 29132 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 29140 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 29148 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 29156 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 29164 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set storage"),(yyvsp[0].str));
}
#line 29172 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29180 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29188 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29196 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29204 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 29212 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 29220 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29228 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29236 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set with oids");
}
#line 29244 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 29252 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 29260 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 29268 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 29276 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 29284 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 29292 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 29300 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 29308 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 29316 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 29324 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 29332 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 29340 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 29348 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 29356 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 29364 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 29372 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 29380 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 29388 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 29396 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 29404 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 29412 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 29420 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 29428 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29436 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 29444 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 29452 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 29460 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 29468 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29475 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 29483 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29490 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 29498 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29505 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29513 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 29521 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29528 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29536 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29544 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29552 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29560 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 29568 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 29576 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29584 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29592 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29600 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29608 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29616 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29624 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29632 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2922 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 29641 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 29649 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2935 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29661 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29669 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 29677 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 29685 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2963 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 29693 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29700 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29708 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 29716 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 29724 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29732 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29740 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29748 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29755 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29763 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 29771 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 29779 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29787 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29795 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 29803 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 29811 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29819 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29827 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 29835 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 29843 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 29851 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 29859 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 29867 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29874 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 29882 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29889 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 29897 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29904 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 29912 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29919 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29927 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29935 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 29943 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3133 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29951 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3137 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29959 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3141 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 29967 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 29975 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 29982 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 29990 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 29998 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30006 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30014 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30022 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30030 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("of"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30038 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 30046 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 30054 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 30062 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 30070 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 30078 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 30086 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30094 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30101 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30109 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30116 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30124 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30131 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30139 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30147 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30155 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30163 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30171 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30179 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30187 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30195 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30203 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30211 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 30219 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30227 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30234 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30242 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30250 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30258 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 30266 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 30274 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 30282 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30290 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30298 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30306 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 30314 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30322 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 30330 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 30338 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 30346 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 30354 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30362 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 30370 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 30378 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30385 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 30393 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 30401 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 30409 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 30417 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 30425 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 30433 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30441 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30449 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 30457 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30465 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30473 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30481 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30489 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30497 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30505 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 30513 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30520 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30528 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30535 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30543 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30551 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30559 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 30567 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3545 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 30576 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 30584 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30591 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30599 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 30607 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 30615 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30623 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30631 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30638 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30646 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30654 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30662 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30670 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30677 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 30685 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 30693 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 30701 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 30709 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 30717 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set null");
}
#line 30725 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set default");
}
#line 30733 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 30741 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30748 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 30756 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with oids");
}
#line 30764 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 30772 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30779 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 30787 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 30795 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 30803 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30810 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 30818 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30825 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 30833 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30840 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 30848 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30856 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 30864 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 30872 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30879 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30887 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30895 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3777 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 30903 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30910 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("refresh materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30918 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30926 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30934 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30942 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30950 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 30957 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 30965 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 30973 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 30981 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 30989 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 30997 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31005 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 31013 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 31021 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 31029 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 31037 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 31045 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31053 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 31061 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31069 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 31077 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31084 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31092 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 31100 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 31108 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31116 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31124 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31132 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 31140 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31148 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 31156 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31163 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 3957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31171 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31179 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 31187 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31194 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 31202 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 31210 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31218 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31225 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31233 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-5].str),mm_strdup("language if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31241 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 31249 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31256 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create tablespace"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("location"),(yyvsp[0].str));
}
#line 31264 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 31272 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31279 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 31287 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 31295 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31303 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31311 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31319 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31326 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 31334 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31342 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 31350 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 31358 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31366 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31373 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 31381 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31389 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31397 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("collation"),(yyvsp[0].str));
}
#line 31405 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("conversion"),(yyvsp[0].str));
}
#line 31413 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 31421 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 31429 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 31437 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31445 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31453 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 31461 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("schema"),(yyvsp[0].str));
}
#line 31469 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("event trigger"),(yyvsp[0].str));
}
#line 31477 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("table"),(yyvsp[0].str));
}
#line 31485 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search parser"),(yyvsp[0].str));
}
#line 31493 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search dictionary"),(yyvsp[0].str));
}
#line 31501 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search template"),(yyvsp[0].str));
}
#line 31509 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("text search configuration"),(yyvsp[0].str));
}
#line 31517 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("sequence"),(yyvsp[0].str));
}
#line 31525 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("view"),(yyvsp[0].str));
}
#line 31533 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("materialized view"),(yyvsp[0].str));
}
#line 31541 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("foreign table"),(yyvsp[0].str));
}
#line 31549 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 31557 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31565 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 31573 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31581 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 31589 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 31597 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 31605 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 31613 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31621 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31629 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31637 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31644 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31652 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31660 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31668 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31676 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31684 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31691 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31699 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31707 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31715 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31723 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 31731 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31739 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 31747 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 31755 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 31763 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31771 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31779 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31787 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31795 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 31803 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31810 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 31818 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 31826 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31834 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 31841 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31849 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31857 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31865 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31873 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31881 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31889 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(") server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31897 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31905 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31913 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31921 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 31929 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 31937 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 31945 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31953 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 31961 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 31969 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("on"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31977 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute procedure"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 31985 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 31993 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 32001 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 32009 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32017 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 32025 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 32033 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 32041 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 32049 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 32057 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 32065 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32073 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32080 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 32088 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32095 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 32103 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 32111 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32119 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32126 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32134 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32142 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32149 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32157 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32165 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32173 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32181 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4667 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 32189 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32196 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32203 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4681 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32211 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 32219 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 32227 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 32235 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 32243 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 32251 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 32259 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32267 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32275 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 32283 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute procedure"),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 32291 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32299 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 32307 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32315 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 32323 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 32331 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32339 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 32347 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 4785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 32355 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 32363 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 32371 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4801 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 32380 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4810 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32389 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32397 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 4823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32405 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32413 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 4831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32421 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 4835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 32429 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32437 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32445 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 32453 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32461 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32469 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32477 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32485 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32493 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 32501 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32509 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32517 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32525 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32533 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32541 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32549 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32557 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32565 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32573 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32581 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32589 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 32597 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32605 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32613 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4959 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32621 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4967 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 32629 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4975 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32637 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32644 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 4986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32652 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32660 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32668 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 32676 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 32684 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 32692 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32699 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 32707 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32715 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32723 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32731 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32739 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32747 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32755 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 32763 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 32771 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32778 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 32786 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32793 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 32801 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 32809 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32816 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5106 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 32825 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 32832 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 32840 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 32848 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 32856 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 32864 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 32872 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32880 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 32888 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32896 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32904 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32912 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32920 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32928 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 32936 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32944 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32952 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32960 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 32968 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 32976 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 32984 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 32992 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33000 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33008 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33016 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33024 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33032 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33040 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33048 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33056 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33064 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33072 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33080 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33088 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33096 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 33104 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33112 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 33120 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33128 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33136 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 33144 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 33152 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33160 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 33168 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 33176 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33183 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33191 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33199 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33207 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33215 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33223 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33231 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33239 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33247 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33255 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33263 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33271 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 33279 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33287 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33295 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 33303 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33311 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 33319 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33327 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33335 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33343 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33351 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33359 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33367 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 33375 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 33383 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 33391 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 33399 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 33407 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33415 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 33423 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 33431 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33439 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 33447 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 33455 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 33463 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 33471 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33479 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33487 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33495 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on aggregate"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33503 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on function"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33511 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33519 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 33527 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 33535 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 33542 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 33550 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 33558 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 33566 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 33574 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 33582 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 33590 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 33598 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 33606 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 33614 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 33622 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 33630 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 33638 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 33646 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 33654 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 33662 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 33670 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 33678 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5628 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 33686 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5632 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 33696 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5638 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 33706 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5644 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 33716 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5650 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		add_additional_variables((yyvsp[-1].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 33726 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5656 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 33736 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5662 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 33746 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5668 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 33756 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5674 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		add_additional_variables((yyvsp[0].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 33766 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5684 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 33781 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5695 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33796 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5706 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33811 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5717 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33826 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 5728 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33841 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 5739 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33856 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 5750 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33876 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 5766 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33896 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33916 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 5798 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33931 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 5809 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33951 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 5825 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33966 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 5836 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 33986 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 5852 "preproc.y" /* yacc.c:1646  */
    { 
		add_additional_variables((yyvsp[0].str), false);
		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34001 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 5867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 34009 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 5871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34017 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 5879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34025 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 5883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34032 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 5890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34040 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 5898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34048 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 5902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34056 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 5910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34064 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 5914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 34072 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 5918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 34080 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 5922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34088 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 5926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34096 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 5934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34104 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 5938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34112 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 5946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 34120 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 5950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 34128 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 5954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 34136 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 5958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34144 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 5966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34152 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 5970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 34160 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 5974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 34168 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 5978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 34176 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 5982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 34184 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 5986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 34192 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 5990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 34200 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 5994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 34208 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 5998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 34216 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 34224 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 34232 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 34240 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 34248 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 34256 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 34264 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 34272 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34280 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34288 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34296 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 34304 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 34312 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34319 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34327 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6073 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34335 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34343 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34351 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34359 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6101 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34367 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with admin option");
}
#line 34375 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34382 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 34390 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34397 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34405 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34413 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34420 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 34428 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 34436 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 34444 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34452 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34460 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34468 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 34476 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 34484 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 34492 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 34500 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("index"),(yyvsp[-10].str),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34508 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 34516 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34523 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 34531 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34538 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34546 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34553 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34561 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34568 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34576 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34584 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34592 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34600 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34608 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 34616 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34623 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34631 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 34639 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34646 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 34654 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 34662 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34669 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 34677 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 34685 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6331 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34692 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34700 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34708 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34716 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 34724 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 34731 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34739 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 34747 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34755 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34763 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 34771 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 34779 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34787 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 34795 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34803 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34811 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34819 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34827 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34835 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 34843 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 34851 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 34859 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 34867 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 34875 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34883 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34891 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34899 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 34907 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 34915 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34923 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 34931 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 34939 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 34947 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 34955 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 34963 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 34971 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 34979 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 34987 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 34995 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 35003 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 35011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 35019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 35027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 35035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 35043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 35051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 35059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 35067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 35083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 35099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 35131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 35162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 35194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35201 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6679 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35209 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35217 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35225 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 6695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35233 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 6703 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35241 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 6707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35249 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 6715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 6719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 6723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 35273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 6727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 35281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 6735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 6739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 35297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 6747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 35305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 6755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 6759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 6767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 35329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 6771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 35337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 6779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 6783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 35353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 6787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 35361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 6795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 35369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 6799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 35377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 6803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 6810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 35392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 6818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 35400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 6822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 6829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 6833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 6837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 6845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 35439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 6849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 35447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 6857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 35455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 6861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35462 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 6868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 6872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 6876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35486 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 6880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35494 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 6884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35502 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 6888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35510 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 6892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35518 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 6896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35526 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 6900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35534 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 6904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35542 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 6908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35550 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 6912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 6916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 6920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 6924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 6928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 6932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 6936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 6940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 6944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 6948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 6952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 6956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 6960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 6964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 6968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 6972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 6976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 6980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 6984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 6988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 6992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 6996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 35726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35734 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 35782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 35790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 35830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 35838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 35846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 35861 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 35868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 35996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 36060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 36212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 36228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 36244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 36252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36268 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 36323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 36331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 36339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 36347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 36355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 36363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 36402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 36417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 36425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 36433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[0].str));
}
#line 36441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7423 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 36457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[0].str));
}
#line 36465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[0].str));
}
#line 36473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[0].str));
}
#line 36481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 36489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 36497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 36505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 36513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 36521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 36529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 36537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 36545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 36553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 36561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 36576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 36584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 36592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 36600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 36608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 36624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 36640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("recursive view"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create or replace"),(yyvsp[-9].str),mm_strdup("recursive view"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup(")"),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 36679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7565 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with check option");
}
#line 36688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7570 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 36697 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 7575 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("with local check option");
}
#line 36706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 7580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36713 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 7587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 36721 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 7595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36729 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 7603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 7607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 7614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 7618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 7622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 7626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 7630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 7634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 7638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 7642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 7646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 7650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 7654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 7658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 7662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 7666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 7670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 7674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[-1].str),mm_strdup("default"));
}
#line 36872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 7682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 36880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 7686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 7693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 36903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 7705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 7713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 7717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 36926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 7724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 7732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 36942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 7736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 36950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 7744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 7752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 7756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 36974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 7760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 36982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 7764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 36990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 7768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 36998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 7772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 7776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 37014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 7784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 37022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 7788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 7795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 7803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 7807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37053 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 7811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37061 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 7815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 37069 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 7819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 37077 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 7823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 37085 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 7831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 37093 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 7839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37101 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 7843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 37109 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 7847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 37117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 7855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37125 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 7859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37132 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 7866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 7870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 7874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37156 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 7878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37164 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 7882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37172 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 7890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 7894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 7902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 7906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 37204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 7910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 37212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 7914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 37220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 7922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37228 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 7926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37236 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 7934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 37244 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 7938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 37252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 7946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 37260 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 7950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 7957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 37275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 7961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 7968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 37290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 7972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 7979 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 7983 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 7990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 37320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 7994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 7998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 37336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8097 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
	}
#line 37489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8103 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 37499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8117 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8144 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-2].str); }
#line 37552 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("table"),(yyvsp[-5].str),mm_strdup("as execute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 37568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("insert into"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 37599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 37607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 37639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 37662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 37685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37692 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 37700 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 37708 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 37716 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 37724 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 37732 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 37740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 37748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 37756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 37764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37771 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37779 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37787 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37795 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37811 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 37819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 37827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 37835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37843 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 37851 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8373 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 37904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8430 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 37924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 37931 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 37939 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 37947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 37955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 37963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8465 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 37974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 37982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 37990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 37998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 38158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 38166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8627 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 38214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8631 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 38220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 38291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 38307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 38330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 38345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 8736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 38391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 8744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 8748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 8756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 8760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 8768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 8772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 8776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 8780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 8788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 8792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38470 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 8799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 38478 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 8803 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 38487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 8808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 38495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 8816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 38503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 8820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 8828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 8832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 38527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 8840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 8848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 8852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 8856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 8863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 8871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 38574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 8875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 38582 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 8883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 38590 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 8887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 38598 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 8895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[0].str));
}
#line 38606 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 8899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 8906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 38621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 8910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 8917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 8921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 38644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 8929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38652 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 8933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 8940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 8944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 8952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 8960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 38691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 8964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 38699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 8968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 38707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 8972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 38715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 8980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 38723 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 8984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 8991 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[0].str));
}
#line 38738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 8995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 38754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9007 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 38777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9038 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9045 "preproc.y" /* yacc.c:1646  */
    { 
	if ((yyvsp[0].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 38839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 38855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 38871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 38879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 38887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 38903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 38966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 38973 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 38981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 38989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 38997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 39005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 39013 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9177 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 39036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 39052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 39060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 39108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 39124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 39139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9260 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 39148 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 39186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9303 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 39200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9305 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 39206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 39214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 39230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 39238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9327 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 39252 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9337 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 39266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9347 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 39276 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39284 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39292 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39300 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39308 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39316 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39324 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39332 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39340 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39348 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39356 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 39403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 39411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 39419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 39427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 39435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 39443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 39451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 39459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 39467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 39475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 39483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 39546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 39602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 39610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 39618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 39626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 39634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 39642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 39650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[0].str));
}
#line 39665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 39688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 39696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 39704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 39712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 39720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 39728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 39743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 39751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 39759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 39767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 39775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 39791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 39799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 39807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 39815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 39823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 39831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 39839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 39854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 39862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 39878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 9743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 39886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 9747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 39894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 9751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 39902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 9755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 39910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 9759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 39918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 9763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 39926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 9767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 39934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 9771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 39942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 9775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 39950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 9779 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 39958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 9783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 39966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 9787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 39974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 9791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 39982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 9795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 9799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 39998 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 9803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 9807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 9811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 40022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 9815 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 40030 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 9819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 40038 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 9823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40046 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 9827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 40054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 9831 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 9835 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 40070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 9839 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 9843 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 40086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 9847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 9851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 40102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 9855 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 9859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 40118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 9863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 40126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 9867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 40134 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 9871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 40142 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 9875 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 40150 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 9879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 40158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 9883 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 40166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 9887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 40174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 9891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 40182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 9895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 40190 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 9899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 40198 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 9903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 40206 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 9907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 40214 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 9911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 40222 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 9915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 40230 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 9919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40238 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 9923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 9927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 9931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 9935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 9939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 40278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 9943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 40286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 9947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 40294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 9951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 9955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 9959 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[0].str));
}
#line 40319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 40327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 40335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 9976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 9980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 40351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 9984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 40359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 9988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 40367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 9992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 40375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 9996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 40383 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 40391 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 40399 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 40407 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 40415 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 40423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 40431 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40439 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40447 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40455 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40463 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 40471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 40479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("is of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-6].str),mm_strdup("is not of ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 40503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 40511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40559 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40567 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 40583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 40591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 40599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("( )"),(yyvsp[0].str));
}
#line 40615 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40623 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40631 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40639 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40647 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( all"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40655 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("( distinct"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("( * )"),(yyvsp[0].str));
}
#line 40671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 40687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 40695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 40711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 40727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 40743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 40759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 40767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 40775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 40783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 40791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 40799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40943 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40951 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40959 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40967 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40975 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40983 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 40999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41007 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 41015 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 41023 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 41031 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 41039 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 41047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41054 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41062 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41070 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41078 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41086 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41094 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 41102 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 41110 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 41118 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 41126 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41133 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 41141 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 41149 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[0].str));
}
#line 41157 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[-2].str),mm_strdup("by ref"));
}
#line 41165 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 41173 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41180 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41188 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41196 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 41204 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 41212 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 41220 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 41258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10510 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[0].str));
}
#line 41274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10515 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 41282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 10526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 10530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 41305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 10538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 41313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 10542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 41321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 10546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 41329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 10550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 41337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 10554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 41345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 10562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 10566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 41361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 10570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 10578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 41377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 10582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 41385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 10586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 41393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 10594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41401 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 10598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 10606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 41417 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 10610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 41425 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 10614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 41433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 10618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 41441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 10622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 41449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 10626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 41457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 10630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 41465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 10634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 41473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 10638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 41481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 10646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 10650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 10658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 10662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 10670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 10674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 10678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 41537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 10682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 41545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 10686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 41553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 10690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 41561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 10698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41569 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 10702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41577 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 10710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41585 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 10714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41593 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 10722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 10726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 41609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 10734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 10738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 10746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 10750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 10754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 41649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 10762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 10766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 10774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41673 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 10778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 41696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 41704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 10797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 41712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 10801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 41720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 41728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 10809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 41736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 10833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[0].str));
}
#line 41768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 10841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 41776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 10845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 10852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 10856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 10860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 10864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 10868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 10872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 10879 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 41838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 10887 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 41846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 10895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 41854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 10899 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 41862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 10903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 10911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 10915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 10923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 41894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 10931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 10935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 10943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 41918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 10951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 41926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 10955 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41933 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 10962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 10966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41948 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 10973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41956 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 41972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 41980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 10993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 10997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 41996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 42035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42042 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11039 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42050 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11043 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11051 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 42106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xconst");
}
#line 42282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 42330 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 42338 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 42346 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11250 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11251 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 42364 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42372 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42380 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42388 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42396 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 42410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 42418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 42458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 42466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 42474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 42482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 42490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 42498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 42506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 42514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 42522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 42530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 42538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 42546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 42554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 42562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 42570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 42578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 42586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 42594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 42602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 42610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 42618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 42626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 42634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 42642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 42650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 42658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 42666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 42674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 42682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 42690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 42698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 42706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 42714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 42722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 42730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 42738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 42746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 42754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 11472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 42762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 42770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 11480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 42778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 11484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 42786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 11488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 42794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 11492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 42802 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 11496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 42810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 11500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 42818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 11504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 42826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 11508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 42834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 42842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 11516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 42850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 11520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 42858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 11524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 42866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 11528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 42874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 11532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 42882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 11536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 42890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 11540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 42898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 11544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 42906 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 11548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 42914 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 11552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 42922 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 11556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 42930 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 11560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 42938 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 11564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 42946 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 11568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 42954 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 11572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 42962 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 11576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 42970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 11580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 42978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 11584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 42986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 11588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 42994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 11592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 43002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 11596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 43010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 11600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 43018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 11604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 43026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 11608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 43034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 11612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 43042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 11616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 43050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 11620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 43058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 11624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 43066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 11628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 43074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 11632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 43082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 11636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 43090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 11640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 43098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 11644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 43106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 11648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 43114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 11652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 43122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 11656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 43130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 11660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 43138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 11664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 43146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 11668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 43154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 11672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 43162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 11676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 43170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 11680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 43178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 11684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 43186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 11688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 43194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 11692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 43202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 11696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 43210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 11700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 43218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 11704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 43226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 11708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 43234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 11712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 43242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 11716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 43250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 11720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 43258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 11724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 43266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 11728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 43274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 11732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 43282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 11736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 43290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 11740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 43298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 11744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 43306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 11748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 43314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 11752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 43322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 11756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
#line 43330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 11760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
#line 43338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 11764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 43346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 11768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 43354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 11772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 43362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 11776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 43370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 11780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 43378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 11784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 43386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 11788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 43394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 11792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 43402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 11796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 43410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 11800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 43418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 11804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 43426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 11808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 43434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 11812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 43442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 11816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 43450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 11820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 43458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 11824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 43466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 11828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 43474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 11832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 43482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 11836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 43490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 11840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 43498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 11844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 43506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 11848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 43514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 11852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 43522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 11856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 43530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 11860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 43538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 11864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 43546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 11868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 43554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 11872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 43562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 11876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 43570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 11880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 43578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 11884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 43586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 11888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 43594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 11892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 43602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 11896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 43610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 11900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 43618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 11904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 43626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 11908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 43634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 11912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 43642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 11916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 43650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 11920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 43658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 11924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 43666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 11928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 43674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 11932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 43682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 11936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 43690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 11940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 43698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 11944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 43706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 11948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 43714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 11952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 43722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 11956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 43730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 11960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 43738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 11964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 43746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 11968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 43754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 11972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 43762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 11976 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 43770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 11980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 43778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 11984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 43786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 11988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 43794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 11992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 43802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 11996 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 43810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 43818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 43826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 43834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 43842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 43858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 43866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12028 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 43874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 43882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 43890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 43898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12044 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 43906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 43914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 43922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 43930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 43938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 43946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 43954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 43962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 43970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 43978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 43986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 43994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 44002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 44010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 44018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 44026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 44034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 44042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 44050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 44058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 44066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 44074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 44082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 44090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 44098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 44106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 44114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 44122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 44130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 44138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 44146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 44154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 44162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 44170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 44178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 44202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 44210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12200 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 44218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 44226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 44234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 44242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 44250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12220 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 44258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 44266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 44274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 44282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 44290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 44298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 44306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 44314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 44322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 44330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 44338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 44346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 44354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 44362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 44370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 44378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 44386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 44394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 44402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 44410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 44418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 44426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 44434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 44442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 44450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 44458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 44466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 44474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 44482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 44490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 44498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 44506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 44514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 44522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 44530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 44538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 44546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12372 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 44554 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 44562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 12380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 44570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 12384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 44578 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 12388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 44586 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 12392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 44594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 12396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 44602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 12400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 44610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 12404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 44618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 12408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 44626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 12412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 44634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 12416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 44642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 12420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 44650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 12424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 44658 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 12428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 44666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 12432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 44674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 12436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 44682 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 12440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 44690 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 12444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 44698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 12448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 44706 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 12452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 44714 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 12456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 44722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 12460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 44730 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 12464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 44738 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 12468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 44746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 12472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 44754 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 12476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 44762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 12484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 44770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 12488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 44778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 12492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 44786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 12496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 44794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 12500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 44802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 12504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 44810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 12508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 44818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 12512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 44826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 12516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 44834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 12520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 44842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 12524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 44850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 12528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 44858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 12532 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 44866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 12536 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 44874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 12540 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 44882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 12544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 44890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 12548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 44898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 12552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 44906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 12556 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 44914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 12560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 44922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 12564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 44930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 12568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 44938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 12572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 44946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 12580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 44954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 12584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 44962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 12588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 44970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 12592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 44978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 12596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 44986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 12600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 44994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 12604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 45002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 12608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 45010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 12612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 45018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 12616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 45026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 12620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 45034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 12624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 45042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 12628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 45050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 12632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 45058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 12636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 45066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 12640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 45074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 12644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 45082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 12648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 45090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 12652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 45098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 12656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 45106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 12660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 45114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 12664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 45122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 12668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 45130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 12672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 45138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 12676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 12680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 45154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 12684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 45162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 12688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 45170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 12692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 45178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 12696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 45186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 12700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 45194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 12704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 45202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 12708 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 45210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 12712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 45218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 12716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 45226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 12720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 45234 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 12724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 45242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 12728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 45250 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 12732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 45258 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 12736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 45266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 12740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 45274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 12744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 45282 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 12748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 45290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 12752 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 45298 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 12756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 45306 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 12760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 45314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 12764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 45322 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 12768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 45330 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 12772 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 45338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 12776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 45346 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 12780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 45354 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 12784 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 45362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 12788 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 45370 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 12792 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 45378 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 12796 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 45386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 12800 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 45394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 12804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 45402 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 12808 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 45410 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 12812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 45418 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 12816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 45426 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 12820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 45434 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 12824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 45442 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 12828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 45450 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 12832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45458 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 12836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 45466 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 12840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 45474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 12844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 45482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 12848 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 45490 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 12852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 45498 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 12856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 45506 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 12860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 45514 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 12864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 45522 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 12868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 45530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 12872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 45538 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 12876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 45546 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 12889 "preproc.y" /* yacc.c:1646  */
    { connection = NULL; }
#line 45552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 12892 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 45562 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 12898 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 45568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 12899 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 45574 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 12900 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 45580 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 12902 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 45595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 12914 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 45601 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 12915 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str));
		}
#line 45612 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 12924 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 45626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 12939 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 45632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 12941 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 45638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 12944 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 45644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 45650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 12950 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 45666 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 12962 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)),	(yyvsp[0].str), mm_strdup("\"")));
		}
#line 45686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 12978 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 45694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 12982 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 45707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 12992 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45713 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 12993 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 12997 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 45733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13009 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 45744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13017 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13018 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45756 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13021 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13022 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 45768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13023 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 45774 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13026 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 45780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13027 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13030 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13031 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 45798 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13034 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 45804 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 45810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13039 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 45816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13041 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13043 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13045 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 45834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13049 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 45845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13056 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 45856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13063 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 45874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13079 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 45910 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13113 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 45924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13122 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13126 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 45938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13130 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 45952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13142 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 45958 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13144 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45964 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 45976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13152 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 45994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13173 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
#line 46063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13234 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 46073 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13244 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46079 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13245 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13248 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13250 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13251 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13254 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13255 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 46115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 13256 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 46121 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 13257 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 46127 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 13258 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 46133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 13265 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 46139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 13267 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 46149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 13274 "preproc.y" /* yacc.c:1646  */
    {}
#line 46155 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 13276 "preproc.y" /* yacc.c:1646  */
    {}
#line 46161 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 13278 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46167 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 13279 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 13282 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46179 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 13283 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46185 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 13284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 13285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 13288 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46203 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 13289 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 13293 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 46219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 13299 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 46231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 13309 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 46245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 13319 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 46253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 13323 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 46267 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 13333 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 46275 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 13337 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 46283 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 13342 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 46289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 13343 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 13347 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 46301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 13348 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 46307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 13349 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 46313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 13352 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 46319 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 13353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 46325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 13354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 46331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 13355 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 46337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 13358 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 46343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 13359 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 46349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 13363 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 13371 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 46382 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 13388 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46394 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 13396 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 46421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 13419 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[-1].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 46531 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 13525 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 46567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 13559 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 46573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 13561 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 46579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 13563 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 46585 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 13567 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 46591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 13570 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 46602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 13577 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 46648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 13620 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46654 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 13622 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 46664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 13628 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 46675 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 13637 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 46685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 13643 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 46694 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 13650 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 46703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 13655 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 46711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 13660 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 46717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 13661 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 46723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 13664 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 46729 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 13665 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 46735 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 46741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 13667 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 46747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 13668 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 46753 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 13669 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 46759 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 13671 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 46771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 13679 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
#line 46783 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 13686 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 46789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 13689 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 46795 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 13690 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 46801 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 13691 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 46807 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 13692 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 46813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 13693 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 46819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 13695 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 46831 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 13703 "preproc.y" /* yacc.c:1646  */
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
#line 46843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 13710 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 46849 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 13711 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 46855 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 13712 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 46861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 13720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 46867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 13722 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(";"), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 46878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 13731 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 46967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 13818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 13820 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 46982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 13826 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 46988 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 13827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 46994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 13828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 47000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 13835 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 47009 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 13843 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47015 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 13846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 13847 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 47027 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 13848 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 47033 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 13849 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 47039 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 13852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 47045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 13853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 47051 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 13854 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47057 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 13858 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47063 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 47069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 13867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47075 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 13868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 47081 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 13875 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 47091 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 13882 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47097 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 13883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47103 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 13886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 13887 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47115 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 13891 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 13896 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 13903 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 13908 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47151 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 13915 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 47160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 13924 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 47171 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 13930 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47177 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 13931 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47183 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 13934 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 13935 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 47195 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 13936 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 47201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 13937 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47207 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 13938 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 47213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 13939 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 47219 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 13940 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47225 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 13941 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47231 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 13942 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 13949 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 47248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 13956 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 13968 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47274 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 13974 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[-1].str));
	}
#line 47285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 13981 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[-1].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[-1].str));
	}
#line 47295 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 13988 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 47301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 13989 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47307 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14002 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14013 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14024 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 47331 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14032 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 47337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14037 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 47343 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14045 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 47351 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14051 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47363 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14059 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47371 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14064 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 47377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14072 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 47383 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14079 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 47389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14083 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 47395 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14091 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 47403 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14097 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 47415 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14106 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 47423 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14111 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14121 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14131 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 47463 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14142 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14143 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 47475 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14144 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 47481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14145 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 47487 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14146 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 47499 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14148 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 47505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14149 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 47511 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14150 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 47517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 47523 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14152 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 47529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14153 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 47535 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14154 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 47541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14155 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 47547 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14156 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 47553 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14163 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 47571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 47577 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14175 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14176 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14177 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47595 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14184 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 47605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14190 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 47618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14200 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 47624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14201 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 47630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14208 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 47640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14214 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 47702 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14278 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14284 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14290 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 47732 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14298 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 47742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14304 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 47752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14310 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 47762 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14316 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 47772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14322 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 47782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14328 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 47792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14334 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 47802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14340 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 47812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14346 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 47822 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14356 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47828 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 47834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14360 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 47840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14361 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("call"); }
#line 47846 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 47852 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14363 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 47858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14364 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 47864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14365 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 47870 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 47876 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14367 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 47882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14368 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 47888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14369 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 47894 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14370 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 47900 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14371 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 47906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14372 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 47912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14373 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 47918 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 47924 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14375 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 47930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14376 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 47936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14377 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 47942 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 47948 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14379 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sql"); }
#line 47954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14380 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 47960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14381 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 47966 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 47972 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14383 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 47978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14386 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 47984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14387 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 47990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 47996 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 48002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14390 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 48008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14391 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 48014 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14395 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 48020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 14396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 48026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 14397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 48032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 14398 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 48038 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 14399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 48044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 14400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 48050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 14401 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 48056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 14404 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48062 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 14407 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 14408 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 14409 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48086 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 14411 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 14412 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 14413 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 48104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 14414 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 48110 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 14427 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 14428 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 14429 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48134 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 14431 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 14432 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 48146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 14433 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 48152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48158 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 14439 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 14440 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 14441 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48182 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 14443 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 14449 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 14451 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 48206 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 14452 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 48212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 14453 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 48218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 48224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 14455 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 48230 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 14456 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 48236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 14457 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 48242 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 14459 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48254 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 14462 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 14463 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48266 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 14464 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 14465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48278 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 48284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 14469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48290 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 14471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48302 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 14472 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 14475 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 48314 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 14476 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 48320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 14477 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 48326 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 48332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 14479 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 48338 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 14480 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 48344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 14481 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 48350 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 14498 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 14499 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48362 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 14500 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 48368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 14503 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 48374 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 14504 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 48380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 14505 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 48386 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 14506 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 48392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 14507 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 48398 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 14508 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 48404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 14515 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 48413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 14521 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 48419 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 14522 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 14526 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 48431 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 14528 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 48437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 14533 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 48449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 14543 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 48462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 14554 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 48471 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 14560 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 14561 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48483 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 14562 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 48489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 14566 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmerror(PARSE_ERROR, ET_FATAL, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 48524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 14598 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48530 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 14600 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 14602 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48542 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 14606 "preproc.y" /* yacc.c:1646  */
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+2]='\0';
			free((yyvsp[0].str));
		}
#line 48556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 14616 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 48570 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 14626 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[0].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[0].str));
			(yyval.str)[strlen((yyvsp[0].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[0].str))+3]='\0';
			free((yyvsp[0].str));
		}
#line 48584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 14635 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48590 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 14636 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48596 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 14639 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 14641 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 14642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48614 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 14643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48620 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 14647 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 48626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 14649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 48632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 14656 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 14657 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 48644 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 14659 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 48650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 14664 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 48662 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 14667 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 14668 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 48674 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 14671 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 14672 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 48686 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 14675 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48692 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 14676 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 48698 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 14677 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 48704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 48710 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 14679 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 48716 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48722 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 14683 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 14684 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 14685 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 48740 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 48746 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 14687 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 48752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 14688 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 48758 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 14689 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 48764 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 48770 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 14691 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 48776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 14692 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 48782 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 14693 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 48788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 48794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 14695 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 48800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 14696 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 48806 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 14697 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 48812 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 48818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 14699 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 48824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 14700 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 48830 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 14701 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 48836 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 48842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 14703 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 48848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 14704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 48854 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 14705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 48860 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 48866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 14707 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 48872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 14708 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 48878 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 14709 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 48884 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 48890 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 14711 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 48896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 14712 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 48902 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 14713 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 48908 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 48914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 14715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 48920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 14716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 48926 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 14717 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 48932 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 14718 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 48938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 14719 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 48944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 14720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 48950 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 14721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 48956 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 14722 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 48962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 14723 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 48968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 14724 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 48974 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 14725 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 48980 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 48986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 14727 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 48992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 14728 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 48998 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 14729 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 49004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 49010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 14731 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 49016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 14732 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 49022 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 14733 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 49028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 49034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 14735 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 49040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 14736 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 49046 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 14737 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 14740 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 14741 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 49070 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 14743 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 49076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 14746 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 14747 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 49088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 14748 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 49094 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 14749 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 49100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 49106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 14751 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 49112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 14752 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 49118 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 14753 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 14754 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 14757 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49142 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 14759 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 14760 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 14761 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 14764 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49166 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 14765 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 14768 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 14770 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 49191 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 14780 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 49197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 14781 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49203 "preproc.c" /* yacc.c:1646  */
    break;


#line 49207 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 14784 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
